"use client";
import { jsx } from 'react/jsx-runtime';
import { createContext, useState, useRef, useMemo, useCallback, useEffect } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { flatArrayToMap } from '../../libs/map.js';
import { getNewExpandedItems } from './accordionPanelHelper.js';

const AccordionPanelContext = createContext({
    iconPosition: 'left',
    expandedItems: new Map(),
    expandableMultiply: true,
    parentRef: null,
});
const classNameGenerator = ce({
    base: 'smarthr-ui-AccordionPanel',
});
const AccordionPanel = ({ iconPosition = 'left', expandableMultiply = true, defaultExpanded = [], className, onClick: onClickProps, ...props }) => {
    const [expandedItems, setExpanded] = useState(flatArrayToMap(defaultExpanded));
    const parentRef = useRef(null);
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    const onClickTrigger = useCallback((itemName, isExpanded) => {
        setExpanded(getNewExpandedItems(expandedItems, itemName, isExpanded, expandableMultiply));
    }, [expandableMultiply, expandedItems]);
    useEffect(() => {
        if (defaultExpanded.length > 0)
            setExpanded(flatArrayToMap(defaultExpanded));
    }, [defaultExpanded]);
    return (jsx(AccordionPanelContext.Provider, { value: {
            onClickTrigger,
            onClickProps,
            expandedItems,
            iconPosition,
            expandableMultiply,
            parentRef,
        }, children: jsx("div", { ...props, ref: parentRef, role: "presentation", className: actualClassName }) }));
};

export { AccordionPanel, AccordionPanelContext };
//# sourceMappingURL=AccordionPanel.js.map
