"use client";
import { jsx } from 'react/jsx-runtime';
import { useContext, useMemo, useRef } from 'react';
import './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/CSSTransition.js';
import './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/ReplaceTransition.js';
import './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/SwitchTransition.js';
import './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/TransitionGroup.js';
import Transition from './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/Transition.js';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { getIsInclude } from '../../libs/map.js';
import { AccordionPanelContext } from './AccordionPanel.js';
import { AccordionPanelItemContext } from './AccordionPanelItem.js';

const classNameGenerator = ce({
    base: [
        'smarthr-ui-AccordionPanel-content',
        'shr-invisible shr-max-h-0 shr-opacity-0 shr-transition-[max-height,_visible,_opacity] shr-duration-150 shr-ease-in-out',
        '[&.entered]:shr-visible [&.entered]:shr-max-h-[revert] [&.entered]:shr-opacity-100',
        // HINT: flexなどで囲まれると、非表示だが内容分高さが出てしまい、スクロール領域が不自然に伸びてしまう現象が起きる場合がある
        // 非表示の場合、visually hiddenを適用することで、内容としては残しつつ、高さを0にすることで回避する
        'aria-[hidden]:shr-absolute aria-[hidden]:shr-h-px aria-[hidden]:shr-overflow-hidden',
    ],
});
const AccordionPanelContent = ({ className, ...props }) => {
    const { name } = useContext(AccordionPanelItemContext);
    const { expandedItems } = useContext(AccordionPanelContext);
    const visible = useMemo(() => getIsInclude(expandedItems, name), [expandedItems, name]);
    const wrapperRef = useRef(null);
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return (jsx(Transition, { in: visible, timeout: 150, nodeRef: wrapperRef, children: (status) => (jsx("div", { ...props, ref: wrapperRef, id: `${name}-content`, "aria-labelledby": `${name}-trigger`, "aria-hidden": visible ? undefined : true, className: `${actualClassName} ${status}` })) }));
};

export { AccordionPanelContent };
//# sourceMappingURL=AccordionPanelContent.js.map
