const getNewExpandedItems = (prevExpandedItems, itemName, isExpanded, expandableMultiply) => {
    let newState;
    if (expandableMultiply) {
        newState = new Map(prevExpandedItems);
        if (isExpanded) {
            newState.set(itemName, itemName);
        }
        else {
            newState.delete(itemName);
        }
    }
    else {
        newState = isExpanded ? new Map([[itemName, itemName]]) : new Map();
    }
    return newState;
};
const getSiblingButtons = (parent) => Array.from(parent.querySelectorAll('[data-component="AccordionHeaderButton"]'));
const focusFirstSibling = (parent) => {
    const siblings = getSiblingButtons(parent);
    const first = siblings[0];
    first.focus();
};
const focusLastSibling = (parent) => {
    const siblings = getSiblingButtons(parent);
    const last = siblings[siblings.length - 1];
    last.focus();
};
const focusNextSibling = (item, parent) => {
    const siblings = getSiblingButtons(parent);
    const current = siblings.indexOf(item);
    if (current === siblings.length - 1) {
        const first = siblings[0];
        first.focus();
    }
    else if (current !== -1) {
        const next = siblings[current + 1];
        next.focus();
    }
};
const focusPreviousSibling = (item, parent) => {
    const siblings = getSiblingButtons(parent);
    const current = siblings.indexOf(item);
    if (current === 0) {
        const last = siblings[siblings.length - 1];
        last.focus();
    }
    else if (current !== -1) {
        const previous = siblings[current - 1];
        previous.focus();
    }
};

export { focusFirstSibling, focusLastSibling, focusNextSibling, focusPreviousSibling, getNewExpandedItems, getSiblingButtons };
//# sourceMappingURL=accordionPanelHelper.js.map
