import { jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../../../Button/Button.js';
import { AnchorButton as ForwardedAnchorButton } from '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { FaArrowRightIcon, FaStarIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { LineClamp } from '../../../LineClamp/LineClamp.js';
import { Text } from '../../../Text/Text.js';
import { useMediaQuery, mediaQuery } from '../../hooks/useMediaQuery.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { Translate } from './Translate.js';

const classNameGenerator = ce({
    slots: {
        empty: ['shr-p-1 shr-text-center'],
        list: ['shr-list-none', '[&>li]:shr-px-0.5 [&>li]:shr-py-0.25'],
        listItem: [
            'smarthr-ui-AppLauncher-listItem',
            'shr-grid shr-min-h-[2.5rem] shr-grid-cols-[1rem_1fr_1rem] shr-gap-0.75 shr-whitespace-normal shr-px-1 shr-py-0 shr-text-left shr-leading-tight',
            'data-[favorite="false"]:shr-grid-cols-[1fr_1rem]',
        ],
    },
});
const AppLauncherFeatures = ({ features, page }) => features.length === 0 ? jsx(EmptyList, {}) : jsx(FeatureList, { features: features, page: page });
const EmptyList = memo(() => {
    const className = useMemo(() => {
        const { empty } = classNameGenerator();
        return empty();
    }, []);
    const translate = useTranslate();
    const translated = useMemo(() => translate('Launcher/emptyText'), [translate]);
    return (jsx("div", { className: className, children: jsx(Text, { size: "S", children: jsx(Translate, { children: translated }) }) }));
});
const FeatureList = ({ features, page }) => {
    const classNames = useMemo(() => {
        const { list, listItem } = classNameGenerator();
        return {
            list: list(),
            listItem: listItem(),
        };
    }, []);
    const isFavorite = page === 'favorite';
    return (jsx("ul", { className: classNames.list, children: features.map((feature) => (jsx(FeatureListItem, { href: feature.url, isFavorite: isFavorite, className: classNames.listItem, children: feature.name }, feature.id))) }));
};
const FeatureListItem = memo(({ href, children, isFavorite, className }) => (jsx("li", { children: jsx(ForwardedAnchorButton, { href: href, target: "_blank", prefix: isFavorite && jsx(FaStarIcon, {}), suffix: jsx(FaArrowRightIcon, {}), variant: "text", wide: true, "data-favorite": isFavorite, className: className, children: jsx(FeatureName, { children: children }) }) })));
const FeatureName = ({ children }) => {
    const isDesktop = useMediaQuery(mediaQuery.desktop);
    return isDesktop ? jsx(LineClamp, { maxLines: 2, children: children }) : children;
};

export { AppLauncherFeatures };
//# sourceMappingURL=AppLauncherFeatures.js.map
