import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo, useCallback } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { textColor } from '../../../../themes/tailwind/TailwindConfig.js';
import '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import { UnstyledButton } from '../../../Button/UnstyledButton.js';
import { Heading } from '../../../Heading/Heading.js';
import { FaCircleXmarkIcon, FaStarIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import '../../../Input/Input.js';
import '../../../Input/CurrencyInput/CurrencyInput.js';
import { SearchInput } from '../../../Input/SearchInput/SearchInput.js';
import '../../../Layout/Stack/Stack.js';
import { Cluster } from '../../../Layout/Cluster/Cluster.js';
import '../../../Layout/Reel/Reel.js';
import '../../../Layout/Sidebar/Sidebar.js';
import '../../../Layout/Center/Center.js';
import { Section } from '../../../SectioningContent/SectioningContent.js';
import '../../../SectioningContent/levelContext.js';
import { SideNav } from '../../../SideNav/SideNav.js';
import '../../../SideNav/SideNavItemButton.js';
import '../../../TextLink/TextLink.js';
import { HelpLink } from '../../../TextLink/HelpLink/HelpLink.js';
import '../../../TextLink/UpwardLink/UpwardLink.js';
import { useAppLauncher } from '../../hooks/useAppLauncher.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { AppLauncherFeatures } from '../common/AppLauncherFeatures.js';
import { AppLauncherSortDropdown } from '../common/AppLauncherSortDropdown.js';
import { Translate } from '../common/Translate.js';

const appLauncher = ce({
    slots: {
        wrapper: [
            'smarthr-ui-AppLauncher',
            'shr-grid shr-h-[40rem] shr-w-[38rem] shr-grid-rows-[auto_1fr]',
        ],
        searchArea: [
            'smarthr-ui-AppLauncher-searchArea',
            'shr-border-b-shorthand shr-p-1',
            '[&_.smarthr-ui-Input]:shr-h-[42px]',
        ],
        inner: ['smarthr-ui-AppLauncher-inner', 'shr-grid shr-min-h-0 shr-grid-cols-[11rem_1fr]'],
        side: [
            'smarthr-ui-AppLauncher-side',
            'shr-border-r-shorthand shr-flex shr-flex-col shr-bg-column shr-pb-1 shr-pt-0.5',
            '[&_hr]:shr-m-0.5 [&_hr]:shr-h-[1px] [&_hr]:shr-border-none [&_hr]:shr-bg-border',
        ],
        sideNav: [
            '[&_.smarthr-ui-SideNav-item>button]:shr-px-1 [&_.smarthr-ui-SideNav-item>button]:shr-py-0.75',
            '[&_.smarthr-ui-SideNav-item>button>span]:shr-flex-nowrap',
            '[&_.smarthr-ui-SideNav-item>button_.smarthr-ui-Icon]:shr-shrink-0 [&_.smarthr-ui-SideNav-item>button_.smarthr-ui-Icon]:shr-align-bottom',
        ],
        sideNavHeading: ['shr-px-1 shr-py-0.75 shr-text-xs shr-text-black'],
        help: ['smarthr-ui-AppLauncher-help', 'shr-mt-auto shr-px-1 shr-text-xs'],
        main: ['smarthr-ui-AppLauncher-main', 'shr-grid shr-min-h-0'],
        mainInner: ['shr-grid shr-min-h-0 shr-grid-rows-[auto_1fr]'],
        contentHead: [
            'shr-min-h-[2rem] shr-px-1 shr-py-0.75',
            '[&_.smarthr-ui-Heading]:shr-text-black',
        ],
        scrollArea: ['shr-h-[509px] shr-overflow-y-scroll'],
    },
    variants: {
        noIcon: {
            true: {
                sideNav: ['[&_.smarthr-ui-SideNav-item>button]:shr-pl-1.5'],
            },
        },
        selected: {
            false: {
                sideNav: ['[&_.smarthr-ui-SideNav-item>button_.smarthr-ui-Icon]:shr-text-grey'],
            },
        },
    },
});
const AppLauncher = ({ features: baseFeatures }) => {
    const { features, page, mode, sortType, searchQuery, changePage, setSortType, onChangeSearchQuery, onClickClearSearchQuery, } = useAppLauncher(baseFeatures);
    const classNames = useMemo(() => {
        const { wrapper, searchArea, inner, side, sideNav, sideNavHeading, help, main, mainInner, contentHead, scrollArea, } = appLauncher();
        return {
            wrapper: wrapper(),
            searchArea: searchArea(),
            inner: inner(),
            side: side(),
            unselectedSideNav: sideNav({ selected: false }),
            selectedSideNav: sideNav({ noIcon: true, selected: true }),
            sideNavHeading: sideNavHeading(),
            help: help(),
            main: main(),
            mainInner: mainInner(),
            contentHead: contentHead(),
            scrollArea: scrollArea(),
        };
    }, []);
    const translate = useTranslate();
    const translated = useMemo(() => ({
        favorite: jsx(Translate, { children: translate('Launcher/favoriteModeText') }),
        all: jsx(Translate, { children: translate('Launcher/allModeText') }),
        listText: jsx(Translate, { children: translate('Launcher/listText') }),
        searchInputTitle: translate('Launcher/searchInputTitle'),
        helpText: jsx(Translate, { children: translate('Launcher/helpText') }),
        searchResultText: jsx(Translate, { children: translate('Launcher/searchResultText') }),
    }), [translate]);
    return (jsxs("div", { className: classNames.wrapper, children: [jsx("div", { className: classNames.searchArea, children: jsx(SearchInput, { name: "search", title: translated.searchInputTitle, tooltipMessage: jsx(Translate, { children: translated.searchInputTitle }), width: "100%", value: searchQuery, suffix: mode === 'search' && jsx(ClearSearchButton, { onClick: onClickClearSearchQuery }), onChange: onChangeSearchQuery }) }), jsxs("div", { className: classNames.inner, children: [jsx(SideNavs, { mode: mode, page: page, changePage: changePage, translated: translated, classNames: classNames }), jsx("main", { className: classNames.main, children: jsxs(Section, { className: classNames.mainInner, children: [jsxs(Cluster, { className: classNames.contentHead, align: "center", justify: "space-between", children: [jsx(MemoizedSubSubBlockHeading, { children: mode === 'search' ? translated.searchResultText : translated[page] }), (mode === 'search' || page === 'all') && (jsx(AppLauncherSortDropdown, { sortType: sortType, onSelectSortType: setSortType }))] }), jsx("div", { className: classNames.scrollArea, children: jsx(AppLauncherFeatures, { features: features, page: page }) })] }) })] })] }));
};
const ClearSearchButton = memo(({ onClick }) => (jsx(UnstyledButton, { onClick: onClick, children: jsx(FaCircleXmarkIcon, {}) })));
const SideNavs = memo(({ mode, page, changePage, translated, classNames }) => {
    const isNotSearch = mode !== 'search';
    const isFavorite = isNotSearch && page === 'favorite';
    const isAll = isNotSearch && page === 'all';
    const unselectedItems = useMemo(() => [
        {
            id: 'favorite',
            title: translated.favorite,
            prefix: jsx(FaStarIcon, { color: isFavorite ? textColor.white : undefined }),
            current: isFavorite,
        },
    ], [isFavorite, translated]);
    const selectedItems = useMemo(() => [
        {
            id: 'all',
            title: translated.all,
            current: isAll,
        },
    ], [isAll, translated]);
    const onClick = useCallback((_, id) => {
        changePage(id);
    }, [changePage]);
    return (jsxs("div", { className: classNames.side, children: [jsx(SideNav, { className: classNames.unselectedSideNav, size: "s", items: unselectedItems, onClick: onClick }), jsx("hr", {}), jsxs(Section, { children: [jsx(MemoizedSubSubBlockHeading, { className: classNames.sideNavHeading, children: translated.listText }), jsx(SideNav, { className: classNames.selectedSideNav, size: "s", items: selectedItems, onClick: onClick })] }), jsx(HelpLinkArea, { className: classNames.help, children: translated.helpText })] }));
});
const HelpLinkArea = memo(({ children, className }) => (jsx("div", { className: className, children: jsx(HelpLink, { href: "https://support.smarthr.jp/ja/help/articles/2bfd350d-8e8b-4bbd-a209-426d2eb302cc/", target: "_blank", children: children }) })));
const MemoizedSubSubBlockHeading = memo(({ children, className }) => (jsx(Heading, { type: "subSubBlockTitle", className: className, children: children })));

export { AppLauncher };
//# sourceMappingURL=AppLauncher.js.map
