import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Button } from '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { Dropdown } from '../../../Dropdown/Dropdown.js';
import { DropdownTrigger } from '../../../Dropdown/DropdownTrigger.js';
import { DropdownContent } from '../../../Dropdown/DropdownContent.js';
import '../../../Dropdown/DropdownCloser.js';
import '../../../Dropdown/FilterDropdown/FilterDropdown.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../../../Dropdown/SortDropdown/SortDropdown.js';
import { Header } from '../../../Header/Header.js';
import { LanguageSwitcher } from '../../../Header/LanguageSwitcher/LanguageSwitcher.js';
import { HeaderLink } from '../../../Header/HeaderLink.js';
import '../../../Header/HeaderDropdownMenuButton.js';
import '../../../Header/AppLauncher/AppLauncher.js';
import { FaToolboxIcon, FaGraduationCapIcon, FaRegCircleQuestionIcon, FaCircleQuestionIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import '../../../Layout/Stack/Stack.js';
import { Cluster } from '../../../Layout/Cluster/Cluster.js';
import '../../../Layout/Reel/Reel.js';
import '../../../Layout/Sidebar/Sidebar.js';
import '../../../Layout/Center/Center.js';
import { useLocale } from '../../hooks/useLocale.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { localeMap } from '../../multilingualization/localeMap.js';
import { Translate } from '../common/Translate.js';
import { AppLauncher } from './AppLauncher.js';
import { Navigation } from './Navigation.js';
import { UserInfo } from './UserInfo.js';

const classNameGenerator = ce({
    slots: {
        wrapper: 'max-[751px]:!shr-hidden',
        appsButton: [
            'shr-border-none shr-bg-transparent shr-px-0.25 shr-font-normal shr-text-white',
            'hover:shr-border-transparent hover:shr-bg-transparent',
            'focus-visible:shr-border-transparent focus-visible:shr-bg-transparent',
            'forced-colors:shr-border-shorthand',
        ],
    },
});
const DesktopHeader = ({ enableNew, className = '', appName, tenants, currentTenantId, schoolUrl, helpPageUrl, children, userInfo, desktopAdditionalContent, navigations, desktopNavigationAdditionalContent, releaseNote, features, ...props }) => {
    const classNames = useMemo(() => {
        const { wrapper, appsButton } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            appsButton: appsButton(),
        };
    }, [className]);
    const { locale } = useLocale();
    const translate = useTranslate();
    const translated = useMemo(() => ({
        appLauncherLabel: translate('DesktopHeader/DesktopHeader/appLauncherLabel'),
        school: translate('common/school'),
        help: translate('common/help'),
    }), [translate]);
    return (jsxs(Fragment, { children: [jsx(Header, { ...props, enableNew: enableNew, className: classNames.wrapper, featureName: appName, tenants: tenants, currentTenantId: currentTenantId, children: jsxs(Cluster, { align: "center", className: "shr--me-0.25", children: [!enableNew && (jsxs(Fragment, { children: [features && features.length > 0 && (jsxs(Dropdown, { children: [jsx(AppLauncherButton, { enableNew: enableNew, className: classNames.appsButton, children: translated.appLauncherLabel }), jsx(DropdownContent, { controllable: true, children: jsx(AppLauncher, { features: features }) })] })), schoolUrl && (jsx(HeaderLink, { href: schoolUrl, prefix: jsx(FaGraduationCapIcon, {}), className: "shr-flex shr-items-center shr-py-0.75 shr-leading-none", children: jsx(Translate, { children: translated.school }) }))] })), helpPageUrl && (jsx(HeaderLink, { href: helpPageUrl, prefix: enableNew ? jsx(FaRegCircleQuestionIcon, {}) : jsx(FaCircleQuestionIcon, {}), className: enableNew ? undefined : 'shr-flex shr-items-center shr-py-0.75 shr-leading-none', enableNew: enableNew, children: jsx(Translate, { children: translated.help }) })), locale && (jsx(LanguageSwitcher, { localeMap: localeMap, locale: locale.selectedLocale, onLanguageSelect: locale.onSelectLocale, enableNew: enableNew })), children, userInfo && (jsx(UserInfo, { ...userInfo, tenants: tenants, currentTenantId: currentTenantId, desktopAdditionalContent: desktopAdditionalContent, enableNew: enableNew }))] }) }), navigations && (jsx(Navigation, { appName: appName, navigations: navigations, additionalContent: desktopNavigationAdditionalContent, releaseNote: releaseNote, enableNew: enableNew }))] }));
};
const AppLauncherButton = memo(({ enableNew, children, className }) => (jsx(DropdownTrigger, { children: jsx(Button, { prefix: enableNew ?? jsx(FaToolboxIcon, {}), className: className, children: jsx(Translate, { children: children }) }) })));

export { DesktopHeader };
//# sourceMappingURL=DesktopHeader.js.map
