import { memo, useMemo, createElement } from 'react';
import { jsx, jsxs } from 'react/jsx-runtime';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { AppNavi } from '../../../AppNavi/AppNavi.js';
import { AppNaviAnchor } from '../../../AppNavi/AppNaviAnchor.js';
import { AppNaviButton } from '../../../AppNavi/AppNaviButton.js';
import '../../../AppNavi/AppNaviDropdown.js';
import { AppNaviCustomTag } from '../../../AppNavi/AppNaviCustomTag.js';
import { AppNaviDropdownMenuButton } from '../../../AppNavi/AppNaviDropdownMenuButton.js';
import { Button } from '../../../Button/Button.js';
import { AnchorButton as ForwardedAnchorButton } from '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import '../../../Dropdown/Dropdown.js';
import '../../../Dropdown/DropdownTrigger.js';
import '../../../Dropdown/DropdownContent.js';
import '../../../Dropdown/DropdownCloser.js';
import '../../../Dropdown/FilterDropdown/FilterDropdown.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import { DropdownMenuGroup } from '../../../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../../../Dropdown/SortDropdown/SortDropdown.js';
import '../../../Layout/Stack/Stack.js';
import { Cluster } from '../../../Layout/Cluster/Cluster.js';
import '../../../Layout/Reel/Reel.js';
import '../../../Layout/Sidebar/Sidebar.js';
import '../../../Layout/Center/Center.js';
import { commonButtonClassNameGenerator } from '../common/CommonButton.js';
import { ReleaseNotesDropdown } from './ReleaseNotesDropdown.js';

const classNameGenerator = ce({
    base: [
        'shr-min-w-[auto] shr-overflow-x-auto',
        'max-[751px]:!shr-hidden',
        'data-[with-releasenote="true"]:shr-pe-0',
    ],
});
const Navigation = ({ appName, navigations, additionalContent, releaseNote, enableNew, }) => {
    const className = useMemo(() => classNameGenerator(), []);
    const actualNavigations = useMemo(() => buildNavigations(navigations), [navigations]);
    return (jsx(AppNavi, { label: enableNew ? undefined : appName, displayDropdownCaret: true, additionalArea: jsxs(Cluster, { align: "center", className: "shr-flex-nowrap shr-ps-1", children: [additionalContent, releaseNote && jsx(ReleaseNotesDropdown, { ...releaseNote })] }), "data-with-releasenote": !!releaseNote, className: className, children: actualNavigations }));
};
const buildNavigations = (navigations) => navigations.map((navigation, index) => {
    if ('elementAs' in navigation) {
        const { elementAs, ...rest } = navigation;
        return createElement(AppNaviCustomTag, { ...rest, key: index, tag: elementAs });
    }
    if ('href' in navigation) {
        return createElement(AppNaviAnchor, { ...navigation, key: index });
    }
    if ('childNavigations' in navigation) {
        return (jsx(AppNaviDropdownMenuButton, { label: navigation.children, children: buildDropdownMenu(navigation.childNavigations) }, index));
    }
    return createElement(AppNaviButton, { ...navigation, key: index });
});
const buildDropdownMenu = (navigations) => navigations.map((navigation, index) => {
    if ('elementAs' in navigation) {
        return createElement(DropdownCustomTag, { ...navigation, key: index });
    }
    if ('href' in navigation) {
        return createElement(DropdownMenuAnchorButton, { ...navigation, key: index });
    }
    if ('title' in navigation) {
        return (jsx(DropdownMenuGroup, { name: navigation.title, children: buildDropdownMenu(navigation.childNavigations) }, index));
    }
    return createElement(DropdownNavigationButton, { ...navigation, key: index });
});
const DropdownCustomTag = memo(({ elementAs: Component, current, className, ...rest }) => {
    const actualClassName = useMemo(() => commonButtonClassNameGenerator({
        current,
        className,
    }), [current, className]);
    return jsx(Component, { ...rest, "aria-current": current || undefined, className: actualClassName });
});
const DropdownMenuAnchorButton = memo(({ current, ...rest }) => (jsx(ForwardedAnchorButton, { ...rest, "aria-current": current ? 'page' : undefined })));
const DropdownNavigationButton = memo(({ current, ...rest }) => (jsx(Button, { ...rest, "aria-current": current ? 'page' : undefined })));

export { Navigation };
//# sourceMappingURL=Navigation.js.map
