import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Button } from '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { Dropdown } from '../../../Dropdown/Dropdown.js';
import { DropdownTrigger } from '../../../Dropdown/DropdownTrigger.js';
import { DropdownContent } from '../../../Dropdown/DropdownContent.js';
import '../../../Dropdown/DropdownCloser.js';
import '../../../Dropdown/FilterDropdown/FilterDropdown.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../../../Dropdown/SortDropdown/SortDropdown.js';
import { FaCaretDownIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import '../../../Layout/Stack/Stack.js';
import '../../../Layout/Cluster/Cluster.js';
import '../../../Layout/Reel/Reel.js';
import '../../../Layout/Sidebar/Sidebar.js';
import { Center } from '../../../Layout/Center/Center.js';
import { Loader } from '../../../Loader/Loader.js';
import { Text } from '../../../Text/Text.js';
import { TextLink } from '../../../TextLink/TextLink.js';
import '../../../TextLink/HelpLink/HelpLink.js';
import '../../../TextLink/UpwardLink/UpwardLink.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { Translate } from '../common/Translate.js';

const wrapperClassNameGenerator = ce({
    base: 'shr-w-[400px]',
    variants: {
        type: {
            content: '',
        },
    },
});
const BOX_SHADOW_STYLE = { boxShadow: 'none' };
const ReleaseNotesDropdown = ({ indexUrl, links, loading, error }) => {
    const wrapperClassName = useMemo(() => wrapperClassNameGenerator(), []);
    const translate = useTranslate();
    const translated = useMemo(() => ({
        releaseNote: translate('common/releaseNote'),
        loadError: translate('common/releaseNotesLoadError'),
        seeAll: translate('common/seeAllReleaseNotes'),
    }), [translate]);
    return (jsx("div", { className: "shr-border-l-shorthand shr-ms-0.5", children: jsxs(Dropdown, { children: [jsx(ReleaseNoteDropdownTrigger, { children: translated.releaseNote }), jsx(DropdownContent, { className: "shr-mr-1.25", controllable: true, children: jsx("div", { className: "shr-w-[400px]", children: loading ? (jsx(StyledLoader, {})) : error || !links ? (jsx(LoadErrorText, { children: translated.loadError })) : (jsxs("div", { className: wrapperClassName, children: [links.slice(0, 5).map(({ title, url }, index) => (jsx(ArticleLink, { href: url, children: title }, index))), jsx(SeeAllTextLink, { href: indexUrl, children: translated.seeAll })] })) }) })] }) }));
};
const ReleaseNoteDropdownTrigger = memo(({ children }) => (jsx(DropdownTrigger, { children: jsx(Button, { suffix: jsx(FaCaretDownIcon, {}), className: "shr-rounded-none shr-border-none shr-font-normal [&[aria-expanded='true']_.smarthr-ui-Icon:last-child]:shr-rotate-180", children: jsx(Translate, { children: children }) }) })));
const StyledLoader = memo(() => (jsx(Center, { className: "shr-py-3", children: jsx(Loader, {}) })));
const LoadErrorText = memo(({ children }) => (jsx("div", { className: "shr-whitespace-pre-wrap shr-p-0.75", children: jsx(Text, { children: jsx(Translate, { children: children }) }) })));
const ArticleLink = memo(({ href, children }) => (jsx("div", { className: "shr-border-b-shorthand shr-border-dashed shr-p-0.75", children: jsx(TextLink, { href: href, target: "_blank", rel: "noopener noreferrer", className: "shr-leading-normal [&&]:shr-underline", style: BOX_SHADOW_STYLE, children: children }) })));
const SeeAllTextLink = memo(({ href, children }) => (jsx("div", { className: "shr-p-0.75 shr-text-right", children: jsx(TextLink, { href: href, target: "_blank", rel: "noopener noreferrer", className: "shr-leading-normal [&&]:shr-underline", style: BOX_SHADOW_STYLE, children: jsx(Translate, { children: children }) }) })));

export { ReleaseNotesDropdown };
//# sourceMappingURL=ReleaseNotesDropdown.js.map
