import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import { UnstyledButton } from '../../../Button/UnstyledButton.js';
import { FaCircleXmarkIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import '../../../Input/Input.js';
import '../../../Input/CurrencyInput/CurrencyInput.js';
import { SearchInput } from '../../../Input/SearchInput/SearchInput.js';
import '../../../Layout/Stack/Stack.js';
import { Cluster } from '../../../Layout/Cluster/Cluster.js';
import '../../../Layout/Reel/Reel.js';
import '../../../Layout/Sidebar/Sidebar.js';
import '../../../Layout/Center/Center.js';
import { Text } from '../../../Text/Text.js';
import '../../../TextLink/TextLink.js';
import { HelpLink } from '../../../TextLink/HelpLink/HelpLink.js';
import '../../../TextLink/UpwardLink/UpwardLink.js';
import { useAppLauncher } from '../../hooks/useAppLauncher.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { AppLauncherFeatures } from '../common/AppLauncherFeatures.js';
import { AppLauncherSortDropdown } from '../common/AppLauncherSortDropdown.js';
import { Translate } from '../common/Translate.js';
import { AppLauncherFilterDropdown } from './AppLauncherFilterDropdown.js';

const classNameGenerator = ce({
    slots: {
        wrapper: ['smarthr-ui-AppLauncher', 'shr-flex shr-h-full shr-flex-col'],
        searchArea: [
            'smarthr-ui-AppLauncher-searchArea',
            'shr-border-b-shorthand shr-px-1 shr-py-0.75',
            '[&_.smarthr-ui-Input]:shr-h-[42px]',
        ],
        headArea: 'shr-px-1 shr-py-0.75',
        scrollArea: 'shr-flex-1 shr-basis-0 shr-overflow-y-scroll',
        bottomArea: 'shr-border-t-shorthand shr-px-1 shr-py-0.75',
    },
});
const AppLauncher = ({ features: baseFeatures }) => {
    const { features, page, mode, sortType, searchQuery, changePage, setSortType, onChangeSearchQuery, onClickClearSearchQuery, } = useAppLauncher(baseFeatures);
    const classNames = useMemo(() => {
        const { wrapper, searchArea, headArea, scrollArea, bottomArea } = classNameGenerator();
        return {
            wrapper: wrapper(),
            searchArea: searchArea(),
            headArea: headArea(),
            scrollArea: scrollArea(),
            bottomArea: bottomArea(),
        };
    }, []);
    const translate = useTranslate();
    const translated = useMemo(() => ({
        searchInputTitle: translate('Launcher/searchInputTitle'),
        searchResultText: translate('Launcher/searchResultText'),
        helpText: translate('Launcher/helpText'),
    }), [translate]);
    return (jsxs("div", { className: classNames.wrapper, children: [jsx("div", { className: classNames.searchArea, children: jsx(SearchInput, { name: "search", title: translated.searchInputTitle, tooltipMessage: jsx(Translate, { children: translated.searchInputTitle }), width: "100%", value: searchQuery, suffix: mode === 'search' && jsx(ClearSearchButton, { onClick: onClickClearSearchQuery }), onChange: onChangeSearchQuery }) }), jsxs(Cluster, { className: classNames.headArea, justify: "space-between", align: "center", children: [mode === 'search' ? (jsx(SearchResultText, { children: translated.searchResultText })) : (jsx(AppLauncherFilterDropdown, { page: page, onSelectPage: changePage })), (mode === 'search' || page === 'all') && (jsx(AppLauncherSortDropdown, { sortType: sortType, onSelectSortType: setSortType }))] }), jsx("div", { className: classNames.scrollArea, children: jsx(AppLauncherFeatures, { features: features, page: page }) }), jsx(BottomArea, { className: classNames.bottomArea, children: translated.helpText })] }));
};
const ClearSearchButton = memo(({ onClick }) => (jsx(UnstyledButton, { onClick: onClick, children: jsx(FaCircleXmarkIcon, {}) })));
const SearchResultText = memo(({ children }) => (jsx(Text, { size: "S", weight: "bold", children: jsx(Translate, { children: children }) })));
const BottomArea = memo(({ children, className }) => (jsx("div", { className: className, children: jsx(Text, { size: "XS", children: jsx(HelpLink, { href: "https://support.smarthr.jp/ja/help/articles/2bfd350d-8e8b-4bbd-a209-426d2eb302cc/", target: "_blank", children: jsx(Translate, { children: children }) }) }) })));

export { AppLauncher };
//# sourceMappingURL=AppLauncher.js.map
