import { jsxs, jsx } from 'react/jsx-runtime';
import { memo, useMemo, useCallback } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { textColor } from '../../../../themes/tailwind/TailwindConfig.js';
import { Button } from '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { Dropdown } from '../../../Dropdown/Dropdown.js';
import { DropdownTrigger } from '../../../Dropdown/DropdownTrigger.js';
import { DropdownContent } from '../../../Dropdown/DropdownContent.js';
import '../../../Dropdown/DropdownCloser.js';
import '../../../Dropdown/FilterDropdown/FilterDropdown.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../../../Dropdown/SortDropdown/SortDropdown.js';
import { FaCaretDownIcon, FaCheckIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { Translate } from '../common/Translate.js';

const classNameGenerator = ce({
    slots: {
        trigger: [
            'smarthr-ui-AppLauncher-SortDropdown-trigger',
            'shr-gap-0.25 shr-text-grey',
            '[&[aria-expanded="true"]_.smarthr-ui-Icon]:shr-rotate-180',
        ],
        contentBody: ['shr-flex shr-flex-col shr-items-stretch shr-px-0.25 shr-py-0.5'],
        contentButton: [
            'shr-justify-start shr-border-none shr-py-0.75 shr-pl-2.5 shr-font-normal',
            'aria-selected:shr-pl-1',
        ],
    },
});
const AppLauncherFilterDropdown = memo(({ page, onSelectPage }) => {
    const classNames = useMemo(() => {
        const { trigger, contentBody, contentButton } = classNameGenerator();
        return {
            trigger: trigger(),
            contentBody: contentBody(),
            contentButton: contentButton(),
        };
    }, []);
    const translate = useTranslate();
    const translated = useMemo(() => ({
        favorite: translate('Launcher/favoriteModeText'),
        all: translate('MobileHeader/Menu/allAppButton'),
        checkIconAlt: translate('Launcher/sortDropdownSelected'),
    }), [translate]);
    return (jsxs(Dropdown, { children: [jsx(MemoizedDropdownTrigger, { className: classNames.trigger, children: translated[page] }), jsx(DropdownContent, { children: jsx(ContentBody, { page: page, onSelectPage: onSelectPage, translated: translated, className: classNames.contentBody, buttonClassName: classNames.contentButton }) })] }));
});
const MemoizedDropdownTrigger = memo(({ children, className }) => (jsx(DropdownTrigger, { children: jsx(Button, { className: className, size: "s", suffix: jsx(FaCaretDownIcon, {}), children: jsx(Translate, { children: children }) }) })));
const ContentBody = memo(({ page, onSelectPage, translated, className, buttonClassName }) => {
    const isFavorite = page === 'favorite';
    const onClickButton = useCallback((e) => {
        onSelectPage(e.currentTarget.value);
    }, [onSelectPage]);
    const buttonPrefix = (jsx(FaCheckIcon, { color: textColor.main, alt: jsx(Translate, { children: translated.checkIconAlt }) }));
    return (jsxs("div", { role: "listbox", className: className, children: [jsx(Button, { value: "favorite", role: "option", "aria-selected": isFavorite, onClick: onClickButton, className: buttonClassName, prefix: isFavorite && buttonPrefix, children: jsx(Translate, { children: translated.favorite }) }), jsx(Button, { value: "all", role: "option", "aria-selected": !isFavorite, onClick: onClickButton, className: buttonClassName, prefix: !isFavorite && buttonPrefix, children: jsx(Translate, { children: translated.all }) })] }));
});

export { AppLauncherFilterDropdown };
//# sourceMappingURL=AppLauncherFilterDropdown.js.map
