import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { Button } from '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { Dropdown } from '../../../Dropdown/Dropdown.js';
import { DropdownTrigger } from '../../../Dropdown/DropdownTrigger.js';
import { DropdownContent } from '../../../Dropdown/DropdownContent.js';
import '../../../Dropdown/DropdownCloser.js';
import '../../../Dropdown/FilterDropdown/FilterDropdown.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../../../Dropdown/SortDropdown/SortDropdown.js';
import { FaCircleQuestionIcon, FaGraduationCapIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { CommonButton } from '../common/CommonButton.js';
import { Translate } from '../common/Translate.js';

const Help = memo(({ helpPageUrl, schoolUrl }) => helpPageUrl || schoolUrl ? jsx(ActualHelp, { helpPageUrl: helpPageUrl, schoolUrl: schoolUrl }) : null);
const ActualHelp = ({ helpPageUrl, schoolUrl }) => (jsxs(Dropdown, { children: [jsx(MemoizedDropdownTrigger, {}), jsx(DropdownContent, { controllable: true, children: jsx(ContentBody, { helpPageUrl: helpPageUrl, schoolUrl: schoolUrl }) })] }));
const MemoizedDropdownTrigger = memo(() => (jsx(DropdownTrigger, { children: jsx(Button, { variant: "skeleton", size: "s", className: "[&&&]:shr-border-transparent", children: jsx(FaCircleQuestionIcon, { alt: "\u30D8\u30EB\u30D7" }) }) })));
const ContentBody = memo(({ helpPageUrl, schoolUrl }) => {
    const translate = useTranslate();
    const translated = useMemo(() => ({
        help: translate('common/help'),
        school: translate('common/school'),
    }), [translate]);
    return (jsxs("div", { className: "shr-p-0.5", children: [helpPageUrl && (jsx(CommonButton, { elementAs: "a", href: helpPageUrl, target: "_blank", rel: "noopener noreferrer", prefix: jsx(FaCircleQuestionIcon, {}), children: jsx(Translate, { children: translated.help }) })), schoolUrl && (jsx(CommonButton, { elementAs: "a", href: schoolUrl, target: "_blank", rel: "noopener noreferrer", prefix: jsx(FaGraduationCapIcon, {}), children: jsx(Translate, { children: translated.school }) }))] }));
});

export { Help };
//# sourceMappingURL=Help.js.map
