import { jsxs, jsx } from 'react/jsx-runtime';
import { memo, useMemo, useCallback } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Button } from '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { Heading } from '../../../Heading/Heading.js';
import { FaXmarkIcon, FaCheckIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { Section } from '../../../SectioningContent/SectioningContent.js';
import '../../../SectioningContent/levelContext.js';
import { localeMap } from '../../multilingualization/localeMap.js';
import { CommonButton } from '../common/CommonButton.js';

const classNameGenerator = ce({
    slots: {
        header: [
            'shr-border-b-shorthand shr-flex shr-items-center shr-justify-between shr-gap-1 shr-px-1 shr-py-0.75',
        ],
        headerTitle: ['shr-font-normal [&&]:shr-text-base'],
        buttonWrapper: ['shr-p-0.5'],
        button: ['[&&:not(:has(svg))]:shr-ps-2.5'],
    },
});
const LOCALE_KEYS = Object.keys(localeMap);
const LanguageSelector = memo(({ locale, onClickClose }) => {
    const classNames = useMemo(() => {
        const { header, headerTitle, buttonWrapper, button } = classNameGenerator();
        return {
            header: header(),
            headerTitle: headerTitle(),
            buttonWrapper: buttonWrapper(),
            button: button(),
        };
    }, []);
    const onClickLocale = useCallback((e) => {
        locale.onSelectLocale(e.currentTarget.value);
    }, [locale]);
    return (jsxs(Section, { children: [jsx(SelectorHeading, { onClickClose: onClickClose, wrapperClassName: classNames.header, className: classNames.headerTitle }), jsx("div", { className: classNames.buttonWrapper, children: LOCALE_KEYS.map((localeKey) => (jsx(LocaleButton, { value: localeKey, onClick: onClickLocale, selected: localeKey === locale.selectedLocale, className: classNames.button }, localeKey))) })] }));
});
const SelectorHeading = memo(({ onClickClose, wrapperClassName, className }) => (jsxs("div", { className: wrapperClassName, children: [jsx(Heading, { className: className, children: "Language" }), jsx(Button, { type: "button", size: "s", onClick: onClickClose, children: jsx(FaXmarkIcon, { alt: "close" }) })] })));
const LocaleButton = memo(({ value, selected, className, onClick }) => (jsx(CommonButton, { elementAs: "button", type: "button", value: value, onClick: onClick, prefix: selected && jsx(FaCheckIcon, { color: "MAIN" }), className: className, children: localeMap[value] })));

export { LanguageSelector };
//# sourceMappingURL=LanguageSelector.js.map
