import { jsx, jsxs } from 'react/jsx-runtime';
import { useRef, useContext, useMemo, useCallback, useEffect } from 'react';
import CSSTransition from './../../../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/CSSTransition.js';
import './../../../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/ReplaceTransition.js';
import './../../../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/SwitchTransition.js';
import './../../../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/TransitionGroup.js';
import './../../../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/Transition.js';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Button } from '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { FocusTrap } from '../../../Dialog/FocusTrap.js';
import { FaXmarkIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import '../../../Layout/Stack/Stack.js';
import { Cluster } from '../../../Layout/Cluster/Cluster.js';
import '../../../Layout/Reel/Reel.js';
import '../../../Layout/Sidebar/Sidebar.js';
import '../../../Layout/Center/Center.js';
import { Section } from '../../../SectioningContent/SectioningContent.js';
import '../../../SectioningContent/levelContext.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { AppLauncher } from './AppLauncher.js';
import { AppLauncherContext } from './AppLauncherContext.js';
import { MenuSubHeading } from './MenuSubHeading.js';
import { Navigation } from './Navigation.js';
import { NavigationContext } from './NavigationContext.js';
import { ReleaseNote } from './ReleaseNote.js';
import { ReleaseNoteContext } from './ReleaseNoteContext.js';

const classNameGenerator = ce({
    slots: {
        wrapper: [
            'shr-fixed shr-left-0 shr-top-0 shr-flex shr-h-full shr-w-full shr-flex-col shr-bg-white',
            'shr-translate-opacity shr-opacity-0 shr-duration-150',
            '[&&.shr-sp-menu-enter-active]:shr-opacity-100',
            '[&&.shr-sp-menu-enter-done]:shr-opacity-100',
            '[&&.shr-sp-menu-exit-active]:shr-opacity-0',
            '[&&.shr-sp-menu-exit-done]:shr-opacity-0',
        ],
        header: 'shr-border-b-shorthand shr-sticky shr-top-0 shr-px-0.75 shr-py-0.5',
        content: 'shr-overflow-auto shr-p-1',
    },
});
const MenuDialog = ({ isOpen, ...rest }) => {
    const domRef = useRef(null);
    return (jsx(CSSTransition, { classNames: "shr-sp-menu", in: isOpen, timeout: 300, unmountOnExit: true, nodeRef: domRef, children: jsx("div", { className: "shr-fixed shr-z-overlap-base", children: jsx(FocusTrap, { children: jsx(Content, { ...rest, domRef: domRef }) }) }) }));
};
const Content = ({ domRef, children, setIsOpen, tenantSelector }) => {
    const { selectedNavigationGroup, setSelectedNavigationGroup } = useContext(NavigationContext);
    const { isReleaseNoteSelected, setIsReleaseNoteSelected } = useContext(ReleaseNoteContext);
    const { features, isAppLauncherSelected, setIsAppLauncherSelected } = useContext(AppLauncherContext);
    const classNames = useMemo(() => {
        const { wrapper, header, content } = classNameGenerator();
        return {
            wrapper: wrapper(),
            header: header(),
            content: content(),
        };
    }, []);
    const translate = useTranslate();
    const translated = useMemo(() => ({
        launcherListText: translate('Launcher/listText'),
        latestReleaseNotes: translate('MobileHeader/Menu/latestReleaseNotes'),
        closeMenu: translate('MobileHeader/Menu/closeMenu'),
    }), [translate]);
    const dialogClose = useCallback(() => setIsOpen(false), [setIsOpen]);
    const clearAppLauncher = useCallback(() => setIsAppLauncherSelected(false), [setIsAppLauncherSelected]);
    const clearReleaseNote = useCallback(() => setIsReleaseNoteSelected(false), [setIsReleaseNoteSelected]);
    const clearNavigationGroup = useCallback(() => setSelectedNavigationGroup(null), [setSelectedNavigationGroup]);
    // HINT: Contentをanimationで非表示にしたい
    // アニメーションが終われば、CSSTransitionのchildrenはunmountされるため、
    // unmount時に操作内容のclearを行う
    useEffect(() => () => {
        clearReleaseNote();
        clearAppLauncher();
        clearNavigationGroup();
    }, [clearAppLauncher, clearReleaseNote, clearNavigationGroup]);
    return (jsxs(Section, { role: "dialog", "aria-modal": "true", className: classNames.wrapper, ref: domRef, children: [jsx("div", { className: classNames.header, children: jsxs(Cluster, { justify: "space-between", align: "center", children: [isAppLauncherSelected ? (jsx(MenuSubHeading, { title: translated.launcherListText, onClickBack: clearAppLauncher })) : isReleaseNoteSelected ? (
                        // eslint-disable-next-line smarthr/a11y-heading-in-sectioning-content
                        jsx(MenuSubHeading, { title: translated.latestReleaseNotes, onClickBack: clearReleaseNote })) : selectedNavigationGroup ? (
                        // eslint-disable-next-line smarthr/a11y-heading-in-sectioning-content
                        jsx(MenuSubHeading, { title: selectedNavigationGroup.children, onClickBack: clearNavigationGroup })) : (jsx("div", { children: tenantSelector })), jsx(Button, { variant: "secondary", size: "s", onClick: dialogClose, children: jsx(FaXmarkIcon, { alt: translated.closeMenu }) })] }) }), isAppLauncherSelected && features && features.length > 0 ? (jsx(AppLauncher, { features: features })) : (jsx("div", { className: classNames.content, children: isReleaseNoteSelected ? (jsx(ReleaseNote, {})) : selectedNavigationGroup ? (jsx(Navigation, { navigations: selectedNavigationGroup.childNavigations, onClickNavigation: dialogClose })) : (children) }))] }));
};

export { Content, MenuDialog };
//# sourceMappingURL=MenuDialog.js.map
