import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { Button } from '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { Heading } from '../../../Heading/Heading.js';
import { FaArrowLeftIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { Translate } from '../common/Translate.js';

const MenuSubHeading = memo(({ title, onClickBack }) => {
    const translate = useTranslate();
    const backButtonAriaLabel = useMemo(() => translate('MobileHeader/MenuSubHeading/back'), [translate]);
    return (jsxs(Fragment, { children: [jsx(Button, { size: "s", onClick: onClickBack, children: jsx(FaArrowLeftIcon, { alt: backButtonAriaLabel }) }), jsx(Heading, { type: "blockTitle", children: jsx(Translate, { children: title }) })] }));
});

export { MenuSubHeading };
//# sourceMappingURL=MenuSubHeading.js.map
