import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Text } from '../../../Text/Text.js';
import { isChildNavigationGroup } from '../../utils.js';
import { NavigationItem } from './NavigationItem.js';

const separatorClassNameGenerator = ce({
    base: ['[&&]:shr-border-b-shorthand [&&]:shr-mx-0 [&&]:shr-my-0.5'],
});
const Navigation = ({ navigations, onClickNavigation }) => (jsx("div", { children: navigations.map((navigation, i) => isChildNavigationGroup(navigation) ? (jsx(ItemGroup, { navigation: navigation, separated: i + 1 !== navigations.length, onClickNavigation: onClickNavigation }, i)) : (jsx(TerminalItem, { navigation: navigation, nextNavigation: navigations[i + 1], onClickNavigation: onClickNavigation }, i))) }));
const ItemGroup = ({ navigation: { childNavigations, title }, onClickNavigation, separated }) => (jsxs(Fragment, { children: [jsx(ItemGroupTitleText, { children: title }), childNavigations.map((childNavigation, j) => (jsx(NavigationItem, { navigation: childNavigation, onClickNavigation: onClickNavigation }, j))), separated && jsx(Separator, {})] }));
const ItemGroupTitleText = memo(({ children }) => (jsx(Text, { styleType: "subSubBlockTitle", as: "p", className: "shr-py-0.5", children: children })));
const TerminalItem = ({ navigation, nextNavigation, onClickNavigation }) => {
    const isSeparated = useMemo(() => isChildNavigationGroup(nextNavigation), [nextNavigation]);
    return (jsxs(Fragment, { children: [jsx(NavigationItem, { navigation: navigation, onClickNavigation: onClickNavigation }), isSeparated && jsx(Separator, {})] }));
};
const Separator = memo(() => jsx("hr", { className: separatorClassNameGenerator() }));

export { Navigation };
//# sourceMappingURL=Navigation.js.map
