import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useContext, useMemo } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { FaUpRightFromSquareIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { Stack } from '../../../Layout/Stack/Stack.js';
import '../../../Layout/Cluster/Cluster.js';
import '../../../Layout/Reel/Reel.js';
import '../../../Layout/Sidebar/Sidebar.js';
import { Center } from '../../../Layout/Center/Center.js';
import { Loader } from '../../../Loader/Loader.js';
import { Text } from '../../../Text/Text.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { Translate } from '../common/Translate.js';
import { ReleaseNoteContext } from './ReleaseNoteContext.js';

const classNameGenerator = ce({
    slots: {
        anchor: ['shr-text-base shr-text-link [&&]:shr-underline', '[&&]:hover:shr-no-underline'],
        icon: ['shr-ms-0.5'],
        indexLinkWrapper: ['shr-mt-2 shr-text-end'],
        indexLinkAnchor: [
            'shr-text-base shr-text-link [&&]:shr-no-underline',
            '[&&]:hover:shr-underline',
        ],
    },
});
const ReleaseNote = memo(() => {
    const { releaseNote } = useContext(ReleaseNoteContext);
    return releaseNote ? jsx(ActualReleaseNote, { data: releaseNote }) : null;
});
const ActualReleaseNote = ({ data }) => {
    const translate = useTranslate();
    const translated = useMemo(() => ({
        error: translate('common/releaseNotesLoadError'),
        seeAll: translate('common/seeAllReleaseNotes'),
    }), [translate]);
    const classNames = useMemo(() => {
        const { anchor, icon, indexLinkWrapper, indexLinkAnchor } = classNameGenerator();
        return {
            anchor: anchor(),
            icon: icon(),
            indexLinkWrapper: indexLinkWrapper(),
            indexLinkAnchor: indexLinkAnchor(),
        };
    }, []);
    return (jsxs("div", { children: [data.loading ? (jsx(Center, { children: jsx(Loader, {}) })) : data.error ? (jsx(Text, { children: jsx(Translate, { children: translated.error }) })) : (jsx(Stack, { children: data.links.slice(0, 5).map((link) => (jsx("div", { children: jsxs("a", { href: link.url, target: "_blank", rel: "noopener noreferrer", className: classNames.anchor, children: [link.title, jsx(FaUpRightFromSquareIcon, { className: classNames.icon })] }) }, link.url))) })), jsx("div", { className: classNames.indexLinkWrapper, children: jsxs("a", { href: data.indexUrl, target: "_blank", rel: "noopener noreferrer", className: classNames.indexLinkAnchor, children: [jsx(Translate, { children: translated.seeAll }), jsx(FaUpRightFromSquareIcon, { className: classNames.icon })] }) })] }));
};

export { ReleaseNote };
//# sourceMappingURL=ReleaseNote.js.map
