import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo, useCallback } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Dropdown } from '../../../Dropdown/Dropdown.js';
import { DropdownTrigger } from '../../../Dropdown/DropdownTrigger.js';
import { DropdownContent } from '../../../Dropdown/DropdownContent.js';
import '../../../Dropdown/DropdownCloser.js';
import '../../../Dropdown/FilterDropdown/FilterDropdown.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../../../Dropdown/SortDropdown/SortDropdown.js';
import { FaCaretDownIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { Text } from '../../../Text/Text.js';
import { CommonButton } from '../common/CommonButton.js';

const tenantDropdownTriggerButton = ce({
    base: [
        'shr-cursor-pointer shr-rounded-s shr-border-none shr-bg-white shr-px-0.5 shr-py-0.25 shr-text-start shr-text-sm',
        'hover:shr-bg-white-darken',
        '[&[aria-expanded="true"]_.smarthr-ui-Icon:last-child]:shr-rotate-180',
    ],
});
const TenantSelector = ({ tenants, currentTenantId, onTenantSelect }) => {
    const tenantName = useMemo(() => {
        if (!tenants || !currentTenantId || tenants.length === 0) {
            return null;
        }
        return tenants.find((tenant) => tenant.id === currentTenantId)?.name;
    }, [tenants, currentTenantId]);
    return tenantName ? (jsx(ActualTenantSelector, { tenants: tenants, currentTenantId: currentTenantId, onTenantSelect: onTenantSelect, tenantName: tenantName })) : null;
};
const ActualTenantSelector = ({ tenants, currentTenantId, onTenantSelect, tenantName, }) => {
    if (tenants.length === 1 || !onTenantSelect) {
        return jsx(Text, { as: "p", children: tenantName });
    }
    return (jsx(TenantDropdown, { tenants: tenants, currentTenantId: currentTenantId, onTenantSelect: onTenantSelect, tenantName: tenantName }));
};
const TenantDropdown = ({ tenants, currentTenantId, onTenantSelect, tenantName }) => {
    const onClickTenantName = useCallback((e) => {
        onTenantSelect(e.currentTarget.value);
    }, [onTenantSelect]);
    return (jsxs(Dropdown, { children: [jsx(MemoizedTenantDropdownTrigger, { children: tenantName }), jsx(DropdownContent, { controllable: true, children: jsx("div", { className: "shr-p-0.5", children: tenants.map((tenant) => {
                        const isCurrent = tenant.id === currentTenantId;
                        return (jsx(CommonButton, { elementAs: "button", type: "button", value: tenant.id, current: isCurrent, onClick: isCurrent ? undefined : onClickTenantName, children: tenant.name }, tenant.id));
                    }) }) })] }));
};
const MemoizedTenantDropdownTrigger = memo(({ children }) => {
    const actualClassName = useMemo(() => tenantDropdownTriggerButton(), []);
    return (jsx(DropdownTrigger, { children: jsxs("button", { type: "button", className: actualClassName, children: [children, jsx(FaCaretDownIcon, { className: "shr-ms-0.5", color: "TEXT_BLACK" })] }) }));
});

export { TenantSelector };
//# sourceMappingURL=TenantSelector.js.map
