import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { memo, useMemo, useState, useCallback } from 'react';
import { tv as ce } from './../../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Button } from '../../../Button/Button.js';
import '../../../Button/AnchorButton.js';
import '../../../Button/UnstyledButton.js';
import { Dialog } from '../../../Dialog/Dialog.js';
import '../../../Dialog/DialogContentInner.js';
import 'react-dom';
import '../../../Dialog/MessageDialog/MessageDialogContentInner.js';
import '../../../Dialog/DialogWrapper.js';
import '../../../Dialog/ActionDialog/ActionDialogContentInner.js';
import '../../../Dialog/FormDialog/FormDialogContentInner.js';
import '../../../Layout/Stack/Stack.js';
import '../../../Layout/Cluster/Cluster.js';
import '../../../Layout/Reel/Reel.js';
import '../../../Layout/Sidebar/Sidebar.js';
import '../../../Layout/Center/Center.js';
import '../../../SectioningContent/SectioningContent.js';
import '../../../SectioningContent/levelContext.js';
import '../../../Dialog/DialogBody.js';
import '../../../Dialog/DialogContentResponseStatusMessage.js';
import '../../../Dialog/DialogHeader.js';
import '../../../Dialog/dialogInnerStyle.js';
import '../../../Dialog/StepFormDialog/StepFormDialogProvider.js';
import '../../../Dialog/DialogContent.js';
import '../../../Dialog/ModelessDialog/ModelessDialog.js';
import { Dropdown } from '../../../Dropdown/Dropdown.js';
import { DropdownTrigger } from '../../../Dropdown/DropdownTrigger.js';
import { DropdownContent } from '../../../Dropdown/DropdownContent.js';
import '../../../Dropdown/DropdownCloser.js';
import '../../../Dropdown/FilterDropdown/FilterDropdown.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../../../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../../../Dropdown/SortDropdown/SortDropdown.js';
import { FaUserLargeIcon, FaGlobeIcon, FaGearIcon } from '../../../Icon/Icon.js';
import '../../../Icon/generateIcon.js';
import { useLocale } from '../../hooks/useLocale.js';
import { useTranslate } from '../../hooks/useTranslate.js';
import { buildDisplayName } from '../../utils.js';
import { CommonButton } from '../common/CommonButton.js';
import { Translate } from '../common/Translate.js';
import { LanguageSelector } from './LanguageSelector.js';

const classNameGenerator = ce({
    slots: {
        iconButton: ['[&&&]:shr-border-transparent [&&]:shr-p-0.25'],
        iconButtonInner: [
            'shr-border-shorthand shr-block shr-flex shr-items-center shr-justify-center shr-rounded-full shr-bg-white shr-p-0.25',
        ],
        dropdownUserName: ['shr-box-border shr-min-w-[246px] shr-px-1 shr-py-0.75 shr-text-sm'],
        dropdownButtonArea: ['shr-border-t-shorthand shr-p-0.5'],
    },
});
const UserInfo = memo(({ arbitraryDisplayName, email, empCode, firstName, lastName, accountUrl }) => {
    const displayName = useMemo(() => arbitraryDisplayName ??
        buildDisplayName({
            email,
            empCode,
            firstName,
            lastName,
        }), [arbitraryDisplayName, email, empCode, firstName, lastName]);
    return displayName ? jsx(ActualUserInfo, { accountUrl: accountUrl, displayName: displayName }) : null;
});
const ActualUserInfo = ({ displayName, accountUrl, }) => {
    const [languageDialogOpen, setLanguageDialogOpen] = useState(false);
    const dialogOpen = useCallback(() => setLanguageDialogOpen(true), []);
    const dialogClose = useCallback(() => setLanguageDialogOpen(false), []);
    const { locale } = useLocale();
    const translate = useTranslate();
    const translated = useMemo(() => ({
        account: translate('MobileHeader/UserInfo/account'),
        userSetting: translate('common/userSetting'),
    }), [translate]);
    const classNames = useMemo(() => {
        const { iconButton, iconButtonInner, dropdownUserName, dropdownButtonArea } = classNameGenerator();
        return {
            iconButton: iconButton(),
            iconButtonInner: iconButtonInner(),
            dropdownUserName: dropdownUserName(),
            dropdownButtonArea: dropdownButtonArea(),
        };
    }, []);
    return (jsxs(Fragment, { children: [jsxs(Dropdown, { children: [jsx(DropdownTrigger, { children: jsx(Button, { variant: "skeleton", size: "s", className: classNames.iconButton, children: jsx("span", { className: classNames.iconButtonInner, children: jsx(FaUserLargeIcon, { alt: translated.account, className: "shr-fill-grey" }) }) }) }), jsxs(DropdownContent, { children: [jsx("div", { className: classNames.dropdownUserName, children: jsx("p", { children: displayName }) }), (locale || accountUrl) && (jsxs("div", { className: classNames.dropdownButtonArea, children: [locale && (jsx(CommonButton, { elementAs: "button", type: "button", onClick: dialogOpen, prefix: jsx(FaGlobeIcon, {}), children: "Language" })), accountUrl && (jsx(CommonButton, { elementAs: "a", href: accountUrl, target: "_blank", rel: "noopener noreferrer", prefix: jsx(FaGearIcon, {}), children: jsx(Translate, { children: translated.userSetting }) }))] }))] })] }), locale && (jsx(Dialog, { isOpen: languageDialogOpen, onClickOverlay: dialogClose, width: 246, children: jsx(LanguageSelector, { locale: locale, onClickClose: dialogClose }) }))] }));
};

export { UserInfo };
//# sourceMappingURL=UserInfo.js.map
