import { jsx } from 'react/jsx-runtime';
import { createContext, useContext } from 'react';

const LocaleContext = createContext({
    locale: null,
});
const LocaleContextProvider = ({ locale, children }) => (jsx(LocaleContext.Provider, { value: { locale }, children: children }));
const useLocale = () => useContext(LocaleContext);

export { LocaleContextProvider, useLocale };
//# sourceMappingURL=useLocale.js.map
