import { useCallback } from 'react';
import { translate } from '../multilingualization/translate.js';
import { useLocale } from './useLocale.js';

const useTranslate = () => {
    const { locale } = useLocale();
    return useCallback((id) => translate(id, locale?.selectedLocale), [locale?.selectedLocale]);
};

export { useTranslate };
//# sourceMappingURL=useTranslate.js.map
