import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useId, useMemo, Children, isValidElement, Fragment } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Nav } from '../SectioningContent/SectioningContent.js';
import '../SectioningContent/levelContext.js';
import { StatusLabel } from '../StatusLabel/StatusLabel.js';
import '../StatusLabel/RequiredLabel/RequiredLabel.js';
import { AppNaviAnchor } from './AppNaviAnchor.js';
import { AppNaviButton } from './AppNaviButton.js';
import { AppNaviCustomTag } from './AppNaviCustomTag.js';
import { AppNaviDropdown } from './AppNaviDropdown.js';

const classNameGenerator = ce({
    slots: {
        wrapper: [
            'smarthr-ui-AppNavi',
            'shr-flex shr-min-w-max shr-items-center shr-bg-white shr-px-1.5 shr-shadow-layer-1',
        ],
        statusLabel: ['smarthr-ui-AppNavi-label', 'shr-me-1 shr-shrink-0'],
        buttonsEl: [
            'smarthr-ui-AppNavi-buttons',
            'shr-flex shr-items-stretch shr-gap-1 shr-self-stretch',
        ],
        listItem: ['smarthr-ui-AppNavi-listItem', 'shr-list-none'],
        additionalAreaEl: 'shr-ms-auto',
    },
});
const { wrapper, statusLabel, buttonsEl, listItem, additionalAreaEl } = classNameGenerator();
const classNames = {
    statusLabel: statusLabel(),
    buttonsEl: buttonsEl(),
    listItem: listItem(),
    additionalAreaEl: additionalAreaEl(),
};
const AppNavi = ({ label, buttons, className, children, displayDropdownCaret, additionalArea, ...rest }) => {
    const labelId = useId();
    const wrapperClassName = useMemo(() => wrapper({ className }), [className]);
    return (jsxs(Nav, { ...rest, "aria-labelledby": labelId, className: wrapperClassName, children: [jsx(MemoizedStatusLabel, { id: labelId, children: label }), jsxs("ul", { className: classNames.buttonsEl, children: [buttons &&
                        buttons.map((button, i) => (jsx("li", { className: classNames.listItem, children: 'tag' in button ? (jsx(AppNaviCustomTag, { ...button })) : 'href' in button ? (jsx(AppNaviAnchor, { ...button })) : 'dropdownContent' in button ? (jsx(AppNaviDropdown, { ...button, displayCaret: displayDropdownCaret })) : (jsx(AppNaviButton, { ...button })) }, i))), renderButtons(children)] }), additionalArea && jsx("div", { className: classNames.additionalAreaEl, children: additionalArea })] }));
};
const MemoizedStatusLabel = memo(({ id, children }) => children && (jsx(StatusLabel, { "aria-hidden": true, id: id, className: classNames.statusLabel, children: children })));
const renderButtons = (children) => Children.map(children, (child) => {
    if (!child || !isValidElement(child)) {
        return null;
    }
    if (child.type === Fragment) {
        return renderButtons(child.props.children);
    }
    return jsx("li", { className: classNames.listItem, children: child });
});

export { AppNavi };
//# sourceMappingURL=AppNavi.js.map
