import { jsxs, jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Button/Button.js';
import '../Button/AnchorButton.js';
import { UnstyledButton } from '../Button/UnstyledButton.js';
import { itemClassNameGenerator } from './itemClassNameGenerator.js';

const classNameGenerator = ce({
    extend: itemClassNameGenerator,
    slots: {
        wrapper: 'smarthr-ui-AppNavi-button',
    },
});
const AppNaviButton = ({ children, icon: Icon, current, onClick, }) => {
    const classNames = useMemo(() => {
        const { wrapper, icon } = classNameGenerator({ active: current });
        return {
            wrapper: wrapper(),
            icon: icon(),
        };
    }, [current]);
    return (jsxs(UnstyledButton, { "aria-current": current ? 'page' : undefined, onClick: onClick, className: classNames.wrapper, children: [Icon && jsx(Icon, { className: classNames.icon }), children] }));
};

export { AppNaviButton };
//# sourceMappingURL=AppNaviButton.js.map
