import { jsxs, jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { itemClassNameGenerator } from './itemClassNameGenerator.js';

const classNameGenerator = ce({
    extend: itemClassNameGenerator,
    slots: {
        wrapper: 'smarthr-ui-AppNavi-customTag',
    },
});
const AppNaviCustomTag = ({ children, tag: Tag, icon: Icon, current, ...props }) => {
    const classNames = useMemo(() => {
        const { wrapper, icon } = classNameGenerator({ active: current });
        return {
            wrapper: wrapper(),
            icon: icon(),
        };
    }, [current]);
    return (jsxs(Tag, { ...props, "aria-current": current ? 'page' : undefined, className: classNames.wrapper, children: [Icon && jsx(Icon, { className: classNames.icon }), children] }));
};

export { AppNaviCustomTag };
//# sourceMappingURL=AppNaviCustomTag.js.map
