import { jsxs, jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Button/Button.js';
import '../Button/AnchorButton.js';
import { UnstyledButton } from '../Button/UnstyledButton.js';
import { Dropdown } from '../Dropdown/Dropdown.js';
import { DropdownTrigger } from '../Dropdown/DropdownTrigger.js';
import { DropdownContent } from '../Dropdown/DropdownContent.js';
import '../Dropdown/DropdownCloser.js';
import '../Dropdown/FilterDropdown/FilterDropdown.js';
import '../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../Dropdown/SortDropdown/SortDropdown.js';
import { FaCaretDownIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';
import { itemClassNameGenerator } from './itemClassNameGenerator.js';

const classNameGenerator = ce({
    extend: itemClassNameGenerator,
    variants: {
        displayCaret: {
            true: {
                wrapper: [
                    'smarthr-ui-AppNavi-dropdown',
                    '[&[aria-expanded="true"]_.smarthr-ui-Icon:last-child]:shr-rotate-180',
                ],
            },
        },
    },
});
const AppNaviDropdown = ({ children, dropdownContent, icon: Icon, current, displayCaret, }) => {
    const classNames = useMemo(() => {
        const { wrapper, icon } = classNameGenerator({ active: current, displayCaret });
        return {
            wrapper: wrapper(),
            icon: icon(),
        };
    }, [current, displayCaret]);
    return (jsxs(Dropdown, { children: [jsx(DropdownTrigger, { children: jsxs(UnstyledButton, { "aria-current": current ? 'page' : undefined, className: classNames.wrapper, children: [Icon && jsx(Icon, { className: classNames.icon }), children, displayCaret && jsx(FaCaretDownIcon, {})] }) }), jsx(DropdownContent, { children: dropdownContent })] }));
};

export { AppNaviDropdown };
//# sourceMappingURL=AppNaviDropdown.js.map
