import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { Children, isValidElement, Fragment as Fragment$1, cloneElement } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Dropdown/Dropdown.js';
import '../Dropdown/DropdownTrigger.js';
import '../Dropdown/DropdownContent.js';
import '../Dropdown/DropdownCloser.js';
import '../Dropdown/FilterDropdown/FilterDropdown.js';
import { DropdownMenuButton } from '../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import { DropdownMenuGroup } from '../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../Dropdown/SortDropdown/SortDropdown.js';

const classNameGenerator = ce({
    slots: {
        trigger: [
            'smarthr-ui-AppNavi-dropdownMenuButton',
            [
                '[&_.smarthr-ui-DropdownMenuButton-trigger]:shr-border-none',
                '[&_.smarthr-ui-DropdownMenuButton-trigger]:shr-px-0.5',
                '[&_.smarthr-ui-DropdownMenuButton-trigger]:shr-text-grey',
                '[&_.smarthr-ui-DropdownMenuButton-trigger]:shr-rounded-none',
            ],
            [
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:shr-relative',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:shr-text-black',
            ],
            [
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-content-[""]',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-absolute',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-bottom-0',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-inset-x-0',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-h-0.25',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-bg-main',
            ],
        ],
        actionItem: [
            'aria-current-page:shr-bg-grey-9 aria-current-page:shr-font-bold',
            // aria-current-page より詳細度を確実に上げる
            '[&&]:hover:shr-bg-head-darken',
        ],
    },
});
const { trigger, actionItem } = classNameGenerator();
const renderItemList = (children) => Children.map(children, (item) => {
    if (!isValidElement(item)) {
        return null;
    }
    if (item.type === Fragment$1) {
        return renderItemList(item.props.children);
    }
    if (item.type === DropdownMenuGroup) {
        return (jsx(DropdownMenuGroup, { ...item.props, children: renderItemList(item.props.children) }));
    }
    return cloneElement(item, {
        className: actionItem({ className: item.props.className }),
    });
});
const AppNaviDropdownMenuButton = ({ label, onOpen, onClose, children }) => (jsx(DropdownMenuButton, { label: jsxs(Fragment, { children: [label, jsx("span", { hidden: true, children: children })] }), onOpen: onOpen, onClose: onClose, className: trigger(), children: renderItemList(children) }));

export { AppNaviDropdownMenuButton };
//# sourceMappingURL=AppNaviDropdownMenuButton.js.map
