"use client";
import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useSectionWrapper } from '../SectioningContent/useSectioningWrapper.js';

const baseClassNameGenerator = ce({
    base: 'smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast',
    variants: {
        paddingBlock: {
            0: 'shr-py-0',
            0.25: 'shr-py-0.25',
            0.5: 'shr-py-0.5',
            0.75: 'shr-py-0.75',
            1: 'shr-py-1',
            1.25: 'shr-py-1.25',
            1.5: 'shr-py-1.5',
            2: 'shr-py-2',
            2.5: 'shr-py-2.5',
            3: 'shr-py-3',
            3.5: 'shr-py-3.5',
            4: 'shr-py-4',
            8: 'shr-py-8',
            X3S: 'shr-py-0.25',
            XXS: 'shr-py-0.5',
            XS: 'shr-py-1',
            S: 'shr-py-1.5',
            M: 'shr-py-2',
            L: 'shr-py-2.5',
            XL: 'shr-py-3',
            XXL: 'shr-py-3.5',
            X3L: 'shr-py-4',
        },
        paddingInline: {
            0: 'shr-px-0',
            0.25: 'shr-px-0.25',
            0.5: 'shr-px-0.5',
            0.75: 'shr-px-0.75',
            1: 'shr-px-1',
            1.25: 'shr-px-1.25',
            1.5: 'shr-px-1.5',
            2: 'shr-px-2',
            2.5: 'shr-px-2.5',
            3: 'shr-px-3',
            3.5: 'shr-px-3.5',
            4: 'shr-px-4',
            8: 'shr-px-8',
            X3S: 'shr-px-0.25',
            XXS: 'shr-px-0.5',
            XS: 'shr-px-1',
            S: 'shr-px-1.5',
            M: 'shr-px-2',
            L: 'shr-px-2.5',
            XL: 'shr-px-3',
            XXL: 'shr-px-3.5',
            X3L: 'shr-px-4',
        },
        radius: {
            s: 'shr-rounded-m',
            m: 'shr-rounded-l',
        },
        overflowBlock: {
            visible: 'shr-overflow-y-visible',
            hidden: 'shr-overflow-y-hidden',
            clip: 'shr-overflow-y-clip',
            scroll: 'shr-overflow-y-scroll',
            auto: 'shr-overflow-y-auto',
        },
        overflowInline: {
            visible: 'shr-overflow-x-visible',
            hidden: 'shr-overflow-x-hidden',
            clip: 'shr-overflow-x-clip',
            scroll: 'shr-overflow-x-scroll',
            auto: 'shr-overflow-x-auto',
        },
        layer: {
            0: 'shr-shadow-layer-0',
            1: 'shr-shadow-layer-1',
            2: 'shr-shadow-layer-2',
            3: 'shr-shadow-layer-3',
            4: 'shr-shadow-layer-4',
        },
    },
});
const Base = forwardRef(({ padding, radius, overflow, layer, as: Component = 'div', className, ...props }, ref) => {
    const actualClassName = useMemo(() => {
        const actualPadding = padding instanceof Object ? padding : { block: padding, inline: padding };
        const actualOverflow = overflow instanceof Object ? overflow : { x: overflow, y: overflow };
        return baseClassNameGenerator({
            paddingBlock: actualPadding.block,
            paddingInline: actualPadding.inline,
            radius: radius ?? 'm',
            overflowBlock: actualOverflow.y,
            overflowInline: actualOverflow.x,
            layer: layer ?? 1,
            className,
        });
    }, [layer, overflow, padding, radius, className]);
    const Wrapper = useSectionWrapper(Component);
    const body = jsx(Component, { ...props, ref: ref, className: actualClassName });
    if (Wrapper) {
        return jsx(Wrapper, { children: body });
    }
    return body;
});

export { Base, baseClassNameGenerator };
//# sourceMappingURL=Base.js.map
