import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../../../themes/tailwind/TailwindConfig.js';
import { bgColors } from '../../../themes/tailwind/bgColors.js';
import { Base } from '../Base.js';

const classNameGenerator = ce({
    base: 'shr-rounded-[unset]',
    variants: {
        bgColor: bgColors,
    },
    defaultVariants: {
        bgColor: 'COLUMN',
    },
});
const BaseColumn = ({ bgColor, padding = 1, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ bgColor, className }), [bgColor, className]);
    return jsx(Base, { ...props, padding: padding, layer: 0, className: actualClassName });
};

export { BaseColumn };
//# sourceMappingURL=BaseColumn.js.map
