"use client";
import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo, useEffect } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Base } from '../Base/Base.js';
import '../Base/BaseColumn/BaseColumn.js';
import { Button } from '../Button/Button.js';
import '../Button/AnchorButton.js';
import '../Button/UnstyledButton.js';
import { Stack } from '../Layout/Stack/Stack.js';
import { Cluster } from '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';
import { validateElement } from './helper.js';

const classNameGenerator = ce({
    slots: {
        wrapper: [
            'smarthr-ui-BottomFixedArea',
            'shr-fixed shr-bottom-0 shr-z-fixed-menu shr-box-border shr-w-full shr-rounded-none shr-p-1.5 shr-text-center',
            // Layer 3 だが、上方向への指定のためベタ書き： https://smarthr.design/products/design-tokens/shadow/
            '[box-shadow:_0_-4px_8px_2px_rgba(0,_0,_0,_0.24)]',
            '[&_ul]:shr-list-none',
        ],
        tertiaryButton: [
            'smarthr-ui-BottomFixedArea-tertiaryLink',
            '-shr-mb-0.5 shr-font-normal shr-text-main',
        ],
    },
});
/**
 * @deprecated BottomFixedArea は非推奨です。FloatArea を使ってください。 https://smarthr.design/products/components/float-area/
 */
const BottomFixedArea = ({ description, primaryButton, secondaryButton, tertiaryLinks, zIndex, className, ...props }) => {
    const classNames = useMemo(() => {
        const { wrapper, tertiaryButton } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            tertiaryButton: tertiaryButton(),
        };
    }, [className]);
    const style = useMemo(() => ({ zIndex }), [zIndex]);
    useEffect(() => {
        validateElement(primaryButton, secondaryButton);
    }, [primaryButton, secondaryButton]);
    return (jsx(Base, { ...props, className: classNames.wrapper, style: style, children: jsxs(Stack, { children: [jsx(Description, { children: description }), jsxs(Stack, { gap: 0.25, children: [(secondaryButton || primaryButton) && (jsxs(Cluster, { as: "ul", justify: "center", gap: { row: 0.5, column: 1 }, children: [secondaryButton && (jsx("li", { className: "smarthr-ui-BottomFixedArea-secondaryButton", children: secondaryButton })), primaryButton && (jsx("li", { className: "smarthr-ui-BottomFixedArea-primaryButton", children: primaryButton }))] })), tertiaryLinks && tertiaryLinks.length > 0 && (jsx(Cluster, { as: "ul", justify: "center", gap: { row: 0.5, column: 0 }, children: tertiaryLinks.map(({ text, icon: Icon, ...tertiaryRest }, index) => (jsx("li", { className: "smarthr-ui-BottomFixedArea-tertiaryListItem", children: jsx(Button, { ...tertiaryRest, variant: "text", prefix: Icon && jsx(Icon, {}), className: classNames.tertiaryButton, children: text }) }, index))) }))] })] }) }));
};
const Description = memo(({ children }) => children && jsx("p", { className: "smarthr-ui-BottomFixedArea-description", children: children }));

export { BottomFixedArea };
//# sourceMappingURL=BottomFixedArea.js.map
