import { jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import { BrowserItem } from './BrowserItem.js';

const getColumnId = (column) => `column-${column}`;
const BrowserColumn = ({ items, index: columnIndex, value, onChangeInput }) => (jsx("div", { className: "[&:not(:last-child)]:shr-border-r-shorthand last:shr-flex-1 [&:not(:last-child)]:shr-w-[218px]", children: jsx("ul", { className: "shr-list-none shr-px-0.25 shr-py-0.5", id: getColumnId(columnIndex), children: items.map((item, rowIndex) => (jsx(ListItem, { itemValue: item.value, itemLabel: item.label, itemHasChildren: item.children.length > 0, value: value, columnIndex: columnIndex, rowIndex: rowIndex, onChangeInput: onChangeInput }, rowIndex))) }) }));
const ListItem = memo(({ itemValue, itemLabel, itemHasChildren, value, columnIndex, rowIndex, onChangeInput }) => {
    const selected = itemValue === value;
    const ariaOwns = selected && itemHasChildren ? getColumnId(columnIndex + 1) : undefined;
    const tabIndex = selected || (!value && columnIndex === 0 && rowIndex === 0) ? 0 : -1;
    return (jsx("li", { "aria-owns": ariaOwns, children: jsx(BrowserItem, { selected: selected, itemValue: itemValue, itemLabel: itemLabel, itemHasChildren: itemHasChildren, columnIndex: columnIndex, tabIndex: tabIndex, onChangeInput: onChangeInput }) }, rowIndex));
});

export { BrowserColumn };
//# sourceMappingURL=BrowserColumn.js.map
