import { jsxs, jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { FaAngleRightIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';
import '../Layout/Stack/Stack.js';
import { Cluster } from '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';
import { Text } from '../Text/Text.js';
import { getElementIdFromNode } from './utils.js';

const classNameGenerator = ce({
    base: [
        'shr-block shr-rounded-m shr-px-1 shr-py-0.5 focus-within:shr-shadow-outline',
        '[&[data-selected="true"][data-type="parent"]]:shr-bg-white-darken',
        '[&[data-selected="true"][data-type="last"]]:shr-bg-main [&[data-selected="true"][data-type="last"]]:shr-text-white [&[data-selected="true"][data-type="last"]]:forced-colors:shr-bg-[Highlight]',
        '[&[data-selected="false"]]:hover:shr-bg-white-darken',
    ],
});
const KEYDOWN_REGEX = /^((Arrow(Right|Left|Up|Down))|Enter| )$/;
const HANDLE_KEYDOWN = (e) => {
    if (KEYDOWN_REGEX.test(e.key)) {
        e.preventDefault();
    }
};
const BrowserItem = ({ selected, itemValue, itemLabel, itemHasChildren, tabIndex, columnIndex, onChangeInput, }) => {
    const inputId = useMemo(() => getElementIdFromNode(itemValue), [itemValue]);
    const className = useMemo(() => classNameGenerator(), []);
    return (jsxs("label", { htmlFor: inputId, "data-selected": selected, "data-type": itemHasChildren ? 'parent' : 'last', className: className, children: [jsx("input", { className: "shr-sr-only", type: "radio", id: inputId, name: `column-${columnIndex}`, value: itemValue, tabIndex: tabIndex, onKeyDown: HANDLE_KEYDOWN, onChange: onChangeInput, checked: selected }), jsx(BodyCluster, { label: itemLabel, hasChildren: itemHasChildren })] }));
};
const BodyCluster = memo(({ label, hasChildren }) => (jsxs(Cluster, { align: "center", justify: "space-between", as: "span", children: [jsx(Text, { children: label }), hasChildren && jsx(FaAngleRightIcon, {})] })));

export { BrowserItem };
//# sourceMappingURL=BrowserItem.js.map
