"use client";
import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { ButtonWrapper } from './ButtonWrapper.js';
import { DisabledDetail } from './DisabledDetail.js';

const classNameGenerator = ce({
    base: 'smarthr-ui-AnchorButton',
});
const AnchorButton = forwardRef(({ size = 'default', prefix, suffix, wide = false, variant = 'secondary', disabledDetail, target, rel, elementAs, className, children, ...props }, ref) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    const button = (jsx(ButtonWrapper, { ...props, size: size, wide: wide, variant: variant, className: actualClassName, target: target, rel: rel === undefined && target === '_blank' ? 'noopener noreferrer' : rel, isAnchor: true, anchorRef: ref, elementAs: elementAs, prefix: prefix, suffix: suffix, children: children }));
    if (!props.href && disabledDetail) {
        return jsx(DisabledDetail, { button: button, disabledDetail: disabledDetail });
    }
    return button;
});
const ForwardedAnchorButton = AnchorButton;
// BottomFixedArea での判定に用いるために displayName を明示的に設定する
ForwardedAnchorButton.displayName = 'AnchorButton';

export { ForwardedAnchorButton as AnchorButton };
//# sourceMappingURL=AnchorButton.js.map
