"use client";
import { jsxs, jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo, memo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { usePortal } from '../../hooks/usePortal.js';
import '../../intl/IntlProvider.js';
import 'react-intl';
import { Localizer } from '../../intl/Localizer.js';
import { VisuallyHiddenText } from '../VisuallyHiddenText/VisuallyHiddenText.js';
import { ButtonWrapper } from './ButtonWrapper.js';
import { DisabledDetail } from './DisabledDetail.js';

const classNameGenerator = ce({
    slots: {
        wrapper: 'smarthr-ui-Button',
    },
});
const Button = forwardRef(({ type = 'button', size = 'default', prefix, suffix, wide = false, variant = 'secondary', disabled, disabledDetail, className, children, loading = false, ...props }, ref) => {
    const classNames = useMemo(() => {
        const { wrapper } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
        };
    }, [className]);
    const button = (jsxs(ButtonWrapper, { ...props, buttonRef: ref, type: type, size: size, wide: wide, variant: variant, className: classNames.wrapper, "$loading": loading, prefix: prefix, suffix: suffix, disabled: disabled, children: [jsx(LoadingStatus, { loading: loading }), children] }));
    if (disabled && disabledDetail) {
        return jsx(DisabledDetail, { button: button, disabledDetail: disabledDetail });
    }
    return button;
});
// BottomFixedArea での判定に用いるために displayName を明示的に設定する
Button.displayName = 'Button';
const LoadingStatus = memo(({ loading }) => {
    const { createPortal } = usePortal();
    // `button` 要素内で live region を使うことはできないので、`role="status"` を持つ要素を外側に配置している。 https://github.com/kufu/smarthr-ui/pull/4558
    return createPortal(jsx(VisuallyHiddenText, { role: "status", children: loading && jsx(Localizer, { id: "smarthr-ui/Button/loading", defaultText: "\u51E6\u7406\u4E2D" }) }));
});

export { Button };
//# sourceMappingURL=Button.js.map
