import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { FaCircleInfoIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';
import { Tooltip } from '../Tooltip/Tooltip.js';

const classNameGenerator = ce({
    slots: {
        wrapper: ['smarthr-ui-Button-disabledWrapper', 'shr-inline-flex shr-items-center shr-gap-0.25'],
        tooltip: [
            'shr-overflow-y-visible',
            /* Tooltip との距離を変えずに反応範囲を広げるために negative space を使う */
            '[&_.smarthr-ui-Icon]:-shr-m-0.25',
            /* global style��どでborder-boxが適用されている場合表示崩れを起こす為、content-boxを指定する */
            '[&_.smarthr-ui-Icon]:shr-box-content',
            '[&_.smarthr-ui-Icon]:shr-p-0.25',
            '[&_.smarthr-ui-Icon]:shr-text-grey',
        ],
    },
});
const DisabledDetail = ({ button, disabledDetail }) => {
    const classNames = useMemo(() => {
        const { wrapper, tooltip } = classNameGenerator();
        return {
            wrapper: wrapper(),
            tooltip: tooltip(),
        };
    }, []);
    return (jsxs("div", { className: classNames.wrapper, children: [button, jsx(TooltipIcon, { icon: disabledDetail.icon, message: disabledDetail.message, className: classNames.tooltip })] }));
};
const TooltipIcon = memo(({ icon, message, className }) => {
    const DisabledDetailIcon = icon ?? FaCircleInfoIcon;
    return (jsx(Tooltip, { message: message, triggerType: "icon", className: className, children: jsx(DisabledDetailIcon, {}) }));
});

export { DisabledDetail };
//# sourceMappingURL=DisabledDetail.js.map
