import dayjs from 'dayjs';
import { type ComponentPropsWithoutRef, type FC, type MouseEvent } from 'react';
type Props = {
    /** 現在の日付 */
    current: {
        day: DayJsType;
        months: Array<Array<number | null>>;
    };
    /** 選択可能な開始日 */
    from: Date;
    /** 選択可能な終了日 */
    to: Date;
    /** トリガのセレクトイベントを処理するハンドラ */
    onSelectDate: (e: MouseEvent, date: Date) => void;
    /** 選択された日付 */
    selectedDayText: string;
};
type ElementProps = Omit<ComponentPropsWithoutRef<'table'>, keyof Props>;
type DayJsType = ReturnType<typeof dayjs>;
export declare const CalendarTable: FC<Props & ElementProps>;
export {};
