import { type ComponentProps, type FC, type MouseEvent } from 'react';
type AbstractProps = {
    /** 選択された年 */
    selectedYear?: number;
    /** 選択可能な開始年 */
    fromYear: number;
    /** 選択可能な終了年 */
    toYear: number;
    /** トリガのセレクトイベントを処理するハンドラ */
    onSelectYear: (e: MouseEvent<HTMLButtonElement>) => void;
    /** 表示フラグ */
    isDisplayed: boolean;
    /** HTMLのid属性 */
    id: string;
};
type ElementProps = Omit<ComponentProps<'div'>, keyof AbstractProps>;
type Props = AbstractProps & ElementProps;
export declare const YearPicker: FC<Props & ElementProps>;
export {};
