import { jsx } from 'react/jsx-runtime';
import { memo, useMemo, useRef, useEffect } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Button/Button.js';
import '../Button/AnchorButton.js';
import { UnstyledButton } from '../Button/UnstyledButton.js';

const classNameGenerator = ce({
    slots: {
        overlay: 'smarthr-ui-YearPicker shr-absolute shr-inset-0 shr-bg-white',
        container: 'shr-box-border shr-flex shr-h-full shr-w-full shr-flex-wrap shr-items-start shr-overflow-y-auto shr-px-0.25 shr-py-0.5',
        yearButton: 'smarthr-ui-YearPicker-selectYear shr-group shr-flex shr-w-1/4 shr-items-center shr-justify-center shr-px-0 shr-py-0.5 shr-leading-none',
        yearWrapper: [
            'shr-box-border shr-inline-block shr-rounded-full shr-px-0.75 shr-py-0.5 shr-text-base shr-leading-none group-hover:shr-bg-base-grey group-hover:shr-text-black',
            '[[data-this-year="true"]>&]:shr-border-shorthand',
            '[[aria-pressed="true"]>&]:shr-bg-main [[aria-pressed="true"]>&]:shr-text-white',
        ],
    },
});
const YearPicker = ({ isDisplayed, ...rest }) => isDisplayed ? jsx(ActualYearPicker, { ...rest }) : null;
const ActualYearPicker = ({ selectedYear, fromYear, toYear, onSelectYear, id, ...props }) => {
    const classNames = useMemo(() => {
        const { overlay, container, yearButton, yearWrapper } = classNameGenerator();
        return {
            overlay: overlay(),
            container: container(),
            yearButton: yearButton(),
            yearWrapper: yearWrapper(),
        };
    }, []);
    const focusingRef = useRef(null);
    const thisYear = useMemo(() => new Date().getFullYear(), []);
    const yearArray = useMemo(() => {
        const length = Math.max(Math.min(toYear, 9999) - fromYear + 1, 0);
        const result = [];
        for (let i = 0; i < length; i++) {
            result[i] = fromYear + i;
        }
        return result;
    }, [toYear, fromYear]);
    useEffect(() => {
        if (focusingRef.current) {
            // HINT: 現在の年に一度focusを当てることでtab移動をしやすくする
            // focusを当てたままでは違和感があるため、blurで解除している
            focusingRef.current.focus();
            focusingRef.current.blur();
        }
    }, []);
    return (jsx("div", { ...props, id: id, className: classNames.overlay, children: jsx("div", { className: classNames.container, children: yearArray.map((year) => (jsx(YearButton, { year: year, thisYear: thisYear, selected: selectedYear === year, focusingRef: focusingRef, className: classNames.yearButton, childrenStyle: classNames.yearWrapper, onClick: onSelectYear }, year))) }) }));
};
const YearButton = memo(({ year, thisYear, selected, focusingRef, onClick, className, childrenStyle }) => {
    const isThisYear = thisYear === year;
    return (jsx(UnstyledButton, { ref: isThisYear ? focusingRef : null, value: year, "aria-pressed": selected, onClick: onClick, className: className, "data-this-year": isThisYear, children: jsx("span", { className: childrenStyle, children: year }) }));
});

export { YearPicker };
//# sourceMappingURL=YearPicker.js.map
