import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';

const classNameGenerator = ce({
    base: [
        'smarthr-ui-Chip',
        'shr-border-shorthand shr-rounded-full shr-bg-white shr-leading-none shr-text-black',
        'contrast-more:shr-border-high-contrast',
    ],
    variants: {
        color: {
            grey: 'shr-border-grey-20',
            blue: 'shr-border-main',
            green: 'shr-border-green',
            orange: 'shr-border-orange',
            red: 'shr-border-danger',
        },
        size: {
            s: 'shr-px-0.5 shr-py-0.25 shr-text-sm',
        },
        disabled: {
            true: 'shr-bg-white/50 shr-text-disabled',
        },
    },
    defaultVariants: {
        size: 's',
        color: 'grey',
    },
});
const Chip = ({ size, color, disabled, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ size, color, disabled, className }), [size, color, disabled, className]);
    return jsx("span", { ...props, className: actualClassName });
};

export { Chip, classNameGenerator };
//# sourceMappingURL=Chip.js.map
