import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useCallback, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { FaCirclePlusIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';
import { Text } from '../Text/Text.js';

const classNameGenerator = ce({
    base: [
        'shr-block shr-min-w-full shr-cursor-pointer shr-border-none shr-px-1 shr-py-0.5 shr-text-left shr-text-base shr-leading-tight',
        'aria-selected:shr-text-white',
        'disabled:shr-cursor-not-allowed disabled:shr-text-disabled',
        'data-[active=true]:shr-bg-white-darken data-[active=true]:aria-selected:shr-bg-main-darken',
        'data-[active=false]:shr-bg-white data-[active=false]:aria-selected:shr-bg-main',
    ],
    variants: {
        new: {
            true: 'smarthr-ui-Combobox-addButton shr-flex shr-items-center',
            false: 'smarthr-ui-Combobox-selectButton',
        },
    },
});
const ItemButton = ({ option, onAdd, onSelect, onMouseOver, activeRef }) => {
    const handleMouseOver = useCallback(() => {
        onMouseOver(option);
    }, [onMouseOver, option]);
    const commonProps = {
        option,
        onMouseOver: handleMouseOver,
        activeRef,
    };
    return option.isNew ? (jsx(AddButton, { ...commonProps, onAdd: onAdd })) : (jsx(SelectButton, { ...commonProps, onSelect: onSelect }));
};
const typedMemo = memo;
const Memoized = typedMemo(ItemButton);
const AddButton = ({ activeRef, option, onAdd, onMouseOver, }) => {
    const className = useMemo(() => classNameGenerator({
        new: true,
    }), []);
    const onClick = useMemo(() => onAdd
        ? () => {
            onAdd(option);
        }
        : undefined, [option, onAdd]);
    return (jsx("button", { ref: activeRef, type: "button", role: "option", "aria-selected": false, id: option.id, "data-active": !!activeRef, onClick: onClick, 
        // eslint-disable-next-line jsx-a11y/mouse-events-have-key-events
        onMouseOver: onMouseOver, className: className, children: jsx(MemoizedNewIconWithText, { label: option.item.label }) }));
};
const MemoizedNewIconWithText = memo(({ label }) => (jsx(FaCirclePlusIcon, { color: "TEXT_LINK", text: jsxs(Text, { color: "TEXT_LINK", children: ["\u300C", label, "\u300D\u3092\u8FFD\u52A0"] }) })));
const SelectButton = ({ activeRef, option, onSelect, onMouseOver, }) => {
    const className = useMemo(() => classNameGenerator({
        new: false,
    }), []);
    const handleSelect = useCallback(() => {
        onSelect(option);
    }, [onSelect, option]);
    return (jsx("button", { ref: activeRef, type: "button", role: "option", id: option.id, disabled: option.item.disabled, "aria-selected": option.selected, "data-active": !!activeRef, onClick: handleSelect, 
        // eslint-disable-next-line jsx-a11y/mouse-events-have-key-events
        onMouseOver: onMouseOver, className: className, children: option.item.label }));
};

export { Memoized as ItemButton };
//# sourceMappingURL=ItemButton.js.map
