import innerText from '../../_virtual/index.js';

function convertMatchableString(original) {
    return (original
        .replace(/\s/g, ' ')
        .replace(/’/g, "'")
        .replace(/[”“]/g, '"')
        .replace(/｀/g, '`')
        .replace(/￥/g, '¥')
        .replace(/−/g, '-')
        .replace(/〜/g, '~')
        // unicode で [！] から [｝] の間に定義されている英数・記号を半角に変換
        .replace(/[！-｝]/g, (str) => String.fromCharCode(str.charCodeAt(0) - 0xfee0))
        .toLowerCase());
}
function areItemsEqual(a, b) {
    return a.value === b.value && innerText(a.label) === innerText(b.label);
}

export { areItemsEqual, convertMatchableString };
//# sourceMappingURL=helper.js.map
