import type { ComboboxItem, ComboboxOption } from './types';
type BaseUseOptionsProps<T> = {
    items: Array<ComboboxItem<T>>;
    creatable?: boolean;
    inputValue?: string;
    isFilteringDisabled?: boolean;
};
export declare const useSingleOptions: <T>({ selected, ...rest }: BaseUseOptionsProps<T> & {
    selected: ComboboxItem<T> | null;
}) => {
    options: ComboboxOption<T>[];
};
export declare const useMultiOptions: <T>({ selected, isItemSelected, ...rest }: BaseUseOptionsProps<T> & {
    selected: Array<ComboboxItem<T>>;
    isItemSelected?: (targetItem: ComboboxItem<T>, selectedItems: Array<ComboboxItem<T>>) => boolean;
}) => {
    options: ComboboxOption<T>[];
};
export {};
