import { jsx } from 'react/jsx-runtime';
import { forwardRef, useRef, useImperativeHandle, useState, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useEnhancedEffect } from '../../hooks/useEnhancedEffect.js';
import { usePortal } from '../../hooks/usePortal.js';
import { getPortalPosition } from './datePickerHelper.js';

const classNameGenerator = ce({
    base: 'smarthr-ui-DatePicker-calendarContainer shr-absolute shr-z-overlap shr-leading-none',
});
const initialPosition = {
    top: '0px',
    left: '0px',
};
const Portal = forwardRef(({ inputRect, ...props }, ref) => {
    const { isPortalRootMounted, createPortal } = usePortal();
    const containerRef = useRef(null);
    useImperativeHandle(ref, () => containerRef.current);
    const [style, setStyle] = useState(initialPosition);
    useEnhancedEffect(() => {
        if (containerRef.current) {
            const position = getPortalPosition(inputRect, containerRef.current.offsetHeight);
            setStyle({
                top: `${position.top}px`,
                left: `${position.left}px`,
            });
        }
    }, [inputRect, isPortalRootMounted]);
    const className = useMemo(() => classNameGenerator(), []);
    return createPortal(jsx("div", { ...props, ref: containerRef, className: className, style: style }));
});

export { Portal };
//# sourceMappingURL=Portal.js.map
