import { l as libExports } from '../../_virtual/index4.js';
import dayjs from '../../_virtual/dayjs.min.js';

function parseJpnDateString(dateString) {
    const { isValid, result, formatted } = libExports.warekiToDate(dateString);
    return isValid ? result : dayjs(formatted).toDate();
}
const PORTAL_POSITION_MARGIN = 4;
function getPortalPosition(inputRect, contentHeight) {
    const { innerHeight, pageYOffset } = window;
    const left = pageXOffset + inputRect.left;
    if (
    // has no space on bottom side
    inputRect.bottom + contentHeight > innerHeight &&
        // top side space bigger than bottom side
        inputRect.top > innerHeight - inputRect.bottom) {
        // display on top side
        return {
            top: pageYOffset + inputRect.top - contentHeight + PORTAL_POSITION_MARGIN,
            left,
        };
    }
    // display on bottom side
    return {
        top: pageYOffset + inputRect.bottom - PORTAL_POSITION_MARGIN,
        left,
    };
}

export { getPortalPosition, parseJpnDateString };
//# sourceMappingURL=datePickerHelper.js.map
