import { useEffect } from 'react';

function useGlobalKeyDown(callback) {
    useEffect(() => {
        window.addEventListener('keydown', callback);
        return () => {
            window.removeEventListener('keydown', callback);
        };
    }, [callback]);
}

export { useGlobalKeyDown };
//# sourceMappingURL=useGlobalKeyDown.js.map
