import { jsxs } from 'react/jsx-runtime';
import { useMemo, Children, createElement, isValidElement, cloneElement } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Layout/Stack/Stack.js';
import { Cluster } from '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';
import { DefinitionListItem } from './DefinitionListItem.js';

const classNameGenerator = ce({
    base: 'smarthr-ui-DefinitionList shr-my-[initial]',
});
const DefinitionList = ({ items, maxColumns, termStyleType, children, className, }) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return (jsxs(Cluster, { as: "dl", gap: 1.5, className: actualClassName, children: [items &&
                items.map((item, index) => (createElement(DefinitionListItem, { ...item, key: index, maxColumns: maxColumns, termStyleType: termStyleType }))), Children.map(children, (child) => isValidElement(child) &&
                cloneElement(child, {
                    maxColumns,
                    termStyleType,
                }))] }));
};

export { DefinitionList };
//# sourceMappingURL=DefinitionList.js.map
