import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { spacing } from '../../themes/tailwind/TailwindConfig.js';
import { Stack } from '../Layout/Stack/Stack.js';
import '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';
import { Text } from '../Text/Text.js';

const classNameGenerator = ce({
    slots: {
        wrapper: [
            'smarthr-ui-DefinitionListItem shr-border-b-shorthand shr-min-w-[12em] shr-grow shr-border-dotted',
            'contrast-more:shr-border-b-high-contrast',
        ],
        termEl: 'smarthr-ui-DefinitionListItem-term',
        descriptionEl: 'smarthr-ui-DefinitionListItem-description shr-ms-[initial] shr-min-h-[calc(1em*theme(lineHeight.normal))] shr-pb-0.25',
    },
    variants: {
        fullWidth: {
            true: {
                wrapper: 'shr-basis-full',
            },
        },
    },
});
const DefinitionListItem = ({ maxColumns, fullWidth, term, termStyleType = 'subBlockTitle', description, children, className, }) => {
    const classNames = useMemo(() => {
        const { wrapper, termEl, descriptionEl } = classNameGenerator();
        return {
            wrapper: wrapper({ fullWidth, className }),
            term: termEl(),
            description: descriptionEl(),
        };
    }, [className, fullWidth]);
    const style = useMemo(() => ({
        flexBasis: 
        // fullWidth の方が強い
        !fullWidth && maxColumns
            ? `calc((100% - ${spacing[1.5]} * ${maxColumns - 1}) / ${maxColumns})`
            : undefined,
    }), [fullWidth, maxColumns]);
    return (jsxs(Stack, { gap: 0.25, className: classNames.wrapper, style: style, children: [jsx(DefinitionTerm, { styleType: termStyleType, className: classNames.term, children: term }), jsx(Text, { as: "dd", size: "M", color: "TEXT_BLACK", leading: "NORMAL", className: classNames.description, children: children ?? description })] }));
};
const DefinitionTerm = memo(({ styleType, className, children }) => (jsx(Text, { as: "dt", leading: "TIGHT", styleType: styleType, className: className, children: children })));

export { DefinitionListItem };
//# sourceMappingURL=DefinitionListItem.js.map
