"use client";
import { jsx } from 'react/jsx-runtime';
import { useId, useCallback } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { ActionDialogContentInner } from './ActionDialogContentInner.js';

const ActionDialog = ({ children, title, subtitle, titleTag, contentBgColor, contentPadding, actionText, actionTheme, onClickAction, onClickClose, onPressEscape = onClickClose, responseStatus, actionDisabled, closeDisabled, subActionArea, className, portalParent, decorators, id, isOpen, ...props }) => {
    const { createPortal } = useDialogPortal(portalParent, id);
    const titleId = useId();
    const actualOnClickClose = useCallback(() => {
        if (isOpen) {
            onClickClose();
        }
    }, [isOpen, onClickClose]);
    const actualOnClickAction = useCallback(() => {
        if (isOpen) {
            onClickAction(onClickClose);
        }
    }, [isOpen, onClickAction, onClickClose]);
    return createPortal(jsx(DialogContentInner, { ...props, isOpen: isOpen, ariaLabelledby: titleId, className: className, onPressEscape: closeDisabled ? undefined : onPressEscape, children: jsx(ActionDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, onClickClose: actualOnClickClose, onClickAction: actualOnClickAction, subActionArea: subActionArea, responseStatus: responseStatus, decorators: decorators, children: children }) }));
};

export { ActionDialog };
//# sourceMappingURL=ActionDialog.js.map
