"use client";
import { jsx } from 'react/jsx-runtime';
import { createContext, useContext } from 'react';
import { DialogContentInner } from './DialogContentInner.js';
import { DialogContext } from './DialogWrapper.js';
import { useDialogPortal } from './useDialogPortal.js';

const DialogContentContext = createContext({
    onClickClose: () => {
        /* noop */
    },
});
const DialogContent = ({ portalParent, ...props }) => {
    const { onClickClose, active } = useContext(DialogContext);
    const { createPortal } = useDialogPortal(portalParent);
    return createPortal(jsx(DialogContentContext.Provider, { value: { onClickClose }, children: jsx(DialogContentInner, { ...props, isOpen: active, onPressEscape: onClickClose }) }));
};

export { DialogContent, DialogContentContext };
//# sourceMappingURL=DialogContent.js.map
