"use client";
import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo, useRef } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useHandleEscape } from '../../hooks/useHandleEscape.js';
import { DialogOverlap } from './DialogOverlap.js';
import { FocusTrap } from './FocusTrap.js';
import { useBodyScrollLock } from './useBodyScrollLock.js';

const classNameGenerator = ce({
    slots: {
        layout: ['smarthr-ui-Dialog-wrapper', 'shr-max-w-[calc(100dvw-theme(spacing.1))]'],
        inner: [
            'smarthr-ui-Dialog',
            'shr-border-shorthand shr-relative shr-z-1 shr-rounded-m shr-bg-white shr-shadow-layer-3',
            'contrast-more:shr-border-high-contrast',
        ],
        background: ['smarthr-ui-Dialog-background', 'shr-absolute shr-inset-0 shr-bg-scrim'],
    },
});
const DialogContentInner = ({ onClickOverlay, onPressEscape, isOpen, id, width, firstFocusTarget, ariaLabel, ariaLabelledby, children, className, focusTrapRef, ...rest }) => {
    const classNames = useMemo(() => {
        const { layout, inner, background } = classNameGenerator();
        return {
            layout: layout(),
            inner: inner({ className }),
            background: background(),
        };
    }, [className]);
    const style = useMemo(() => {
        const actualWidth = typeof width === 'number' ? `${width}px` : width;
        return actualWidth ? { width: actualWidth } : undefined;
    }, [width]);
    const innerRef = useRef(null);
    useHandleEscape(useMemo(() => (onPressEscape && isOpen ? onPressEscape : undefined), [isOpen, onPressEscape]));
    useBodyScrollLock(isOpen);
    return (jsx(DialogOverlap, { isOpen: isOpen, children: jsxs("div", { id: id, className: classNames.layout, style: style, children: [jsx(Overlay, { isOpen: isOpen, onClickOverlay: onClickOverlay, className: classNames.background }), jsx("div", { ...rest, ref: innerRef, role: "dialog", "aria-label": ariaLabel, "aria-labelledby": ariaLabelledby, "aria-modal": "true", className: classNames.inner, children: jsx(FocusTrap, { firstFocusTarget: firstFocusTarget, ref: focusTrapRef, children: children }) })] }) }));
};
const Overlay = memo(({ onClickOverlay, isOpen, className }) => {
    const handleClickOverlay = useMemo(() => (onClickOverlay && isOpen ? onClickOverlay : undefined), [isOpen, onClickOverlay]);
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    return jsx("div", { onClick: handleClickOverlay, className: className, role: "presentation" });
});

export { DialogContentInner };
//# sourceMappingURL=DialogContentInner.js.map
