import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { ResponseMessage } from '../ResponseMessage/ResponseMessage.js';

const classNameGenerator = ce({
    base: 'empty:!shr-mt-0',
});
const DialogContentResponseStatusMessage = ({ responseStatus, className }) => {
    const classNames = useMemo(() => classNameGenerator({ className }), [className]);
    const StatusMessage = () => (jsx(ResponseMessage, { type: responseStatus.status, children: responseStatus.message }));
    return (
    /**
     * ライブリージョンを条件付きでDOMに追加すると、支援技術に通知が正しく行われないことがあるため、常にDOM上に存在するようにしています
     *
     * @see https://www.sarasoueidan.com/blog/accessible-notifications-with-aria-live-regions-part-2/#make-sure-the-live-region-container-is-in-the-dom-as-early-as-possible
     */
    jsxs(Fragment, { children: [jsx("div", { className: classNames, role: "alert", children: responseStatus.message && responseStatus.status === 'error' && jsx(StatusMessage, {}) }), jsx("div", { className: classNames, role: "status", children: responseStatus.message && responseStatus.status === 'success' && jsx(StatusMessage, {}) })] }));
};

export { DialogContentResponseStatusMessage };
//# sourceMappingURL=DialogContentResponseStatusMessage.js.map
