import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Heading } from '../Heading/Heading.js';
import { Stack } from '../Layout/Stack/Stack.js';
import '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';
import { Text } from '../Text/Text.js';

const classNameGenerator = ce({
    base: [
        'smarthr-ui-Dialog-titleArea',
        'shr-border-b-shorthand shr-flex-[0_0_auto] shr-px-1.5 shr-py-1',
    ],
});
const DialogHeader = memo(({ title, subtitle, titleTag, titleId }) => {
    const className = useMemo(() => classNameGenerator(), []);
    return (
    // eslint-disable-next-line smarthr/a11y-heading-in-sectioning-content
    jsx(Heading, { tag: titleTag, className: className, children: jsxs(Stack, { gap: 0.25, as: "span", children: [subtitle && (jsx(Text, { size: "S", leading: "TIGHT", color: "TEXT_GREY", className: "smarthr-ui-Dialog-subtitle", children: subtitle })), jsx(Text, { id: titleId, size: "L", leading: "TIGHT", className: "smarthr-ui-Dialog-title", children: title })] }) }));
});

export { DialogHeader };
//# sourceMappingURL=DialogHeader.js.map
