import { jsx } from 'react/jsx-runtime';
import { useState, useRef, useMemo, useEffect } from 'react';
import CSSTransition from './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/CSSTransition.js';
import './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/ReplaceTransition.js';
import './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/SwitchTransition.js';
import './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/TransitionGroup.js';
import './../../vendor/.pnpm/react-transition-group@4.4.5_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-transition-group/esm/Transition.js';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Layout/Stack/Stack.js';
import '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import { Center } from '../Layout/Center/Center.js';

const classNameGenerator = ce({
    base: [
        'shr-fixed shr-inset-0 shr-z-overlap-base',
        '[&.shr-dialog-transition-enter]:shr-opacity-0',
        '[&.shr-dialog-transition-enter-active]:shr-transition-opacity',
        '[&.shr-dialog-transition-enter-active]:shr-duration-300',
        '[&.shr-dialog-transition-enter-active]:shr-ease-in-out',
        // enter と enter-active は同時に付与されるので、enter-active を強める
        '[&&.shr-dialog-transition-enter-active]:shr-opacity-100',
        '[&.shr-dialog-transition-exit]:shr-opacity-100',
        '[&.shr-dialog-transition-exit-active]:shr-transition-opacity',
        '[&.shr-dialog-transition-exit-active]:shr-duration-300',
        '[&.shr-dialog-transition-exit-active]:shr-ease-in-out',
        // exit と exit-active は同時に付与されるので、exit-active を強める
        '[&&.shr-dialog-transition-exit-active]:shr-opacity-0',
    ],
});
const DialogOverlap = ({ isOpen, className, children, as }) => {
    const [childrenBuffer, setChildrenBuffer] = useState(null);
    const nodeRef = useRef(null);
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    useEffect(() => {
        if (isOpen) {
            setChildrenBuffer(children);
        }
    }, [isOpen, children]);
    return (jsx(CSSTransition, { nodeRef: nodeRef, in: isOpen, timeout: 300, unmountOnExit: true, classNames: "shr-dialog-transition", children: jsx(Center, { ref: nodeRef, verticalCentering: true, className: actualClassName, as: as, children: isOpen ? children : childrenBuffer }) }));
};

export { DialogOverlap };
//# sourceMappingURL=DialogOverlap.js.map
