"use client";
import { jsx } from 'react/jsx-runtime';
import { createContext, useState, useCallback } from 'react';

const noop = () => undefined;
const DialogContext = createContext({
    onClickTrigger: noop,
    onClickClose: noop,
    active: false,
});
const DialogWrapper = (props) => {
    const [active, setActive] = useState(false);
    const onClickTrigger = useCallback(() => setActive(true), []);
    const onClickClose = useCallback(() => setActive(false), []);
    return (jsx(DialogContext.Provider, { ...props, value: {
            onClickTrigger,
            onClickClose,
            active,
        } }));
};

export { DialogContext, DialogWrapper };
//# sourceMappingURL=DialogWrapper.js.map
