import { jsxs, jsx } from 'react/jsx-runtime';
import { memo, useMemo, useCallback } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useDecorators } from '../../../hooks/useDecorators.js';
import { useResponseStatus } from '../../../hooks/useResponseStatus.js';
import '../../../intl/IntlProvider.js';
import { useIntl } from '../../../intl/useIntl.js';
import 'react-intl';
import { Button } from '../../Button/Button.js';
import '../../Button/AnchorButton.js';
import '../../Button/UnstyledButton.js';
import { Stack } from '../../Layout/Stack/Stack.js';
import { Cluster } from '../../Layout/Cluster/Cluster.js';
import '../../Layout/Reel/Reel.js';
import '../../Layout/Sidebar/Sidebar.js';
import '../../Layout/Center/Center.js';
import { Section } from '../../SectioningContent/SectioningContent.js';
import '../../SectioningContent/levelContext.js';
import { DialogBody } from '../DialogBody.js';
import { DialogContentResponseStatusMessage } from '../DialogContentResponseStatusMessage.js';
import { DialogHeader } from '../DialogHeader.js';
import { dialogContentInner } from '../dialogInnerStyle.js';

const ACTION_AREA_CLUSTER_GAP = { row: 0.5, column: 1 };
const formDialogContentInner = ce({
    extend: dialogContentInner,
    slots: {
        form: 'shr-contents',
    },
});
const FormDialogContentInner = ({ children, title, titleId, subtitle, titleTag, contentBgColor, contentPadding, actionText, actionTheme, onSubmit, onClickClose, responseStatus, actionDisabled, closeDisabled, subActionArea, decorators, }) => {
    const handleSubmitAction = useCallback((e) => {
        e.preventDefault();
        // HINT: React Portals などで擬似的にformがネストしている場合など、stopPropagationを実行しないと
        // 親formが意図せずsubmitされてしまう場合がある
        e.stopPropagation();
        onSubmit(onClickClose, e);
    }, [onSubmit, onClickClose]);
    const calculatedResponseStatus = useResponseStatus(responseStatus);
    const styles = useMemo(() => {
        const { form, wrapper, actionArea, buttonArea, message } = formDialogContentInner();
        return {
            form: form(),
            wrapper: wrapper(),
            actionArea: actionArea(),
            buttonArea: buttonArea(),
            message: message(),
        };
    }, []);
    return (
    // eslint-disable-next-line smarthr/a11y-heading-in-sectioning-content, smarthr/a11y-prohibit-sectioning-content-in-form
    jsxs(Section, { className: styles.wrapper, children: [jsx(DialogHeader, { title: title, subtitle: subtitle, titleTag: titleTag, titleId: titleId }), jsxs("form", { onSubmit: handleSubmitAction, className: styles.form, children: [jsx(DialogBody, { contentPadding: contentPadding, contentBgColor: contentBgColor, children: children }), jsxs(Stack, { gap: 0.5, className: styles.actionArea, children: [jsxs(Cluster, { justify: "space-between", children: [subActionArea, jsx(ActionAreaCluster, { onClickClose: onClickClose, closeDisabled: closeDisabled, actionDisabled: actionDisabled, loading: calculatedResponseStatus.isProcessing, actionTheme: actionTheme, decorators: decorators, actionText: actionText, className: styles.buttonArea })] }), jsx(DialogContentResponseStatusMessage, { responseStatus: calculatedResponseStatus, className: styles.message })] })] })] }));
};
const ActionAreaCluster = memo(({ onClickClose, closeDisabled, actionDisabled, loading, actionTheme, decorators, actionText, className, }) => (jsxs(Cluster, { gap: ACTION_AREA_CLUSTER_GAP, className: className, children: [jsx(CloseButton, { onClick: onClickClose, disabled: closeDisabled || loading, decorators: decorators }), jsx(ActionButton, { variant: actionTheme, disabled: actionDisabled, loading: loading, children: actionText })] })));
const ActionButton = memo(({ variant = 'primary', disabled, loading, children }) => (jsx(Button, { type: "submit", variant: variant, disabled: disabled, loading: loading, className: "smarthr-ui-Dialog-actionButton", children: children })));
const CloseButton = memo(({ onClick, disabled, decorators }) => {
    const { localize } = useIntl();
    const decoratorDefaultTexts = useMemo(() => ({
        closeButtonLabel: localize({
            id: 'smarthr-ui/FormDialog/closeButtonLabel',
            defaultText: 'キャンセル',
        }),
    }), [localize]);
    const decorated = useDecorators(decoratorDefaultTexts, decorators);
    return (jsx(Button, { onClick: onClick, disabled: disabled, className: "smarthr-ui-Dialog-closeButton", children: decorated.closeButtonLabel }));
});

export { FormDialogContentInner };
//# sourceMappingURL=FormDialogContentInner.js.map
