"use client";
import { jsx } from 'react/jsx-runtime';
import { useCallback, useId } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { MessageDialogContentInner } from './MessageDialogContentInner.js';

const MessageDialog = ({ title, subtitle, titleTag, description, onClickClose, onPressEscape = onClickClose, contentBgColor, contentPadding, className, portalParent, decorators, id, ...props }) => {
    const { createPortal } = useDialogPortal(portalParent, id);
    const handleClickClose = useCallback(() => {
        if (!props.isOpen) {
            return;
        }
        onClickClose();
    }, [onClickClose, props.isOpen]);
    const titleId = useId();
    return createPortal(jsx(DialogContentInner, { ...props, ariaLabelledby: titleId, className: className, onPressEscape: onPressEscape, children: jsx(MessageDialogContentInner, { title: title, titleTag: titleTag, titleId: titleId, subtitle: subtitle, description: description, contentBgColor: contentBgColor, contentPadding: contentPadding, onClickClose: handleClickClose, decorators: decorators }) }));
};

export { MessageDialog };
//# sourceMappingURL=MessageDialog.js.map
