import { jsx } from 'react/jsx-runtime';
import { useContext, useCallback, useId } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { DialogContext } from '../DialogWrapper.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { MessageDialogContentInner } from './MessageDialogContentInner.js';

const MessageDialogContent = ({ title, description, portalParent, className, contentBgColor, contentPadding, decorators, ...props }) => {
    const { onClickClose, active } = useContext(DialogContext);
    const { createPortal } = useDialogPortal(portalParent);
    const handleClickClose = useCallback(() => {
        if (active) {
            onClickClose();
        }
    }, [active, onClickClose]);
    const titleId = useId();
    return createPortal(jsx(DialogContentInner, { ...props, onPressEscape: onClickClose, isOpen: active, className: className, ariaLabelledby: titleId, children: jsx(MessageDialogContentInner, { title: title, titleId: titleId, description: description, contentBgColor: contentBgColor, contentPadding: contentPadding, onClickClose: handleClickClose, decorators: decorators }) }));
};

export { MessageDialogContent };
//# sourceMappingURL=MessageDialogContent.js.map
