"use client";
import { jsx } from 'react/jsx-runtime';
import { useId, useRef, useCallback } from 'react';
import { DialogContentInner } from '../DialogContentInner.js';
import { useDialogPortal } from '../useDialogPortal.js';
import { StepFormDialogContentInner } from './StepFormDialogContentInner.js';
import { StepFormDialogProvider } from './StepFormDialogProvider.js';

const StepFormDialog = ({ children, title, subtitle, stepLength, titleTag, contentBgColor, contentPadding, actionTheme, submitLabel, firstStep, onSubmit, onClickClose, onClickBack, onPressEscape = onClickClose, responseStatus, actionDisabled = false, closeDisabled, className, portalParent, decorators, id, isOpen, ...props }) => {
    const { createPortal } = useDialogPortal(portalParent, id);
    const titleId = useId();
    const focusTrapRef = useRef(null);
    const actualOnClickClose = useCallback(() => {
        if (isOpen) {
            focusTrapRef.current?.focus();
            onClickClose();
        }
    }, [isOpen, onClickClose]);
    const actualOnSubmitAction = useCallback((close, e, currentStep) => {
        if (isOpen) {
            focusTrapRef.current?.focus();
            return onSubmit(close, e, currentStep);
        }
        return undefined;
    }, [onSubmit, isOpen]);
    const actualOnClickBack = useCallback(() => {
        if (isOpen) {
            focusTrapRef.current?.focus();
            onClickBack?.();
        }
    }, [isOpen, onClickBack]);
    return createPortal(jsx(StepFormDialogProvider, { firstStep: firstStep, children: jsx(DialogContentInner, { ...props, isOpen: isOpen, ariaLabelledby: titleId, className: className, onPressEscape: closeDisabled ? undefined : onPressEscape, focusTrapRef: focusTrapRef, children: jsx(StepFormDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, firstStep: firstStep, stepLength: stepLength, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, submitLabel: submitLabel, onClickClose: actualOnClickClose, onSubmit: actualOnSubmitAction, onClickBack: actualOnClickBack, responseStatus: responseStatus, decorators: decorators, children: children }) }) }));
};

export { StepFormDialog };
//# sourceMappingURL=StepFormDialog.js.map
