"use client";
import { jsx } from 'react/jsx-runtime';
import { createContext, useState, useRef } from 'react';

const StepFormDialogContext = createContext({
    stepQueue: { current: [] },
    currentStep: { id: '', stepNumber: 0 },
    setCurrentStep: () => { },
    scrollerRef: { current: null },
});
const StepFormDialogProvider = ({ children, firstStep }) => {
    const [currentStep, setCurrentStep] = useState(firstStep);
    const stepQueue = useRef([]);
    const scrollerRef = useRef(null);
    return (jsx(StepFormDialogContext.Provider, { value: { currentStep, stepQueue, setCurrentStep, scrollerRef }, children: children }));
};

export { StepFormDialogContext, StepFormDialogProvider };
//# sourceMappingURL=StepFormDialogProvider.js.map
