"use client";
import { jsx } from 'react/jsx-runtime';
import { createContext, useContext } from 'react';
import { DropdownContext } from './Dropdown.js';
import { DropdownContentInner } from './DropdownContentInner.js';

const DropdownContentContext = createContext({
    onClickCloser: () => {
        /* noop */
    },
    controllable: false,
});
const DropdownContent = ({ controllable = false, ...props }) => {
    const { DropdownContentRoot, triggerRect, onClickCloser } = useContext(DropdownContext);
    return (jsx(DropdownContentRoot, { children: jsx(DropdownContentContext.Provider, { value: { onClickCloser, controllable }, children: jsx(DropdownContentInner, { ...props, triggerRect: triggerRect, controllable: controllable }) }) }));
};

export { DropdownContent, DropdownContentContext };
//# sourceMappingURL=DropdownContent.js.map
