import { jsxs, jsx } from 'react/jsx-runtime';
import { createContext, useState, useRef, useMemo, useEffect } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { spacing } from '../../themes/tailwind/TailwindConfig.js';
import { DropdownCloser } from './DropdownCloser.js';
import { getContentBoxStyle } from './dropdownHelper.js';
import { useKeyboardNavigation } from './useKeyboardNavigation.js';

const classNameGenerator = ce({
    base: 'smarthr-ui-Dropdown-content shr-absolute shr-z-overlap-base shr-overflow-y-auto shr-break-words shr-rounded-m shr-bg-white shr-shadow-layer-3',
    variants: {
        isActive: {
            true: 'shr-visible',
            false: 'shr-invisible',
        },
    },
});
const DropdownContentInnerContext = createContext({
    maxHeight: '',
});
const DropdownContentInner = ({ triggerRect, children, className, controllable, ...props }) => {
    const [isActive, setIsActive] = useState(false);
    const [contentBox, setContentBox] = useState({
        top: 'auto',
        maxHeight: '',
    });
    const wrapperRef = useRef(null);
    const focusTargetRef = useRef(null);
    const actualClassName = useMemo(() => classNameGenerator({ isActive, className }), [isActive, className]);
    const style = useMemo(() => {
        const leftMargin = contentBox.left === undefined ? spacing[0.5] : `max(${contentBox.left}, 0px)`;
        const rightMargin = contentBox.right === undefined ? spacing[0.5] : `max(${contentBox.right}, 0px)`;
        const maxWidthStyle = `calc(100% - ${leftMargin} - ${rightMargin})`;
        return {
            insetBlockStart: contentBox.top,
            insetInlineStart: contentBox.left || undefined,
            insetInlineEnd: contentBox.right || undefined,
            maxWidth: maxWidthStyle,
        };
    }, [contentBox.left, contentBox.right, contentBox.top]);
    const controllableWrapperStyleProps = useMemo(() => ({
        maxHeight: contentBox.maxHeight || undefined,
    }), [contentBox.maxHeight]);
    useEffect(() => {
        if (wrapperRef.current) {
            setContentBox(getContentBoxStyle(triggerRect, {
                width: wrapperRef.current.offsetWidth,
                height: wrapperRef.current.offsetHeight,
            }, {
                width: document.body.clientWidth,
                height: innerHeight,
            }, {
                top: scrollY,
                left: scrollX,
            }));
            setIsActive(true);
        }
    }, [triggerRect]);
    useEffect(() => {
        if (isActive) {
            focusTargetRef.current?.focus();
        }
    }, [isActive]);
    useKeyboardNavigation(wrapperRef, focusTargetRef);
    return (jsxs("div", { ...props, ref: wrapperRef, className: actualClassName, style: style, children: [jsx("div", { ref: focusTargetRef, tabIndex: -1 }), controllable ? (jsx("div", { style: controllableWrapperStyleProps, children: children })) : (jsx(DropdownContentInnerContext.Provider, { value: { maxHeight: contentBox.maxHeight }, children: jsx(DropdownCloser, { children: children }) }))] }));
};

export { DropdownContentInner, DropdownContentInnerContext };
//# sourceMappingURL=DropdownContentInner.js.map
