import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { memo, useId, useMemo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Text } from '../../Text/Text.js';
import { renderButtonList } from './DropdownMenuButton.js';

const classNameGenerator = ce({
    slots: {
        group: [
            'smarthr-ui-DropdownMenuGroup',
            [
                '[&:not(:first-child)]:shr-relative',
                '[&:not(:first-child)]:shr-mt-0.5',
                '[&:not(:first-child)]:shr-pt-0.5',
                '[&:not(:first-child)]:shr-min-w-[8em]',
                '[&:not(:first-child)]:before:shr-content-[""]',
                '[&:not(:first-child)]:before:shr-absolute',
                '[&:not(:first-child)]:before:shr-top-0',
                '[&:not(:first-child)]:before:shr-inset-x-1',
                '[&:not(:first-child)]:before:shr-h-px',
                '[&:not(:first-child)]:before:shr-bg-border',
            ],
        ],
        groupName: 'shr-px-1 shr-py-0.5',
        subMenu: 'shr-list-none',
    },
});
const DropdownMenuGroup = ({ name, children, className }) => {
    const subMenuId = useId();
    const classNames = useMemo(() => {
        const { group, groupName, subMenu } = classNameGenerator();
        return {
            group: group({ className }),
            groupName: groupName(),
            subMenu: subMenu(),
        };
    }, [className]);
    const subMenu = (jsx("menu", { role: "group", "aria-labelledby": name ? subMenuId : undefined, className: classNames.subMenu, children: renderButtonList(children) }));
    return (jsx("li", { role: "presentation", className: classNames.group, children: name ? (jsxs(Fragment, { children: [jsx(NameText, { id: subMenuId, className: classNames.groupName, children: name }), subMenu] })) : (subMenu) }));
};
const NameText = memo(({ id, children, className }) => (jsx(Text, { size: "S", id: id, weight: "bold", color: "TEXT_GREY", leading: "NONE", className: className, as: "div", children: children })));

export { DropdownMenuGroup };
//# sourceMappingURL=DropdownMenuGroup.js.map
