"use client";
import { jsx } from 'react/jsx-runtime';
import { useContext, useMemo, useEffect, Children, isValidElement, cloneElement } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { tabbable } from '../../libs/tabbable.js';
import { includeDisabledTrigger } from '../../libs/util.js';
import { Tooltip } from '../Tooltip/Tooltip.js';
import { DropdownContext } from './Dropdown.js';

/**
 * 条件付きでラッパをレンダリングする
 */
const ConditionalWrapper = ({ shouldWrapContent, wrapper, children, }) => (shouldWrapContent ? wrapper({ children }) : children);
const classNameGenerator = ce({
    base: 'smarthr-ui-Dropdown shr-inline-block',
});
const DropdownTrigger = ({ children, className, tooltip }) => {
    const { active, onClickTrigger, contentId, triggerElementRef } = useContext(DropdownContext);
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    useEffect(() => {
        if (!triggerElementRef.current) {
            return;
        }
        // apply ARIA to all focusable elements in trigger
        const triggers = tabbable(triggerElementRef.current, { shouldIgnoreVisibility: true });
        triggers.forEach((trigger) => {
            trigger.setAttribute('aria-expanded', active.toString());
            trigger.setAttribute('aria-controls', contentId);
        });
    }, [triggerElementRef, active, contentId]);
    let foundFirstElement = false;
    return (jsx("div", { ref: triggerElementRef, className: actualClassName, children: jsx(ConditionalWrapper, { shouldWrapContent: tooltip?.show, wrapper: ({ children: currentChildren }) => (jsx(Tooltip, { message: tooltip?.message, triggerType: "icon", tabIndex: -1, children: currentChildren })), children: includeDisabledTrigger(children)
                ? children
                : Children.map(children, (child) => {
                    if (foundFirstElement || !isValidElement(child)) {
                        return child;
                    }
                    foundFirstElement = true;
                    return cloneElement(child, {
                        onClick: (e) => {
                            onClickTrigger(e.currentTarget.getBoundingClientRect());
                            child.props.onClick?.(e);
                        },
                    });
                }) }) }));
};

export { DropdownTrigger };
//# sourceMappingURL=DropdownTrigger.js.map
