"use client";
import { jsxs, jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import innerText from '../../../_virtual/index.js';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useDecorators } from '../../../hooks/useDecorators.js';
import { useResponseStatus } from '../../../hooks/useResponseStatus.js';
import '../../../intl/IntlProvider.js';
import { useIntl } from '../../../intl/useIntl.js';
import 'react-intl';
import { Button } from '../../Button/Button.js';
import '../../Button/AnchorButton.js';
import '../../Button/UnstyledButton.js';
import { FaFilterIcon, FaCircleCheckIcon, FaRotateLeftIcon } from '../../Icon/Icon.js';
import '../../Icon/generateIcon.js';
import { Stack } from '../../Layout/Stack/Stack.js';
import { Cluster } from '../../Layout/Cluster/Cluster.js';
import '../../Layout/Reel/Reel.js';
import '../../Layout/Sidebar/Sidebar.js';
import '../../Layout/Center/Center.js';
import { ResponseMessage } from '../../ResponseMessage/ResponseMessage.js';
import { Dropdown } from '../Dropdown.js';
import { DropdownCloser } from '../DropdownCloser.js';
import { DropdownContent } from '../DropdownContent.js';
import { DropdownTrigger } from '../DropdownTrigger.js';

const CONTROL_CLUSTER_GAP = { column: 1, row: 0.5 };
const ON_SUBMIT = (e) => {
    e.preventDefault();
};
const classNameGenerator = ce({
    slots: {
        iconWrapper: ['smarthr-ui-Icon-extended', 'shr-relative shr-leading-none'],
        filteredIcon: 'shr-absolute shr-bottom-[2px] shr-right-[-4px] shr-h-[0.5em] shr-w-[0.5em]',
        inner: 'shr-p-1.5',
        actionArea: 'shr-border-t-shorthand shr-sticky shr-bottom-0 shr-bg-white shr-px-1.5 shr-py-1',
        resetButtonArea: '-shr-ms-0.5',
        rightButtonArea: 'shr-ms-auto',
        message: 'shr-text-right',
    },
    variants: {
        filtered: {
            true: {
                iconWrapper: 'shr-text-main',
            },
        },
        triggerSize: {
            default: {},
            s: {
                iconWrapper: '-shr-translate-x-0.25',
            },
        },
    },
});
const FilterDropdown = ({ isFiltered, onApply, onCancel, onReset, onOpen, onClose, children, decorators, responseStatus, triggerSize, onlyIconTrigger = false, ...props }) => {
    const { localize } = useIntl();
    const decoratorDefaultTexts = useMemo(() => ({
        status: localize({
            id: 'smarthr-ui/FilterDropdown/status',
            defaultText: '適用中',
        }),
        triggerButton: localize({
            id: 'smarthr-ui/FilterDropdown/triggerButton',
            defaultText: '絞り込み',
        }),
        applyButton: localize({
            id: 'smarthr-ui/FilterDropdown/applyButton',
            defaultText: '適用',
        }),
        cancelButton: localize({
            id: 'smarthr-ui/FilterDropdown/cancelButton',
            defaultText: 'キャンセル',
        }),
        resetButton: localize({
            id: 'smarthr-ui/FilterDropdown/resetButton',
            defaultText: '絞り込み条件を解除',
        }),
    }), [localize]);
    const decorated = useDecorators(decoratorDefaultTexts, decorators);
    const filteredIconAriaLabel = useMemo(() => innerText(decorated.status), [decorated.status]);
    const calcedResponseStatus = useResponseStatus(responseStatus);
    const classNamesMapper = useMemo(() => {
        const { iconWrapper, filteredIcon, inner, actionArea, resetButtonArea, rightButtonArea, message, } = classNameGenerator();
        const commonStyles = {
            filteredIcon: filteredIcon(),
            inner: inner(),
            actionArea: actionArea(),
            resetButtonArea: resetButtonArea(),
            rightButtonArea: rightButtonArea(),
            message: message(),
        };
        return {
            filtered: {
                ...commonStyles,
                iconWrapper: iconWrapper({ filtered: true, triggerSize }),
            },
            unfiltered: {
                ...commonStyles,
                iconWrapper: iconWrapper({ filtered: false, triggerSize }),
            },
        };
    }, [triggerSize]);
    const classNames = classNamesMapper[isFiltered ? 'filtered' : 'unfiltered'];
    const { buttonSuffix, buttonContent } = useMemo(() => {
        const FilterIcon = (jsxs("span", { className: classNames.iconWrapper, children: [jsx(FaFilterIcon, { alt: onlyIconTrigger ? decorated.triggerButton : undefined }), isFiltered && (jsx(FaCircleCheckIcon, { "aria-label": filteredIconAriaLabel, className: classNames.filteredIcon }))] }));
        if (onlyIconTrigger) {
            return {
                buttonSuffix: undefined,
                buttonContent: FilterIcon,
            };
        }
        return {
            buttonSuffix: FilterIcon,
            buttonContent: decorated.triggerButton,
        };
    }, [isFiltered, decorated.triggerButton, onlyIconTrigger, filteredIconAriaLabel, classNames]);
    return (jsxs(Dropdown, { onOpen: onOpen, onClose: onClose, children: [jsx(DropdownTrigger, { tooltip: { show: onlyIconTrigger, message: decorated.triggerButton }, children: jsx(Button, { ...props, suffix: buttonSuffix, size: triggerSize, children: buttonContent }) }), jsx(DropdownContent, { controllable: true, children: jsxs("form", { onSubmit: ON_SUBMIT, children: [jsx("div", { className: classNames.inner, children: children }), jsxs(Stack, { gap: 0.5, className: classNames.actionArea, children: [jsxs(Cluster, { gap: 1, align: "center", justify: "space-between", children: [onReset && (jsx("div", { className: classNames.resetButtonArea, children: jsx(Button, { variant: "text", size: "s", prefix: jsx(FaRotateLeftIcon, {}), onClick: onReset, disabled: calcedResponseStatus.isProcessing, children: decorated.resetButton }) })), jsxs(Cluster, { gap: CONTROL_CLUSTER_GAP, justify: "flex-end", className: classNames.rightButtonArea, children: [jsx(DropdownCloser, { children: jsx(Button, { onClick: onCancel, disabled: calcedResponseStatus.isProcessing, children: decorated.cancelButton }) }), jsx(DropdownCloser, { children: jsx(Button, { variant: "primary", onClick: onApply, loading: calcedResponseStatus.isProcessing, children: decorated.applyButton }) })] })] }), calcedResponseStatus.message && (jsx("div", { className: classNames.message, children: jsx(ResponseMessage, { type: calcedResponseStatus.status, role: "alert", children: calcedResponseStatus.message }) }))] })] }) })] }));
};

export { FilterDropdown };
//# sourceMappingURL=FilterDropdown.js.map
