import { type ComponentPropsWithRef, type FC, type MouseEventHandler, type OptionHTMLAttributes } from 'react';
import { type DecoratorKeyTypes } from './useSortDropdown';
import type { DecoratorsType } from '../../../hooks/useDecorators';
type SortFieldType = {
    value: string;
} & Omit<OptionHTMLAttributes<HTMLOptionElement>, 'value'>;
type ArgsOnApply = {
    field: string;
    order: 'asc' | 'desc';
    newfields: SortFieldType[];
};
type Props = {
    /** 並び替え項目 */
    sortFields: SortFieldType[];
    /** 並び順の初期値 */
    defaultOrder: 'asc' | 'desc';
    /** 適用時に発火するイベント */
    onApply: (args: ArgsOnApply) => void;
    /** キャンセル時に発火するイベント */
    onCancel?: MouseEventHandler<HTMLButtonElement>;
    decorators?: DecoratorsType<DecoratorKeyTypes>;
};
type ElementProps = Omit<ComponentPropsWithRef<'button'>, keyof Props>;
export declare const SortDropdown: FC<Props & ElementProps>;
export {};
