"use client";
import { jsxs, jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import { Button } from '../../Button/Button.js';
import '../../Button/AnchorButton.js';
import '../../Button/UnstyledButton.js';
import { Fieldset } from '../../Fieldset/Fieldset.js';
import { FormControl } from '../../FormControl/FormControl.js';
import { Stack } from '../../Layout/Stack/Stack.js';
import { Cluster } from '../../Layout/Cluster/Cluster.js';
import '../../Layout/Reel/Reel.js';
import '../../Layout/Sidebar/Sidebar.js';
import '../../Layout/Center/Center.js';
import { RadioButton } from '../../RadioButton/RadioButton.js';
import { Select } from '../../Select/Select.js';
import { Dropdown } from '../Dropdown.js';
import { DropdownCloser } from '../DropdownCloser.js';
import { DropdownContent } from '../DropdownContent.js';
import { DropdownTrigger } from '../DropdownTrigger.js';
import { useSortDropdown } from './useSortDropdown.js';

const SortDropdown = ({ sortFields, defaultOrder, onApply, onCancel, decorators, ...props }) => {
    const { labels, SortIcon, onChangeSortOrderRadio, innerValues: { innerFields, innerCheckedOrder }, handler: { handleApply, handleChange }, classNames, } = useSortDropdown({
        sortFields,
        defaultOrder,
        onApply,
        decorators,
    });
    return (jsxs(Dropdown, { children: [jsx(DropdownTrigger, { children: jsx(Button, { ...props, suffix: jsx(SortIcon, {}), children: labels.triggerLabel }) }), jsx(DropdownContent, { controllable: true, children: jsxs("form", { onSubmit: handleApply, children: [jsxs(Stack, { className: classNames.body, children: [jsx(FormControl, { title: labels.sortFieldLabel, children: jsx(Select, { name: "sortFields", options: innerFields, onChange: handleChange, className: classNames.select }) }), jsx(Fieldset, { title: labels.sortOrderLabel, innerMargin: 0.5, children: jsxs(Cluster, { gap: 1.25, children: [jsx(RadioButton, { name: "sortOrder", value: "asc", checked: innerCheckedOrder === 'asc', onChange: onChangeSortOrderRadio, children: labels.ascLabel }), jsx(RadioButton, { name: "sortOrder", value: "desc", checked: innerCheckedOrder === 'desc', onChange: onChangeSortOrderRadio, children: labels.descLabel })] }) })] }), jsx(Footer, { onCancel: onCancel, cancelButtonLabel: labels.cancelButtonLabel, applyButtonLabel: labels.applyButtonLabel, className: classNames.footer })] }) })] }));
};
const Footer = memo(({ className, onCancel, cancelButtonLabel, applyButtonLabel }) => (jsxs(Cluster, { gap: 1, align: "center", justify: "flex-end", as: "footer", className: className, children: [jsx(CancelButton, { onClick: onCancel, children: cancelButtonLabel }), jsx(ApplyButton, { children: applyButtonLabel })] })));
const CancelButton = memo(({ onClick, children }) => (jsx(DropdownCloser, { children: jsx(Button, { onClick: onClick, children: children }) })));
const ApplyButton = memo(({ children }) => (jsx(DropdownCloser, { children: jsx(Button, { type: "submit", variant: "primary", children: children }) })));

export { SortDropdown };
//# sourceMappingURL=SortDropdown.js.map
