import { jsx, jsxs } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { PageHeading } from '../Heading/Heading.js';
import { Stack } from '../Layout/Stack/Stack.js';
import '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import { Center } from '../Layout/Center/Center.js';
import { SmartHRLogo } from '../SmartHRLogo/SmartHRLogo.js';
import { TextLink } from '../TextLink/TextLink.js';
import '../TextLink/HelpLink/HelpLink.js';
import '../TextLink/UpwardLink/UpwardLink.js';

const classNameGenerator = ce({
    base: 'smarthr-ui-ErrorScreen shr-bg-background',
});
const ErrorScreen = ({ logo, title, links, children, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return (jsx(Center, { ...props, minHeight: "100vh", verticalCentering: true, className: actualClassName, children: jsxs(Stack, { gap: 1.5, align: "center", className: "[&&&]:shr-my-auto", children: [jsx("div", { className: "smarthr-ui-ErrorScreen-logo", children: logo || jsx(SmartHRLogo, { fill: "brand", className: "shr-p-0.75" }) }), jsxs(Stack, { align: "center", children: [title && jsx(PageHeading, { className: "smarthr-ui-ErrorScreen-title", children: title }), children && jsx("div", { className: "smarthr-ui-ErrorScreen-content", children: children }), links?.length && (jsx(Stack, { as: "ul", gap: 0.5, align: "center", className: "smarthr-ui-ErrorScreen-linkList shr-list-none", children: links.map((link, index) => (jsx("li", { children: jsx(TextLink, { href: link.url, target: link.target, className: "smarthr-ui-ErrorScreen-link", children: link.label }) }, index))) }))] })] }) }));
};

export { ErrorScreen };
//# sourceMappingURL=ErrorScreen.js.map
