"use client";
import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { memo, useState, useCallback, useMemo } from 'react';
import './../../vendor/.pnpm/react-pdf@9.2.1_@types_react@18.3.23_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-pdf/dist/esm/index.js';
import { ReactPDFStyle } from './generatedReactPDFStyle.js';
import Document from './../../vendor/.pnpm/react-pdf@9.2.1_@types_react@18.3.23_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-pdf/dist/esm/Document.js';
import Page from './../../vendor/.pnpm/react-pdf@9.2.1_@types_react@18.3.23_react-dom@19.1.0_react@19.1.0__react@19.1.0/vendor/react-pdf/dist/esm/Page.js';
import { version as __webpack_exports__version, GlobalWorkerOptions as __webpack_exports__GlobalWorkerOptions } from './../../vendor/.pnpm/pdfjs-dist@4.8.69/vendor/pdfjs-dist/build/pdf.js';

// TODO: バンドラの関係でCDNから読み込んでいるが、smarthr-uiから配信するようにしたい
// pdfjs.GlobalWorkerOptions.workerSrc = new URL(
//   'pdfjs-dist/build/pdf.worker.min.mjs',
//   import.meta.url,
// ).toString()
__webpack_exports__GlobalWorkerOptions.workerSrc = `//cdnjs.cloudflare.com/ajax/libs/pdf.js/${__webpack_exports__version}/pdf.worker.min.mjs`;
const options = {
    // TODO: バンドラの関係でCDNから読み込んでいるが、smarthr-uiから配信するようにしたい
    // 非latin文字を読み込むためのオプション
    // 参考: https://github.com/wojtekmaj/react-pdf?tab=readme-ov-file#support-for-non-latin-characters
    // cMapUrl: '/cmaps/',
    cMapUrl: `//cdnjs.cloudflare.com/ajax/libs/pdf.js/${__webpack_exports__version}/cmaps/`,
};
const PDFViewer = memo(({ scale, rotation, file, width, onLoad }) => {
    const [pdfNumPages, setPdfNumPages] = useState(1);
    const onDocumentLoadSuccess = useCallback(({ numPages }) => {
        setPdfNumPages(numPages);
    }, []);
    const onPageLoad = useMemo(() => {
        if (!onLoad) {
            return undefined;
        }
        return (page) => {
            // DocumentのLoadだとページごとの読み込みが考慮されないため
            if (page.pageNumber !== pdfNumPages) {
                return;
            }
            onLoad();
        };
    }, [pdfNumPages, onLoad]);
    return (jsxs(Fragment, { children: [jsx(ReactPDFStyle, {}), jsx(Document, { options: options, file: file.url, onLoadSuccess: onDocumentLoadSuccess, rotate: rotation, className: "shr-flex shr-h-full shr-w-fit shr-flex-col shr-items-center shr-gap-1 shr-overflow-auto", externalLinkTarget: "_blank", loading: null, children: Array.from({ length: pdfNumPages }).map((_, i) => (jsx(Page, { pageNumber: i + 1, width: width, scale: scale, className: "shr-w-full", onLoadSuccess: onPageLoad, loading: null }, `page_${i}`))) })] }));
});

export { PDFViewer };
//# sourceMappingURL=PDFViewer.js.map
