import { jsx, jsxs } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Base } from '../Base/Base.js';
import '../Base/BaseColumn/BaseColumn.js';
import { Stack } from '../Layout/Stack/Stack.js';
import { Cluster } from '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';
import { ResponseMessage } from '../ResponseMessage/ResponseMessage.js';

const classNameGenerator = ce({
    slots: {
        wrapper: 'smarthr-ui-FloatArea shr-sticky shr-z-fixed-menu -shr-mx-0.5',
        mainButtonCluster: 'shr-ms-auto',
        responseMessageWrapper: 'shr-ms-auto',
    },
    variants: {
        bottom: {
            0: {
                wrapper: 'shr-bottom-0',
            },
            0.25: {
                wrapper: 'shr-bottom-0.25',
            },
            0.5: {
                wrapper: 'shr-bottom-0.5',
            },
            0.75: {
                wrapper: 'shr-bottom-0.75',
            },
            1: {
                wrapper: 'shr-bottom-1',
            },
            1.25: {
                wrapper: 'shr-bottom-1.25',
            },
            1.5: {
                wrapper: 'shr-bottom-1.5',
            },
            2: {
                wrapper: 'shr-bottom-2',
            },
            2.5: {
                wrapper: 'shr-bottom-2.5',
            },
            3: {
                wrapper: 'shr-bottom-3',
            },
            3.5: {
                wrapper: 'shr-bottom-3.5',
            },
            4: {
                wrapper: 'shr-bottom-4',
            },
            8: {
                wrapper: 'shr-bottom-8',
            },
            X3S: {
                wrapper: 'shr-bottom-0.25',
            },
            XXS: {
                wrapper: 'shr-bottom-0.5',
            },
            XS: {
                wrapper: 'shr-bottom-1',
            },
            S: {
                wrapper: 'shr-bottom-1.5',
            },
            M: {
                wrapper: 'shr-bottom-2',
            },
            L: {
                wrapper: 'shr-bottom-2.5',
            },
            XL: {
                wrapper: 'shr-bottom-3',
            },
            XXL: {
                wrapper: 'shr-bottom-3.5',
            },
            X3L: {
                wrapper: 'shr-bottom-4',
            },
        },
    },
    defaultVariants: {
        bottom: 1.5,
    },
});
const FloatArea = ({ primaryButton, secondaryButton, tertiaryButton, responseStatus, bottom, zIndex, style, className, ...rest }) => {
    const classNames = useMemo(() => {
        const { wrapper, mainButtonCluster, responseMessageWrapper } = classNameGenerator({ bottom });
        return {
            wrapper: wrapper({ className }),
            mainButtonCluster: mainButtonCluster(),
            responseMessageWrapper: responseMessageWrapper(),
        };
    }, [bottom, className]);
    const actualStyle = useMemo(() => ({ ...style, zIndex }), [style, zIndex]);
    return (jsx(Base, { ...rest, layer: 3, padding: 1, className: classNames.wrapper, style: actualStyle, children: jsxs(Stack, { gap: 0.5, children: [jsxs(Cluster, { children: [tertiaryButton, jsxs(Cluster, { gap: 1, className: classNames.mainButtonCluster, children: [secondaryButton, primaryButton] })] }), responseStatus && (jsx("p", { className: classNames.responseMessageWrapper, children: jsx(ResponseMessage, { type: responseStatus.status, children: responseStatus.text }) }))] }) }));
};

export { FloatArea };
//# sourceMappingURL=FloatArea.js.map
