import { type FC, type HTMLAttributes, type ReactNode } from 'react';
import { type VariantProps } from 'tailwind-variants';
import { type DecoratorsType } from '../../../hooks/useDecorators';
type Category = {
    type?: string;
    heading: ReactNode;
    items: AppItem[];
};
type AppItem = {
    label: ReactNode;
    url: string;
    target?: string;
};
type Props = {
    apps: Category[];
    urlToShowAll?: string | null;
    /** コンポーネント内の文言を変更するための関数を設定 */
    decorators?: DecoratorsType<DecoratorKeyTypes>;
} & VariantProps<typeof classNameGenerator>;
type ElementProps = Omit<HTMLAttributes<HTMLElement>, keyof Props>;
type DecoratorKeyTypes = 'triggerLabel';
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    enableNew: {
        true: {
            appsButton: string[];
        };
    };
}, {
    appsButton: string[];
    contentWrapper: string[];
    category: string;
    appList: string;
    link: string;
    footer: string[];
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    enableNew: {
        true: {
            appsButton: string[];
        };
    };
}, {
    enableNew: {
        true: {
            appsButton: string[];
        };
    };
}>, {
    enableNew: {
        true: {
            appsButton: string[];
        };
    };
}, {
    appsButton: string[];
    contentWrapper: string[];
    category: string;
    appList: string;
    link: string;
    footer: string[];
}, import("tailwind-variants").TVReturnType<{
    enableNew: {
        true: {
            appsButton: string[];
        };
    };
}, {
    appsButton: string[];
    contentWrapper: string[];
    category: string;
    appList: string;
    link: string;
    footer: string[];
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    enableNew: {
        true: {
            appsButton: string[];
        };
    };
}, {
    enableNew: {
        true: {
            appsButton: string[];
        };
    };
}>, unknown, unknown, undefined>>;
export declare const AppLauncher: FC<Props & ElementProps>;
export {};
