"use client";
import { jsxs, jsx } from 'react/jsx-runtime';
import { useMemo, memo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useDecorators } from '../../../hooks/useDecorators.js';
import '../../../intl/IntlProvider.js';
import { useIntl } from '../../../intl/useIntl.js';
import 'react-intl';
import { Button } from '../../Button/Button.js';
import '../../Button/AnchorButton.js';
import '../../Button/UnstyledButton.js';
import { Dropdown } from '../../Dropdown/Dropdown.js';
import { DropdownTrigger } from '../../Dropdown/DropdownTrigger.js';
import { DropdownContent } from '../../Dropdown/DropdownContent.js';
import '../../Dropdown/DropdownCloser.js';
import '../../Dropdown/FilterDropdown/FilterDropdown.js';
import '../../Dropdown/DropdownMenuButton/DropdownMenuButton.js';
import '../../Dropdown/DropdownMenuButton/DropdownMenuGroup.js';
import '../../Dropdown/SortDropdown/SortDropdown.js';
import { Heading } from '../../Heading/Heading.js';
import { FaCaretDownIcon, FaToolboxIcon } from '../../Icon/Icon.js';
import '../../Icon/generateIcon.js';
import { Stack } from '../../Layout/Stack/Stack.js';
import { Cluster } from '../../Layout/Cluster/Cluster.js';
import '../../Layout/Reel/Reel.js';
import '../../Layout/Sidebar/Sidebar.js';
import '../../Layout/Center/Center.js';
import { TextLink } from '../../TextLink/TextLink.js';
import '../../TextLink/HelpLink/HelpLink.js';
import '../../TextLink/UpwardLink/UpwardLink.js';

const classNameGenerator = ce({
    slots: {
        appsButton: [
            'shr-border-none shr-bg-transparent shr-px-0.25 shr-font-normal shr-text-white',
            'hover:shr-border-transparent hover:shr-bg-transparent',
            'focus-visible:shr-border-transparent focus-visible:shr-bg-transparent',
            'forced-colors:shr-border-shorthand',
        ],
        contentWrapper: ['smarthr-ui-AppLauncher', 'shr-p-1.5 shr-leading-normal'],
        category: 'smarthr-ui-AppLauncher-category',
        appList: 'shr-list-none',
        link: 'smarthr-ui-AppLauncher-link',
        footer: [
            'smarthr-ui-AppLauncher-footer',
            'shr-border-t-shorthand -shr-mx-0.75 -shr-mb-0.25 shr-px-0.75 shr-pt-1',
        ],
    },
    variants: {
        enableNew: {
            true: {
                appsButton: [
                    'shr-px-0.5 shr-font-bold shr-text-black',
                    '[&_.smarthr-ui-Icon]:aria-expanded:shr-rotate-180',
                    'hover:shr-bg-white-darken',
                    'focus-visible:shr-bg-white-darken',
                ],
            },
        },
    },
});
const AppLauncher = ({ apps, urlToShowAll, decorators, enableNew, ...props }) => {
    const calculatedApps = useMemo(() => {
        const result = { base: undefined, others: [] };
        apps.forEach((app) => {
            if (app.type === 'base') {
                result.base = app;
            }
            else {
                result.others.push(app);
            }
        });
        return result;
    }, [apps]);
    const classNames = useMemo(() => {
        const { appsButton, contentWrapper, category, appList, link, footer } = classNameGenerator({
            enableNew,
        });
        return {
            appsButton: appsButton(),
            contentWrapper: contentWrapper(),
            category: category(),
            appList: appList(),
            link: link(),
            footer: footer(),
        };
    }, [enableNew]);
    return (jsxs(Dropdown, { ...props, children: [jsx(MemoizedDropdownTrigger, { enableNew: enableNew, decorators: decorators, className: classNames.appsButton }), jsx(DropdownContent, { controllable: true, children: jsxs(Stack, { as: "nav", gap: 1.5, className: classNames.contentWrapper, children: [jsxs(Stack, { gap: 1.5, children: [calculatedApps.base && (jsxs(Stack, { gap: 0.5, className: classNames.category, as: "section", children: [jsx(Heading, { type: "subSubBlockTitle", children: calculatedApps.base.heading }), jsx(Cluster, { as: "ul", gap: 1, className: classNames.appList, children: calculatedApps.base.items.map((item, index) => (jsx(LinkListItem, { href: item.url, target: item.target, className: classNames.link, children: item.label }, index))) })] })), jsx(Cluster, { gap: 1.5, children: calculatedApps.others.map(({ heading, items }, i) => (jsxs(Stack, { gap: 0.5, className: classNames.category, as: "section", children: [jsx(Heading, { type: "subSubBlockTitle", children: heading }), jsx(Stack, { gap: 0.5, as: "ul", className: classNames.appList, children: items.map((item, index) => (jsx(LinkListItem, { href: item.url, target: item.target, className: classNames.link, children: item.label }, index))) })] }, i))) })] }), jsx(TextLinkToShowAll, { href: urlToShowAll, className: classNames.footer })] }) })] }));
};
const MemoizedDropdownTrigger = memo(({ enableNew, className, decorators }) => {
    const { localize } = useIntl();
    const decoratorDefaultTexts = useMemo(() => ({
        triggerLabel: localize({
            id: 'smarthr-ui/AppLauncher/triggerLabel',
            defaultText: 'アプリ',
        }),
    }), [localize]);
    const decorated = useDecorators(decoratorDefaultTexts, decorators);
    return (jsx(DropdownTrigger, { children: jsx(Button, { prefix: enableNew ?? jsx(FaToolboxIcon, {}), suffix: enableNew ? jsx(FaCaretDownIcon, {}) : undefined, className: className, children: decorated.triggerLabel }) }));
});
const TextLinkToShowAll = memo(({ href, className }) => {
    const { localize } = useIntl();
    if (!href)
        return null;
    return (jsx("div", { className: className, children: jsx(TextLink, { href: href, style: { width: 'fit-content' }, children: localize({
                id: 'smarthr-ui/AppLauncher/showAllText',
                defaultText: 'すべて見る',
            }) }) }));
});
const LinkListItem = memo(({ href, target, children, className }) => (jsx("li", { children: jsx(TextLink, { href: href, target: target, className: className, children: children }) })));

export { AppLauncher };
//# sourceMappingURL=AppLauncher.js.map
