import { type ComponentProps, type FC, type PropsWithChildren, type ReactElement, type ReactNode } from 'react';
import { type VariantProps } from 'tailwind-variants';
import { AppLauncher } from '.';
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    enableNew: {
        true: {
            wrapper: string[];
            logoLink: string;
            tenantInfo: string;
            tenantNameText: string;
            actions: string;
        };
    };
}, {
    wrapper: string[];
    logoLink: string[];
    tenantInfo: string[];
    tenantNameText: string;
    actions: string[];
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    enableNew: {
        true: {
            wrapper: string[];
            logoLink: string;
            tenantInfo: string;
            tenantNameText: string;
            actions: string;
        };
    };
}, {
    enableNew: {
        true: {
            wrapper: string[];
            logoLink: string;
            tenantInfo: string;
            tenantNameText: string;
            actions: string;
        };
    };
}>, {
    enableNew: {
        true: {
            wrapper: string[];
            logoLink: string;
            tenantInfo: string;
            tenantNameText: string;
            actions: string;
        };
    };
}, {
    wrapper: string[];
    logoLink: string[];
    tenantInfo: string[];
    tenantNameText: string;
    actions: string[];
}, import("tailwind-variants").TVReturnType<{
    enableNew: {
        true: {
            wrapper: string[];
            logoLink: string;
            tenantInfo: string;
            tenantNameText: string;
            actions: string;
        };
    };
}, {
    wrapper: string[];
    logoLink: string[];
    tenantInfo: string[];
    tenantNameText: string;
    actions: string[];
}, undefined, import("tailwind-variants/dist/config.js").TVConfig<{
    enableNew: {
        true: {
            wrapper: string[];
            logoLink: string;
            tenantInfo: string;
            tenantNameText: string;
            actions: string;
        };
    };
}, {
    enableNew: {
        true: {
            wrapper: string[];
            logoLink: string;
            tenantInfo: string;
            tenantNameText: string;
            actions: string;
        };
    };
}>, unknown, unknown, undefined>>;
type Tenant = PropsWithChildren<{
    id: string;
    name: ReactNode;
}>;
type Props = {
    /** ロゴ */
    logo?: ReactElement;
    /** ロゴリンク */
    logoHref?: string;
    /** 機能名（enableNew と合わせて使います） */
    featureName?: ReactNode;
    /** 機能群（enableNew と合わせて使います） */
    apps?: ComponentProps<typeof AppLauncher>['apps'];
    /** テナント一覧 */
    tenants?: Tenant[];
    /** 現在のテナント ID */
    currentTenantId?: string;
    /** テナントが選択された時に発火するコールバック関数 */
    onTenantSelect?: (id: string) => void;
    /** @deprecated internal-ui から利用するので使わないでください。 */
    enableNew?: boolean;
} & VariantProps<typeof classNameGenerator>;
type ElementProps = Omit<ComponentProps<'header'>, keyof Props>;
export declare const Header: FC<PropsWithChildren<Props> & ElementProps>;
export {};
