import { jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { TextLink } from '../TextLink/TextLink.js';
import '../TextLink/HelpLink/HelpLink.js';
import '../TextLink/UpwardLink/UpwardLink.js';

const classNameGenerator = ce({
    base: [
        'shr-inline-flex shr-items-center',
        'shr-px-0.25 shr-text-white shr-shadow-none',
        'focus-visible:shr-focus-indicator',
        '[&_.smarthr-ui-Icon]:shr-block',
    ],
    variants: {
        enableNew: {
            true: ['shr-px-0.5 shr-text-black', 'hover:shr-shadow-underline'],
            false: 'hover:shr-text-white',
        },
    },
});
const HeaderLink = memo(({ enableNew, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ enableNew, className }), [enableNew, className]);
    return jsx(TextLink, { ...props, target: "_blank", suffix: null, className: actualClassName });
});

export { HeaderLink };
//# sourceMappingURL=HeaderLink.js.map
