import { type ComponentProps, type PropsWithChildren } from 'react';
import { type TextProps } from '../Text';
export type Props = PropsWithChildren<{
    /** テキストのスタイル */
    type?: TextProps['styleType'];
    /**
     * @deprecated SectioningContent(Article, Aside, Nav, Section)を使ってHeadingと関連する範囲を明確に指定してください
     */
    tag?: HeadingTagTypes;
    /** 視覚的に非表示にするフラグ */
    visuallyHidden?: boolean;
}>;
export type HeadingTagTypes = 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6';
type ElementProps = Omit<ComponentProps<'h1'>, keyof Props | keyof TextProps | 'role' | 'aria-level'>;
export declare const Heading: import("react").NamedExoticComponent<{
    /** テキストのスタイル */
    type?: TextProps["styleType"];
    /**
     * @deprecated SectioningContent(Article, Aside, Nav, Section)を使ってHeadingと関連する範囲を明確に指定してください
     */
    tag?: HeadingTagTypes;
    /** 視覚的に非表示にするフラグ */
    visuallyHidden?: boolean;
} & {
    children?: import("react").ReactNode | undefined;
} & ElementProps>;
export declare const PageHeading: import("react").NamedExoticComponent<Omit<{
    /** テキストのスタイル */
    type?: TextProps["styleType"];
    /**
     * @deprecated SectioningContent(Article, Aside, Nav, Section)を使ってHeadingと関連する範囲を明確に指定してください
     */
    tag?: HeadingTagTypes;
    /** 視覚的に非表示にするフラグ */
    visuallyHidden?: boolean;
} & {
    children?: import("react").ReactNode | undefined;
} & ElementProps, "tag" | "visuallyHidden">>;
export {};
