"use client";
import { jsx } from 'react/jsx-runtime';
import { memo, useContext, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../SectioningContent/SectioningContent.js';
import { LevelContext } from '../SectioningContent/levelContext.js';
import { Text, STYLE_TYPE_MAP } from '../Text/Text.js';
import { VisuallyHiddenText } from '../VisuallyHiddenText/VisuallyHiddenText.js';

const generateTagProps = (level, tag) => {
    let role = undefined;
    let ariaLevel = undefined;
    // TODO: h1はPageHeadingで設定するため、自動計算では必ずh2以下になるようにする
    if (!tag && level > 6) {
        role = 'heading';
        ariaLevel = level;
    }
    return {
        as: tag || (level <= 6 ? `h${level}` : 'span'),
        role,
        'aria-level': ariaLevel,
    };
};
const classNameGenerator = ce({
    base: 'smarthr-ui-Heading',
    variants: {
        visuallyHidden: {
            false: 'shr-m-[unset]',
        },
    },
    defaultVariants: {
        visuallyHidden: false,
    },
});
const Heading = memo(({ tag, type = 'sectionTitle', className, visuallyHidden, ...props }) => {
    const level = useContext(LevelContext);
    const tagProps = useMemo(() => generateTagProps(level, tag), [level, tag]);
    const actualClassName = useMemo(() => classNameGenerator({ visuallyHidden, className }), [className, visuallyHidden]);
    const Component = visuallyHidden ? VisuallyHiddenText : Text;
    return (jsx(Component, { ...props, ...STYLE_TYPE_MAP[type], ...tagProps, className: actualClassName }));
});
const PageHeading = memo(({ type = 'screenTitle', ...props }) => (
// eslint-disable-next-line smarthr/a11y-heading-in-sectioning-content
jsx(Heading, { ...props, type: type, tag: "h1" })));

export { Heading, PageHeading };
//# sourceMappingURL=Heading.js.map
