import { type ComponentProps } from 'react';
import { Input } from '../Input';
type Props = Omit<ComponentProps<typeof Input>, 'type' | 'value' | 'defaultValue'> & {
    /** 通貨の値 */
    value?: string;
    /** デフォルトで表示する通貨の値 */
    defaultValue?: string;
    /** 入力値がフォーマットされたときに発火するコールバック関数 */
    onFormatValue?: (value: string) => void;
};
export declare const CurrencyInput: import("react").ForwardRefExoticComponent<Omit<Props, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
export {};
