import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Tooltip } from '../../Tooltip/Tooltip.js';
import { Input } from '../Input.js';

const classNameGenerator = ce({
    base: 'smarthr-ui-InputWithTooltip [&]:shr-overflow-y-visible',
});
const InputWithTooltip = forwardRef(({ tooltipMessage, width, className, ...rest }, ref) => {
    const style = useMemo(() => ({
        width: typeof width === 'number' ? `${width}px` : width,
    }), [width]);
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return (jsx(Tooltip, { message: tooltipMessage, tabIndex: -1, ariaDescribedbyTarget: "inner", className: actualClassName, style: style, children: jsx(Input, { ...rest, ref: ref, width: style.width }) }));
});

export { InputWithTooltip };
//# sourceMappingURL=InputWithTooltip.js.map
