import { type ComponentProps, type ReactNode } from 'react';
import { type DecoratorsType } from '../../../hooks/useDecorators';
import { InputWithTooltip } from '../InputWithTooltip';
type Props = Omit<ComponentProps<typeof InputWithTooltip>, 'tooltipMessage' | 'prefix'> & {
    /** 入力欄の説明を紐付けるツールチップに表示するメッセージ */
    tooltipMessage: ReactNode;
    decorators?: DecoratorsType<DecoratorKeyTypes>;
};
declare const DECORATOR_DEFAULT_TEXTS: {
    readonly iconAlt: "検索";
};
type DecoratorKeyTypes = keyof typeof DECORATOR_DEFAULT_TEXTS;
export declare const SearchInput: import("react").ForwardRefExoticComponent<Omit<Props, "ref"> & import("react").RefAttributes<HTMLInputElement>>;
export {};
