import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useDecorators } from '../../../hooks/useDecorators.js';
import { FaMagnifyingGlassIcon } from '../../Icon/Icon.js';
import '../../Icon/generateIcon.js';
import { InputWithTooltip } from '../InputWithTooltip/InputWithTooltip.js';

const DECORATOR_DEFAULT_TEXTS = {
    iconAlt: '検索',
};
const classNameGenerator = ce({
    slots: {
        label: 'shr-inline-block',
        input: '',
    },
    variants: {
        existsWidth: {
            true: {
                // Tooltip > Input の構成になっているため、内部の幅を広げる
                input: 'shr-w-full [&_.smarthr-ui-Input]:shr-w-full',
            },
        },
    },
});
const SearchInput = forwardRef(({ decorators, width, className, ...rest }, ref) => {
    const labelStyle = useMemo(() => ({
        width: typeof width === 'number' ? `${width}px` : width,
    }), [width]);
    const classNames = useMemo(() => {
        const { label, input } = classNameGenerator({ existsWidth: !!labelStyle.width });
        return {
            label: label({ className }),
            input: input(),
        };
    }, [labelStyle.width, className]);
    const decorated = useDecorators(DECORATOR_DEFAULT_TEXTS, decorators);
    return (jsx("label", { className: classNames.label, style: labelStyle, children: jsx(InputWithTooltip, { ...rest, ref: ref, prefix: jsx(FaMagnifyingGlassIcon, { alt: decorated.iconAlt, color: "TEXT_GREY" }), className: classNames.input }) }));
});

export { SearchInput };
//# sourceMappingURL=SearchInput.js.map
