"use client";
import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { tv as ce } from './../../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useSectionWrapper } from '../../SectioningContent/useSectioningWrapper.js';

const centerClassNameGenerator = ce({
    base: 'shr-mx-auto shr-box-content shr-flex shr-flex-col shr-items-center',
    variants: {
        padding: {
            0: 'shr-p-0',
            0.25: 'shr-p-0.25',
            0.5: 'shr-p-0.5',
            0.75: 'shr-p-0.75',
            1: 'shr-p-1',
            1.25: 'shr-p-1.25',
            1.5: 'shr-p-1.5',
            2: 'shr-p-2',
            2.5: 'shr-p-2.5',
            3: 'shr-p-3',
            3.5: 'shr-p-3.5',
            4: 'shr-p-4',
            8: 'shr-p-8',
            X3S: 'shr-p-0.25',
            XXS: 'shr-p-0.5',
            XS: 'shr-p-1',
            S: 'shr-p-1.5',
            M: 'shr-p-2',
            L: 'shr-p-2.5',
            XL: 'shr-p-3',
            XXL: 'shr-p-3.5',
            X3L: 'shr-p-4',
        },
        verticalCentering: {
            true: 'shr-justify-center',
        },
    },
});
const Center = forwardRef(({ minHeight, maxWidth, padding, verticalCentering, as: Component = 'div', className, ...props }, ref) => {
    const style = useMemo(() => ({
        minHeight: minHeight ?? undefined,
        maxWidth: maxWidth ?? undefined,
    }), [minHeight, maxWidth]);
    const actualClassName = useMemo(() => centerClassNameGenerator({ padding, verticalCentering, className }), [padding, verticalCentering, className]);
    const Wrapper = useSectionWrapper(Component);
    const body = jsx(Component, { ...props, ref: ref, className: actualClassName, style: style });
    if (Wrapper) {
        return jsx(Wrapper, { children: body });
    }
    return body;
});

export { Center, centerClassNameGenerator };
//# sourceMappingURL=Center.js.map
