import { jsxs, jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { LoaderSpinner } from './LoaderSpinner.js';

const classNameGenerator = ce({
    slots: {
        wrapper: ['smarthr-ui-Loader', 'shr-inline-block shr-overflow-hidden'],
        textSlot: ['shr-block', 'shr-mt-1', 'shr-text-base', 'shr-text-center'],
    },
    variants: {
        type: {
            primary: {
                textSlot: ['shr-text-black'],
            },
            light: {
                textSlot: ['shr-text-white'],
            },
        },
    },
});
const Loader = memo(({ size = 'm', alt, text, type = 'primary', role = 'status', className, ...props }) => {
    const classNames = useMemo(() => {
        const { wrapper, textSlot } = classNameGenerator({
            type,
        });
        return {
            wrapper: wrapper({ className }),
            text: textSlot(),
        };
    }, [type, className]);
    return (jsxs("span", { ...props, role: role, className: classNames.wrapper, children: [jsx(LoaderSpinner, { type: type, size: size, alt: alt }), text && jsx("span", { className: classNames.text, children: text })] }));
});

export { Loader };
//# sourceMappingURL=Loader.js.map
