import { jsxs, jsx, Fragment } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useDecorators } from '../../hooks/useDecorators.js';
import '../Layout/Stack/Stack.js';
import { Cluster } from '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';
import { RangeSeparator } from '../RangeSeparator/RangeSeparator.js';
import { Text } from '../Text/Text.js';

const DECORATOR_DEFAULT_TEXTS = {
    rangeSeparator: '–',
    rangeSeparatorVisuallyHiddenText: 'から',
};
const classNameGenerator = ce({ base: 'shr-text-base' });
const PageCounter = memo(({ start, end, total, decorators, className, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    const decorated = useDecorators(DECORATOR_DEFAULT_TEXTS, decorators);
    const rangeSeparatorDecorators = useMemo(() => ({
        text: () => decorated.rangeSeparator,
        visuallyHiddenText: () => decorated.rangeSeparatorVisuallyHiddenText,
    }), [decorated]);
    return (jsxs(Cluster, { ...props, gap: 0.25, inline: true, align: "baseline", className: actualClassName, children: [jsx(BoldNumber, { children: start }), jsx(RangeSeparator, { decorators: rangeSeparatorDecorators }), jsx(BoldNumber, { children: end }), jsx(Total, { children: total })] }));
});
const BoldNumber = memo(({ children }) => (jsx(Text, { weight: "bold", as: "b", children: children.toLocaleString() })));
const Total = memo(({ children = 0 }) => children > 0 && (jsxs(Fragment, { children: [jsx("span", { children: "/" }), jsx(BoldNumber, { children: children })] })));

export { PageCounter };
//# sourceMappingURL=PageCounter.js.map
