import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Button } from '../Button/Button.js';
import { AnchorButton as ForwardedAnchorButton } from '../Button/AnchorButton.js';
import '../Button/UnstyledButton.js';

const classNameGenerator = ce({
    base: [
        'shr-rounded-s',
        'aria-current-page:[&&&]:shr-cursor-default aria-current-page:[&&&]:shr-bg-main aria-current-page:[&&&]:shr-text-white',
        'aria-current-page:[&&&]:shr-border-solid aria-current-page:[&&&]:shr-border-main',
    ],
});
const PaginationItemButton = ({ page, disabled, hrefTemplate, linkAs }) => {
    const className = useMemo(() => classNameGenerator(), []);
    const { Component, attrs } = useMemo(() => {
        const common = {
            'aria-label': `${page}ページ目`,
            'aria-current': disabled ? 'page' : undefined,
        };
        if (hrefTemplate) {
            return {
                Component: ForwardedAnchorButton,
                attrs: {
                    ...common,
                    // HINT: elementAsにnext/linkを設定した場合、hrefがundefinedでは
                    // エラーになってしまうため、undefinedで指定されていない状態にする
                    ...(disabled
                        ? {
                            href: undefined,
                            elementAs: undefined,
                        }
                        : {
                            href: hrefTemplate(page),
                            elementAs: linkAs,
                        }),
                },
            };
        }
        return {
            Component: Button,
            attrs: {
                ...common,
                disabled,
                value: page,
            },
        };
    }, [disabled, page, hrefTemplate, linkAs]);
    return (jsx(Component, { ...attrs, size: "s", className: className, children: page }));
};

export { PaginationItemButton };
//# sourceMappingURL=PaginationItemButton.js.map
