import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { classNameGenerator } from './style.js';

/** @deprecated DatetimeLocalPicker は非推奨です。Input[type="datetime-local"] を使ってください。 */
const DatetimeLocalPicker = forwardRef(({ disabled, error, readOnly, className, ...rest }, ref) => {
    const classNames = useMemo(() => {
        const { wrapper, inner } = classNameGenerator('DatetimeLocal');
        return {
            wrapper: wrapper({ className }),
            inner: inner(),
        };
    }, [className]);
    return (jsx("span", { className: classNames.wrapper, children: jsx("input", { ...rest, ref: ref, type: "datetime-local", disabled: disabled, readOnly: readOnly, "aria-invalid": error || undefined, className: classNames.inner, "data-smarthr-ui-input": "true" }) }));
});

export { DatetimeLocalPicker };
//# sourceMappingURL=DatetimeLocalPicker.js.map
