import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { classNameGenerator } from './style.js';

/** @deprecated MonthPicker は非推奨です。Input[type="month"] を使ってください。 */
const MonthPicker = forwardRef(({ disabled, error, readOnly, className, ...rest }, ref) => {
    const classNames = useMemo(() => {
        const { wrapper, inner } = classNameGenerator('Month');
        return {
            wrapper: wrapper({ className }),
            inner: inner(),
        };
    }, [className]);
    return (jsx("span", { className: classNames.wrapper, children: jsx("input", { ...rest, "data-smarthr-ui-input": "true", ref: ref, type: "month", disabled: disabled, readOnly: readOnly, "aria-invalid": error || undefined, className: classNames.inner }) }));
});

export { MonthPicker };
//# sourceMappingURL=MonthPicker.js.map
