import { jsx } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { classNameGenerator } from './style.js';

/** @deprecated TimePicker は非推奨です。Input[type="time"] を使ってください。 */
const TimePicker = forwardRef(({ disabled, error, readOnly, className, ...rest }, ref) => {
    const classNames = useMemo(() => {
        const { wrapper, inner } = classNameGenerator('Time');
        return {
            wrapper: wrapper({ className }),
            inner: inner(),
        };
    }, [className]);
    return (jsx("span", { className: classNames.wrapper, children: jsx("input", { ...rest, ref: ref, type: "time", disabled: disabled, readOnly: readOnly, "aria-invalid": error || undefined, className: classNames.inner, "data-smarthr-ui-input": "true" }) }));
});

export { TimePicker };
//# sourceMappingURL=TimePicker.js.map
