"use client";
import { jsxs, jsx } from 'react/jsx-runtime';
import { useMemo, useRef, useCallback, useId } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Base } from '../Base/Base.js';
import '../Base/BaseColumn/BaseColumn.js';
import '../Layout/Stack/Stack.js';
import { Cluster } from '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';
import { RadioButton } from '../RadioButton/RadioButton.js';

const NONE_ROLE_TAG_REGEX = /^(div|span)$/;
const classNameGenerator = ce({
    slots: {
        base: [
            'smarthr-ui-RadioButtonPanel',
            'shr-border-shorthand shr-cursor-pointer shr-list-none shr-shadow-none',
            'has-[:disabled]:shr-cursor-default',
            // FIX: なぜか storybook 上で :has が動作しないので重ねて書いている
            'has-[:focus-visible]:shr-focus-indicator [&:has(:focus-visible)]:shr-focus-indicator',
            '[&:has(:disabled)]:shr-text-disabled has-[:disabled]:[&_.smarthr-ui-RadioButtonPanel-description]:shr-text-disabled',
        ],
        radio: [
            '[&_.smarthr-ui-RadioButton-radioButton:focus-visible_+_span]:shr-shadow-none',
            '[&_.smarthr-ui-RadioButton-label]:shr-ms-0.75',
        ],
        // RadioButtonPanel で指定している shr-ms-0.75 + RadioButton のボタンの shr-w-em を足して shr-ms-[1.75em] にしている
        description: ['smarthr-ui-RadioButtonPanel-description', 'shr-ms-[1.75em] shr-mt-0.5'],
    },
    variants: {
        hasDescription: {
            true: {
                base: 'shr-flex shr-flex-col',
                radio: 'shr-font-bold',
            },
        },
    },
});
const RadioButtonPanel = ({ onClick, as, className, children, label, labelSuffix, 'aria-describedby': ariaDescribedby, ...props }) => {
    const classNames = useMemo(() => {
        const { base, description, radio } = classNameGenerator({
            className,
            hasDescription: !!children,
        });
        return { base: base(), description: description(), radio: radio() };
    }, [className, children]);
    const role = useMemo(() => (typeof as === 'string' && NONE_ROLE_TAG_REGEX.test(as) ? 'presentation' : undefined), [as]);
    // 外側の装飾を押しても内側のラジオボタンが押せるようにする
    const innerRef = useRef(null);
    const handleOuterClick = useCallback(() => {
        innerRef.current?.click();
    }, []);
    const descriptionId = useId();
    return (
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    jsxs(Base, { padding: 1, role: role, onClick: handleOuterClick, as: as, className: classNames.base, children: [jsx(RadioButton, { ...props, ref: innerRef, "aria-describedby": `${descriptionId} ${ariaDescribedby ?? ''}`, className: classNames.radio, children: jsxs(Cluster, { align: "center", as: "span", children: [label, labelSuffix] }) }), children && (jsx("div", { id: descriptionId, className: classNames.description, children: children }))] }));
};

export { RadioButtonPanel };
//# sourceMappingURL=RadioButtonPanel.js.map
