import { jsxs, Fragment, jsx } from 'react/jsx-runtime';
import { memo } from 'react';
import { useDecorators } from '../../hooks/useDecorators.js';
import { VisuallyHiddenText } from '../VisuallyHiddenText/VisuallyHiddenText.js';

const DECORATOR_DEFAULT_TEXTS = {
    text: '〜',
    visuallyHiddenText: 'から',
};
const RangeSeparator = memo(({ decorators }) => {
    const decorated = useDecorators(DECORATOR_DEFAULT_TEXTS, decorators);
    return (jsxs(Fragment, { children: [jsx("span", { "aria-hidden": "true", children: decorated.text }), jsx(VisuallyHiddenText, { className: "shr-select-none", children: decorated.visuallyHiddenText })] }));
});

export { RangeSeparator };
//# sourceMappingURL=RangeSeparator.js.map
