import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { FaRotateIcon, FaCircleExclamationIcon, FaCircleCheckIcon, FaCircleInfoIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';
import { WarningIcon } from '../Icon/WarningIcon.js';

const classNameGenerator = ce({
    base: '',
    variants: {
        type: {
            info: 'shr-fill-grey',
            success: 'shr-fill-main',
            warning: '',
            error: 'shr-fill-danger',
            sync: 'shr-fill-main',
        },
    },
});
const ICON_MAPPER = {
    info: FaCircleInfoIcon,
    success: FaCircleCheckIcon,
    warning: WarningIcon,
    error: FaCircleExclamationIcon,
    sync: FaRotateIcon,
};
const ResponseMessage = ({ type = 'info', children, ...other }) => {
    const className = useMemo(() => classNameGenerator({ type }), [type]);
    const Icon = ICON_MAPPER[type];
    return jsx(Icon, { ...other, text: children, className: className });
};

export { ResponseMessage, classNameGenerator };
//# sourceMappingURL=ResponseMessage.js.map
