import { type ComponentProps, type ComponentPropsWithRef, type FC, type PropsWithChildren } from 'react';
type BaseProps = PropsWithChildren<{
    as?: 'article' | 'aside' | 'nav' | 'section';
    baseLevel?: number;
}>;
type SectioningContentProps = Omit<ComponentPropsWithRef<'section'>, keyof BaseProps> & BaseProps;
declare const SectioningContent: import("react").ForwardRefExoticComponent<Omit<SectioningContentProps, "ref"> & import("react").RefAttributes<HTMLElement>>;
type Props = Omit<ComponentProps<typeof SectioningContent>, 'as'>;
export declare const Section: FC<Props>;
export declare const Article: FC<Props>;
export declare const Aside: FC<Props>;
export declare const Nav: FC<Props>;
export declare const SectioningFragment: FC<PropsWithChildren<{
    baseLevel?: number;
}>>;
export {};
