"use client";
import { jsx } from 'react/jsx-runtime';
import { forwardRef, useContext } from 'react';
import { LevelContext } from './levelContext.js';

const SectioningContent = forwardRef(({ children, baseLevel, as: Wrapper = 'section', ...props }, ref) => (jsx(Wrapper, { ...props, ref: ref, children: jsx(SectioningFragment, { baseLevel: baseLevel, children: children }) })));
const Section = SectioningContent;
const Article = forwardRef((props, ref) => (jsx(SectioningContent, { ...props, ref: ref, as: "article" })));
const Aside = forwardRef((props, ref) => (jsx(SectioningContent, { ...props, ref: ref, as: "aside" })));
const Nav = forwardRef((props, ref) => (jsx(SectioningContent, { ...props, ref: ref, as: "nav" })));
const SectioningFragment = ({ children, baseLevel, }) => {
    const level = useContext(LevelContext);
    return jsx(LevelContext.Provider, { value: baseLevel || level + 1, children: children });
};

export { Article, Aside, Nav, Section, SectioningFragment };
//# sourceMappingURL=SectioningContent.js.map
