import { useMemo } from 'react';
import { isStyledComponent } from 'styled-components';
import { SectioningFragment } from './SectioningContent.js';

const SECTIONING_CONTENTS_REGEX = /^(article|aside|nav|section)$/;
const isSectioningContent = (as) => {
    const type_ = isStyledComponent(as) ? as.target : as;
    return typeof type_ === 'string' && SECTIONING_CONTENTS_REGEX.test(type_);
};
/** NOTE: Layout コンポーネントに変更がある場合、必ず [smarthr/a11y-heading-in-sectioning-content](https://github.com/kufu/eslint-plugin-smarthr/tree/main/rules/a11y-heading-in-sectioning-content) を見直すこと
 */
const useSectionWrapper = (as) => useMemo(() => (isSectioningContent(as) ? SectioningFragment : null), [as]);

export { useSectionWrapper };
//# sourceMappingURL=useSectioningWrapper.js.map
