import { type ComponentProps, type FC, type ReactNode } from 'react';
export type Option = {
    /** 選択時に返される値 */
    value: string;
    /** ボタンに表示する内容 */
    content: ReactNode;
    /** ボタンの `aria-label` */
    ariaLabel?: string;
    /** ボタンを disabled にするかどうか */
    disabled?: boolean;
};
type Props = {
    /** 選択肢の配列 */
    options: Option[];
    /** 選択中の値 */
    value?: string | null;
    /** 選択肢を押下したときに発火するコールバック関数 */
    onClickOption?: (value: string) => void;
    /** 各ボタンの大きさ */
    size?: 'default' | 's';
};
type ElementProps = Omit<ComponentProps<'div'>, keyof Props>;
export declare const SegmentedControl: FC<Props & ElementProps>;
export {};
