import { jsx, jsxs } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { Heading } from '../Heading/Heading.js';
import { Section } from '../SectioningContent/SectioningContent.js';
import '../SectioningContent/levelContext.js';

const classNameGenerator = ce({
    slots: {
        wrapper: ['smarthr-ui-SideMenu-group', '[&:not(:first-of-type)]:shr-mt-1'],
        list: 'shr-list-none',
        groupTitle: 'shr-px-1 shr-py-0.5 shr-text-sm',
    },
});
const SideMenuGroup = ({ title, titleElementAs, listElementAs, children, className, }) => {
    const classNames = useMemo(() => {
        const { wrapper, list, groupTitle } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            list: list(),
            groupTitle: groupTitle(),
        };
    }, [className]);
    const ListComponent = listElementAs ?? 'ul';
    return (jsx("li", { className: classNames.wrapper, children: jsxs(Section, { children: [jsx(GroupHeading, { titleElementAs: titleElementAs, className: classNames.groupTitle, children: title }), jsx(ListComponent, { className: classNames.list, children: children })] }) }));
};
const GroupHeading = memo(({ titleElementAs: Inner, children, className }) => (jsx(Heading, { type: "subBlockTitle", className: className, children: Inner ? jsx(Inner, { children: children }) : children })));

export { SideMenuGroup };
//# sourceMappingURL=SideMenuGroup.js.map
