import { type ComponentProps, type ComponentPropsWithoutRef, type FC, type PropsWithChildren } from 'react';
import { SideNavItemButton, type SideNavSizeType } from './SideNavItemButton';
export type SideNavItemButtonProps = Omit<ComponentProps<typeof SideNavItemButton>, 'size' | 'onClick'>;
type Props = PropsWithChildren<{
    /** 各アイテムのデータの配列
     * @deprecated SideNavItemButton を使ってください
     */
    items?: SideNavItemButtonProps[];
    /** 各アイテムの大きさ */
    size?: SideNavSizeType;
    /** アイテムを押下したときに発火するコールバック関数 */
    onClick?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>, id: string) => void;
    /** コンポーネントに適用するクラス名 */
    className?: string;
}>;
type ElementProps = Omit<ComponentPropsWithoutRef<'ul'>, keyof Props>;
export declare const SideNav: FC<Props & ElementProps>;
export {};
