import { jsx } from 'react/jsx-runtime';
import { useMemo, Children, cloneElement } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { SideNavItemButton } from './SideNavItemButton.js';

const classNameGenerator = ce({
    base: ['smarthr-ui-SideNav', 'shr-list-none shr-bg-column'],
});
const SideNav = ({ items, size = 'default', onClick, className, children, ...props }) => {
    const actualOnClick = useMemo(() => onClick
        ? (e) => onClick(e, e.currentTarget.value)
        : undefined, [onClick]);
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return (jsx("ul", { ...props, className: actualClassName, children: items
            ? items.map((item) => (jsx(SideNavItemButton, { id: item.id, title: item.title, prefix: item.prefix, current: item.current, size: size, onClick: actualOnClick }, item.id)))
            : children &&
                Children.map(children, (child) => {
                    if (child &&
                        typeof child === 'object' &&
                        'type' in child &&
                        child.type === SideNavItemButton) {
                        return cloneElement(child, {
                            // 子コンポーネントに対して親コンポーネントから onClick size を一括で適用
                            size,
                            onClick: actualOnClick,
                        });
                    }
                    return child;
                }) }));
};

export { SideNav };
//# sourceMappingURL=SideNav.js.map
