import { type ComponentPropsWithoutRef, type FC, type ReactNode } from 'react';
export type SideNavSizeType = 'default' | 's';
type Props = {
    /** アイテムの識別子 */
    id: string;
    /** アイテムのタイトル
     * @deprecated SideNav で items を使う時の props です。children を使ってください。
     */
    title?: ReactNode;
    /** タイトルのプレフィックスの内容。通常、StatusLabel の配置に用います。 */
    prefix?: ReactNode;
    /** 選択されているアイテムかどうか */
    current?: boolean;
    /** アイテムの大きさ */
    size?: SideNavSizeType;
    /** アイテムを押下したときに発火するコールバック関数 */
    onClick?: (e: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void;
};
type ElementProps = Omit<ComponentPropsWithoutRef<'li'>, keyof Props>;
export declare const SideNavItemButton: FC<Props & ElementProps>;
export {};
