import { jsxs, jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Button/Button.js';
import '../Button/AnchorButton.js';
import { UnstyledButton } from '../Button/UnstyledButton.js';
import '../Layout/Stack/Stack.js';
import { Cluster } from '../Layout/Cluster/Cluster.js';
import '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';

const classNameGenerator = ce({
    slots: {
        wrapper: [
            'smarthr-ui-SideNav-item',
            'data-[current=true]:shr-relative data-[current=true]:shr-bg-main data-[current=true]:shr-text-white',
            'data-[current=true]:after:shr-absolute data-[current=true]:after:-shr-right-0.25 data-[current=true]:after:shr-top-1/2 data-[current=true]:after:-shr-translate-y-1/2 data-[current=true]:after:shr-translate-x-0 data-[current=true]:after:shr-border-b-4 data-[current=true]:after:shr-border-l-4 data-[current=true]:after:shr-border-r-0 data-[current=true]:after:shr-border-t-4 data-[current=true]:after:shr-border-solid data-[current=true]:after:shr-border-b-transparent data-[current=true]:after:shr-border-l-main data-[current=true]:after:shr-border-r-transparent data-[current=true]:after:shr-border-t-transparent data-[current=true]:after:shr-content-[""]',
            'data-[current=false]:hover:shr-bg-column-darken',
        ],
        button: [
            'shr-w-full shr-leading-none [&]:shr-box-border',
            'focus-visible:shr-focus-indicator',
            'shr-inline-flex shr-items-center',
        ],
        buttonInner: 'smarthr-ui-SideNav-itemTitle',
    },
    variants: {
        size: {
            default: {
                button: 'shr-p-1 shr-text-base',
            },
            s: {
                button: 'shr-px-1 shr-py-0.5 shr-text-sm',
            },
        },
    },
});
const SideNavItemButton = ({ id, title, prefix, current, size, onClick, children, ...rest }) => {
    const classNames = useMemo(() => {
        const { wrapper, button, buttonInner } = classNameGenerator();
        return {
            wrapper: wrapper(),
            button: button({ size: size ?? 'default' }),
            buttonInner: buttonInner(),
        };
    }, [size]);
    return (jsx("li", { ...rest, "data-current": !!current, className: classNames.wrapper, children: jsx(UnstyledButton, { className: classNames.button, onClick: onClick, value: id, children: jsx(ButtonBodyCluster, { prefix: prefix, title: children ?? title, titleClassName: classNames.buttonInner }) }) }));
};
const ButtonBodyCluster = memo(({ prefix, title, titleClassName }) => (jsxs(Cluster, { inline: true, align: "center", as: "span", children: [prefix, jsx("span", { className: titleClassName, children: title })] })));

export { SideNavItemButton };
//# sourceMappingURL=SideNavItemButton.js.map
