import { jsx, jsxs, Fragment } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { SpreadsheetTableCorner } from './SpreadsheetTableCorner.js';

const classNameGenerator = ce({
    base: [
        'smarthr-ui-SpreadsheetTable shr-border-shorthand shr-border-collapse shr-bg-head',
        // th
        '[&_th]:shr-p-0.25 [&_th]:shr-text-sm [&_th]:shr-font-normal [&_th]:shr-text-grey',
        // th + th
        '[&_th_+_th]:shr-border-l-shorthand [&_th_+_th]:shr-border-[theme(backgroundColor[head-darken])]',
        // 左上の角： tr:first-child th:first-child
        '[&_tr:first-child_th:first-child]:shr-w-[calc(1em_*_theme(lineHeight.normal))]',
        // tr + tr th
        '[&_tr_+_tr_th]:shr-border-t-shorthand [&_tr_+_tr_th]:shr-border-[theme(backgroundColor[head-darken])]',
        // td
        '[&_td]:shr-border-shorthand [&_td]:shr-bg-white [&_td]:shr-p-0.25 [&_td]:shr-text-sm',
    ],
});
const SpreadsheetTable = ({ data, className, children, ...props }) => {
    const actualClassName = useMemo(() => classNameGenerator({ className }), [className]);
    return (jsxs("table", { ...props, className: actualClassName, children: [data && (jsxs(Fragment, { children: [jsx(MemoizedThead, { cols: data[0].length }), jsx("tbody", { children: data.map((row, i) => (jsxs("tr", { children: [jsx("th", { children: i + 1 }), row.map((cell, j) => (jsx("td", { children: cell }, `${i}-${j}`)))] }, i))) })] })), children] }));
};
const MemoizedThead = memo(({ cols }) => {
    const columns = [];
    for (let i = 0; i < cols; i++) {
        columns.push(jsx("th", { children: 
            // アルファベットを A から自動挿入
            String.fromCharCode(65 + i) }, i));
    }
    return (jsx("thead", { children: jsxs("tr", { children: [jsx(SpreadsheetTableCorner, {}), columns] }) }));
});

export { SpreadsheetTable };
//# sourceMappingURL=SpreadsheetTable.js.map
