import { jsxs, jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { StepStatusIcon } from './StepStatusIcon.js';

const classNameGenerator = ce({
    slots: {
        // StatusIcon の位置基準となる wrapper
        wrapper: 'shr-relative shr-inline-block',
        counter: 'shr-border-shorthand shr-inline-flex shr-h-[2em] shr-w-[2em] shr-items-center shr-justify-center shr-rounded-full shr-bg-white shr-tabular-nums',
        statusIcon: 'shr-absolute -shr-top-0.25 shr-left-1.5',
    },
    variants: {
        status: {
            completed: { counter: 'shr-border-main' },
            closed: { counter: 'shr-border-grey' },
        },
        current: {
            true: {
                counter: [
                    'shr-border-main shr-bg-main shr-font-bold shr-text-white',
                    'forced-colors:shr-border-[Mark] forced-colors:shr-bg-[Mark]',
                ],
            },
            false: {},
        },
    },
});
const StepCounter = ({ status, current, stepNumber }) => {
    const classNames = useMemo(() => {
        const { wrapper, counter, statusIcon } = classNameGenerator({
            status: typeof status === 'object' ? status.type : status,
            current,
        });
        return {
            wrapper: wrapper(),
            counter: counter(),
            statusIcon: statusIcon(),
        };
    }, [status, current]);
    return (jsxs("span", { className: classNames.wrapper, children: [jsx("span", { className: classNames.counter, "aria-hidden": true, children: stepNumber }), jsx(StepStatusIcon, { status: status, className: classNames.statusIcon })] }));
};

export { StepCounter };
//# sourceMappingURL=StepCounter.js.map
