import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { HorizontalStepItem } from './HorizontalStepItem.js';
import { VerticalStepItem } from './VerticalStepItem.js';

const classNameGenerator = ce({
    base: ['smarthr-ui-Stepper', 'shr-my-0 shr-list-none shr-ps-0'],
    variants: {
        type: {
            // ステップ見出しの左右パディングをネガティブマージンで消し込んでいてる
            horizontal: '-shr-mx-0.75 shr-flex',
            vertical: '',
        },
    },
});
const Stepper = ({ type, steps, activeIndex, className, ...rest }) => {
    const isHorizontal = type === 'horizontal';
    const ItemComponent = isHorizontal ? HorizontalStepItem : VerticalStepItem;
    const actualClassName = useMemo(() => classNameGenerator({ type, className }), [type, className]);
    return (jsx("ol", { ...rest, className: actualClassName, children: steps.map((step, index) => (jsx(StepItem, { Component: ItemComponent, activeIndex: activeIndex, index: index, step: step, 
            // 装飾上、horizontalの場合、前のステップが完了しているかどうかチェックする必要がある
            previousStepStatus: isHorizontal ? steps[index - 1]?.status : undefined }, index))) }));
};
const StepItem = ({ Component, step, previousStepStatus, index, activeIndex }) => {
    const isPrevStepCompleted = useMemo(() => {
        if (!previousStepStatus)
            return false;
        const statusType = typeof previousStepStatus === 'object' ? previousStepStatus.type : previousStepStatus;
        return statusType === 'completed';
    }, [previousStepStatus]);
    return (jsx(Component, { ...step, isPrevStepCompleted: isPrevStepCompleted, stepNumber: index + 1, current: index === activeIndex }));
};

export { Stepper };
//# sourceMappingURL=Stepper.js.map
