import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../Layout/Stack/Stack.js';
import '../Layout/Cluster/Cluster.js';
import { Reel } from '../Layout/Reel/Reel.js';
import '../Layout/Sidebar/Sidebar.js';
import '../Layout/Center/Center.js';

const classNameGenerator = ce({
    slots: {
        wrapper: 'smarthr-ui-TabBar',
        inner: 'shr-grow',
    },
    variants: {
        bordered: {
            true: {
                inner: [
                    'shr-relative',
                    'before:shr-border-b-shorthand before:shr-absolute before:shr-inset-x-0 before:shr-bottom-0 before:shr-z-1 before:shr-content-[""]',
                ],
            },
        },
    },
});
const TabBar = ({ className, bordered, children, ...props }) => {
    const classNames = useMemo(() => {
        const { wrapper, inner } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            inner: inner({ bordered: bordered ?? true }),
        };
    }, [bordered, className]);
    return (jsx(Reel, { ...props, role: "tablist", className: classNames.wrapper, children: jsx("div", { className: classNames.inner, children: children }) }));
};

export { TabBar };
//# sourceMappingURL=TabBar.js.map
