"use client";
import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { reelShadowClassNameGenerator } from './reelShadowStyle.js';
import { useReelCells } from './useReelCells.js';

const classNameGenerator = ce({
    slots: {
        wrapper: ['smarthr-ui-TableReel', 'shr-relative'],
        inner: ['smarthr-ui-TableReel-inner', 'shr-relative shr-overflow-auto'],
    },
});
const TableReel = ({ className, children, ...props }) => {
    const { showShadow, tableWrapperRef } = useReelCells(children);
    const classNames = useMemo(() => {
        const { wrapper, inner } = classNameGenerator();
        return {
            wrapper: reelShadowClassNameGenerator({ showShadow, className: wrapper({ className }) }),
            inner: inner(),
        };
    }, [className, showShadow]);
    return (jsx("div", { className: classNames.wrapper, children: jsx("div", { ...props, ref: tableWrapperRef, className: classNames.inner, children: children }) }));
};

export { TableReel };
//# sourceMappingURL=TableReel.js.map
