import { jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { reelShadowClassNameGenerator } from './reelShadowStyle.js';

const Td = memo(({ align, vAlign, nullable, fixed, contentWidth, className, style, ...props }) => {
    const actualClassName = useMemo(() => {
        const base = classNameGenerator({ align, vAlign, nullable, className });
        if (!fixed) {
            return base;
        }
        const shadow = reelShadowClassNameGenerator({ direction: fixed });
        return `${base} ${shadow}`;
    }, [align, className, fixed, nullable, vAlign]);
    const actualStyle = useMemo(() => {
        if (typeof contentWidth === 'object') {
            return {
                ...style,
                width: convertContentWidth(contentWidth.base),
                minWidth: convertContentWidth(contentWidth.min),
                maxWidth: convertContentWidth(contentWidth.max),
            };
        }
        return {
            ...style,
            width: convertContentWidth(contentWidth),
        };
    }, [style, contentWidth]);
    return jsx("td", { ...props, "data-fixed": fixed, className: actualClassName, style: actualStyle });
});
const classNameGenerator = ce({
    base: [
        'smarthr-ui-Td',
        'shr-h-[calc(1em_*_theme(lineHeight.normal))] shr-border-0 shr-px-1 shr-py-0.5 shr-align-middle shr-text-base shr-leading-normal shr-text-black',
        '[&.fixed]:shr-bg-white',
    ],
    variants: {
        align: {
            left: '',
            right: 'shr-text-right',
        },
        vAlign: {
            middle: '',
            baseline: 'shr-align-baseline',
        },
        nullable: {
            true: "empty:after:shr-content-['-----']",
        },
    },
    defaultVariants: {
        align: 'left',
        vAlign: 'middle',
        nullable: false,
    },
});
const convertContentWidth = (contentWidth) => {
    if (typeof contentWidth === 'number') {
        return `${contentWidth}em`;
    }
    return contentWidth;
};

export { Td };
//# sourceMappingURL=Td.js.map
