import { jsx, jsxs } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { RadioButton } from '../RadioButton/RadioButton.js';
import { VisuallyHiddenText } from '../VisuallyHiddenText/VisuallyHiddenText.js';
import { Td } from './Td.js';

const classNameGenerator = ce({
    slots: {
        inner: [
            'shr-flex shr-justify-center shr-px-1 shr-py-0.75',
            '[&:not(:has([disabled]))]:shr-cursor-pointer',
        ],
        wrapper: 'shr-p-0',
        radio: ['shr-leading-[0]', '[&>span]:shr-translate-y-[unset]'],
    },
});
const TdRadioButton = forwardRef(({ vAlign, children, className, ...rest }, ref) => {
    const classNames = useMemo(() => {
        const { wrapper, inner, radio } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            inner: inner(),
            radio: radio(),
        };
    }, [className]);
    return (
    // Td に必要な属性やイベントは不要
    // contentWidth={0} で td をテーブルの計算上最小幅にする
    jsx(Td, { contentWidth: 0, vAlign: vAlign, className: classNames.wrapper, children: jsxs("label", { className: classNames.inner, children: [jsx(RadioButton, { ...rest, ref: ref, className: classNames.radio }), children && jsx(VisuallyHiddenText, { children: children })] }) }));
});

export { TdRadioButton };
//# sourceMappingURL=TdRadioButton.js.map
