import { type ComponentPropsWithoutRef, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
import { ThSortButton } from './ThSortButton';
import type { CellContentWidth } from './type';
export type Props = PropsWithChildren<{
    /** 並び替え状態 */
    sort?: ComponentPropsWithoutRef<typeof ThSortButton>['sort'];
    /** 並び替えをクリックした時に発火するコールバック関数 */
    onSort?: () => void;
    /** 横スクロール時、カラムを左右いずれかに固定 */
    fixed?: 'left' | 'right';
    /** 文言を変更するための関数 */
    decorators?: ComponentPropsWithoutRef<typeof ThSortButton>['decorators'];
    contentWidth?: CellContentWidth;
} & VariantProps<typeof classNameGenerator>>;
type ElementProps = Omit<ComponentPropsWithoutRef<'th'>, keyof Props | 'onClick'>;
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config.js").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}>, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, undefined, string[], import("tailwind-variants/dist/config.js").TVConfig<{
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}, {
    align: {
        left: string;
        right: string;
    };
    vAlign: {
        middle: string;
        baseline: string;
        bottom: string;
    };
}>, unknown, unknown, undefined>>;
type ActualProps = Props & ElementProps;
export declare const Th: import("react").NamedExoticComponent<ActualProps>;
export {};
