import { jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { ThSortButton } from './ThSortButton.js';
import { reelShadowClassNameGenerator } from './reelShadowStyle.js';

const classNameGenerator = ce({
    base: [
        'smarthr-ui-Th',
        'shr-border-0 shr-px-1 shr-py-0.75 shr-text-left shr-align-middle shr-text-sm shr-font-bold shr-leading-tight shr-text-black',
        'aria-[sort]:shr-cursor-pointer',
        'hover:aria-[sort]:shr-bg-head-darken',
        '[&:has(:focus-visible)]:aria-[sort]:shr-focus-indicator',
        '[&[aria-sort=none]_.smarthr-ui-Icon]:forced-colors:shr-fill-[GrayText]',
        '[&[aria-sort=ascending]_.smarthr-ui-Icon:first-of-type]:forced-colors:shr-fill-[CanvasText] [&[aria-sort=ascending]_.smarthr-ui-Icon:last-of-type]:forced-colors:shr-fill-[GrayText]',
        '[&[aria-sort=descending]_.smarthr-ui-Icon:first-of-type]:forced-colors:shr-fill-[GrayText] [&[aria-sort=descending]_.smarthr-ui-Icon:last-of-type]:forced-colors:shr-fill-[CanvasText]',
    ],
    variants: {
        align: {
            left: '',
            right: 'shr-text-right',
        },
        vAlign: {
            middle: '',
            baseline: 'shr-align-baseline',
            bottom: 'shr-align-bottom',
        },
    },
    defaultVariants: {
        align: 'left',
        vAlign: 'middle',
    },
});
const convertContentWidth = (contentWidth) => {
    if (typeof contentWidth === 'number') {
        // Th は fontSize.S のため、rem で指定する
        return `${contentWidth}rem`;
    }
    return contentWidth;
};
const Th = memo(({ children, sort, onSort, decorators, align, vAlign, fixed, contentWidth, className, style, ...props }) => {
    const actualClassName = useMemo(() => {
        const base = classNameGenerator({ className, align, vAlign });
        if (!fixed) {
            return base;
        }
        const shadow = reelShadowClassNameGenerator({ showShadow: false, direction: fixed });
        return `${base} ${shadow}`;
    }, [align, className, fixed, vAlign]);
    const actualStyle = useMemo(() => ({
        ...style,
        width: convertContentWidth(contentWidth),
    }), [style, contentWidth]);
    const ariaSort = useMemo(() => (sort ? (sort === 'none' ? 'none' : `${sort}ending`) : undefined), [sort]);
    return (jsx("th", { ...props, "aria-sort": ariaSort, "data-fixed": fixed, className: actualClassName, style: actualStyle, children: sort ? (jsx(ThSortButton, { align: align, onSort: onSort, sort: sort, decorators: decorators, children: children })) : (children) }));
});

export { Th };
//# sourceMappingURL=Th.js.map
