"use client";
import { jsx, jsxs } from 'react/jsx-runtime';
import { forwardRef, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import { useDecorators } from '../../hooks/useDecorators.js';
import '../../intl/IntlProvider.js';
import { useIntl } from '../../intl/useIntl.js';
import 'react-intl';
import { Balloon } from '../Balloon/Balloon.js';
import { Checkbox } from '../Checkbox/Checkbox.js';
import { Th } from './Th.js';

const classNameGenerator = ce({
    slots: {
        inner: [
            'shr-group/label',
            'shr-relative shr-flex shr-justify-center shr-px-1 shr-py-0.75',
            '[&:not(:has([disabled]))]:shr-cursor-pointer',
        ],
        wrapper: 'shr-w-[theme(fontSize.base)] shr-p-0',
        checkbox: ['shr-leading-[0]', '[&>span]:shr-translate-y-[unset]'],
        balloon: [
            // 位置はセルの真ん中(50%)+checkboxの幅の半分(8px)+outlineの幅(4px)+Balloonの矢印の幅(5px), sr-onlyで隠す
            'shr-sr-only shr-absolute shr-left-[calc(50%+(theme(fontSize.base)/2)+4px+5px)]',
            // labelの中の要素に hover or focus-visible がある時のスタイル。shr-absoluteはshr-not-sr-onlyのpositionをabsoluteに上書きしている
            'group-has-[:hover,:focus-visible]/label:shr-not-sr-only group-has-[:hover,:focus-visible]/label:shr-absolute group-has-[:hover,:focus-visible]/label:shr-whitespace-nowrap',
        ],
    },
});
const ThCheckbox = forwardRef(({ vAlign, fixed, decorators, className, ...others }, ref) => {
    const { localize } = useIntl();
    const decoratorDefaultTexts = useMemo(() => ({
        checkAllInvisibleLabel: localize({
            id: 'smarthr-ui/ThCheckbox/checkAllInvisibleLabel',
            defaultText: 'すべての項目を選択/解除',
        }),
        checkColumnName: localize({
            id: 'smarthr-ui/ThCheckbox/checkColumnName',
            defaultText: '選択',
        }),
    }), [localize]);
    const decorated = useDecorators(decoratorDefaultTexts, decorators);
    const classNames = useMemo(() => {
        const { wrapper, inner, balloon, checkbox } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            inner: inner(),
            balloon: balloon(),
            checkbox: checkbox(),
        };
    }, [className]);
    return (
    // Th に必要な属性やイベントは不要
    jsx(Th, { vAlign: vAlign, fixed: fixed, className: classNames.wrapper, "aria-label": decorated.checkColumnName, children: jsxs("label", { className: classNames.inner, children: [jsx(Balloon, { as: "span", horizontal: "left", vertical: "middle", className: classNames.balloon, children: jsx("span", { className: "shr-block shr-p-0.5", children: decorated.checkAllInvisibleLabel }) }), jsx(Checkbox, { ...others, ref: ref, className: classNames.checkbox })] }) }));
});

export { ThCheckbox };
//# sourceMappingURL=ThCheckbox.js.map
