"use client";
import { jsxs, jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';
import '../../intl/IntlProvider.js';
import { useIntl } from '../../intl/useIntl.js';
import 'react-intl';
import '../Button/Button.js';
import '../Button/AnchorButton.js';
import { UnstyledButton } from '../Button/UnstyledButton.js';
import { FaSortUpIcon, FaSortDownIcon } from '../Icon/Icon.js';
import '../Icon/generateIcon.js';
import { VisuallyHiddenText } from '../VisuallyHiddenText/VisuallyHiddenText.js';

const sortButtonClassNameGenerator = ce({
    base: '-shr-mx-1 -shr-my-0.75 shr-inline-flex shr-w-full shr-items-center shr-justify-between shr-gap-x-0.5 shr-px-1 shr-py-0.75 shr-font-bold',
    variants: {
        align: {
            left: '',
            right: 'shr-justify-end',
        },
    },
});
const ThSortButton = memo(({ align, sort, decorators, onSort, children }) => {
    const { localize } = useIntl();
    const decoratorDefaultTexts = useMemo(() => ({
        asc: localize({
            id: 'smarthr-ui/Th/sortDirectionAsc',
            defaultText: '昇順',
        }),
        desc: localize({
            id: 'smarthr-ui/Th/sortDirectionDesc',
            defaultText: '降順',
        }),
        none: localize({
            id: 'smarthr-ui/Th/sortDirectionNone',
            defaultText: '並び替えなし',
        }),
    }), [localize]);
    const sortLabel = useMemo(() => {
        if (!sort)
            return undefined;
        return (decorators?.sortDirectionIconAlt?.(decoratorDefaultTexts[sort], { sort }) ??
            decoratorDefaultTexts[sort]);
    }, [decorators, sort, decoratorDefaultTexts]);
    const className = useMemo(() => sortButtonClassNameGenerator({ align }), [align]);
    return (jsxs(UnstyledButton, { onClick: onSort, className: className, children: [children, jsx(SortIcon, {}), jsx(VisuallyHiddenText, { children: sortLabel })] }));
});
const sortIconClassNameGenerator = ce({
    slots: {
        wrapper: 'smarthr-ui-Icon-extended shr-relative shr-h-1 shr-w-1',
        upIcon: [
            'shr-absolute shr-left-0 shr-top-0',
            'shr-text-base',
            '[[aria-sort="none"]_&]:shr-text-disabled',
            '[[aria-sort="ascending"]_&]:shr-text-black',
            '[[aria-sort="descending"]_&]:shr-text-disabled',
        ],
        downIcon: [
            'shr-absolute shr-left-0 shr-top-0',
            'shr-text-base',
            '[[aria-sort="none"]_&]:shr-text-disabled',
            '[[aria-sort="ascending"]_&]:shr-text-disabled',
            '[[aria-sort="descending"]_&]:shr-text-black',
        ],
    },
});
const SortIcon = memo(() => {
    const classNames = useMemo(() => {
        const { wrapper, upIcon, downIcon } = sortIconClassNameGenerator();
        return {
            wrapper: wrapper(),
            upIcon: upIcon(),
            downIcon: downIcon(),
        };
    }, []);
    return (jsxs("span", { className: classNames.wrapper, children: [jsx(FaSortUpIcon, { className: classNames.upIcon }), jsx(FaSortDownIcon, { className: classNames.downIcon })] }));
});

export { ThSortButton };
//# sourceMappingURL=ThSortButton.js.map
