import { jsx } from 'react/jsx-runtime';
import { memo, useMemo } from 'react';
import { tv as ce } from './../../vendor/.pnpm/tailwind-variants@0.3.1_tailwindcss@3.4.17_ts-node@10.9.2_@swc_core@1.12.5_@types_node@20.19.1_typescript@5.8.3__/vendor/tailwind-variants/dist/index.js';

const visuallyHiddenTextClassNameGenerator = ce({
    base: 'shr-absolute shr-h-px shr-w-px shr-overflow-hidden shr-whitespace-nowrap shr-border-0 shr-p-0 [clip-path:inset(100%)] [clip:rect(0_0_0_0)]',
});
const ActualVisuallyHiddenText = ({ as: Component = 'span', className, ...props }) => {
    const actualClassName = useMemo(() => visuallyHiddenTextClassNameGenerator({ className }), [className]);
    return jsx(Component, { ...props, className: actualClassName });
};
const VisuallyHiddenText = memo(ActualVisuallyHiddenText);

export { VisuallyHiddenText, visuallyHiddenTextClassNameGenerator };
//# sourceMappingURL=VisuallyHiddenText.js.map
