import { useMemo } from 'react';

const useDecorators = (defaultTexts, decorators) => useMemo(() => {
    if (!decorators) {
        return defaultTexts;
    }
    const decorated = {};
    for (const key in defaultTexts) {
        const value = defaultTexts[key];
        decorated[key] = decorators[key]?.(value) || value;
    }
    return decorated;
}, [decorators, defaultTexts]);

export { useDecorators };
//# sourceMappingURL=useDecorators.js.map
