"use client";
import { jsx } from 'react/jsx-runtime';
import { useSyncExternalStore } from 'react';
import { defaultBreakpoint } from '../../themes/createBreakpoint.js';
import { DeviceContext } from './useDevice.js';

const mediaQuery = {
    narrow: `(max-width: ${defaultBreakpoint.SP}px)`,
};
const subscribe = (onStoreChange) => {
    const matchQueryList = matchMedia(mediaQuery.narrow);
    matchQueryList.addEventListener('change', onStoreChange);
    return () => {
        matchQueryList.removeEventListener('change', onStoreChange);
    };
};
const getSnapshot = () => matchMedia(mediaQuery.narrow).matches;
const getServerSnapshot = () => null;
const DeviceProvider = ({ children }) => {
    const isNarrowView = useSyncExternalStore(subscribe, getSnapshot, getServerSnapshot);
    return jsx(DeviceContext.Provider, { value: isNarrowView, children: children });
};

export { DeviceProvider };
//# sourceMappingURL=DeviceProvider.js.map
