import { forwardRef, Children, isValidElement } from 'react';

const includeDisabledTrigger = (trigger) => Children.map(trigger, (t) => isValidElement(t) && t.props.disabled)?.some((bool) => bool);
/** forwardRef でジェネリクスを使うためのラッパー
 * via https://www.totaltypescript.com/forwardref-with-generic-components */
const genericsForwardRef = (render) => forwardRef(render);

export { genericsForwardRef, includeDisabledTrigger };
//# sourceMappingURL=util.js.map
