import { merge } from '../libs/lodash.js';

const defaultHtmlFontSize = 16;
const defaultScaleFactor = 6;
const getFontSize = (scaleFactor, diff = 0) => 
// calc(1rem * scaleFactor / (scaleFactor + diff))
`${scaleFactor / (scaleFactor + diff)}rem`;
const getSizes = (scaleFactor) => ({
    XXS: getFontSize(scaleFactor, 3),
    XS: getFontSize(scaleFactor, 2),
    S: getFontSize(scaleFactor, 1),
    M: getFontSize(scaleFactor),
    L: getFontSize(scaleFactor, -1),
    XL: getFontSize(scaleFactor, -2),
    XXL: getFontSize(scaleFactor, -3),
});
const defaultFontSize = getSizes(defaultScaleFactor);
const createFontSize = (userFontSize) => {
    if (!userFontSize) {
        return defaultFontSize;
    }
    const { scaleFactor, ...userTokens } = userFontSize;
    return merge({
        ...defaultFontSize,
    }, scaleFactor ? getSizes(scaleFactor) : {}, userTokens);
};

export { createFontSize, defaultFontSize, defaultHtmlFontSize };
//# sourceMappingURL=createFontSize.js.map
