import { merge } from '../libs/lodash.js';

const hoverAnimationDuration = '.3s';
const hoverAnimationTiming = 'ease-out';
const defaultInteraction = {
    hover: {
        feedbackOpacity: '.7',
        animationDuration: hoverAnimationDuration,
        animationTiming: hoverAnimationTiming,
        animation: `${hoverAnimationDuration} ${hoverAnimationTiming}`,
    },
};
const createInteraction = (userInteraction) => {
    if (!userInteraction) {
        return defaultInteraction;
    }
    return merge({
        ...defaultInteraction,
    }, userInteraction);
};

export { createInteraction, defaultInteraction };
//# sourceMappingURL=createInteraction.js.map
