import { css } from 'styled-components';
import { merge } from '../../libs/lodash.js';
import { defaultColor } from '../createColor.js';
import { defaultShadow } from './defaultShadow.js';

const createOutline = (color) => `0 0 0 2px white, 0 0 0 4px ${color}`;
const createFocusIndicatorStyles = (outline) => css `
  outline: none;
  isolation: isolate;
  box-shadow: ${outline};
`;
const createShadow = (userShadow, userColor) => {
    const outline = createOutline(userColor?.OUTLINE || defaultColor.OUTLINE);
    const shadows = {
        ...defaultShadow,
        OUTLINE: outline,
        focusIndicatorStyles: createFocusIndicatorStyles(outline),
    };
    if (!userShadow) {
        return shadows;
    }
    return merge(shadows, userShadow);
};

export { createShadow };
//# sourceMappingURL=createShadow.js.map
