import { type BorderProperty, type CreatedBorderTheme } from './createBorder';
import { type BreakpointProperty, type CreatedBreakpointTheme } from './createBreakpoint';
import { type ColorProperty, type CreatedColorTheme } from './createColor';
import { type CreatedFontSizeTheme, type FontSizeProperty } from './createFontSize';
import { type CreatedInteractionTheme, type InteractionProperty } from './createInteraction';
import { type CreatedLeading, type LeadingProperty } from './createLeading';
import { type CreatedRadiusTheme, type RadiusProperty } from './createRadius';
import { type CreatedShadowTheme, type ShadowProperty } from './createShadow';
import { type CreatedSpacingByCharTheme, type CreatedSpacingTheme, type SpacingProperty } from './createSpacing';
import { type CreatedZindexTheme, type ZIndexProperty } from './createZIndex';
type ThemeProperty = {
    color?: ColorProperty;
    fontSize?: FontSizeProperty;
    leading?: LeadingProperty;
    spacing?: SpacingProperty;
    breakpoint?: BreakpointProperty;
    border?: BorderProperty;
    radius?: RadiusProperty;
    interaction?: InteractionProperty;
    shadow?: ShadowProperty;
    zIndex?: ZIndexProperty;
};
export type CreatedTheme = {
    color: CreatedColorTheme;
    fontSize: CreatedFontSizeTheme;
    leading: CreatedLeading;
    spacing: CreatedSpacingTheme;
    spacingByChar: CreatedSpacingByCharTheme;
    space: CreatedSpacingByCharTheme;
    breakpoint: CreatedBreakpointTheme;
    border: CreatedBorderTheme;
    radius: CreatedRadiusTheme;
    interaction: CreatedInteractionTheme;
    shadow: CreatedShadowTheme;
    zIndex: CreatedZindexTheme;
};
export declare const createTheme: (theme?: ThemeProperty) => CreatedTheme;
export {};
