"use strict";
import { __exports as getPrefix } from '../../../../../../../../_virtual/getPrefix.js';

var hasRequiredGetPrefix;

function requireGetPrefix () {
	if (hasRequiredGetPrefix) return getPrefix;
	hasRequiredGetPrefix = 1;

	Object.defineProperty(getPrefix, "__esModule", {
	  value: true
	});
	getPrefix.browserPrefixToKey = browserPrefixToKey;
	getPrefix.browserPrefixToStyle = browserPrefixToStyle;
	getPrefix.default = void 0;
	getPrefix.getPrefix = getPrefix$1;
	const prefixes = ['Moz', 'Webkit', 'O', 'ms'];
	function getPrefix$1() /*: string*/{
	  var _window$document;
	  let prop /*: string*/ = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 'transform';
	  // Ensure we're running in an environment where there is actually a global
	  // `window` obj
	  if (typeof window === 'undefined') return '';

	  // If we're in a pseudo-browser server-side environment, this access
	  // path may not exist, so bail out if it doesn't.
	  const style = (_window$document = window.document) === null || _window$document === void 0 || (_window$document = _window$document.documentElement) === null || _window$document === void 0 ? void 0 : _window$document.style;
	  if (!style) return '';
	  if (prop in style) return '';
	  for (let i = 0; i < prefixes.length; i++) {
	    if (browserPrefixToKey(prop, prefixes[i]) in style) return prefixes[i];
	  }
	  return '';
	}
	function browserPrefixToKey(prop /*: string*/, prefix /*: string*/) /*: string*/{
	  return prefix ? "".concat(prefix).concat(kebabToTitleCase(prop)) : prop;
	}
	function browserPrefixToStyle(prop /*: string*/, prefix /*: string*/) /*: string*/{
	  return prefix ? "-".concat(prefix.toLowerCase(), "-").concat(prop) : prop;
	}
	function kebabToTitleCase(str /*: string*/) /*: string*/{
	  let out = '';
	  let shouldCapitalize = true;
	  for (let i = 0; i < str.length; i++) {
	    if (shouldCapitalize) {
	      out += str[i].toUpperCase();
	      shouldCapitalize = false;
	    } else if (str[i] === '-') {
	      shouldCapitalize = true;
	    } else {
	      out += str[i];
	    }
	  }
	  return out;
	}

	// Default export is the prefix itself, like 'Moz', 'Webkit', etc
	// Note that you may have to re-test for certain things; for instance, Chrome 50
	// can handle unprefixed `transform`, but not unprefixed `user-select`
	getPrefix.default = (getPrefix$1() /*: string*/);
	return getPrefix;
}

export { requireGetPrefix as __require };
//# sourceMappingURL=getPrefix.js.map
