"use strict";
import { __exports as shims } from '../../../../../../../../_virtual/shims.js';

var hasRequiredShims;

function requireShims () {
	if (hasRequiredShims) return shims;
	hasRequiredShims = 1;

	Object.defineProperty(shims, "__esModule", {
	  value: true
	});
	shims.dontSetMe = dontSetMe;
	shims.findInArray = findInArray;
	shims.int = int;
	shims.isFunction = isFunction;
	shims.isNum = isNum;
	// @credits https://gist.github.com/rogozhnikoff/a43cfed27c41e4e68cdc
	function findInArray(array /*: Array<any> | TouchList*/, callback /*: Function*/) /*: any*/{
	  for (let i = 0, length = array.length; i < length; i++) {
	    if (callback.apply(callback, [array[i], i, array])) return array[i];
	  }
	}
	function isFunction(func /*: any*/) /*: boolean %checks*/{
	  // $FlowIgnore[method-unbinding]
	  return typeof func === 'function' || Object.prototype.toString.call(func) === '[object Function]';
	}
	function isNum(num /*: any*/) /*: boolean %checks*/{
	  return typeof num === 'number' && !isNaN(num);
	}
	function int(a /*: string*/) /*: number*/{
	  return parseInt(a, 10);
	}
	function dontSetMe(props /*: Object*/, propName /*: string*/, componentName /*: string*/) /*: ?Error*/{
	  if (props[propName]) {
	    return new Error("Invalid prop ".concat(propName, " passed to ").concat(componentName, " - do not set this, set it on the child."));
	  }
	}
	return shims;
}

export { requireShims as __require };
//# sourceMappingURL=shims.js.map
