import { jsx } from 'react/jsx-runtime';
import { useMemo } from 'react';
import { getAttributes, isStructTreeNode, isStructTreeNodeWithOnlyContentChild } from './shared/structTreeUtils.js';

function StructTreeItem({ className, node, }) {
    const attributes = useMemo(() => getAttributes(node), [node]);
    const children = useMemo(() => {
        if (!isStructTreeNode(node)) {
            return null;
        }
        if (isStructTreeNodeWithOnlyContentChild(node)) {
            return null;
        }
        return node.children.map((child, index) => {
            return (
            // biome-ignore lint/suspicious/noArrayIndexKey: index is stable here
            jsx(StructTreeItem, { node: child }, index));
        });
    }, [node]);
    return (jsx("span", Object.assign({ className: className }, attributes, { children: children })));
}

export { StructTreeItem as default };
//# sourceMappingURL=StructTreeItem.js.map
