"use strict";
import { __exports as getAllConfigs } from '../../../../../../../_virtual/getAllConfigs.js';
import { __require as requireConfig_full } from '../../stubs/config.full.js';
import { __require as requireFeatureFlags } from '../featureFlags.js';

var hasRequiredGetAllConfigs;

function requireGetAllConfigs () {
	if (hasRequiredGetAllConfigs) return getAllConfigs;
	hasRequiredGetAllConfigs = 1;
	(function (exports) {
		Object.defineProperty(exports, "__esModule", {
		    value: true
		});
		Object.defineProperty(exports, "default", {
		    enumerable: true,
		    get: function() {
		        return getAllConfigs;
		    }
		});
		const _configfull = /*#__PURE__*/ _interop_require_default(requireConfig_full());
		const _featureFlags = requireFeatureFlags();
		function _interop_require_default(obj) {
		    return obj && obj.__esModule ? obj : {
		        default: obj
		    };
		}
		function getAllConfigs(config) {
		    var _config_presets;
		    const configs = ((_config_presets = config === null || config === void 0 ? void 0 : config.presets) !== null && _config_presets !== void 0 ? _config_presets : [
		        _configfull.default
		    ]).slice().reverse().flatMap((preset)=>getAllConfigs(preset instanceof Function ? preset() : preset));
		    const features = {
		        // Add experimental configs here...
		        respectDefaultRingColorOpacity: {
		            theme: {
		                ringColor: ({ theme  })=>({
		                        DEFAULT: "#3b82f67f",
		                        ...theme("colors")
		                    })
		            }
		        },
		        disableColorOpacityUtilitiesByDefault: {
		            corePlugins: {
		                backgroundOpacity: false,
		                borderOpacity: false,
		                divideOpacity: false,
		                placeholderOpacity: false,
		                ringOpacity: false,
		                textOpacity: false
		            }
		        }
		    };
		    const experimentals = Object.keys(features).filter((feature)=>(0, _featureFlags.flagEnabled)(config, feature)).map((feature)=>features[feature]);
		    return [
		        config,
		        ...experimentals,
		        ...configs
		    ];
		} 
	} (getAllConfigs));
	return getAllConfigs;
}

export { requireGetAllConfigs as __require };
//# sourceMappingURL=getAllConfigs.js.map
