"use strict";
import { __exports as validateFormalSyntax } from '../../../../../../../_virtual/validateFormalSyntax.js';
import { __require as requireDataTypes } from './dataTypes.js';
import { __require as requireSplitAtTopLevelOnly } from './splitAtTopLevelOnly.js';

var hasRequiredValidateFormalSyntax;

function requireValidateFormalSyntax () {
	if (hasRequiredValidateFormalSyntax) return validateFormalSyntax;
	hasRequiredValidateFormalSyntax = 1;
	(function (exports) {
		Object.defineProperty(exports, "__esModule", {
		    value: true
		});
		Object.defineProperty(exports, "backgroundSize", {
		    enumerable: true,
		    get: function() {
		        return backgroundSize;
		    }
		});
		const _dataTypes = requireDataTypes();
		const _splitAtTopLevelOnly = requireSplitAtTopLevelOnly();
		function backgroundSize(value) {
		    let keywordValues = [
		        "cover",
		        "contain"
		    ];
		    // the <length-percentage> type will probably be a css function
		    // so we have to use `splitAtTopLevelOnly`
		    return (0, _splitAtTopLevelOnly.splitAtTopLevelOnly)(value, ",").every((part)=>{
		        let sizes = (0, _splitAtTopLevelOnly.splitAtTopLevelOnly)(part, "_").filter(Boolean);
		        if (sizes.length === 1 && keywordValues.includes(sizes[0])) return true;
		        if (sizes.length !== 1 && sizes.length !== 2) return false;
		        return sizes.every((size)=>(0, _dataTypes.length)(size) || (0, _dataTypes.percentage)(size) || size === "auto");
		    });
		} 
	} (validateFormalSyntax));
	return validateFormalSyntax;
}

export { requireValidateFormalSyntax as __require };
//# sourceMappingURL=validateFormalSyntax.js.map
