"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccordionPanel = exports.AccordionPanelContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const map_1 = require("../../libs/map");
const accordionPanelHelper_1 = require("./accordionPanelHelper");
exports.AccordionPanelContext = (0, react_1.createContext)({
    iconPosition: 'left',
    expandedItems: new Map(),
    expandableMultiply: true,
    parentRef: null,
});
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-AccordionPanel',
});
const AccordionPanel = ({ iconPosition = 'left', expandableMultiply = true, defaultExpanded = [], className, onClick: onClickProps, ...props }) => {
    const [expandedItems, setExpanded] = (0, react_1.useState)((0, map_1.flatArrayToMap)(defaultExpanded));
    const parentRef = (0, react_1.useRef)(null);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    const onClickTrigger = (0, react_1.useCallback)((itemName, isExpanded) => {
        setExpanded((0, accordionPanelHelper_1.getNewExpandedItems)(expandedItems, itemName, isExpanded, expandableMultiply));
    }, [expandableMultiply, expandedItems]);
    (0, react_1.useEffect)(() => {
        if (defaultExpanded.length > 0)
            setExpanded((0, map_1.flatArrayToMap)(defaultExpanded));
    }, [defaultExpanded]);
    return ((0, jsx_runtime_1.jsx)(exports.AccordionPanelContext.Provider, { value: {
            onClickTrigger,
            onClickProps,
            expandedItems,
            iconPosition,
            expandableMultiply,
            parentRef,
        }, children: (0, jsx_runtime_1.jsx)("div", { ...props, ref: parentRef, role: "presentation", className: actualClassName }) }));
};
exports.AccordionPanel = AccordionPanel;
//# sourceMappingURL=AccordionPanel.js.map