"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccordionPanelContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_transition_group_1 = require("react-transition-group");
const tailwind_variants_1 = require("tailwind-variants");
const map_1 = require("../../libs/map");
const AccordionPanel_1 = require("./AccordionPanel");
const AccordionPanelItem_1 = require("./AccordionPanelItem");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'smarthr-ui-AccordionPanel-content',
        'shr-invisible shr-max-h-0 shr-opacity-0 shr-transition-[max-height,_visible,_opacity] shr-duration-150 shr-ease-in-out',
        '[&.entered]:shr-visible [&.entered]:shr-max-h-[revert] [&.entered]:shr-opacity-100',
        // HINT: flexなどで囲まれると、非表示だが内容分高さが出てしまい、スクロール領域が不自然に伸びてしまう現象が起きる場合がある
        // 非表示の場合、visually hiddenを適用することで、内容としては残しつつ、高さを0にすることで回避する
        'aria-[hidden]:shr-absolute aria-[hidden]:shr-h-px aria-[hidden]:shr-overflow-hidden',
    ],
});
const AccordionPanelContent = ({ className, ...props }) => {
    const { name } = (0, react_1.useContext)(AccordionPanelItem_1.AccordionPanelItemContext);
    const { expandedItems } = (0, react_1.useContext)(AccordionPanel_1.AccordionPanelContext);
    const visible = (0, react_1.useMemo)(() => (0, map_1.getIsInclude)(expandedItems, name), [expandedItems, name]);
    const wrapperRef = (0, react_1.useRef)(null);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsx)(react_transition_group_1.Transition, { in: visible, timeout: 150, nodeRef: wrapperRef, children: (status) => ((0, jsx_runtime_1.jsx)("div", { ...props, ref: wrapperRef, id: `${name}-content`, "aria-labelledby": `${name}-trigger`, "aria-hidden": visible ? undefined : true, className: `${actualClassName} ${status}` })) }));
};
exports.AccordionPanelContent = AccordionPanelContent;
//# sourceMappingURL=AccordionPanelContent.js.map