"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonButton = exports.commonButtonClassNameGenerator = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
exports.commonButtonClassNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        '[&&]:shr-box-border [&&]:shr-flex [&&]:shr-w-full [&&]:shr-cursor-pointer [&&]:shr-items-center [&&]:shr-rounded-m [&&]:shr-border-none [&&]:shr-bg-transparent [&&]:shr-px-1 [&&]:shr-py-0.5 [&&]:shr-text-base [&&]:shr-leading-normal [&&]:shr-text-black [&&]:shr-no-underline',
        '[&&]:hover:shr-bg-white-darken',
        '[&&]:focus-visible:shr-bg-white-darken',
    ],
    variants: {
        prefix: {
            true: ['[&&]:shr-gap-0.5'],
        },
        current: {
            true: ['[&&]:shr-bg-white-darken'],
        },
        boldWhenCurrent: {
            true: null,
            false: ['[&&]:shr-font-normal'],
        },
    },
    compoundVariants: [
        {
            boldWhenCurrent: true,
            current: true,
            className: ['[&&]:shr-font-bold'],
        },
    ],
});
exports.CommonButton = (0, react_1.memo)(({ elementAs, prefix, current, boldWhenCurrent, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => (0, exports.commonButtonClassNameGenerator)({
        prefix: !!prefix,
        current,
        boldWhenCurrent,
        className,
    }), [current, prefix, boldWhenCurrent, className]);
    switch (elementAs) {
        case 'a':
            return ((0, jsx_runtime_1.jsxs)("a", { ...props, className: actualClassName, children: [prefix, props.children] }));
        case 'button':
            return (
            // eslint-disable-next-line smarthr/best-practice-for-button-element
            (0, jsx_runtime_1.jsxs)("button", { ...props, className: actualClassName, children: [prefix, props.children] }));
    }
    throw new Error(elementAs);
});
//# sourceMappingURL=CommonButton.js.map