"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReleaseNotesDropdown = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Button_1 = require("../../../Button");
const Dropdown_1 = require("../../../Dropdown");
const Icon_1 = require("../../../Icon");
const Layout_1 = require("../../../Layout");
const Loader_1 = require("../../../Loader");
const Text_1 = require("../../../Text");
const TextLink_1 = require("../../../TextLink");
const useTranslate_1 = require("../../hooks/useTranslate");
const Translate_1 = require("../common/Translate");
const wrapperClassNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'shr-w-[400px]',
    variants: {
        type: {
            content: '',
        },
    },
});
const BOX_SHADOW_STYLE = { boxShadow: 'none' };
const ReleaseNotesDropdown = ({ indexUrl, links, loading, error }) => {
    const wrapperClassName = (0, react_1.useMemo)(() => wrapperClassNameGenerator(), []);
    const translate = (0, useTranslate_1.useTranslate)();
    const translated = (0, react_1.useMemo)(() => ({
        releaseNote: translate('common/releaseNote'),
        loadError: translate('common/releaseNotesLoadError'),
        seeAll: translate('common/seeAllReleaseNotes'),
    }), [translate]);
    return ((0, jsx_runtime_1.jsx)("div", { className: "shr-border-l-shorthand shr-ms-0.5", children: (0, jsx_runtime_1.jsxs)(Dropdown_1.Dropdown, { children: [(0, jsx_runtime_1.jsx)(ReleaseNoteDropdownTrigger, { children: translated.releaseNote }), (0, jsx_runtime_1.jsx)(Dropdown_1.DropdownContent, { className: "shr-mr-1.25", controllable: true, children: (0, jsx_runtime_1.jsx)("div", { className: "shr-w-[400px]", children: loading ? ((0, jsx_runtime_1.jsx)(StyledLoader, {})) : error || !links ? ((0, jsx_runtime_1.jsx)(LoadErrorText, { children: translated.loadError })) : ((0, jsx_runtime_1.jsxs)("div", { className: wrapperClassName, children: [links.slice(0, 5).map(({ title, url }, index) => ((0, jsx_runtime_1.jsx)(ArticleLink, { href: url, children: title }, index))), (0, jsx_runtime_1.jsx)(SeeAllTextLink, { href: indexUrl, children: translated.seeAll })] })) }) })] }) }));
};
exports.ReleaseNotesDropdown = ReleaseNotesDropdown;
const ReleaseNoteDropdownTrigger = (0, react_1.memo)(({ children }) => ((0, jsx_runtime_1.jsx)(Dropdown_1.DropdownTrigger, { children: (0, jsx_runtime_1.jsx)(Button_1.Button, { suffix: (0, jsx_runtime_1.jsx)(Icon_1.FaCaretDownIcon, {}), className: "shr-rounded-none shr-border-none shr-font-normal [&[aria-expanded='true']_.smarthr-ui-Icon:last-child]:shr-rotate-180", children: (0, jsx_runtime_1.jsx)(Translate_1.Translate, { children: children }) }) })));
const StyledLoader = (0, react_1.memo)(() => ((0, jsx_runtime_1.jsx)(Layout_1.Center, { className: "shr-py-3", children: (0, jsx_runtime_1.jsx)(Loader_1.Loader, {}) })));
const LoadErrorText = (0, react_1.memo)(({ children }) => ((0, jsx_runtime_1.jsx)("div", { className: "shr-whitespace-pre-wrap shr-p-0.75", children: (0, jsx_runtime_1.jsx)(Text_1.Text, { children: (0, jsx_runtime_1.jsx)(Translate_1.Translate, { children: children }) }) })));
const ArticleLink = (0, react_1.memo)(({ href, children }) => ((0, jsx_runtime_1.jsx)("div", { className: "shr-border-b-shorthand shr-border-dashed shr-p-0.75", children: (0, jsx_runtime_1.jsx)(TextLink_1.TextLink, { href: href, target: "_blank", rel: "noopener noreferrer", className: "shr-leading-normal [&&]:shr-underline", style: BOX_SHADOW_STYLE, children: children }) })));
const SeeAllTextLink = (0, react_1.memo)(({ href, children }) => ((0, jsx_runtime_1.jsx)("div", { className: "shr-p-0.75 shr-text-right", children: (0, jsx_runtime_1.jsx)(TextLink_1.TextLink, { href: href, target: "_blank", rel: "noopener noreferrer", className: "shr-leading-normal [&&]:shr-underline", style: BOX_SHADOW_STYLE, children: (0, jsx_runtime_1.jsx)(Translate_1.Translate, { children: children }) }) })));
//# sourceMappingURL=ReleaseNotesDropdown.js.map