"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Help = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Button_1 = require("../../../Button");
const Dropdown_1 = require("../../../Dropdown");
const Icon_1 = require("../../../Icon");
const useTranslate_1 = require("../../hooks/useTranslate");
const CommonButton_1 = require("../common/CommonButton");
const Translate_1 = require("../common/Translate");
exports.Help = (0, react_1.memo)(({ helpPageUrl, schoolUrl }) => helpPageUrl || schoolUrl ? (0, jsx_runtime_1.jsx)(ActualHelp, { helpPageUrl: helpPageUrl, schoolUrl: schoolUrl }) : null);
const ActualHelp = ({ helpPageUrl, schoolUrl }) => ((0, jsx_runtime_1.jsxs)(Dropdown_1.Dropdown, { children: [(0, jsx_runtime_1.jsx)(MemoizedDropdownTrigger, {}), (0, jsx_runtime_1.jsx)(Dropdown_1.DropdownContent, { controllable: true, children: (0, jsx_runtime_1.jsx)(ContentBody, { helpPageUrl: helpPageUrl, schoolUrl: schoolUrl }) })] }));
const MemoizedDropdownTrigger = (0, react_1.memo)(() => ((0, jsx_runtime_1.jsx)(Dropdown_1.DropdownTrigger, { children: (0, jsx_runtime_1.jsx)(Button_1.Button, { variant: "skeleton", size: "s", className: "[&&&]:shr-border-transparent", children: (0, jsx_runtime_1.jsx)(Icon_1.FaCircleQuestionIcon, { alt: "\u30D8\u30EB\u30D7" }) }) })));
const ContentBody = (0, react_1.memo)(({ helpPageUrl, schoolUrl }) => {
    const translate = (0, useTranslate_1.useTranslate)();
    const translated = (0, react_1.useMemo)(() => ({
        help: translate('common/help'),
        school: translate('common/school'),
    }), [translate]);
    return ((0, jsx_runtime_1.jsxs)("div", { className: "shr-p-0.5", children: [helpPageUrl && ((0, jsx_runtime_1.jsx)(CommonButton_1.CommonButton, { elementAs: "a", href: helpPageUrl, target: "_blank", rel: "noopener noreferrer", prefix: (0, jsx_runtime_1.jsx)(Icon_1.FaCircleQuestionIcon, {}), children: (0, jsx_runtime_1.jsx)(Translate_1.Translate, { children: translated.help }) })), schoolUrl && ((0, jsx_runtime_1.jsx)(CommonButton_1.CommonButton, { elementAs: "a", href: schoolUrl, target: "_blank", rel: "noopener noreferrer", prefix: (0, jsx_runtime_1.jsx)(Icon_1.FaGraduationCapIcon, {}), children: (0, jsx_runtime_1.jsx)(Translate_1.Translate, { children: translated.school }) }))] }));
});
//# sourceMappingURL=Help.js.map