"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageSelector = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Button_1 = require("../../../Button");
const Heading_1 = require("../../../Heading");
const Icon_1 = require("../../../Icon");
const SectioningContent_1 = require("../../../SectioningContent");
const multilingualization_1 = require("../../multilingualization");
const CommonButton_1 = require("../common/CommonButton");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        header: [
            'shr-border-b-shorthand shr-flex shr-items-center shr-justify-between shr-gap-1 shr-px-1 shr-py-0.75',
        ],
        headerTitle: ['shr-font-normal [&&]:shr-text-base'],
        buttonWrapper: ['shr-p-0.5'],
        button: ['[&&:not(:has(svg))]:shr-ps-2.5'],
    },
});
const LOCALE_KEYS = Object.keys(multilingualization_1.localeMap);
exports.LanguageSelector = (0, react_1.memo)(({ locale, onClickClose }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { header, headerTitle, buttonWrapper, button } = classNameGenerator();
        return {
            header: header(),
            headerTitle: headerTitle(),
            buttonWrapper: buttonWrapper(),
            button: button(),
        };
    }, []);
    const onClickLocale = (0, react_1.useCallback)((e) => {
        locale.onSelectLocale(e.currentTarget.value);
    }, [locale]);
    return ((0, jsx_runtime_1.jsxs)(SectioningContent_1.Section, { children: [(0, jsx_runtime_1.jsx)(SelectorHeading, { onClickClose: onClickClose, wrapperClassName: classNames.header, className: classNames.headerTitle }), (0, jsx_runtime_1.jsx)("div", { className: classNames.buttonWrapper, children: LOCALE_KEYS.map((localeKey) => ((0, jsx_runtime_1.jsx)(LocaleButton, { value: localeKey, onClick: onClickLocale, selected: localeKey === locale.selectedLocale, className: classNames.button }, localeKey))) })] }));
});
const SelectorHeading = (0, react_1.memo)(({ onClickClose, wrapperClassName, className }) => ((0, jsx_runtime_1.jsxs)("div", { className: wrapperClassName, children: [(0, jsx_runtime_1.jsx)(Heading_1.Heading, { className: className, children: "Language" }), (0, jsx_runtime_1.jsx)(Button_1.Button, { type: "button", size: "s", onClick: onClickClose, children: (0, jsx_runtime_1.jsx)(Icon_1.FaXmarkIcon, { alt: "close" }) })] })));
const LocaleButton = (0, react_1.memo)(({ value, selected, className, onClick }) => ((0, jsx_runtime_1.jsx)(CommonButton_1.CommonButton, { elementAs: "button", type: "button", value: value, onClick: onClick, prefix: selected && (0, jsx_runtime_1.jsx)(Icon_1.FaCheckIcon, { color: "MAIN" }), className: className, children: multilingualization_1.localeMap[value] })));
//# sourceMappingURL=LanguageSelector.js.map