"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuAccordion = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Button_1 = require("../../../Button");
const Heading_1 = require("../../../Heading");
const Icon_1 = require("../../../Icon");
const Layout_1 = require("../../../Layout");
const SectioningContent_1 = require("../../../SectioningContent");
const useTranslate_1 = require("../../hooks/useTranslate");
const Translate_1 = require("../common/Translate");
const MenuAccordion = ({ title, children, ...rest }) => title ? ((0, jsx_runtime_1.jsx)(ActualMenuAccordion, { ...rest, title: title, children: children })) : (children);
exports.MenuAccordion = MenuAccordion;
const ActualMenuAccordion = ({ isOpen, children, ...rest }) => {
    const id = (0, react_1.useId)();
    return ((0, jsx_runtime_1.jsxs)(SectioningContent_1.Section, { children: [(0, jsx_runtime_1.jsx)(AccordionHeading, { ...rest, isOpen: isOpen, id: id }), (0, jsx_runtime_1.jsx)("div", { id: id, children: isOpen && (0, jsx_runtime_1.jsx)("div", { className: "shr-mt-0.5", children: children }) })] }));
};
const AccordionHeading = (0, react_1.memo)(({ isOpen, setIsOpen, title, id }) => {
    const onClickButton = (0, react_1.useCallback)(() => setIsOpen((prev) => !prev), [setIsOpen]);
    const translate = (0, useTranslate_1.useTranslate)();
    const translated = (0, react_1.useMemo)(() => ({
        close: translate('MobileHeader/MenuAccordion/close'),
        open: translate('MobileHeader/MenuAccordion/open'),
    }), [translate]);
    return ((0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { justify: "space-between", align: "center", children: [(0, jsx_runtime_1.jsx)(Heading_1.Heading, { type: "subSubBlockTitle", children: (0, jsx_runtime_1.jsx)(Translate_1.Translate, { children: title }) }), (0, jsx_runtime_1.jsx)(Button_1.Button, { size: "s", "aria-expanded": isOpen, "aria-controls": id, className: "[&&]:shr-min-h-0 [&&]:shr-p-0.25", onClick: onClickButton, children: isOpen ? ((0, jsx_runtime_1.jsx)(Icon_1.FaCaretUpIcon, { alt: translated.close })) : ((0, jsx_runtime_1.jsx)(Icon_1.FaCaretDownIcon, { alt: translated.open })) })] }));
});
//# sourceMappingURL=MenuAccordion.js.map