"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Header_1 = require("../../../Header");
const useLocale_1 = require("../../hooks/useLocale");
const AppLauncherContext_1 = require("./AppLauncherContext");
const Help_1 = require("./Help");
const Menu_1 = require("./Menu");
const NavigationContext_1 = require("./NavigationContext");
const ReleaseNoteContext_1 = require("./ReleaseNoteContext");
const TenantSelector_1 = require("./TenantSelector");
const UserInfo_1 = require("./UserInfo");
const MobileHeader = ({ navigations, features, releaseNote, className = '', tenants, children, helpPageUrl, schoolUrl, userInfo, appName, currentTenantId, onTenantSelect, mobileAdditionalContent, ...props }) => {
    const [isAppLauncherSelected, setIsAppLauncherSelected] = (0, react_1.useState)(false);
    const [isReleaseNoteSelected, setIsReleaseNoteSelected] = (0, react_1.useState)(false);
    const [selectedNavigationGroup, setSelectedNavigationGroup] = (0, react_1.useState)(null);
    const { locale } = (0, useLocale_1.useLocale)();
    // navigations の設定をメニューの解放条件とする
    const isMenuAvailable = navigations && navigations.length > 0;
    return ((0, jsx_runtime_1.jsx)(AppLauncherContext_1.AppLauncherContext.Provider, { value: {
            features,
            isAppLauncherSelected,
            setIsAppLauncherSelected,
        }, children: (0, jsx_runtime_1.jsx)(NavigationContext_1.NavigationContext.Provider, { value: {
                navigations: navigations ?? [],
                selectedNavigationGroup,
                setSelectedNavigationGroup,
            }, children: (0, jsx_runtime_1.jsx)(ReleaseNoteContext_1.ReleaseNoteContext.Provider, { value: {
                    releaseNote,
                    isReleaseNoteSelected,
                    setIsReleaseNoteSelected,
                }, children: (0, jsx_runtime_1.jsxs)(Header_1.Header, { ...props, className: `${className} min-[752px]:!shr-hidden`, tenants: isMenuAvailable ? undefined : tenants, children: [children, (0, jsx_runtime_1.jsx)(Help_1.Help, { helpPageUrl: helpPageUrl, schoolUrl: schoolUrl }), (0, jsx_runtime_1.jsx)(UserInfo_1.UserInfo, { ...userInfo, locale: locale }), isMenuAvailable && ((0, jsx_runtime_1.jsx)(Menu_1.Menu, { appName: appName, tenantSelector: (0, jsx_runtime_1.jsx)(TenantSelector_1.TenantSelector, { tenants: tenants, currentTenantId: currentTenantId, onTenantSelect: onTenantSelect }), additionalContent: mobileAdditionalContent }))] }) }) }) }));
};
exports.MobileHeader = MobileHeader;
//# sourceMappingURL=MobileHeader.js.map