"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Navigation = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Text_1 = require("../../../Text");
const utils_1 = require("../../utils");
const NavigationItem_1 = require("./NavigationItem");
const separatorClassNameGenerator = (0, tailwind_variants_1.tv)({
    base: ['[&&]:shr-border-b-shorthand [&&]:shr-mx-0 [&&]:shr-my-0.5'],
});
const Navigation = ({ navigations, onClickNavigation }) => ((0, jsx_runtime_1.jsx)("div", { children: navigations.map((navigation, i) => (0, utils_1.isChildNavigationGroup)(navigation) ? ((0, jsx_runtime_1.jsx)(ItemGroup, { navigation: navigation, separated: i + 1 !== navigations.length, onClickNavigation: onClickNavigation }, i)) : ((0, jsx_runtime_1.jsx)(TerminalItem, { navigation: navigation, nextNavigation: navigations[i + 1], onClickNavigation: onClickNavigation }, i))) }));
exports.Navigation = Navigation;
const ItemGroup = ({ navigation: { childNavigations, title }, onClickNavigation, separated }) => ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(ItemGroupTitleText, { children: title }), childNavigations.map((childNavigation, j) => ((0, jsx_runtime_1.jsx)(NavigationItem_1.NavigationItem, { navigation: childNavigation, onClickNavigation: onClickNavigation }, j))), separated && (0, jsx_runtime_1.jsx)(Separator, {})] }));
const ItemGroupTitleText = (0, react_1.memo)(({ children }) => ((0, jsx_runtime_1.jsx)(Text_1.Text, { styleType: "subSubBlockTitle", as: "p", className: "shr-py-0.5", children: children })));
const TerminalItem = ({ navigation, nextNavigation, onClickNavigation }) => {
    const isSeparated = (0, react_1.useMemo)(() => (0, utils_1.isChildNavigationGroup)(nextNavigation), [nextNavigation]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(NavigationItem_1.NavigationItem, { navigation: navigation, onClickNavigation: onClickNavigation }), isSeparated && (0, jsx_runtime_1.jsx)(Separator, {})] }));
};
const Separator = (0, react_1.memo)(() => (0, jsx_runtime_1.jsx)("hr", { className: separatorClassNameGenerator() }));
//# sourceMappingURL=Navigation.js.map