import { type ChangeEvent } from 'react';
import type { Launcher } from '../types';
export declare const useAppLauncher: (baseFeatures: Array<Launcher["feature"]>) => {
    features: {
        id: string;
        name: string;
        url: string;
        favorite: boolean;
        position: number | null;
    }[];
    page: "all" | "favorite";
    mode: "search" | "default";
    sortType: "default" | "name/asc" | "name/desc";
    searchQuery: string;
    changePage: (newPage: Launcher["page"]) => void;
    setSortType: import("react").Dispatch<import("react").SetStateAction<"default" | "name/asc" | "name/desc">>;
    onChangeSearchQuery: (e: ChangeEvent<HTMLInputElement>) => void;
    onClickClearSearchQuery: () => void;
};
export declare const looseInclude: (looseSearchQuery: string, featureName: string) => boolean;
