"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMediaQuery = exports.mediaQuery = void 0;
const react_1 = require("react");
exports.mediaQuery = {
    desktop: '(min-width: 752px)',
};
const NOOP = () => undefined;
const RETURN_FALSE = () => false;
const useMediaQuery = (query) => {
    const mediaQueryList = (0, react_1.useMemo)(() => (typeof window === 'undefined' ? null : matchMedia(query)), [query]);
    const syncArgs = (0, react_1.useMemo)(() => ({
        subscribe: (callback) => {
            if (!mediaQueryList) {
                return NOOP;
            }
            mediaQueryList.addEventListener('change', callback);
            return () => {
                mediaQueryList.removeEventListener('change', callback);
            };
        },
        getSnapshot: () => mediaQueryList?.matches ?? false,
    }), [mediaQueryList]);
    return (0, react_1.useSyncExternalStore)(syncArgs.subscribe, syncArgs.getSnapshot, RETURN_FALSE);
};
exports.useMediaQuery = useMediaQuery;
//# sourceMappingURL=useMediaQuery.js.map