export type Messages = {
    'common/school': string;
    'common/help': string;
    'common/userSetting': string;
    'common/releaseNote': string;
    'common/releaseNotesLoadError': string;
    'common/seeAllReleaseNotes': string;
    'DesktopHeader/DesktopHeader/appLauncherLabel': string;
    'MobileHeader/UserInfo/account': string;
    'MobileHeader/Menu/openMenu': string;
    'MobileHeader/Menu/closeMenu': string;
    'MobileHeader/Menu/allAppButton': string;
    'MobileHeader/Menu/managementMenu': string;
    'MobileHeader/Menu/latestReleaseNotes': string;
    'MobileHeader/MenuSubHeading/back': string;
    'MobileHeader/MenuAccordion/open': string;
    'MobileHeader/MenuAccordion/close': string;
    'Launcher/searchInputTitle': string;
    'Launcher/favoriteModeText': string;
    'Launcher/allModeText': string;
    'Launcher/listText': string;
    'Launcher/helpText': string;
    'Launcher/searchResultText': string;
    'Launcher/emptyText': string;
    'Launcher/sortDropdownLabel': string;
    'Launcher/sortDropdownSelected': string;
    'Launcher/sortDropdownOrderDefault': string;
    'Launcher/sortDropdownOrderNameAsc': string;
    'Launcher/sortDropdownOrderNameDesc': string;
};
export declare const translation: {
    readonly ja: {
        readonly 'common/school': "スクール";
        readonly 'common/help': "ヘルプ";
        readonly 'common/userSetting': "個人設定";
        readonly 'common/releaseNote': "リリースノート";
        readonly 'common/releaseNotesLoadError': "リリースノートの読み込みに失敗しました。\n時間をおいて、やり直してください。";
        readonly 'common/seeAllReleaseNotes': "すべてのリリースノートを見る";
        readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "アプリ";
        readonly 'MobileHeader/UserInfo/account': "アカウント";
        readonly 'MobileHeader/Menu/openMenu': "メニューを開く";
        readonly 'MobileHeader/Menu/closeMenu': "メニューを閉じる";
        readonly 'MobileHeader/Menu/allAppButton': "すべてのアプリ";
        readonly 'MobileHeader/Menu/managementMenu': "管理メニュー";
        readonly 'MobileHeader/Menu/latestReleaseNotes': "最新のリリースノート";
        readonly 'MobileHeader/MenuSubHeading/back': "戻る";
        readonly 'MobileHeader/MenuAccordion/open': "開く";
        readonly 'MobileHeader/MenuAccordion/close': "閉じる";
        readonly 'Launcher/searchInputTitle': "アプリ名を入力してください。";
        readonly 'Launcher/favoriteModeText': "よく使うアプリ";
        readonly 'Launcher/allModeText': "すべてのアプリ";
        readonly 'Launcher/listText': "アプリ一覧";
        readonly 'Launcher/helpText': "よく使うアプリとは";
        readonly 'Launcher/searchResultText': "検索結果";
        readonly 'Launcher/emptyText': "該当するアプリが見つかりませんでした。";
        readonly 'Launcher/sortDropdownLabel': "表示順";
        readonly 'Launcher/sortDropdownSelected': "選択中";
        readonly 'Launcher/sortDropdownOrderDefault': "デフォルト";
        readonly 'Launcher/sortDropdownOrderNameAsc': "アプリ名の昇順";
        readonly 'Launcher/sortDropdownOrderNameDesc': "アプリ名の降順";
    };
    readonly 'id-id': {
        readonly 'common/school': "Sekolah";
        readonly 'common/help': "Bantuan";
        readonly 'common/userSetting': "Personalisasi";
        readonly 'common/releaseNote': "Release Note";
        readonly 'common/releaseNotesLoadError': "Gagal memuat Release Note. \nSilakan coba lagi setelah jam.";
        readonly 'common/seeAllReleaseNotes': "Lihat semua Release Note";
        readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "Aplikasi";
        readonly 'MobileHeader/UserInfo/account': "Akun";
        readonly 'MobileHeader/Menu/openMenu': "Buka menu";
        readonly 'MobileHeader/Menu/closeMenu': "Tutup menu";
        readonly 'MobileHeader/Menu/allAppButton': "Semua aplikasi";
        readonly 'MobileHeader/Menu/managementMenu': "Menu pengelolaan";
        readonly 'MobileHeader/Menu/latestReleaseNotes': "Release Note terkini";
        readonly 'MobileHeader/MenuSubHeading/back': "Kembali";
        readonly 'MobileHeader/MenuAccordion/open': "Buka";
        readonly 'MobileHeader/MenuAccordion/close': "Tutup";
        readonly 'Launcher/searchInputTitle': "Masukkan nama aplikasi.";
        readonly 'Launcher/favoriteModeText': "Aplikasi yang sering digunakan";
        readonly 'Launcher/allModeText': "Semua aplikasi";
        readonly 'Launcher/listText': "Daftar aplikasi";
        readonly 'Launcher/helpText': "よく使うアプリとは";
        readonly 'Launcher/searchResultText': "Hasil penelusuran";
        readonly 'Launcher/emptyText': "Tidak ditemukan aplikasi yang sesuai.";
        readonly 'Launcher/sortDropdownLabel': "Urutan tampilan";
        readonly 'Launcher/sortDropdownSelected': "Sedang dipilih";
        readonly 'Launcher/sortDropdownOrderDefault': "Default";
        readonly 'Launcher/sortDropdownOrderNameAsc': "Urutkan nama aplikasi dari atas ke bawah";
        readonly 'Launcher/sortDropdownOrderNameDesc': "Urutkan nama aplikasi dari bawah ke atas";
    };
    readonly 'en-us': {
        readonly 'common/school': "School";
        readonly 'common/help': "Help";
        readonly 'common/userSetting': "Personal Settings";
        readonly 'common/releaseNote': "Release notes";
        readonly 'common/releaseNotesLoadError': "Failed to load release notes.\nTry again later.";
        readonly 'common/seeAllReleaseNotes': "See all release notes";
        readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "Apps";
        readonly 'MobileHeader/UserInfo/account': "Account";
        readonly 'MobileHeader/Menu/openMenu': "Open menu";
        readonly 'MobileHeader/Menu/closeMenu': "Close menu";
        readonly 'MobileHeader/Menu/allAppButton': "All apps";
        readonly 'MobileHeader/Menu/managementMenu': "Admin Menu";
        readonly 'MobileHeader/Menu/latestReleaseNotes': "Latest release notes";
        readonly 'MobileHeader/MenuSubHeading/back': "Back";
        readonly 'MobileHeader/MenuAccordion/open': "Expand";
        readonly 'MobileHeader/MenuAccordion/close': "Collapse";
        readonly 'Launcher/searchInputTitle': "Input the name of the App";
        readonly 'Launcher/favoriteModeText': "Favorite Apps";
        readonly 'Launcher/allModeText': "All Apps";
        readonly 'Launcher/listText': "App List";
        readonly 'Launcher/helpText': "よく使うアプリとは";
        readonly 'Launcher/searchResultText': "Search results";
        readonly 'Launcher/emptyText': "App not found.";
        readonly 'Launcher/sortDropdownLabel': "Sort by";
        readonly 'Launcher/sortDropdownSelected': "Selected";
        readonly 'Launcher/sortDropdownOrderDefault': "Default order";
        readonly 'Launcher/sortDropdownOrderNameAsc': "App name (A→Z)";
        readonly 'Launcher/sortDropdownOrderNameDesc': "App name (Z→A)";
    };
    readonly pt: {
        readonly 'common/school': "Escola";
        readonly 'common/help': "Ajuda";
        readonly 'common/userSetting': "Configuração pessoal";
        readonly 'common/releaseNote': "Notas de versão";
        readonly 'common/releaseNotesLoadError': "Não foi possível carregar as notas de versão. \nPor favor, tente novamente mais tarde.";
        readonly 'common/seeAllReleaseNotes': "Ver todas as notas de versão";
        readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "Apps";
        readonly 'MobileHeader/UserInfo/account': "Conta";
        readonly 'MobileHeader/Menu/openMenu': "Abrir menu";
        readonly 'MobileHeader/Menu/closeMenu': "Fechar menu";
        readonly 'MobileHeader/Menu/allAppButton': "Todos os Apps";
        readonly 'MobileHeader/Menu/managementMenu': "Menu de administração";
        readonly 'MobileHeader/Menu/latestReleaseNotes': "Notas de versão mais recentes";
        readonly 'MobileHeader/MenuSubHeading/back': "Voltar";
        readonly 'MobileHeader/MenuAccordion/open': "Abrir";
        readonly 'MobileHeader/MenuAccordion/close': "Fechar";
        readonly 'Launcher/searchInputTitle': "Insira o nome do app.";
        readonly 'Launcher/favoriteModeText': "Apps Favoritos";
        readonly 'Launcher/allModeText': "Todos os Apps";
        readonly 'Launcher/listText': "Lista de Apps";
        readonly 'Launcher/helpText': "よく使うアプリとは";
        readonly 'Launcher/searchResultText': "Resultados de pesquisa";
        readonly 'Launcher/emptyText': "App não encontrado.";
        readonly 'Launcher/sortDropdownLabel': "Ordenar por";
        readonly 'Launcher/sortDropdownSelected': "Selecionando";
        readonly 'Launcher/sortDropdownOrderDefault': "Ordem padrão";
        readonly 'Launcher/sortDropdownOrderNameAsc': "Nome do App (A→Z)";
        readonly 'Launcher/sortDropdownOrderNameDesc': "Nome do App (Z→A)";
    };
    readonly vi: {
        readonly 'common/school': "School";
        readonly 'common/help': "Trợ giúp";
        readonly 'common/userSetting': "Cài đặt cá nhân";
        readonly 'common/releaseNote': "Release Notes";
        readonly 'common/releaseNotesLoadError': "Tải Release Notes thất bại.\nHãy thử lại sau một lúc nữa.";
        readonly 'common/seeAllReleaseNotes': "Xem tất cả Release Notes";
        readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "Danh mục";
        readonly 'MobileHeader/UserInfo/account': "Tài khoản";
        readonly 'MobileHeader/Menu/openMenu': "Mở menu";
        readonly 'MobileHeader/Menu/closeMenu': "Đóng menu";
        readonly 'MobileHeader/Menu/allAppButton': "Tất cả Tính năng";
        readonly 'MobileHeader/Menu/managementMenu': "Menu Quản lý";
        readonly 'MobileHeader/Menu/latestReleaseNotes': "Ghi chú phát hành mới nhất";
        readonly 'MobileHeader/MenuSubHeading/back': "Quay lại";
        readonly 'MobileHeader/MenuAccordion/open': "Mở";
        readonly 'MobileHeader/MenuAccordion/close': "Đóng";
        readonly 'Launcher/searchInputTitle': "Nhập tên tính năng.";
        readonly 'Launcher/favoriteModeText': "Tính năng thường dùng";
        readonly 'Launcher/allModeText': "Tất cả Tính năng";
        readonly 'Launcher/listText': "Danh sách các tính năng";
        readonly 'Launcher/helpText': "よく使うアプリとは";
        readonly 'Launcher/searchResultText': "Kết quả tìm kiếm";
        readonly 'Launcher/emptyText': "Không tìm thấy tính năng tương thích.";
        readonly 'Launcher/sortDropdownLabel': "Thứ tự hiển thị";
        readonly 'Launcher/sortDropdownSelected': "Đang lựa chọn";
        readonly 'Launcher/sortDropdownOrderDefault': "Mặc định";
        readonly 'Launcher/sortDropdownOrderNameAsc': "Tên tính năng (A→Z）";
        readonly 'Launcher/sortDropdownOrderNameDesc': "Tên tính năng (Z→A）";
    };
    readonly ko: {
        readonly 'common/school': "스쿨";
        readonly 'common/help': "도움말";
        readonly 'common/userSetting': "개인 설정";
        readonly 'common/releaseNote': "리리스 노트";
        readonly 'common/releaseNotesLoadError': "리리스노트의 불러오기를 실패했습니다.\n시간을 두고 다시 시도해 주세요.";
        readonly 'common/seeAllReleaseNotes': "모든 리리스 노트를 보기";
        readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "앱";
        readonly 'MobileHeader/UserInfo/account': "어카운트";
        readonly 'MobileHeader/Menu/openMenu': "메뉴를 열기";
        readonly 'MobileHeader/Menu/closeMenu': "메뉴를 닫기";
        readonly 'MobileHeader/Menu/allAppButton': "모든 앱";
        readonly 'MobileHeader/Menu/managementMenu': "관리메뉴";
        readonly 'MobileHeader/Menu/latestReleaseNotes': "최신 리리스 노트";
        readonly 'MobileHeader/MenuSubHeading/back': "돌아가기";
        readonly 'MobileHeader/MenuAccordion/open': "열기";
        readonly 'MobileHeader/MenuAccordion/close': "닫기";
        readonly 'Launcher/searchInputTitle': "앱의 이름을 입력해 주세요.";
        readonly 'Launcher/favoriteModeText': "자주 사용하는 앱";
        readonly 'Launcher/allModeText': "모든 앱";
        readonly 'Launcher/listText': "앱 리스트";
        readonly 'Launcher/helpText': "よく使うアプリとは";
        readonly 'Launcher/searchResultText': "검색결과";
        readonly 'Launcher/emptyText': "해당하는 앱을 발견할수 없습니다.";
        readonly 'Launcher/sortDropdownLabel': "표시순서";
        readonly 'Launcher/sortDropdownSelected': "선택중";
        readonly 'Launcher/sortDropdownOrderDefault': "디폴트";
        readonly 'Launcher/sortDropdownOrderNameAsc': "앱 이름의 오름차순";
        readonly 'Launcher/sortDropdownOrderNameDesc': "앱 이름의 내림차순";
    };
    readonly 'zh-cn': {
        readonly 'common/school': "学校";
        readonly 'common/help': "帮助";
        readonly 'common/userSetting': "个人设置";
        readonly 'common/releaseNote': "版本说明";
        readonly 'common/releaseNotesLoadError': "无法取得版本说明。\n请稍等片刻后再试。";
        readonly 'common/seeAllReleaseNotes': "查看全部版本说明";
        readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "应用程序";
        readonly 'MobileHeader/UserInfo/account': "账号";
        readonly 'MobileHeader/Menu/openMenu': "展开菜单";
        readonly 'MobileHeader/Menu/closeMenu': "关闭菜单";
        readonly 'MobileHeader/Menu/allAppButton': "所有功能";
        readonly 'MobileHeader/Menu/managementMenu': "管理菜单";
        readonly 'MobileHeader/Menu/latestReleaseNotes': "最新版本说明";
        readonly 'MobileHeader/MenuSubHeading/back': "返回";
        readonly 'MobileHeader/MenuAccordion/open': "展开";
        readonly 'MobileHeader/MenuAccordion/close': "关闭";
        readonly 'Launcher/searchInputTitle': "请输入功能名称。";
        readonly 'Launcher/favoriteModeText': "常用功能";
        readonly 'Launcher/allModeText': "所有功能";
        readonly 'Launcher/listText': "功能一览表";
        readonly 'Launcher/helpText': "よく使うアプリとは";
        readonly 'Launcher/searchResultText': "搜索结果";
        readonly 'Launcher/emptyText': "未找到匹配的功能。";
        readonly 'Launcher/sortDropdownLabel': "显示排序";
        readonly 'Launcher/sortDropdownSelected': "已选择";
        readonly 'Launcher/sortDropdownOrderDefault': "默认";
        readonly 'Launcher/sortDropdownOrderNameAsc': "以功能名称升序";
        readonly 'Launcher/sortDropdownOrderNameDesc': "以功能名称降序";
    };
    readonly 'zh-tw': {
        readonly 'common/school': "學校";
        readonly 'common/help': "幫助";
        readonly 'common/userSetting': "個人設定";
        readonly 'common/releaseNote': "版本說明";
        readonly 'common/releaseNotesLoadError': "載入版本說明失敗。\n請稍等片刻後再試。";
        readonly 'common/seeAllReleaseNotes': "查看全部版本說明";
        readonly 'DesktopHeader/DesktopHeader/appLauncherLabel': "應用程式";
        readonly 'MobileHeader/UserInfo/account': "帳戶";
        readonly 'MobileHeader/Menu/openMenu': "展開選單";
        readonly 'MobileHeader/Menu/closeMenu': "關閉選單";
        readonly 'MobileHeader/Menu/allAppButton': "所有功能";
        readonly 'MobileHeader/Menu/managementMenu': "管理選單";
        readonly 'MobileHeader/Menu/latestReleaseNotes': "最新版本說明";
        readonly 'MobileHeader/MenuSubHeading/back': "返回以功能名稱遞減";
        readonly 'MobileHeader/MenuAccordion/open': "展開";
        readonly 'MobileHeader/MenuAccordion/close': "關閉";
        readonly 'Launcher/searchInputTitle': "請輸入功能名稱。";
        readonly 'Launcher/favoriteModeText': "常用功能";
        readonly 'Launcher/allModeText': "所有功能";
        readonly 'Launcher/listText': "功能一覽表";
        readonly 'Launcher/helpText': "よく使うアプリとは";
        readonly 'Launcher/searchResultText': "搜尋結果";
        readonly 'Launcher/emptyText': "未找到符合的功能。";
        readonly 'Launcher/sortDropdownLabel': "顯示排序";
        readonly 'Launcher/sortDropdownSelected': "選擇中";
        readonly 'Launcher/sortDropdownOrderDefault': "預設";
        readonly 'Launcher/sortDropdownOrderNameAsc': "以功能名稱遞增";
        readonly 'Launcher/sortDropdownOrderNameDesc': "以功能名稱遞減";
    };
};
