import { type ComponentPropsWithoutRef, type FC, type PropsWithChildren, type ReactNode } from 'react';
import { type AppNaviAnchorProps } from './AppNaviAnchor';
import { type AppNaviButtonProps } from './AppNaviButton';
import { type AppNaviCustomTagProps } from './AppNaviCustomTag';
import { type AppNaviDropdownProps } from './AppNaviDropdown';
type ElementProps = Omit<ComponentPropsWithoutRef<'div'>, keyof Props>;
type Props = PropsWithChildren<{
    /** ラベルのテキスト */
    label?: ReactNode;
    /** 表示するボタンの Props の配列
     * @deprecated AppNaviButton などのコンポーネントを組み合わせて組み上げてください
     */
    buttons?: Array<AppNaviButtonProps | AppNaviAnchorProps | AppNaviDropdownProps | AppNaviCustomTagProps>;
    /** ドロップダウンにキャレットを表示するかどうか
     * @deprecated キャレットの省略は非推奨です
     */
    displayDropdownCaret?: boolean;
    /** 追加の領域 */
    additionalArea?: ReactNode;
}>;
export declare const AppNavi: FC<Props & ElementProps>;
export {};
