"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppNavi = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const SectioningContent_1 = require("../SectioningContent");
const StatusLabel_1 = require("../StatusLabel");
const AppNaviAnchor_1 = require("./AppNaviAnchor");
const AppNaviButton_1 = require("./AppNaviButton");
const AppNaviCustomTag_1 = require("./AppNaviCustomTag");
const AppNaviDropdown_1 = require("./AppNaviDropdown");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: [
            'smarthr-ui-AppNavi',
            'shr-flex shr-min-w-max shr-items-center shr-bg-white shr-px-1.5 shr-shadow-layer-1',
        ],
        statusLabel: ['smarthr-ui-AppNavi-label', 'shr-me-1 shr-shrink-0'],
        buttonsEl: [
            'smarthr-ui-AppNavi-buttons',
            'shr-flex shr-items-stretch shr-gap-1 shr-self-stretch',
        ],
        listItem: ['smarthr-ui-AppNavi-listItem', 'shr-list-none'],
        additionalAreaEl: 'shr-ms-auto',
    },
});
const { wrapper, statusLabel, buttonsEl, listItem, additionalAreaEl } = classNameGenerator();
const classNames = {
    statusLabel: statusLabel(),
    buttonsEl: buttonsEl(),
    listItem: listItem(),
    additionalAreaEl: additionalAreaEl(),
};
const AppNavi = ({ label, buttons, className, children, displayDropdownCaret, additionalArea, ...rest }) => {
    const labelId = (0, react_1.useId)();
    const wrapperClassName = (0, react_1.useMemo)(() => wrapper({ className }), [className]);
    return ((0, jsx_runtime_1.jsxs)(SectioningContent_1.Nav, { ...rest, "aria-labelledby": labelId, className: wrapperClassName, children: [(0, jsx_runtime_1.jsx)(MemoizedStatusLabel, { id: labelId, children: label }), (0, jsx_runtime_1.jsxs)("ul", { className: classNames.buttonsEl, children: [buttons &&
                        buttons.map((button, i) => ((0, jsx_runtime_1.jsx)("li", { className: classNames.listItem, children: 'tag' in button ? ((0, jsx_runtime_1.jsx)(AppNaviCustomTag_1.AppNaviCustomTag, { ...button })) : 'href' in button ? ((0, jsx_runtime_1.jsx)(AppNaviAnchor_1.AppNaviAnchor, { ...button })) : 'dropdownContent' in button ? ((0, jsx_runtime_1.jsx)(AppNaviDropdown_1.AppNaviDropdown, { ...button, displayCaret: displayDropdownCaret })) : ((0, jsx_runtime_1.jsx)(AppNaviButton_1.AppNaviButton, { ...button })) }, i))), renderButtons(children)] }), additionalArea && (0, jsx_runtime_1.jsx)("div", { className: classNames.additionalAreaEl, children: additionalArea })] }));
};
exports.AppNavi = AppNavi;
const MemoizedStatusLabel = (0, react_1.memo)(({ id, children }) => children && ((0, jsx_runtime_1.jsx)(StatusLabel_1.StatusLabel, { "aria-hidden": true, id: id, className: classNames.statusLabel, children: children })));
const renderButtons = (children) => react_1.Children.map(children, (child) => {
    if (!child || !(0, react_1.isValidElement)(child)) {
        return null;
    }
    if (child.type === react_1.Fragment) {
        return renderButtons(child.props.children);
    }
    return (0, jsx_runtime_1.jsx)("li", { className: classNames.listItem, children: child });
});
//# sourceMappingURL=AppNavi.js.map