import { type ComponentPropsWithoutRef, type ComponentType, type ElementType, type FC } from 'react';
import type { ElementRefProps } from '../../types';
import type { ComponentProps as IconProps } from '../Icon';
type ElementProps<T extends ElementType> = Omit<ComponentPropsWithoutRef<T>, keyof AppNaviAnchorProps<T> & ElementRefProps<T>>;
export type AppNaviAnchorProps<T extends ElementType = 'a'> = {
    /** アンカーの href */
    href?: string;
    /** 表示するアイコンタイプ */
    icon?: ComponentType<IconProps>;
    /** アクティブ状態であるかどうか */
    current?: boolean;
    /** next/link などのカスタムコンポーネントを指定します。指定がない場合はデフォルトで `a` タグが使用されます。 */
    elementAs?: T;
};
type AppNaviAnchorComponent = <T extends ElementType = 'a'>(props: AppNaviAnchorProps<T> & ElementProps<T> & ElementRefProps<T>) => ReturnType<FC>;
export declare const AppNaviAnchor: AppNaviAnchorComponent;
export {};
