"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppNaviAnchor = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const itemClassNameGenerator_1 = require("./itemClassNameGenerator");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    extend: itemClassNameGenerator_1.itemClassNameGenerator,
    slots: {
        wrapper: ['smarthr-ui-AppNavi-anchor', 'forced-colors:shr-underline'],
    },
});
exports.AppNaviAnchor = (0, react_1.forwardRef)(({ children, href, icon: Icon, current, elementAs, ...others }, ref) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, icon } = classNameGenerator({ active: current });
        return {
            wrapper: wrapper(),
            icon: icon(),
        };
    }, [current]);
    const Component = elementAs || 'a';
    return ((0, jsx_runtime_1.jsxs)(Component, { ...others, ref: ref, href: href, "aria-current": current ? 'page' : undefined, className: classNames.wrapper, children: [Icon && (0, jsx_runtime_1.jsx)(Icon, { className: classNames.icon }), children] }));
});
//# sourceMappingURL=AppNaviAnchor.js.map