"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppNaviButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Button_1 = require("../Button");
const itemClassNameGenerator_1 = require("./itemClassNameGenerator");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    extend: itemClassNameGenerator_1.itemClassNameGenerator,
    slots: {
        wrapper: 'smarthr-ui-AppNavi-button',
    },
});
const AppNaviButton = ({ children, icon: Icon, current, onClick, }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, icon } = classNameGenerator({ active: current });
        return {
            wrapper: wrapper(),
            icon: icon(),
        };
    }, [current]);
    return ((0, jsx_runtime_1.jsxs)(Button_1.UnstyledButton, { "aria-current": current ? 'page' : undefined, onClick: onClick, className: classNames.wrapper, children: [Icon && (0, jsx_runtime_1.jsx)(Icon, { className: classNames.icon }), children] }));
};
exports.AppNaviButton = AppNaviButton;
//# sourceMappingURL=AppNaviButton.js.map