"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppNaviDropdown = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Button_1 = require("../Button");
const Dropdown_1 = require("../Dropdown");
const Icon_1 = require("../Icon");
const itemClassNameGenerator_1 = require("./itemClassNameGenerator");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    extend: itemClassNameGenerator_1.itemClassNameGenerator,
    variants: {
        displayCaret: {
            true: {
                wrapper: [
                    'smarthr-ui-AppNavi-dropdown',
                    '[&[aria-expanded="true"]_.smarthr-ui-Icon:last-child]:shr-rotate-180',
                ],
            },
        },
    },
});
const AppNaviDropdown = ({ children, dropdownContent, icon: Icon, current, displayCaret, }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, icon } = classNameGenerator({ active: current, displayCaret });
        return {
            wrapper: wrapper(),
            icon: icon(),
        };
    }, [current, displayCaret]);
    return ((0, jsx_runtime_1.jsxs)(Dropdown_1.Dropdown, { children: [(0, jsx_runtime_1.jsx)(Dropdown_1.DropdownTrigger, { children: (0, jsx_runtime_1.jsxs)(Button_1.UnstyledButton, { "aria-current": current ? 'page' : undefined, className: classNames.wrapper, children: [Icon && (0, jsx_runtime_1.jsx)(Icon, { className: classNames.icon }), children, displayCaret && (0, jsx_runtime_1.jsx)(Icon_1.FaCaretDownIcon, {})] }) }), (0, jsx_runtime_1.jsx)(Dropdown_1.DropdownContent, { children: dropdownContent })] }));
};
exports.AppNaviDropdown = AppNaviDropdown;
//# sourceMappingURL=AppNaviDropdown.js.map