"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppNaviDropdownMenuButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Dropdown_1 = require("../Dropdown");
const DropdownMenuButton_1 = require("../Dropdown/DropdownMenuButton/DropdownMenuButton");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        trigger: [
            'smarthr-ui-AppNavi-dropdownMenuButton',
            [
                '[&_.smarthr-ui-DropdownMenuButton-trigger]:shr-border-none',
                '[&_.smarthr-ui-DropdownMenuButton-trigger]:shr-px-0.5',
                '[&_.smarthr-ui-DropdownMenuButton-trigger]:shr-text-grey',
                '[&_.smarthr-ui-DropdownMenuButton-trigger]:shr-rounded-none',
            ],
            [
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:shr-relative',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:shr-text-black',
            ],
            [
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-content-[""]',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-absolute',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-bottom-0',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-inset-x-0',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-h-0.25',
                '[&_.smarthr-ui-DropdownMenuButton-trigger:has([aria-current])]:after:shr-bg-main',
            ],
        ],
        actionItem: [
            'aria-current-page:shr-bg-grey-9 aria-current-page:shr-font-bold',
            // aria-current-page より詳細度を確実に上げる
            '[&&]:hover:shr-bg-head-darken',
        ],
    },
});
const { trigger, actionItem } = classNameGenerator();
const renderItemList = (children) => react_1.Children.map(children, (item) => {
    if (!(0, react_1.isValidElement)(item)) {
        return null;
    }
    if (item.type === react_1.Fragment) {
        return renderItemList(item.props.children);
    }
    if (item.type === Dropdown_1.DropdownMenuGroup) {
        return ((0, jsx_runtime_1.jsx)(Dropdown_1.DropdownMenuGroup, { ...item.props, children: renderItemList(item.props.children) }));
    }
    return (0, react_1.cloneElement)(item, {
        className: actionItem({ className: item.props.className }),
    });
});
const AppNaviDropdownMenuButton = ({ label, onOpen, onClose, children }) => ((0, jsx_runtime_1.jsx)(DropdownMenuButton_1.DropdownMenuButton, { label: (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [label, (0, jsx_runtime_1.jsx)("span", { hidden: true, children: children })] }), onOpen: onOpen, onClose: onClose, className: trigger(), children: renderItemList(children) }));
exports.AppNaviDropdownMenuButton = AppNaviDropdownMenuButton;
//# sourceMappingURL=AppNaviDropdownMenuButton.js.map