import { type ComponentPropsWithRef, type ComponentType, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
import type { Gap } from '../../types';
export declare const baseClassNameGenerator: import("tailwind-variants").TVReturnType<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, "smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast", import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}>, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, "smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast", import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}>, unknown, unknown, undefined>>;
type Overflow = 'visible' | 'hidden' | 'clip' | 'scroll' | 'auto';
type Props = PropsWithChildren<Omit<VariantProps<typeof baseClassNameGenerator>, 'paddingBlock' | 'paddingInline' | 'overflowBlock' | 'overflowInline'> & {
    /** 境界とコンテンツの間の余白 */
    padding?: Gap | SeparatePadding;
    /** コンテンツが要素内に収まらない場合の処理方法 */
    overflow?: Overflow | {
        x: Overflow;
        y: Overflow;
    };
    as?: string | ComponentType<any>;
}>;
type SeparatePadding = {
    block?: Gap;
    inline?: Gap;
};
export type ElementProps = Omit<ComponentPropsWithRef<'div'>, keyof Props>;
export declare const Base: import("react").ForwardRefExoticComponent<Omit<Omit<VariantProps<import("tailwind-variants").TVReturnType<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, "smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast", import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}>, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, undefined, "smarthr-ui-Base shr-bg-white forced-colors:shr-border-shorthand contrast-more:shr-border-high-contrast", import("tailwind-variants/dist/config").TVConfig<{
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}, {
    paddingBlock: { [key in Gap]: string; };
    paddingInline: { [key in Gap]: string; };
    radius: {
        s: string;
        m: string;
    };
    overflowBlock: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    overflowInline: {
        visible: string;
        hidden: string;
        clip: string;
        scroll: string;
        auto: string;
    };
    layer: {
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
    };
}>, unknown, unknown, undefined>>>, "paddingBlock" | "paddingInline" | "overflowBlock" | "overflowInline"> & {
    /** 境界とコンテンツの間の余白 */
    padding?: Gap | SeparatePadding;
    /** コンテンツが要素内に収まらない場合の処理方法 */
    overflow?: Overflow | {
        x: Overflow;
        y: Overflow;
    };
    as?: string | ComponentType<any>;
} & {
    children?: import("react").ReactNode | undefined;
} & ElementProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export {};
