"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseColumn = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const tailwind_1 = require("../../../themes/tailwind");
const Base_1 = require("../Base");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'shr-rounded-[unset]',
    variants: {
        bgColor: tailwind_1.bgColors,
    },
    defaultVariants: {
        bgColor: 'COLUMN',
    },
});
const BaseColumn = ({ bgColor, padding = 1, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ bgColor, className }), [bgColor, className]);
    return (0, jsx_runtime_1.jsx)(Base_1.Base, { ...props, padding: padding, layer: 0, className: actualClassName });
};
exports.BaseColumn = BaseColumn;
//# sourceMappingURL=BaseColumn.js.map