"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.BottomFixedArea = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Base_1 = require("../Base");
const Button_1 = require("../Button");
const Layout_1 = require("../Layout");
const helper_1 = require("./helper");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: [
            'smarthr-ui-BottomFixedArea',
            'shr-fixed shr-bottom-0 shr-z-fixed-menu shr-box-border shr-w-full shr-rounded-none shr-p-1.5 shr-text-center',
            // Layer 3 だが、上方向への指定のためベタ書き： https://smarthr.design/products/design-tokens/shadow/
            '[box-shadow:_0_-4px_8px_2px_rgba(0,_0,_0,_0.24)]',
            '[&_ul]:shr-list-none',
        ],
        tertiaryButton: [
            'smarthr-ui-BottomFixedArea-tertiaryLink',
            '-shr-mb-0.5 shr-font-normal shr-text-main',
        ],
    },
});
/**
 * @deprecated BottomFixedArea は非推奨です。FloatArea を使ってください。 https://smarthr.design/products/components/float-area/
 */
const BottomFixedArea = ({ description, primaryButton, secondaryButton, tertiaryLinks, zIndex, className, ...props }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, tertiaryButton } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            tertiaryButton: tertiaryButton(),
        };
    }, [className]);
    const style = (0, react_1.useMemo)(() => ({ zIndex }), [zIndex]);
    (0, react_1.useEffect)(() => {
        (0, helper_1.validateElement)(primaryButton, secondaryButton);
    }, [primaryButton, secondaryButton]);
    return ((0, jsx_runtime_1.jsx)(Base_1.Base, { ...props, className: classNames.wrapper, style: style, children: (0, jsx_runtime_1.jsxs)(Layout_1.Stack, { children: [(0, jsx_runtime_1.jsx)(Description, { children: description }), (0, jsx_runtime_1.jsxs)(Layout_1.Stack, { gap: 0.25, children: [(secondaryButton || primaryButton) && ((0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { as: "ul", justify: "center", gap: { row: 0.5, column: 1 }, children: [secondaryButton && ((0, jsx_runtime_1.jsx)("li", { className: "smarthr-ui-BottomFixedArea-secondaryButton", children: secondaryButton })), primaryButton && ((0, jsx_runtime_1.jsx)("li", { className: "smarthr-ui-BottomFixedArea-primaryButton", children: primaryButton }))] })), tertiaryLinks && tertiaryLinks.length > 0 && ((0, jsx_runtime_1.jsx)(Layout_1.Cluster, { as: "ul", justify: "center", gap: { row: 0.5, column: 0 }, children: tertiaryLinks.map(({ text, icon: Icon, ...tertiaryRest }, index) => ((0, jsx_runtime_1.jsx)("li", { className: "smarthr-ui-BottomFixedArea-tertiaryListItem", children: (0, jsx_runtime_1.jsx)(Button_1.Button, { ...tertiaryRest, variant: "text", prefix: Icon && (0, jsx_runtime_1.jsx)(Icon, {}), className: classNames.tertiaryButton, children: text }) }, index))) }))] })] }) }));
};
exports.BottomFixedArea = BottomFixedArea;
const Description = (0, react_1.memo)(({ children }) => children && (0, jsx_runtime_1.jsx)("p", { className: "smarthr-ui-BottomFixedArea-description", children: children }));
//# sourceMappingURL=BottomFixedArea.js.map