"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserColumn = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const BrowserItem_1 = require("./BrowserItem");
const getColumnId = (column) => `column-${column}`;
const BrowserColumn = ({ items, index: columnIndex, value, onChangeInput }) => ((0, jsx_runtime_1.jsx)("div", { className: "[&:not(:last-child)]:shr-border-r-shorthand last:shr-flex-1 [&:not(:last-child)]:shr-w-[218px]", children: (0, jsx_runtime_1.jsx)("ul", { className: "shr-list-none shr-px-0.25 shr-py-0.5", id: getColumnId(columnIndex), children: items.map((item, rowIndex) => ((0, jsx_runtime_1.jsx)(ListItem, { itemValue: item.value, itemLabel: item.label, itemHasChildren: item.children.length > 0, value: value, columnIndex: columnIndex, rowIndex: rowIndex, onChangeInput: onChangeInput }, rowIndex))) }) }));
exports.BrowserColumn = BrowserColumn;
const ListItem = (0, react_1.memo)(({ itemValue, itemLabel, itemHasChildren, value, columnIndex, rowIndex, onChangeInput }) => {
    const selected = itemValue === value;
    const ariaOwns = selected && itemHasChildren ? getColumnId(columnIndex + 1) : undefined;
    const tabIndex = selected || (!value && columnIndex === 0 && rowIndex === 0) ? 0 : -1;
    return ((0, jsx_runtime_1.jsx)("li", { "aria-owns": ariaOwns, children: (0, jsx_runtime_1.jsx)(BrowserItem_1.BrowserItem, { selected: selected, itemValue: itemValue, itemLabel: itemLabel, itemHasChildren: itemHasChildren, columnIndex: columnIndex, tabIndex: tabIndex, onChangeInput: onChangeInput }) }, rowIndex));
});
//# sourceMappingURL=BrowserColumn.js.map