"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BrowserItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Icon_1 = require("../Icon");
const Layout_1 = require("../Layout");
const Text_1 = require("../Text");
const utils_1 = require("./utils");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'shr-block shr-rounded-m shr-px-1 shr-py-0.5 focus-within:shr-shadow-outline',
        '[&[data-selected="true"][data-type="parent"]]:shr-bg-white-darken',
        '[&[data-selected="true"][data-type="last"]]:shr-bg-main [&[data-selected="true"][data-type="last"]]:shr-text-white [&[data-selected="true"][data-type="last"]]:forced-colors:shr-bg-[Highlight]',
        '[&[data-selected="false"]]:hover:shr-bg-white-darken',
    ],
});
const KEYDOWN_REGEX = /^((Arrow(Right|Left|Up|Down))|Enter| )$/;
const HANDLE_KEYDOWN = (e) => {
    if (KEYDOWN_REGEX.test(e.key)) {
        e.preventDefault();
    }
};
const BrowserItem = ({ selected, itemValue, itemLabel, itemHasChildren, tabIndex, columnIndex, onChangeInput, }) => {
    const inputId = (0, react_1.useMemo)(() => (0, utils_1.getElementIdFromNode)(itemValue), [itemValue]);
    const className = (0, react_1.useMemo)(() => classNameGenerator(), []);
    return ((0, jsx_runtime_1.jsxs)("label", { htmlFor: inputId, "data-selected": selected, "data-type": itemHasChildren ? 'parent' : 'last', className: className, children: [(0, jsx_runtime_1.jsx)("input", { className: "shr-sr-only", type: "radio", id: inputId, name: `column-${columnIndex}`, value: itemValue, tabIndex: tabIndex, onKeyDown: HANDLE_KEYDOWN, onChange: onChangeInput, checked: selected }), (0, jsx_runtime_1.jsx)(BodyCluster, { label: itemLabel, hasChildren: itemHasChildren })] }));
};
exports.BrowserItem = BrowserItem;
const BodyCluster = (0, react_1.memo)(({ label, hasChildren }) => ((0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { align: "center", justify: "space-between", as: "span", children: [(0, jsx_runtime_1.jsx)(Text_1.Text, { children: label }), hasChildren && (0, jsx_runtime_1.jsx)(Icon_1.FaAngleRightIcon, {})] })));
//# sourceMappingURL=BrowserItem.js.map