import { NodeContext } from './NodeContext';
import type { Node } from './Node';
export type ItemNodeLike = {
    value: string;
    label: string;
    children?: ItemNodeLike[];
};
export declare class ItemNode {
    #private;
    readonly value: string;
    readonly label: string;
    readonly context: NodeContext<ItemNode, ItemNode>;
    constructor(value: string, label: string, children?: ItemNode[]);
    static from(item: ItemNodeLike): ItemNode;
    get parent(): Node | undefined;
    get children(): ItemNode[];
    append(that: ItemNode): void;
    getNext(): ItemNode | undefined;
    getPrev(): ItemNode | undefined;
    getFirstChild(): ItemNode | undefined;
    getLastChild(): ItemNode | undefined;
    getAncestors(): ItemNode[];
    getSiblings(): ItemNode[];
    findByValue(value: string): ItemNode | undefined;
}
