import { ItemNode, type ItemNodeLike } from './ItemNode';
import { NodeContext } from './NodeContext';
export type RootNodeLike = {
    children: ItemNodeLike[];
};
export declare class RootNode {
    readonly context: NodeContext<RootNode, ItemNode>;
    constructor(children: ItemNode[]);
    static from(rootNodeLike: RootNodeLike): RootNode;
    get children(): ItemNode[];
    append(that: ItemNode): void;
    getFirstChild(): ItemNode | undefined;
    getLastChild(): ItemNode | undefined;
    findByValue(value: string): ItemNode | undefined;
    toViewData(value?: string): ItemNode[][];
}
