import { type ComponentPropsWithoutRef, type ElementType, type FC } from 'react';
import type { BaseProps } from './types';
import type { ElementRefProps } from '../../types';
type ElementProps<T extends ElementType> = Omit<ComponentPropsWithoutRef<T>, keyof Props<T> & ElementRefProps<T>>;
type Props<T extends ElementType> = BaseProps & {
    /** next/linkなどのカスタムコンポーネントを指定します。指定がない場合はデフォルトで `a` タグが使用されます。 */
    elementAs?: T;
};
type AnchorButtonType = <T extends ElementType = 'a'>(props: Props<T> & ElementProps<T> & ElementRefProps<T>) => ReturnType<FC>;
declare const ForwardedAnchorButton: AnchorButtonType & {
    displayName: string;
};
export { ForwardedAnchorButton as AnchorButton };
