"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnchorButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const ButtonWrapper_1 = require("./ButtonWrapper");
const DisabledDetail_1 = require("./DisabledDetail");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-AnchorButton',
});
const AnchorButton = (0, react_1.forwardRef)(({ size = 'default', prefix, suffix, wide = false, variant = 'secondary', disabledDetail, target, rel, elementAs, className, children, ...props }, ref) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    const button = ((0, jsx_runtime_1.jsx)(ButtonWrapper_1.ButtonWrapper, { ...props, size: size, wide: wide, variant: variant, className: actualClassName, target: target, rel: rel === undefined && target === '_blank' ? 'noopener noreferrer' : rel, isAnchor: true, anchorRef: ref, elementAs: elementAs, prefix: prefix, suffix: suffix, children: children }));
    if (!props.href && disabledDetail) {
        return (0, jsx_runtime_1.jsx)(DisabledDetail_1.DisabledDetail, { button: button, disabledDetail: disabledDetail });
    }
    return button;
});
const ForwardedAnchorButton = AnchorButton;
exports.AnchorButton = ForwardedAnchorButton;
// BottomFixedArea での判定に用いるために displayName を明示的に設定する
ForwardedAnchorButton.displayName = 'AnchorButton';
//# sourceMappingURL=AnchorButton.js.map