import { type AnchorHTMLAttributes, type ButtonHTMLAttributes, type ElementType, type ForwardedRef, type PropsWithChildren, type ReactNode } from 'react';
import type { Variant } from './types';
type BaseProps = PropsWithChildren<{
    size: 'default' | 's';
    wide: boolean;
    variant: Variant;
    $loading?: boolean;
    className: string;
    elementAs?: ElementType;
    prefix?: ReactNode;
    suffix?: ReactNode;
}>;
type ButtonProps = BaseProps & {
    isAnchor?: never;
    buttonRef?: ForwardedRef<HTMLButtonElement>;
};
type AnchorProps = BaseProps & {
    isAnchor: true;
    anchorRef?: ForwardedRef<HTMLAnchorElement>;
};
type Props = (ButtonProps & Omit<ButtonHTMLAttributes<HTMLButtonElement>, keyof ButtonProps>) | (AnchorProps & Omit<AnchorHTMLAttributes<HTMLAnchorElement>, keyof AnchorProps>);
export declare function ButtonWrapper({ variant, size, wide, $loading, prefix, suffix, children, className, ...rest }: Props): import("react/jsx-runtime").JSX.Element;
export {};
