"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DisabledDetail = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Icon_1 = require("../Icon");
const Tooltip_1 = require("../Tooltip");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: ['smarthr-ui-Button-disabledWrapper', 'shr-inline-flex shr-items-center shr-gap-0.25'],
        tooltip: [
            'shr-overflow-y-visible',
            /* Tooltip との距離を変えずに反応範囲を広げるために negative space を使う */
            '[&_.smarthr-ui-Icon]:-shr-m-0.25',
            /* global style��どでborder-boxが適用されている場合表示崩れを起こす為、content-boxを指定する */
            '[&_.smarthr-ui-Icon]:shr-box-content',
            '[&_.smarthr-ui-Icon]:shr-p-0.25',
            '[&_.smarthr-ui-Icon]:shr-text-grey',
        ],
    },
});
const DisabledDetail = ({ button, disabledDetail }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, tooltip } = classNameGenerator();
        return {
            wrapper: wrapper(),
            tooltip: tooltip(),
        };
    }, []);
    return ((0, jsx_runtime_1.jsxs)("div", { className: classNames.wrapper, children: [button, (0, jsx_runtime_1.jsx)(TooltipIcon, { icon: disabledDetail.icon, message: disabledDetail.message, className: classNames.tooltip })] }));
};
exports.DisabledDetail = DisabledDetail;
const TooltipIcon = (0, react_1.memo)(({ icon, message, className }) => {
    const DisabledDetailIcon = icon ?? Icon_1.FaCircleInfoIcon;
    return ((0, jsx_runtime_1.jsx)(Tooltip_1.Tooltip, { message: message, triggerType: "icon", className: className, children: (0, jsx_runtime_1.jsx)(DisabledDetailIcon, {}) }));
});
//# sourceMappingURL=DisabledDetail.js.map