"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnstyledButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'shr-box-content shr-inline shr-cursor-pointer shr-select-auto shr-appearance-none shr-items-stretch shr-overflow-visible shr-border-none shr-border-current shr-bg-transparent shr-bg-none shr-bg-origin-padding shr-p-0 shr-text-left shr-font-inherit shr-text-inherit shr-text-color-inherit',
        'focus-visible:shr-focus-indicator',
    ],
});
exports.UnstyledButton = (0, react_1.forwardRef)(({ className, type = 'button', ...props }, ref) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return (0, jsx_runtime_1.jsx)("button", { ...props, type: type, ref: ref, className: actualClassName });
});
//# sourceMappingURL=UnstyledButton.js.map