"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Chip = exports.classNameGenerator = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
exports.classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'smarthr-ui-Chip',
        'shr-border-shorthand shr-rounded-full shr-bg-white shr-leading-none shr-text-black',
        'contrast-more:shr-border-high-contrast',
    ],
    variants: {
        color: {
            grey: 'shr-border-grey-20',
            blue: 'shr-border-main',
            green: 'shr-border-green',
            orange: 'shr-border-orange',
            red: 'shr-border-danger',
        },
        size: {
            s: 'shr-px-0.5 shr-py-0.25 shr-text-sm',
        },
        disabled: {
            true: 'shr-bg-white/50 shr-text-disabled',
        },
    },
    defaultVariants: {
        size: 's',
        color: 'grey',
    },
});
const Chip = ({ size, color, disabled, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => (0, exports.classNameGenerator)({ size, color, disabled, className }), [size, color, disabled, className]);
    return (0, jsx_runtime_1.jsx)("span", { ...props, className: actualClassName });
};
exports.Chip = Chip;
//# sourceMappingURL=Chip.js.map