"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertMatchableString = convertMatchableString;
exports.areItemsEqual = areItemsEqual;
const react_innertext_1 = __importDefault(require("react-innertext"));
function convertMatchableString(original) {
    return (original
        .replace(/\s/g, ' ')
        .replace(/’/g, "'")
        .replace(/[”“]/g, '"')
        .replace(/｀/g, '`')
        .replace(/￥/g, '¥')
        .replace(/−/g, '-')
        .replace(/〜/g, '~')
        // unicode で [！] から [｝] の間に定義されている英数・記号を半角に変換
        .replace(/[！-｝]/g, (str) => String.fromCharCode(str.charCodeAt(0) - 0xfee0))
        .toLowerCase());
}
function areItemsEqual(a, b) {
    return a.value === b.value && (0, react_innertext_1.default)(a.label) === (0, react_innertext_1.default)(b.label);
}
//# sourceMappingURL=helper.js.map