"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Portal = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const useEnhancedEffect_1 = require("../../hooks/useEnhancedEffect");
const usePortal_1 = require("../../hooks/usePortal");
const datePickerHelper_1 = require("./datePickerHelper");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-DatePicker-calendarContainer shr-absolute shr-z-overlap shr-leading-none',
});
const initialPosition = {
    top: '0px',
    left: '0px',
};
exports.Portal = (0, react_1.forwardRef)(({ inputRect, ...props }, ref) => {
    const { isPortalRootMounted, createPortal } = (0, usePortal_1.usePortal)();
    const containerRef = (0, react_1.useRef)(null);
    (0, react_1.useImperativeHandle)(ref, () => containerRef.current);
    const [style, setStyle] = (0, react_1.useState)(initialPosition);
    (0, useEnhancedEffect_1.useEnhancedEffect)(() => {
        if (containerRef.current) {
            const position = (0, datePickerHelper_1.getPortalPosition)(inputRect, containerRef.current.offsetHeight);
            setStyle({
                top: `${position.top}px`,
                left: `${position.left}px`,
            });
        }
    }, [inputRect, isPortalRootMounted]);
    const className = (0, react_1.useMemo)(() => classNameGenerator(), []);
    return createPortal((0, jsx_runtime_1.jsx)("div", { ...props, ref: containerRef, className: className, style: style }));
});
//# sourceMappingURL=Portal.js.map