"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseJpnDateString = parseJpnDateString;
exports.getPortalPosition = getPortalPosition;
const wareki_1 = require("@smarthr/wareki");
const dayjs_1 = __importDefault(require("dayjs"));
function parseJpnDateString(dateString) {
    const { isValid, result, formatted } = (0, wareki_1.warekiToDate)(dateString);
    return isValid ? result : (0, dayjs_1.default)(formatted).toDate();
}
const PORTAL_POSITION_MARGIN = 4;
function getPortalPosition(inputRect, contentHeight) {
    const { innerHeight, pageYOffset } = window;
    const left = pageXOffset + inputRect.left;
    if (
    // has no space on bottom side
    inputRect.bottom + contentHeight > innerHeight &&
        // top side space bigger than bottom side
        inputRect.top > innerHeight - inputRect.bottom) {
        // display on top side
        return {
            top: pageYOffset + inputRect.top - contentHeight + PORTAL_POSITION_MARGIN,
            left,
        };
    }
    // display on bottom side
    return {
        top: pageYOffset + inputRect.bottom - PORTAL_POSITION_MARGIN,
        left,
    };
}
//# sourceMappingURL=datePickerHelper.js.map