"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("../DialogContentInner");
const useDialogPortal_1 = require("../useDialogPortal");
const ActionDialogContentInner_1 = require("./ActionDialogContentInner");
const ActionDialog = ({ children, title, subtitle, titleTag, contentBgColor, contentPadding, actionText, actionTheme, onClickAction, onClickClose, onPressEscape = onClickClose, responseStatus, actionDisabled, closeDisabled, subActionArea, className, portalParent, decorators, id, isOpen, ...props }) => {
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent, id);
    const titleId = (0, react_1.useId)();
    const actualOnClickClose = (0, react_1.useCallback)(() => {
        if (isOpen) {
            onClickClose();
        }
    }, [isOpen, onClickClose]);
    const actualOnClickAction = (0, react_1.useCallback)(() => {
        if (isOpen) {
            onClickAction(onClickClose);
        }
    }, [isOpen, onClickAction, onClickClose]);
    return createPortal((0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, isOpen: isOpen, ariaLabelledby: titleId, className: className, onPressEscape: closeDisabled ? undefined : onPressEscape, children: (0, jsx_runtime_1.jsx)(ActionDialogContentInner_1.ActionDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, actionText: actionText, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, onClickClose: actualOnClickClose, onClickAction: actualOnClickAction, subActionArea: subActionArea, responseStatus: responseStatus, decorators: decorators, children: children }) }));
};
exports.ActionDialog = ActionDialog;
//# sourceMappingURL=ActionDialog.js.map