"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogBody = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const tailwind_1 = require("../../themes/tailwind");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: ['smarthr-ui-Dialog-body', 'shr-flex-auto shr-overflow-auto'],
    variants: {
        paddingBlock: {
            0: 'shr-py-0',
            0.25: 'shr-py-0.25',
            0.5: 'shr-py-0.5',
            0.75: 'shr-py-0.75',
            1: 'shr-py-1',
            1.25: 'shr-py-1.25',
            1.5: 'shr-py-1.5',
            2: 'shr-py-2',
            2.5: 'shr-py-2.5',
            3: 'shr-py-3',
            3.5: 'shr-py-3.5',
            4: 'shr-py-4',
            8: 'shr-py-8',
            X3S: 'shr-py-0.25',
            XXS: 'shr-py-0.5',
            XS: 'shr-py-1',
            S: 'shr-py-1.5',
            M: 'shr-py-2',
            L: 'shr-py-2.5',
            XL: 'shr-py-3',
            XXL: 'shr-py-3.5',
            X3L: 'shr-py-4',
        },
        paddingInline: {
            0: 'shr-px-0',
            0.25: 'shr-px-0.25',
            0.5: 'shr-px-0.5',
            0.75: 'shr-px-0.75',
            1: 'shr-px-1',
            1.25: 'shr-px-1.25',
            1.5: 'shr-px-1.5',
            2: 'shr-px-2',
            2.5: 'shr-px-2.5',
            3: 'shr-px-3',
            3.5: 'shr-px-3.5',
            4: 'shr-px-4',
            8: 'shr-px-8',
            X3S: 'shr-px-0.25',
            XXS: 'shr-px-0.5',
            XS: 'shr-px-1',
            S: 'shr-px-1.5',
            M: 'shr-px-2',
            L: 'shr-px-2.5',
            XL: 'shr-px-3',
            XXL: 'shr-px-3.5',
            X3L: 'shr-px-4',
        },
        contentBgColor: tailwind_1.bgColors,
    },
});
const DialogBody = ({ contentBgColor, contentPadding, className, ...rest }) => {
    const actualPaddings = (0, react_1.useMemo)(() => {
        const initialized = contentPadding === undefined ? 1.5 : contentPadding;
        return initialized instanceof Object ? initialized : { block: initialized, inline: initialized };
    }, [contentPadding]);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({
        contentBgColor,
        paddingBlock: actualPaddings.block,
        paddingInline: actualPaddings.inline,
        className,
    }), [actualPaddings.block, actualPaddings.inline, contentBgColor, className]);
    return (0, jsx_runtime_1.jsx)("div", { ...rest, className: actualClassName });
};
exports.DialogBody = DialogBody;
//# sourceMappingURL=DialogBody.js.map