"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogContent = exports.DialogContentContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("./DialogContentInner");
const DialogWrapper_1 = require("./DialogWrapper");
const useDialogPortal_1 = require("./useDialogPortal");
exports.DialogContentContext = (0, react_1.createContext)({
    onClickClose: () => {
        /* noop */
    },
});
const DialogContent = ({ portalParent, ...props }) => {
    const { onClickClose, active } = (0, react_1.useContext)(DialogWrapper_1.DialogContext);
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent);
    return createPortal((0, jsx_runtime_1.jsx)(exports.DialogContentContext.Provider, { value: { onClickClose }, children: (0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, isOpen: active, onPressEscape: onClickClose }) }));
};
exports.DialogContent = DialogContent;
//# sourceMappingURL=DialogContent.js.map