import { type ComponentProps, type FC, type PropsWithChildren, type RefObject } from 'react';
import { type FocusTrapRef } from './FocusTrap';
export type DialogContentInnerProps = PropsWithChildren<{
    /**
     * オーバーレイをクリックした時に発火するコールバック関数
     */
    onClickOverlay?: () => void;
    /**
     * エスケープキーを押下した時に発火するコールバック関数
     */
    onPressEscape?: () => void;
    /**
     * ダイアログを開いているかどうか
     */
    isOpen: boolean;
    /**
     * ダイアログの幅
     */
    width?: string | number;
    /**
     * ダイアログの `id`
     * TODO 使われてなさそうなので確認
     */
    id?: string;
    /**
     * ダイアログを開いた時にフォーカスする対象
     */
    firstFocusTarget?: RefObject<HTMLElement>;
    /**
     * ダイアログの `aria-label`
     */
    ariaLabel?: string;
    /**
     * ダイアログの `aria-labelledby`
     */
    ariaLabelledby?: string;
    /**
     * ダイアログトップのフォーカストラップへの ref
     */
    focusTrapRef?: RefObject<FocusTrapRef>;
}>;
type ElementProps = Omit<ComponentProps<'div'>, keyof DialogContentInnerProps>;
export declare const DialogContentInner: FC<DialogContentInnerProps & ElementProps>;
export {};
