"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogContentInner = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const useHandleEscape_1 = require("../../hooks/useHandleEscape");
const DialogOverlap_1 = require("./DialogOverlap");
const FocusTrap_1 = require("./FocusTrap");
const useBodyScrollLock_1 = require("./useBodyScrollLock");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        layout: ['smarthr-ui-Dialog-wrapper', 'shr-max-w-[calc(100dvw-theme(spacing.1))]'],
        inner: [
            'smarthr-ui-Dialog',
            'shr-border-shorthand shr-relative shr-z-1 shr-rounded-m shr-bg-white shr-shadow-layer-3',
            'contrast-more:shr-border-high-contrast',
        ],
        background: ['smarthr-ui-Dialog-background', 'shr-absolute shr-inset-0 shr-bg-scrim'],
    },
});
const DialogContentInner = ({ onClickOverlay, onPressEscape, isOpen, id, width, firstFocusTarget, ariaLabel, ariaLabelledby, children, className, focusTrapRef, ...rest }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { layout, inner, background } = classNameGenerator();
        return {
            layout: layout(),
            inner: inner({ className }),
            background: background(),
        };
    }, [className]);
    const style = (0, react_1.useMemo)(() => {
        const actualWidth = typeof width === 'number' ? `${width}px` : width;
        return actualWidth ? { width: actualWidth } : undefined;
    }, [width]);
    const innerRef = (0, react_1.useRef)(null);
    (0, useHandleEscape_1.useHandleEscape)((0, react_1.useMemo)(() => (onPressEscape && isOpen ? onPressEscape : undefined), [isOpen, onPressEscape]));
    (0, useBodyScrollLock_1.useBodyScrollLock)(isOpen);
    return ((0, jsx_runtime_1.jsx)(DialogOverlap_1.DialogOverlap, { isOpen: isOpen, children: (0, jsx_runtime_1.jsxs)("div", { id: id, className: classNames.layout, style: style, children: [(0, jsx_runtime_1.jsx)(Overlay, { isOpen: isOpen, onClickOverlay: onClickOverlay, className: classNames.background }), (0, jsx_runtime_1.jsx)("div", { ...rest, ref: innerRef, role: "dialog", "aria-label": ariaLabel, "aria-labelledby": ariaLabelledby, "aria-modal": "true", className: classNames.inner, children: (0, jsx_runtime_1.jsx)(FocusTrap_1.FocusTrap, { firstFocusTarget: firstFocusTarget, ref: focusTrapRef, children: children }) })] }) }));
};
exports.DialogContentInner = DialogContentInner;
const Overlay = (0, react_1.memo)(({ onClickOverlay, isOpen, className }) => {
    const handleClickOverlay = (0, react_1.useMemo)(() => (onClickOverlay && isOpen ? onClickOverlay : undefined), [isOpen, onClickOverlay]);
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    return (0, jsx_runtime_1.jsx)("div", { onClick: handleClickOverlay, className: className, role: "presentation" });
});
//# sourceMappingURL=DialogContentInner.js.map