"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogContentResponseStatusMessage = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const ResponseMessage_1 = require("../ResponseMessage");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'empty:!shr-mt-0',
});
const DialogContentResponseStatusMessage = ({ responseStatus, className }) => {
    const classNames = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    const StatusMessage = () => ((0, jsx_runtime_1.jsx)(ResponseMessage_1.ResponseMessage, { type: responseStatus.status, children: responseStatus.message }));
    return (
    /**
     * ライブリージョンを条件付きでDOMに追加すると、支援技術に通知が正しく行われないことがあるため、常にDOM上に存在するようにしています
     *
     * @see https://www.sarasoueidan.com/blog/accessible-notifications-with-aria-live-regions-part-2/#make-sure-the-live-region-container-is-in-the-dom-as-early-as-possible
     */
    (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("div", { className: classNames, role: "alert", children: responseStatus.message && responseStatus.status === 'error' && (0, jsx_runtime_1.jsx)(StatusMessage, {}) }), (0, jsx_runtime_1.jsx)("div", { className: classNames, role: "status", children: responseStatus.message && responseStatus.status === 'success' && (0, jsx_runtime_1.jsx)(StatusMessage, {}) })] }));
};
exports.DialogContentResponseStatusMessage = DialogContentResponseStatusMessage;
//# sourceMappingURL=DialogContentResponseStatusMessage.js.map