"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Heading_1 = require("../Heading");
const Layout_1 = require("../Layout");
const Text_1 = require("../Text");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'smarthr-ui-Dialog-titleArea',
        'shr-border-b-shorthand shr-flex-[0_0_auto] shr-px-1.5 shr-py-1',
    ],
});
exports.DialogHeader = (0, react_1.memo)(({ title, subtitle, titleTag, titleId }) => {
    const className = (0, react_1.useMemo)(() => classNameGenerator(), []);
    return (
    // eslint-disable-next-line smarthr/a11y-heading-in-sectioning-content
    (0, jsx_runtime_1.jsx)(Heading_1.Heading, { tag: titleTag, className: className, children: (0, jsx_runtime_1.jsxs)(Layout_1.Stack, { gap: 0.25, as: "span", children: [subtitle && ((0, jsx_runtime_1.jsx)(Text_1.Text, { size: "S", leading: "TIGHT", color: "TEXT_GREY", className: "smarthr-ui-Dialog-subtitle", children: subtitle })), (0, jsx_runtime_1.jsx)(Text_1.Text, { id: titleId, size: "L", leading: "TIGHT", className: "smarthr-ui-Dialog-title", children: title })] }) }));
});
//# sourceMappingURL=DialogHeader.js.map