"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DialogOverlap = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_transition_group_1 = require("react-transition-group");
const tailwind_variants_1 = require("tailwind-variants");
const Layout_1 = require("../Layout");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'shr-fixed shr-inset-0 shr-z-overlap-base',
        '[&.shr-dialog-transition-enter]:shr-opacity-0',
        '[&.shr-dialog-transition-enter-active]:shr-transition-opacity',
        '[&.shr-dialog-transition-enter-active]:shr-duration-300',
        '[&.shr-dialog-transition-enter-active]:shr-ease-in-out',
        // enter と enter-active は同時に付与されるので、enter-active を強める
        '[&&.shr-dialog-transition-enter-active]:shr-opacity-100',
        '[&.shr-dialog-transition-exit]:shr-opacity-100',
        '[&.shr-dialog-transition-exit-active]:shr-transition-opacity',
        '[&.shr-dialog-transition-exit-active]:shr-duration-300',
        '[&.shr-dialog-transition-exit-active]:shr-ease-in-out',
        // exit と exit-active は同時に付与されるので、exit-active を強める
        '[&&.shr-dialog-transition-exit-active]:shr-opacity-0',
    ],
});
const DialogOverlap = ({ isOpen, className, children, as }) => {
    const [childrenBuffer, setChildrenBuffer] = (0, react_1.useState)(null);
    const nodeRef = (0, react_1.useRef)(null);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    (0, react_1.useEffect)(() => {
        if (isOpen) {
            setChildrenBuffer(children);
        }
    }, [isOpen, children]);
    return ((0, jsx_runtime_1.jsx)(react_transition_group_1.CSSTransition, { nodeRef: nodeRef, in: isOpen, timeout: 300, unmountOnExit: true, classNames: "shr-dialog-transition", children: (0, jsx_runtime_1.jsx)(Layout_1.Center, { ref: nodeRef, verticalCentering: true, className: actualClassName, as: as, children: isOpen ? children : childrenBuffer }) }));
};
exports.DialogOverlap = DialogOverlap;
//# sourceMappingURL=DialogOverlap.js.map