"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FocusTrap = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tabbable_1 = require("../../libs/tabbable");
exports.FocusTrap = (0, react_1.forwardRef)(({ firstFocusTarget, children }, ref) => {
    const innerRef = (0, react_1.useRef)(null);
    const dummyFocusRef = (0, react_1.useRef)(null);
    (0, react_1.useImperativeHandle)(ref, () => ({
        focus: () => {
            if (firstFocusTarget?.current) {
                firstFocusTarget.current.focus();
            }
            else {
                dummyFocusRef.current?.focus();
            }
        },
    }));
    (0, react_1.useEffect)(() => {
        const handleKeyDown = (e) => {
            if (e.key !== 'Tab' || innerRef.current === null) {
                return;
            }
            const tabbables = (0, tabbable_1.tabbable)(innerRef.current).filter((elm) => elm.tabIndex >= 0);
            if (tabbables.length === 0) {
                return;
            }
            const firstTabbable = tabbables[0];
            const lastTabbable = tabbables[tabbables.length - 1];
            const currentFocused = tabbables.find((elm) => elm === e.target);
            if (e.shiftKey) {
                if (currentFocused === firstTabbable || document.activeElement === dummyFocusRef.current) {
                    e.preventDefault();
                    lastTabbable.focus();
                }
            }
            else if (currentFocused === lastTabbable) {
                e.preventDefault();
                firstTabbable.focus();
            }
        };
        window.addEventListener('keydown', handleKeyDown);
        return () => {
            window.removeEventListener('keydown', handleKeyDown);
        };
    }, []);
    (0, react_1.useEffect)(() => {
        const triggerElement = document.activeElement;
        if (firstFocusTarget?.current) {
            firstFocusTarget.current.focus();
        }
        else {
            dummyFocusRef.current?.focus();
        }
        return () => {
            // フォーカストラップ終了時にトリガにフォーカスを戻す
            if (triggerElement instanceof HTMLElement) {
                triggerElement.focus();
            }
        };
    }, [firstFocusTarget]);
    return ((0, jsx_runtime_1.jsxs)("div", { ref: innerRef, children: [(0, jsx_runtime_1.jsx)("div", { ref: dummyFocusRef, tabIndex: -1 }), children] }));
});
//# sourceMappingURL=FocusTrap.js.map