"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("../DialogContentInner");
const useDialogPortal_1 = require("../useDialogPortal");
const MessageDialogContentInner_1 = require("./MessageDialogContentInner");
const MessageDialog = ({ title, subtitle, titleTag, description, onClickClose, onPressEscape = onClickClose, contentBgColor, contentPadding, className, portalParent, decorators, id, ...props }) => {
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent, id);
    const handleClickClose = (0, react_1.useCallback)(() => {
        if (!props.isOpen) {
            return;
        }
        onClickClose();
    }, [onClickClose, props.isOpen]);
    const titleId = (0, react_1.useId)();
    return createPortal((0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, ariaLabelledby: titleId, className: className, onPressEscape: onPressEscape, children: (0, jsx_runtime_1.jsx)(MessageDialogContentInner_1.MessageDialogContentInner, { title: title, titleTag: titleTag, titleId: titleId, subtitle: subtitle, description: description, contentBgColor: contentBgColor, contentPadding: contentPadding, onClickClose: handleClickClose, decorators: decorators }) }));
};
exports.MessageDialog = MessageDialog;
//# sourceMappingURL=MessageDialog.js.map