"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageDialogContent = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("../DialogContentInner");
const DialogWrapper_1 = require("../DialogWrapper");
const useDialogPortal_1 = require("../useDialogPortal");
const MessageDialogContentInner_1 = require("./MessageDialogContentInner");
const MessageDialogContent = ({ title, description, portalParent, className, contentBgColor, contentPadding, decorators, ...props }) => {
    const { onClickClose, active } = (0, react_1.useContext)(DialogWrapper_1.DialogContext);
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent);
    const handleClickClose = (0, react_1.useCallback)(() => {
        if (active) {
            onClickClose();
        }
    }, [active, onClickClose]);
    const titleId = (0, react_1.useId)();
    return createPortal((0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, onPressEscape: onClickClose, isOpen: active, className: className, ariaLabelledby: titleId, children: (0, jsx_runtime_1.jsx)(MessageDialogContentInner_1.MessageDialogContentInner, { title: title, titleId: titleId, description: description, contentBgColor: contentBgColor, contentPadding: contentPadding, onClickClose: handleClickClose, decorators: decorators }) }));
};
exports.MessageDialogContent = MessageDialogContent;
//# sourceMappingURL=MessageDialogContent.js.map