"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageDialogContentInner = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const useDecorators_1 = require("../../../hooks/useDecorators");
const intl_1 = require("../../../intl");
const Button_1 = require("../../Button");
const Layout_1 = require("../../Layout");
const SectioningContent_1 = require("../../SectioningContent");
const DialogBody_1 = require("../DialogBody");
const DialogHeader_1 = require("../DialogHeader");
const dialogInnerStyle_1 = require("../dialogInnerStyle");
const MessageDialogContentInner = ({ title, subtitle, titleTag, titleId, contentBgColor, contentPadding, description, onClickClose, decorators, }) => {
    const styles = (0, react_1.useMemo)(() => {
        const { wrapper, actionArea } = (0, dialogInnerStyle_1.dialogContentInner)();
        return {
            wrapper: wrapper(),
            actionArea: actionArea(),
        };
    }, []);
    return (
    // eslint-disable-next-line smarthr/a11y-heading-in-sectioning-content
    (0, jsx_runtime_1.jsxs)(SectioningContent_1.Section, { className: styles.wrapper, children: [(0, jsx_runtime_1.jsx)(DialogHeader_1.DialogHeader, { title: title, subtitle: subtitle, titleTag: titleTag, titleId: titleId }), (0, jsx_runtime_1.jsx)(DialogBody_1.DialogBody, { contentPadding: contentPadding, contentBgColor: contentBgColor, children: description }), (0, jsx_runtime_1.jsx)(FooterCluster, { onClickClose: onClickClose, decorators: decorators, className: styles.actionArea })] }));
};
exports.MessageDialogContentInner = MessageDialogContentInner;
const FooterCluster = (0, react_1.memo)(({ onClickClose, decorators, className }) => {
    const { localize } = (0, intl_1.useIntl)();
    const decoratorDefaultTexts = (0, react_1.useMemo)(() => ({
        closeButtonLabel: localize({
            id: 'smarthr-ui/MessageDialog/closeButtonLabel',
            defaultText: '閉じる',
        }),
    }), [localize]);
    const decorated = (0, useDecorators_1.useDecorators)(decoratorDefaultTexts, decorators);
    return ((0, jsx_runtime_1.jsx)(Layout_1.Cluster, { as: "footer", justify: "flex-end", className: className, children: (0, jsx_runtime_1.jsx)(Button_1.Button, { onClick: onClickClose, className: "smarthr-ui-Dialog-closeButton", children: decorated.closeButtonLabel }) }));
});
//# sourceMappingURL=MessageDialogContentInner.js.map