"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepFormDialog = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const DialogContentInner_1 = require("../DialogContentInner");
const useDialogPortal_1 = require("../useDialogPortal");
const StepFormDialogContentInner_1 = require("./StepFormDialogContentInner");
const StepFormDialogProvider_1 = require("./StepFormDialogProvider");
const StepFormDialog = ({ children, title, subtitle, stepLength, titleTag, contentBgColor, contentPadding, actionTheme, submitLabel, firstStep, onSubmit, onClickClose, onClickBack, onPressEscape = onClickClose, responseStatus, actionDisabled = false, closeDisabled, className, portalParent, decorators, id, isOpen, ...props }) => {
    const { createPortal } = (0, useDialogPortal_1.useDialogPortal)(portalParent, id);
    const titleId = (0, react_1.useId)();
    const focusTrapRef = (0, react_1.useRef)(null);
    const actualOnClickClose = (0, react_1.useCallback)(() => {
        if (isOpen) {
            focusTrapRef.current?.focus();
            onClickClose();
        }
    }, [isOpen, onClickClose]);
    const actualOnSubmitAction = (0, react_1.useCallback)((close, e, currentStep) => {
        if (isOpen) {
            focusTrapRef.current?.focus();
            return onSubmit(close, e, currentStep);
        }
        return undefined;
    }, [onSubmit, isOpen]);
    const actualOnClickBack = (0, react_1.useCallback)(() => {
        if (isOpen) {
            focusTrapRef.current?.focus();
            onClickBack?.();
        }
    }, [isOpen, onClickBack]);
    return createPortal((0, jsx_runtime_1.jsx)(StepFormDialogProvider_1.StepFormDialogProvider, { firstStep: firstStep, children: (0, jsx_runtime_1.jsx)(DialogContentInner_1.DialogContentInner, { ...props, isOpen: isOpen, ariaLabelledby: titleId, className: className, onPressEscape: closeDisabled ? undefined : onPressEscape, focusTrapRef: focusTrapRef, children: (0, jsx_runtime_1.jsx)(StepFormDialogContentInner_1.StepFormDialogContentInner, { title: title, titleId: titleId, subtitle: subtitle, titleTag: titleTag, contentBgColor: contentBgColor, contentPadding: contentPadding, firstStep: firstStep, stepLength: stepLength, actionTheme: actionTheme, actionDisabled: actionDisabled, closeDisabled: closeDisabled, submitLabel: submitLabel, onClickClose: actualOnClickClose, onSubmit: actualOnSubmitAction, onClickBack: actualOnClickBack, responseStatus: responseStatus, decorators: decorators, children: children }) }) }));
};
exports.StepFormDialog = StepFormDialog;
//# sourceMappingURL=StepFormDialog.js.map