"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBodyScrollLock = void 0;
const react_1 = require("react");
const useBodyScrollLock = (isOpen) => {
    const paddingRightRef = (0, react_1.useRef)(null);
    (0, react_1.useEffect)(() => {
        if (!isOpen)
            return;
        if (paddingRightRef.current === null) {
            const scrollBarWidth = window.innerWidth - document.body.clientWidth;
            const originalPaddingRight = getComputedStyle(document.body).getPropertyValue('padding-right');
            paddingRightRef.current = `${scrollBarWidth + parseInt(originalPaddingRight, 10)}px`;
        }
        document.body.style.paddingInlineEnd = paddingRightRef.current;
        document.body.style.overflow = 'hidden';
        return () => {
            document.body.style.paddingInlineEnd = '';
            document.body.style.overflow = '';
        };
    }, [isOpen]);
};
exports.useBodyScrollLock = useBodyScrollLock;
//# sourceMappingURL=useBodyScrollLock.js.map