"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TRIGGER_EVENT = void 0;
exports.useRemoteTrigger = useRemoteTrigger;
const react_1 = require("react");
exports.TRIGGER_EVENT = 'smarthr-ui:remote-dialog-trigger-dispatch';
function useRemoteTrigger({ onClickClose: orgOnClickClose, onPressEscape: orgOnPressEscape, onToggle, onOpen, onClose, id, }) {
    const [isOpen, setIsOpen] = (0, react_1.useState)(false);
    const togglerRef = (0, react_1.useRef)({
        onToggle,
        onOpen,
        onClose,
    });
    const onClickClose = (0, react_1.useCallback)(() => {
        if (orgOnClickClose) {
            return orgOnClickClose(() => {
                setIsOpen(false);
            });
        }
        setIsOpen(false);
    }, [orgOnClickClose]);
    const onPressEscape = (0, react_1.useCallback)(() => {
        if (orgOnPressEscape) {
            return orgOnPressEscape(() => {
                setIsOpen(false);
            });
        }
        setIsOpen(false);
    }, [orgOnPressEscape]);
    (0, react_1.useEffect)(() => {
        const handler = ((e) => {
            if (id === e.detail.id) {
                setIsOpen(true);
            }
        });
        document.addEventListener(exports.TRIGGER_EVENT, handler);
        return () => {
            document.removeEventListener(exports.TRIGGER_EVENT, handler);
        };
    }, [id]);
    (0, react_1.useEffect)(() => {
        togglerRef.current.onToggle = onToggle;
        togglerRef.current.onOpen = onOpen;
        togglerRef.current.onClose = onClose;
    }, [onToggle, onOpen, onClose]);
    (0, react_1.useEffect)(() => {
        togglerRef.current.onToggle?.(isOpen);
        if (isOpen) {
            togglerRef.current.onOpen?.();
        }
        else {
            togglerRef.current.onClose?.();
        }
    }, [isOpen]);
    return {
        isOpen,
        onClickClose,
        onPressEscape,
    };
}
//# sourceMappingURL=useRemoteTrigger.js.map