import { type ComponentProps, type FC, type MouseEvent, type PropsWithChildren, type ReactElement } from 'react';
type AbstractContentProps = PropsWithChildren<{
    /** DisclosureTriggerのtargetIdと紐づけるId */
    id: string;
    /** 開閉状態。デフォルトは閉じている */
    isOpen?: boolean;
    /** 閉じた状態でContentを要素として存在させるか。デフォルトでは要素は存在しない */
    visuallyHidden?: boolean;
}>;
type ContentProps = AbstractContentProps & Omit<ComponentProps<'div'>, keyof AbstractContentProps>;
type TriggerChildrenType = Omit<ReactElement, 'onClick' | 'aria-expanded' | 'aria-controls'>;
export declare const DisclosureTrigger: FC<{
    /** DisclosureContentのidと紐づける文字列 */
    targetId: string;
    /** 開閉時のハンドラー */
    onClick?: (open: () => void, e: MouseEvent<HTMLButtonElement>) => void;
    children: TriggerChildrenType | ((args: {
        expanded: boolean;
    }) => TriggerChildrenType);
}>;
export declare const DisclosureContent: FC<ContentProps>;
export {};
