import { type FC, type MutableRefObject, type PropsWithChildren, type ReactNode } from 'react';
import { type Rect } from './dropdownHelper';
type Props = {
    onOpen?: () => void;
    onClose?: () => void;
};
type DropdownContextType = {
    active: boolean;
    triggerRect: Rect;
    triggerElementRef: MutableRefObject<HTMLDivElement | null>;
    rootTriggerRef: MutableRefObject<HTMLDivElement | null> | null;
    onClickTrigger: (rect: Rect) => void;
    onClickCloser: () => void;
    DropdownContentRoot: FC<{
        children: ReactNode;
    }>;
    contentId: string;
};
export declare const DropdownContext: import("react").Context<DropdownContextType>;
export declare const Dropdown: FC<PropsWithChildren<Props>>;
export {};
