"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownCloser = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const DropdownContent_1 = require("./DropdownContent");
const DropdownContentInner_1 = require("./DropdownContentInner");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-Dropdown-closer',
    variants: {
        controllable: {
            false: 'shr-flex shr-flex-col',
        },
    },
});
const DropdownCloser = ({ children, className }) => {
    const { onClickCloser, controllable } = (0, react_1.useContext)(DropdownContent_1.DropdownContentContext);
    const { maxHeight } = (0, react_1.useContext)(DropdownContentInner_1.DropdownContentInnerContext);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ controllable, className }), [controllable, className]);
    const style = (0, react_1.useMemo)(() => ({
        maxHeight: controllable ? undefined : maxHeight,
    }), [maxHeight, controllable]);
    return (
    // eslint-disable-next-line smarthr/a11y-delegate-element-has-role-presentation
    (0, jsx_runtime_1.jsx)("div", { role: "presentation", onClick: onClickCloser, className: actualClassName, style: style, children: children }));
};
exports.DropdownCloser = DropdownCloser;
//# sourceMappingURL=DropdownCloser.js.map