import { type FC, type PropsWithChildren } from 'react';
import { type ElementProps as InnerElementProps } from './DropdownContentInner';
export declare const DropdownContentContext: import("react").Context<{
    onClickCloser: () => void;
    controllable: boolean;
}>;
type Props = PropsWithChildren<{
    /**
     * `true` のとき、ドロップダウン内のコンテンツをクリックしてもドロップダウンが閉じなくなる。。
     *  この場合は、 `DropdownCloser` を用いてドロップダウンを閉じることができる。
     */
    controllable?: boolean;
}>;
type ElementProps = Omit<InnerElementProps, keyof Props>;
export declare const DropdownContent: FC<Props & ElementProps>;
export {};
