"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownContentInner = exports.DropdownContentInnerContext = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const themes_1 = require("../../themes");
const DropdownCloser_1 = require("./DropdownCloser");
const dropdownHelper_1 = require("./dropdownHelper");
const useKeyboardNavigation_1 = require("./useKeyboardNavigation");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-Dropdown-content shr-absolute shr-z-overlap-base shr-overflow-y-auto shr-break-words shr-rounded-m shr-bg-white shr-shadow-layer-3',
    variants: {
        isActive: {
            true: 'shr-visible',
            false: 'shr-invisible',
        },
    },
});
exports.DropdownContentInnerContext = (0, react_1.createContext)({
    maxHeight: '',
});
const DropdownContentInner = ({ triggerRect, children, className, controllable, ...props }) => {
    const [isActive, setIsActive] = (0, react_1.useState)(false);
    const [contentBox, setContentBox] = (0, react_1.useState)({
        top: 'auto',
        maxHeight: '',
    });
    const wrapperRef = (0, react_1.useRef)(null);
    const focusTargetRef = (0, react_1.useRef)(null);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ isActive, className }), [isActive, className]);
    const style = (0, react_1.useMemo)(() => {
        const leftMargin = contentBox.left === undefined ? themes_1.spacing[0.5] : `max(${contentBox.left}, 0px)`;
        const rightMargin = contentBox.right === undefined ? themes_1.spacing[0.5] : `max(${contentBox.right}, 0px)`;
        const maxWidthStyle = `calc(100% - ${leftMargin} - ${rightMargin})`;
        return {
            insetBlockStart: contentBox.top,
            insetInlineStart: contentBox.left || undefined,
            insetInlineEnd: contentBox.right || undefined,
            maxWidth: maxWidthStyle,
        };
    }, [contentBox.left, contentBox.right, contentBox.top]);
    const controllableWrapperStyleProps = (0, react_1.useMemo)(() => ({
        maxHeight: contentBox.maxHeight || undefined,
    }), [contentBox.maxHeight]);
    (0, react_1.useEffect)(() => {
        if (wrapperRef.current) {
            setContentBox((0, dropdownHelper_1.getContentBoxStyle)(triggerRect, {
                width: wrapperRef.current.offsetWidth,
                height: wrapperRef.current.offsetHeight,
            }, {
                width: document.body.clientWidth,
                height: innerHeight,
            }, {
                top: scrollY,
                left: scrollX,
            }));
            setIsActive(true);
        }
    }, [triggerRect]);
    (0, react_1.useEffect)(() => {
        if (isActive) {
            focusTargetRef.current?.focus();
        }
    }, [isActive]);
    (0, useKeyboardNavigation_1.useKeyboardNavigation)(wrapperRef, focusTargetRef);
    return ((0, jsx_runtime_1.jsxs)("div", { ...props, ref: wrapperRef, className: actualClassName, style: style, children: [(0, jsx_runtime_1.jsx)("div", { ref: focusTargetRef, tabIndex: -1 }), controllable ? ((0, jsx_runtime_1.jsx)("div", { style: controllableWrapperStyleProps, children: children })) : ((0, jsx_runtime_1.jsx)(exports.DropdownContentInnerContext.Provider, { value: { maxHeight: contentBox.maxHeight }, children: (0, jsx_runtime_1.jsx)(DropdownCloser_1.DropdownCloser, { children: children }) }))] }));
};
exports.DropdownContentInner = DropdownContentInner;
//# sourceMappingURL=DropdownContentInner.js.map