import { type ComponentProps, type ComponentPropsWithRef, type ComponentType, type FC, type ReactElement, type ReactNode } from 'react';
import { type AnchorButton, Button, type BaseProps as ButtonProps } from '../../Button';
import { FaCaretDownIcon } from '../../Icon';
import type { RemoteDialogTrigger } from '../../Dialog';
type Actions = ActionItem | ActionItem[];
type ActionItem = ReactElement<ComponentProps<typeof Button>> | ReactElement<ComponentProps<typeof AnchorButton>> | ReactElement<ComponentProps<typeof RemoteDialogTrigger>> | ReactNode;
type Props = {
    /** 引き金となるボタンラベル */
    label: ReactNode;
    /** 操作群 */
    children: Actions;
    /** 引き金となるボタンの大きさ */
    triggerSize?: ButtonProps['size'];
    /** 引き金となるボタンをアイコンのみとするかどうか */
    onlyIconTrigger?: boolean;
    /** 引き金となるアイコンを差し替えたい場合（onlyIconTrigger=true の場合のみ有効） */
    triggerIcon?: ComponentType<ComponentProps<typeof FaCaretDownIcon>>;
    /** ドロップダウンメニューが開かれた際のイベント */
    onOpen?: () => void;
    /** ドロップダウンメニューが閉じられた際のイベント */
    onClose?: () => void;
};
type ElementProps = Omit<ComponentPropsWithRef<'button'>, keyof Props>;
export declare const DropdownMenuButton: FC<Props & ElementProps>;
export declare const renderButtonList: (children: Actions) => (string | number | ReactElement<any, string | import("react").JSXElementConstructor<any>> | Iterable<ReactNode> | import("react").ReactPortal)[] | null | undefined;
export {};
