"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownTrigger = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const tabbable_1 = require("../../libs/tabbable");
const util_1 = require("../../libs/util");
const Tooltip_1 = require("../Tooltip");
const Dropdown_1 = require("./Dropdown");
/**
 * 条件付きでラッパをレンダリングする
 */
const ConditionalWrapper = ({ shouldWrapContent, wrapper, children, }) => (shouldWrapContent ? wrapper({ children }) : children);
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-Dropdown shr-inline-block',
});
const DropdownTrigger = ({ children, className, tooltip }) => {
    const { active, onClickTrigger, contentId, triggerElementRef } = (0, react_1.useContext)(Dropdown_1.DropdownContext);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    (0, react_1.useEffect)(() => {
        if (!triggerElementRef.current) {
            return;
        }
        // apply ARIA to all focusable elements in trigger
        const triggers = (0, tabbable_1.tabbable)(triggerElementRef.current, { shouldIgnoreVisibility: true });
        triggers.forEach((trigger) => {
            trigger.setAttribute('aria-expanded', active.toString());
            trigger.setAttribute('aria-controls', contentId);
        });
    }, [triggerElementRef, active, contentId]);
    let foundFirstElement = false;
    return ((0, jsx_runtime_1.jsx)("div", { ref: triggerElementRef, className: actualClassName, children: (0, jsx_runtime_1.jsx)(ConditionalWrapper, { shouldWrapContent: tooltip?.show, wrapper: ({ children: currentChildren }) => ((0, jsx_runtime_1.jsx)(Tooltip_1.Tooltip, { message: tooltip?.message, triggerType: "icon", tabIndex: -1, children: currentChildren })), children: (0, util_1.includeDisabledTrigger)(children)
                ? children
                : react_1.Children.map(children, (child) => {
                    if (foundFirstElement || !(0, react_1.isValidElement)(child)) {
                        return child;
                    }
                    foundFirstElement = true;
                    return (0, react_1.cloneElement)(child, {
                        onClick: (e) => {
                            onClickTrigger(e.currentTarget.getBoundingClientRect());
                            child.props.onClick?.(e);
                        },
                    });
                }) }) }));
};
exports.DropdownTrigger = DropdownTrigger;
//# sourceMappingURL=DropdownTrigger.js.map