import { type ComponentProps, type FC, type MouseEventHandler, type ReactNode } from 'react';
import { type DecoratorsType } from '../../../hooks/useDecorators';
import { type ResponseStatus } from '../../../hooks/useResponseStatus';
import { type BaseProps as ButtonProps } from '../../Button';
type Props = {
    isFiltered?: boolean;
    onApply: MouseEventHandler<HTMLButtonElement>;
    onCancel?: MouseEventHandler<HTMLButtonElement>;
    onReset?: MouseEventHandler<HTMLButtonElement>;
    onOpen?: () => void;
    onClose?: () => void;
    children: ReactNode;
    decorators?: DecoratorsType<DecoratorKeyTypes>;
    responseStatus?: ResponseStatus;
    /** 引き金となるボタンの大きさ */
    triggerSize?: ButtonProps['size'];
    /** 引き金となるボタンをアイコンのみとするかどうか */
    onlyIconTrigger?: boolean;
};
type ElementProps = Omit<ComponentProps<'button'>, keyof Props>;
type DecoratorKeyTypes = 'status' | 'triggerButton' | 'applyButton' | 'cancelButton' | 'resetButton';
export declare const FilterDropdown: FC<Props & ElementProps>;
export {};
