"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortDropdown = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Button_1 = require("../../Button");
const Fieldset_1 = require("../../Fieldset");
const FormControl_1 = require("../../FormControl");
const Layout_1 = require("../../Layout");
const RadioButton_1 = require("../../RadioButton");
const Select_1 = require("../../Select");
const Dropdown_1 = require("../Dropdown");
const DropdownCloser_1 = require("../DropdownCloser");
const DropdownContent_1 = require("../DropdownContent");
const DropdownTrigger_1 = require("../DropdownTrigger");
const useSortDropdown_1 = require("./useSortDropdown");
const SortDropdown = ({ sortFields, defaultOrder, onApply, onCancel, decorators, ...props }) => {
    const { labels, SortIcon, onChangeSortOrderRadio, innerValues: { innerFields, innerCheckedOrder }, handler: { handleApply, handleChange }, classNames, } = (0, useSortDropdown_1.useSortDropdown)({
        sortFields,
        defaultOrder,
        onApply,
        decorators,
    });
    return ((0, jsx_runtime_1.jsxs)(Dropdown_1.Dropdown, { children: [(0, jsx_runtime_1.jsx)(DropdownTrigger_1.DropdownTrigger, { children: (0, jsx_runtime_1.jsx)(Button_1.Button, { ...props, suffix: (0, jsx_runtime_1.jsx)(SortIcon, {}), children: labels.triggerLabel }) }), (0, jsx_runtime_1.jsx)(DropdownContent_1.DropdownContent, { controllable: true, children: (0, jsx_runtime_1.jsxs)("form", { onSubmit: handleApply, children: [(0, jsx_runtime_1.jsxs)(Layout_1.Stack, { className: classNames.body, children: [(0, jsx_runtime_1.jsx)(FormControl_1.FormControl, { title: labels.sortFieldLabel, children: (0, jsx_runtime_1.jsx)(Select_1.Select, { name: "sortFields", options: innerFields, onChange: handleChange, className: classNames.select }) }), (0, jsx_runtime_1.jsx)(Fieldset_1.Fieldset, { title: labels.sortOrderLabel, innerMargin: 0.5, children: (0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { gap: 1.25, children: [(0, jsx_runtime_1.jsx)(RadioButton_1.RadioButton, { name: "sortOrder", value: "asc", checked: innerCheckedOrder === 'asc', onChange: onChangeSortOrderRadio, children: labels.ascLabel }), (0, jsx_runtime_1.jsx)(RadioButton_1.RadioButton, { name: "sortOrder", value: "desc", checked: innerCheckedOrder === 'desc', onChange: onChangeSortOrderRadio, children: labels.descLabel })] }) })] }), (0, jsx_runtime_1.jsx)(Footer, { onCancel: onCancel, cancelButtonLabel: labels.cancelButtonLabel, applyButtonLabel: labels.applyButtonLabel, className: classNames.footer })] }) })] }));
};
exports.SortDropdown = SortDropdown;
const Footer = (0, react_1.memo)(({ className, onCancel, cancelButtonLabel, applyButtonLabel }) => ((0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { gap: 1, align: "center", justify: "flex-end", as: "footer", className: className, children: [(0, jsx_runtime_1.jsx)(CancelButton, { onClick: onCancel, children: cancelButtonLabel }), (0, jsx_runtime_1.jsx)(ApplyButton, { children: applyButtonLabel })] })));
const CancelButton = (0, react_1.memo)(({ onClick, children }) => ((0, jsx_runtime_1.jsx)(DropdownCloser_1.DropdownCloser, { children: (0, jsx_runtime_1.jsx)(Button_1.Button, { onClick: onClick, children: children }) })));
const ApplyButton = (0, react_1.memo)(({ children }) => ((0, jsx_runtime_1.jsx)(DropdownCloser_1.DropdownCloser, { children: (0, jsx_runtime_1.jsx)(Button_1.Button, { type: "submit", variant: "primary", children: children }) })));
//# sourceMappingURL=SortDropdown.js.map