import { type ChangeEventHandler, type ComponentProps, type FormEventHandler } from 'react';
import type { SortDropdown } from './SortDropdown';
type Props = Omit<ComponentProps<typeof SortDropdown>, 'onCancel'>;
export type DecoratorKeyTypes = 'sortFieldLabel' | 'sortOrderLabel' | 'ascLabel' | 'descLabel' | 'applyButtonLabel' | 'cancelButtonLabel';
export declare const useSortDropdown: ({ sortFields, defaultOrder, onApply, decorators }: Props) => {
    onChangeSortOrderRadio: ChangeEventHandler<HTMLInputElement>;
    labels: {
        sortFieldLabel: import("react").ReactNode;
        sortOrderLabel: import("react").ReactNode;
        ascLabel: import("react").ReactNode;
        descLabel: import("react").ReactNode;
        applyButtonLabel: import("react").ReactNode;
        cancelButtonLabel: import("react").ReactNode;
        triggerLabel: string;
    };
    handler: {
        handleApply: FormEventHandler<HTMLFormElement>;
        handleChange: ChangeEventHandler<HTMLSelectElement>;
    };
    innerValues: {
        innerFields: ({
            value: string;
        } & Omit<import("react").OptionHTMLAttributes<HTMLOptionElement>, "value">)[];
        innerSelectedField: string | undefined;
        innerCheckedOrder: "desc" | "asc";
    };
    SortIcon: import("react").NamedExoticComponent<import("../../Icon").ComponentProps>;
    classNames: {
        body: string;
        select: string;
        footer: string;
    };
};
export {};
