"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorScreen = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Heading_1 = require("../Heading");
const Layout_1 = require("../Layout");
const SmartHRLogo_1 = require("../SmartHRLogo");
const TextLink_1 = require("../TextLink");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-ErrorScreen shr-bg-background',
});
const ErrorScreen = ({ logo, title, links, children, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsx)(Layout_1.Center, { ...props, minHeight: "100vh", verticalCentering: true, className: actualClassName, children: (0, jsx_runtime_1.jsxs)(Layout_1.Stack, { gap: 1.5, align: "center", className: "[&&&]:shr-my-auto", children: [(0, jsx_runtime_1.jsx)("div", { className: "smarthr-ui-ErrorScreen-logo", children: logo || (0, jsx_runtime_1.jsx)(SmartHRLogo_1.SmartHRLogo, { fill: "brand", className: "shr-p-0.75" }) }), (0, jsx_runtime_1.jsxs)(Layout_1.Stack, { align: "center", children: [title && (0, jsx_runtime_1.jsx)(Heading_1.PageHeading, { className: "smarthr-ui-ErrorScreen-title", children: title }), children && (0, jsx_runtime_1.jsx)("div", { className: "smarthr-ui-ErrorScreen-content", children: children }), links?.length && ((0, jsx_runtime_1.jsx)(Layout_1.Stack, { as: "ul", gap: 0.5, align: "center", className: "smarthr-ui-ErrorScreen-linkList shr-list-none", children: links.map((link, index) => ((0, jsx_runtime_1.jsx)("li", { children: (0, jsx_runtime_1.jsx)(TextLink_1.TextLink, { href: link.url, target: link.target, className: "smarthr-ui-ErrorScreen-link", children: link.label }) }, index))) }))] })] }) }));
};
exports.ErrorScreen = ErrorScreen;
//# sourceMappingURL=ErrorScreen.js.map