"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.PDFViewer = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_pdf_1 = require("react-pdf");
const generatedReactPDFStyle_1 = require("./generatedReactPDFStyle");
// TODO: バンドラの関係でCDNから読み込んでいるが、smarthr-uiから配信するようにしたい
// pdfjs.GlobalWorkerOptions.workerSrc = new URL(
//   'pdfjs-dist/build/pdf.worker.min.mjs',
//   import.meta.url,
// ).toString()
react_pdf_1.pdfjs.GlobalWorkerOptions.workerSrc = `//cdnjs.cloudflare.com/ajax/libs/pdf.js/${react_pdf_1.pdfjs.version}/pdf.worker.min.mjs`;
const options = {
    // TODO: バンドラの関係でCDNから読み込んでいるが、smarthr-uiから配信するようにしたい
    // 非latin文字を読み込むためのオプション
    // 参考: https://github.com/wojtekmaj/react-pdf?tab=readme-ov-file#support-for-non-latin-characters
    // cMapUrl: '/cmaps/',
    cMapUrl: `//cdnjs.cloudflare.com/ajax/libs/pdf.js/${react_pdf_1.pdfjs.version}/cmaps/`,
};
exports.PDFViewer = (0, react_1.memo)(({ scale, rotation, file, width, onLoad }) => {
    const [pdfNumPages, setPdfNumPages] = (0, react_1.useState)(1);
    const onDocumentLoadSuccess = (0, react_1.useCallback)(({ numPages }) => {
        setPdfNumPages(numPages);
    }, []);
    const onPageLoad = (0, react_1.useMemo)(() => {
        if (!onLoad) {
            return undefined;
        }
        return (page) => {
            // DocumentのLoadだとページごとの読み込みが考慮されないため
            if (page.pageNumber !== pdfNumPages) {
                return;
            }
            onLoad();
        };
    }, [pdfNumPages, onLoad]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(generatedReactPDFStyle_1.ReactPDFStyle, {}), (0, jsx_runtime_1.jsx)(react_pdf_1.Document, { options: options, file: file.url, onLoadSuccess: onDocumentLoadSuccess, rotate: rotation, className: "shr-flex shr-h-full shr-w-fit shr-flex-col shr-items-center shr-gap-1 shr-overflow-auto", externalLinkTarget: "_blank", loading: null, children: Array.from({ length: pdfNumPages }).map((_, i) => ((0, jsx_runtime_1.jsx)(react_pdf_1.Page, { pageNumber: i + 1, width: width, scale: scale, className: "shr-w-full", onLoadSuccess: onPageLoad, loading: null }, `page_${i}`))) })] }));
});
//# sourceMappingURL=PDFViewer.js.map