import { type ComponentPropsWithoutRef, type FC, type ReactNode } from 'react';
import type { ResponseStatusWithoutProcessing } from '../../hooks/useResponseStatus';
import type { AbstractSize, CharRelativeSize } from '../../themes/createSpacing';
type Props = {
    /** 表示する `Button` または `AnchorButton` コンポーネント */
    primaryButton: ReactNode;
    /** 表示する `Button` または `AnchorButton` コンポーネント */
    secondaryButton?: ReactNode;
    /** tertiary 領域に表示するボタン */
    tertiaryButton?: ReactNode;
    /** 操作に対するフィードバックメッセージ */
    responseStatus?: ResponseStatusWithoutProcessing;
    /** コンポーネントの下端から、包含ブロックの下端までの間隔（基準フォントサイズの相対値または抽象値） */
    bottom?: CharRelativeSize | AbstractSize;
    /** コンポーネントの `z-index` 値 */
    zIndex?: number;
};
type ElementProps = Omit<ComponentPropsWithoutRef<'div'>, keyof Props>;
export declare const FloatArea: FC<Props & ElementProps>;
export {};
