"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FloatArea = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Base_1 = require("../Base");
const Layout_1 = require("../Layout");
const ResponseMessage_1 = require("../ResponseMessage");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: 'smarthr-ui-FloatArea shr-sticky shr-z-fixed-menu -shr-mx-0.5',
        mainButtonCluster: 'shr-ms-auto',
        responseMessageWrapper: 'shr-ms-auto',
    },
    variants: {
        bottom: {
            0: {
                wrapper: 'shr-bottom-0',
            },
            0.25: {
                wrapper: 'shr-bottom-0.25',
            },
            0.5: {
                wrapper: 'shr-bottom-0.5',
            },
            0.75: {
                wrapper: 'shr-bottom-0.75',
            },
            1: {
                wrapper: 'shr-bottom-1',
            },
            1.25: {
                wrapper: 'shr-bottom-1.25',
            },
            1.5: {
                wrapper: 'shr-bottom-1.5',
            },
            2: {
                wrapper: 'shr-bottom-2',
            },
            2.5: {
                wrapper: 'shr-bottom-2.5',
            },
            3: {
                wrapper: 'shr-bottom-3',
            },
            3.5: {
                wrapper: 'shr-bottom-3.5',
            },
            4: {
                wrapper: 'shr-bottom-4',
            },
            8: {
                wrapper: 'shr-bottom-8',
            },
            X3S: {
                wrapper: 'shr-bottom-0.25',
            },
            XXS: {
                wrapper: 'shr-bottom-0.5',
            },
            XS: {
                wrapper: 'shr-bottom-1',
            },
            S: {
                wrapper: 'shr-bottom-1.5',
            },
            M: {
                wrapper: 'shr-bottom-2',
            },
            L: {
                wrapper: 'shr-bottom-2.5',
            },
            XL: {
                wrapper: 'shr-bottom-3',
            },
            XXL: {
                wrapper: 'shr-bottom-3.5',
            },
            X3L: {
                wrapper: 'shr-bottom-4',
            },
        },
    },
    defaultVariants: {
        bottom: 1.5,
    },
});
const FloatArea = ({ primaryButton, secondaryButton, tertiaryButton, responseStatus, bottom, zIndex, style, className, ...rest }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, mainButtonCluster, responseMessageWrapper } = classNameGenerator({ bottom });
        return {
            wrapper: wrapper({ className }),
            mainButtonCluster: mainButtonCluster(),
            responseMessageWrapper: responseMessageWrapper(),
        };
    }, [bottom, className]);
    const actualStyle = (0, react_1.useMemo)(() => ({ ...style, zIndex }), [style, zIndex]);
    return ((0, jsx_runtime_1.jsx)(Base_1.Base, { ...rest, layer: 3, padding: 1, className: classNames.wrapper, style: actualStyle, children: (0, jsx_runtime_1.jsxs)(Layout_1.Stack, { gap: 0.5, children: [(0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { children: [tertiaryButton, (0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { gap: 1, className: classNames.mainButtonCluster, children: [secondaryButton, primaryButton] })] }), responseStatus && ((0, jsx_runtime_1.jsx)("p", { className: classNames.responseMessageWrapper, children: (0, jsx_runtime_1.jsx)(ResponseMessage_1.ResponseMessage, { type: responseStatus.status, children: responseStatus.text }) }))] }) }));
};
exports.FloatArea = FloatArea;
//# sourceMappingURL=FloatArea.js.map