"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderLink = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const TextLink_1 = require("../TextLink");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'shr-inline-flex shr-items-center',
        'shr-px-0.25 shr-text-white shr-shadow-none',
        'focus-visible:shr-focus-indicator',
        '[&_.smarthr-ui-Icon]:shr-block',
    ],
    variants: {
        enableNew: {
            true: ['shr-px-0.5 shr-text-black', 'hover:shr-shadow-underline'],
            false: 'hover:shr-text-white',
        },
    },
});
exports.HeaderLink = (0, react_1.memo)(({ enableNew, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ enableNew, className }), [enableNew, className]);
    return (0, jsx_runtime_1.jsx)(TextLink_1.TextLink, { ...props, target: "_blank", suffix: null, className: actualClassName });
});
//# sourceMappingURL=HeaderLink.js.map