import { type FC, type HTMLAttributes } from 'react';
import { type VariantProps } from 'tailwind-variants';
import { type DecoratorsType } from '../../../hooks/useDecorators';
import type { LocaleMap } from '../../../types';
export type Props = {
    narrow?: boolean;
    localeMap: LocaleMap;
    locale?: string;
    defaultLocale?: string;
    /** コンポーネント内の文言を変更するための関数を設定 */
    decorators?: DecoratorsType<DecoratorKeyTypes>;
    /** 言語切替UIで言語を選択した時に発火するコールバック関数 */
    onLanguageSelect?: (code: string) => void;
} & VariantProps<typeof classNameGenerator>;
type ElementProps = Omit<HTMLAttributes<HTMLElement>, keyof Props>;
declare const DECORATOR_DEFAULT_TEXTS: {
    readonly triggerLabel: "Language";
    readonly checkIconAlt: "選択中";
};
type DecoratorKeyTypes = keyof typeof DECORATOR_DEFAULT_TEXTS;
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    invert: {
        true: {
            switchButton: string[];
        };
    };
    enableNew: {
        true: {
            switchButton: string;
        };
    };
}, {
    switchButton: string[];
    languageItemsList: string[];
    languageItem: string[];
    languageButton: string[];
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    invert: {
        true: {
            switchButton: string[];
        };
    };
    enableNew: {
        true: {
            switchButton: string;
        };
    };
}, {
    invert: {
        true: {
            switchButton: string[];
        };
    };
    enableNew: {
        true: {
            switchButton: string;
        };
    };
}>, {
    invert: {
        true: {
            switchButton: string[];
        };
    };
    enableNew: {
        true: {
            switchButton: string;
        };
    };
}, {
    switchButton: string[];
    languageItemsList: string[];
    languageItem: string[];
    languageButton: string[];
}, import("tailwind-variants").TVReturnType<{
    invert: {
        true: {
            switchButton: string[];
        };
    };
    enableNew: {
        true: {
            switchButton: string;
        };
    };
}, {
    switchButton: string[];
    languageItemsList: string[];
    languageItem: string[];
    languageButton: string[];
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    invert: {
        true: {
            switchButton: string[];
        };
    };
    enableNew: {
        true: {
            switchButton: string;
        };
    };
}, {
    invert: {
        true: {
            switchButton: string[];
        };
    };
    enableNew: {
        true: {
            switchButton: string;
        };
    };
}>, unknown, unknown, undefined>>;
export declare const LanguageSwitcher: FC<Props & ElementProps>;
export {};
