import { type FC, type PropsWithChildren, type ReactNode } from 'react';
import { type VariantProps } from 'tailwind-variants';
import { type DecoratorsType } from '../../hooks/useDecorators';
import { type BaseElementProps } from '../Base';
import { type HeadingTagTypes } from '../Heading';
type AbstractProps = PropsWithChildren<{
    /** パネルのタイトル */
    title: ReactNode;
    /**
     * @deprecated titleTagは非推奨です
     */
    titleTag?: HeadingTagTypes;
    /** `true` のとき、開閉ボタンを表示する */
    togglable?: boolean;
    /** 開閉ボタン押下時に発火するコールバック関数 */
    onClickTrigger?: (active: boolean) => void;
    /** コンポーネント内の文言を変更するための関数を設定 */
    decorators?: DecoratorsType<DecoratorKeyTypes>;
}> & VariantProps<typeof classNameGenerator>;
type DecoratorKeyTypes = 'openButtonLabel' | 'closeButtonLabel';
type Props = AbstractProps & Omit<BaseElementProps, keyof AbstractProps>;
export declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    type: {
        success: {};
        info: {};
        warning: {};
        error: {};
        sync: {};
    };
    active: {
        true: {};
        false: {
            header: string;
        };
    };
    bold: {
        true: {
            header: string;
            content: string;
        };
        false: {};
    };
}, {
    wrapper: string;
    header: string;
    heading: string;
    togglableButton: string;
    content: string[];
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    type: {
        success: {};
        info: {};
        warning: {};
        error: {};
        sync: {};
    };
    active: {
        true: {};
        false: {
            header: string;
        };
    };
    bold: {
        true: {
            header: string;
            content: string;
        };
        false: {};
    };
}, {
    type: {
        success: {};
        info: {};
        warning: {};
        error: {};
        sync: {};
    };
    active: {
        true: {};
        false: {
            header: string;
        };
    };
    bold: {
        true: {
            header: string;
            content: string;
        };
        false: {};
    };
}>, {
    type: {
        success: {};
        info: {};
        warning: {};
        error: {};
        sync: {};
    };
    active: {
        true: {};
        false: {
            header: string;
        };
    };
    bold: {
        true: {
            header: string;
            content: string;
        };
        false: {};
    };
}, {
    wrapper: string;
    header: string;
    heading: string;
    togglableButton: string;
    content: string[];
}, import("tailwind-variants").TVReturnType<{
    type: {
        success: {};
        info: {};
        warning: {};
        error: {};
        sync: {};
    };
    active: {
        true: {};
        false: {
            header: string;
        };
    };
    bold: {
        true: {
            header: string;
            content: string;
        };
        false: {};
    };
}, {
    wrapper: string;
    header: string;
    heading: string;
    togglableButton: string;
    content: string[];
}, undefined, import("tailwind-variants/dist/config").TVConfig<{
    type: {
        success: {};
        info: {};
        warning: {};
        error: {};
        sync: {};
    };
    active: {
        true: {};
        false: {
            header: string;
        };
    };
    bold: {
        true: {
            header: string;
            content: string;
        };
        false: {};
    };
}, {
    type: {
        success: {};
        info: {};
        warning: {};
        error: {};
        sync: {};
    };
    active: {
        true: {};
        false: {
            header: string;
        };
    };
    bold: {
        true: {
            header: string;
            content: string;
        };
        false: {};
    };
}>, unknown, unknown, undefined>>;
export declare const InformationPanel: FC<Props>;
export {};
