"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputWithTooltip = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Tooltip_1 = require("../../Tooltip");
const Input_1 = require("../Input");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'smarthr-ui-InputWithTooltip [&]:shr-overflow-y-visible',
});
exports.InputWithTooltip = (0, react_1.forwardRef)(({ tooltipMessage, width, className, ...rest }, ref) => {
    const style = (0, react_1.useMemo)(() => ({
        width: typeof width === 'number' ? `${width}px` : width,
    }), [width]);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsx)(Tooltip_1.Tooltip, { message: tooltipMessage, tabIndex: -1, ariaDescribedbyTarget: "inner", className: actualClassName, style: style, children: (0, jsx_runtime_1.jsx)(Input_1.Input, { ...rest, ref: ref, width: style.width }) }));
});
//# sourceMappingURL=InputWithTooltip.js.map