import { type ComponentPropsWithRef, type ComponentType, type PropsWithChildren } from 'react';
import type { Gap } from '../../../types';
type Props = PropsWithChildren<{
    /** コンテンツの最小高さ */
    minHeight?: number | string;
    /** コンテンツの最大幅 */
    maxWidth?: number | string;
    /** 境界とコンテンツの間の余白 */
    padding?: Gap;
    /** 天地中央揃えも有効化するかどうか */
    verticalCentering?: boolean;
    as?: string | ComponentType<any>;
}>;
type ElementProps = Omit<ComponentPropsWithRef<'div'>, keyof Props>;
export declare const centerClassNameGenerator: import("tailwind-variants").TVReturnType<{
    padding: { [key in Gap]: string; };
    verticalCentering: {
        true: string;
    };
}, undefined, "shr-mx-auto shr-box-content shr-flex shr-flex-col shr-items-center", import("tailwind-variants/dist/config").TVConfig<{
    padding: { [key in Gap]: string; };
    verticalCentering: {
        true: string;
    };
}, {
    padding: { [key in Gap]: string; };
    verticalCentering: {
        true: string;
    };
}>, {
    padding: { [key in Gap]: string; };
    verticalCentering: {
        true: string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    padding: { [key in Gap]: string; };
    verticalCentering: {
        true: string;
    };
}, undefined, "shr-mx-auto shr-box-content shr-flex shr-flex-col shr-items-center", import("tailwind-variants/dist/config").TVConfig<{
    padding: { [key in Gap]: string; };
    verticalCentering: {
        true: string;
    };
}, {
    padding: { [key in Gap]: string; };
    verticalCentering: {
        true: string;
    };
}>, unknown, unknown, undefined>>;
export declare const Center: import("react").ForwardRefExoticComponent<Omit<{
    /** コンテンツの最小高さ */
    minHeight?: number | string;
    /** コンテンツの最大幅 */
    maxWidth?: number | string;
    /** 境界とコンテンツの間の余白 */
    padding?: Gap;
    /** 天地中央揃えも有効化するかどうか */
    verticalCentering?: boolean;
    as?: string | ComponentType<any>;
} & {
    children?: import("react").ReactNode | undefined;
} & ElementProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
export {};
