"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.Center = exports.centerClassNameGenerator = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const useSectioningWrapper_1 = require("../../SectioningContent/useSectioningWrapper");
exports.centerClassNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'shr-mx-auto shr-box-content shr-flex shr-flex-col shr-items-center',
    variants: {
        padding: {
            0: 'shr-p-0',
            0.25: 'shr-p-0.25',
            0.5: 'shr-p-0.5',
            0.75: 'shr-p-0.75',
            1: 'shr-p-1',
            1.25: 'shr-p-1.25',
            1.5: 'shr-p-1.5',
            2: 'shr-p-2',
            2.5: 'shr-p-2.5',
            3: 'shr-p-3',
            3.5: 'shr-p-3.5',
            4: 'shr-p-4',
            8: 'shr-p-8',
            X3S: 'shr-p-0.25',
            XXS: 'shr-p-0.5',
            XS: 'shr-p-1',
            S: 'shr-p-1.5',
            M: 'shr-p-2',
            L: 'shr-p-2.5',
            XL: 'shr-p-3',
            XXL: 'shr-p-3.5',
            X3L: 'shr-p-4',
        },
        verticalCentering: {
            true: 'shr-justify-center',
        },
    },
});
exports.Center = (0, react_1.forwardRef)(({ minHeight, maxWidth, padding, verticalCentering, as: Component = 'div', className, ...props }, ref) => {
    const style = (0, react_1.useMemo)(() => ({
        minHeight: minHeight ?? undefined,
        maxWidth: maxWidth ?? undefined,
    }), [minHeight, maxWidth]);
    const actualClassName = (0, react_1.useMemo)(() => (0, exports.centerClassNameGenerator)({ padding, verticalCentering, className }), [padding, verticalCentering, className]);
    const Wrapper = (0, useSectioningWrapper_1.useSectionWrapper)(Component);
    const body = (0, jsx_runtime_1.jsx)(Component, { ...props, ref: ref, className: actualClassName, style: style });
    if (Wrapper) {
        return (0, jsx_runtime_1.jsx)(Wrapper, { children: body });
    }
    return body;
});
//# sourceMappingURL=Center.js.map