"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Loader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const LoaderSpinner_1 = require("./LoaderSpinner");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: ['smarthr-ui-Loader', 'shr-inline-block shr-overflow-hidden'],
        textSlot: ['shr-block', 'shr-mt-1', 'shr-text-base', 'shr-text-center'],
    },
    variants: {
        type: {
            primary: {
                textSlot: ['shr-text-black'],
            },
            light: {
                textSlot: ['shr-text-white'],
            },
        },
    },
});
exports.Loader = (0, react_1.memo)(({ size = 'm', alt, text, type = 'primary', role = 'status', className, ...props }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, textSlot } = classNameGenerator({
            type,
        });
        return {
            wrapper: wrapper({ className }),
            text: textSlot(),
        };
    }, [type, className]);
    return ((0, jsx_runtime_1.jsxs)("span", { ...props, role: role, className: classNames.wrapper, children: [(0, jsx_runtime_1.jsx)(LoaderSpinner_1.LoaderSpinner, { type: type, size: size, alt: alt }), text && (0, jsx_runtime_1.jsx)("span", { className: classNames.text, children: text })] }));
});
//# sourceMappingURL=Loader.js.map