"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageCounter = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const useDecorators_1 = require("../../hooks/useDecorators");
const Layout_1 = require("../Layout");
const RangeSeparator_1 = require("../RangeSeparator");
const Text_1 = require("../Text");
const DECORATOR_DEFAULT_TEXTS = {
    rangeSeparator: '–',
    rangeSeparatorVisuallyHiddenText: 'から',
};
const classNameGenerator = (0, tailwind_variants_1.tv)({ base: 'shr-text-base' });
exports.PageCounter = (0, react_1.memo)(({ start, end, total, decorators, className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    const decorated = (0, useDecorators_1.useDecorators)(DECORATOR_DEFAULT_TEXTS, decorators);
    const rangeSeparatorDecorators = (0, react_1.useMemo)(() => ({
        text: () => decorated.rangeSeparator,
        visuallyHiddenText: () => decorated.rangeSeparatorVisuallyHiddenText,
    }), [decorated]);
    return ((0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { ...props, gap: 0.25, inline: true, align: "baseline", className: actualClassName, children: [(0, jsx_runtime_1.jsx)(BoldNumber, { children: start }), (0, jsx_runtime_1.jsx)(RangeSeparator_1.RangeSeparator, { decorators: rangeSeparatorDecorators }), (0, jsx_runtime_1.jsx)(BoldNumber, { children: end }), (0, jsx_runtime_1.jsx)(Total, { children: total })] }));
});
const BoldNumber = (0, react_1.memo)(({ children }) => ((0, jsx_runtime_1.jsx)(Text_1.Text, { weight: "bold", as: "b", children: children.toLocaleString() })));
const Total = (0, react_1.memo)(({ children = 0 }) => children > 0 && ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("span", { children: "/" }), (0, jsx_runtime_1.jsx)(BoldNumber, { children: children })] })));
//# sourceMappingURL=PageCounter.js.map