"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginationControllerItemButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const Button_1 = require("../Button");
const Icon_1 = require("../Icon");
const ICON_MAPPER = {
    prev: {
        single: { Icon: Icon_1.FaChevronLeftIcon, alt: '前へ' },
        double: { Icon: Icon_1.FaAngleDoubleLeftIcon, alt: '最初へ' },
    },
    next: {
        single: { Icon: Icon_1.FaChevronRightIcon, alt: '次へ' },
        double: { Icon: Icon_1.FaAngleDoubleRightIcon, alt: '最後へ' },
    },
};
const PaginationControllerItemButton = ({ direction, disabled, double, targetPage, hrefTemplate, linkAs, }) => {
    const { Icon, alt } = ICON_MAPPER[direction][double ? 'double' : 'single'];
    const { Component, attrs } = (0, react_1.useMemo)(() => {
        if (hrefTemplate) {
            return {
                Component: Button_1.AnchorButton,
                // HINT: elementAsにnext/linkを設定した場合、hrefがundefinedでは
                // エラーになってしまうため、undefinedで指定されていない状態にする
                attrs: (disabled
                    ? {
                        href: undefined,
                        elementAs: undefined,
                    }
                    : {
                        href: hrefTemplate(targetPage),
                        elementAs: linkAs,
                    }),
            };
        }
        return {
            Component: Button_1.Button,
            attrs: {
                disabled,
                value: targetPage,
            },
        };
    }, [targetPage, disabled, hrefTemplate, linkAs]);
    return ((0, jsx_runtime_1.jsx)(Component, { ...attrs, size: "s", className: "shr-rounded-s", children: (0, jsx_runtime_1.jsx)(Icon, { color: disabled ? 'TEXT_DISABLED' : 'TEXT_BLACK', alt: alt }) }));
};
exports.PaginationControllerItemButton = PaginationControllerItemButton;
//# sourceMappingURL=PaginationControllerItemButton.js.map