"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseMessage = exports.classNameGenerator = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Icon_1 = require("../Icon");
exports.classNameGenerator = (0, tailwind_variants_1.tv)({
    base: '',
    variants: {
        type: {
            info: 'shr-fill-grey',
            success: 'shr-fill-main',
            warning: '',
            error: 'shr-fill-danger',
            sync: 'shr-fill-main',
        },
    },
});
const ICON_MAPPER = {
    info: Icon_1.FaCircleInfoIcon,
    success: Icon_1.FaCircleCheckIcon,
    warning: Icon_1.WarningIcon,
    error: Icon_1.FaCircleExclamationIcon,
    sync: Icon_1.FaRotateIcon,
};
const ResponseMessage = ({ type = 'info', children, ...other }) => {
    const className = (0, react_1.useMemo)(() => (0, exports.classNameGenerator)({ type }), [type]);
    const Icon = ICON_MAPPER[type];
    return (0, jsx_runtime_1.jsx)(Icon, { ...other, text: children, className: className });
};
exports.ResponseMessage = ResponseMessage;
//# sourceMappingURL=ResponseMessage.js.map