"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.SectioningFragment = exports.Nav = exports.Aside = exports.Article = exports.Section = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const levelContext_1 = require("./levelContext");
const SectioningContent = (0, react_1.forwardRef)(({ children, baseLevel, as: Wrapper = 'section', ...props }, ref) => ((0, jsx_runtime_1.jsx)(Wrapper, { ...props, ref: ref, children: (0, jsx_runtime_1.jsx)(exports.SectioningFragment, { baseLevel: baseLevel, children: children }) })));
exports.Section = SectioningContent;
exports.Article = (0, react_1.forwardRef)((props, ref) => ((0, jsx_runtime_1.jsx)(SectioningContent, { ...props, ref: ref, as: "article" })));
exports.Aside = (0, react_1.forwardRef)((props, ref) => ((0, jsx_runtime_1.jsx)(SectioningContent, { ...props, ref: ref, as: "aside" })));
exports.Nav = (0, react_1.forwardRef)((props, ref) => ((0, jsx_runtime_1.jsx)(SectioningContent, { ...props, ref: ref, as: "nav" })));
const SectioningFragment = ({ children, baseLevel, }) => {
    const level = (0, react_1.useContext)(levelContext_1.LevelContext);
    return (0, jsx_runtime_1.jsx)(levelContext_1.LevelContext.Provider, { value: baseLevel || level + 1, children: children });
};
exports.SectioningFragment = SectioningFragment;
//# sourceMappingURL=SectioningContent.js.map