"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSectionWrapper = void 0;
const react_1 = require("react");
const styled_components_1 = require("styled-components");
const SectioningContent_1 = require("./SectioningContent");
const SECTIONING_CONTENTS_REGEX = /^(article|aside|nav|section)$/;
const isSectioningContent = (as) => {
    const type_ = (0, styled_components_1.isStyledComponent)(as) ? as.target : as;
    return typeof type_ === 'string' && SECTIONING_CONTENTS_REGEX.test(type_);
};
/** NOTE: Layout コンポーネントに変更がある場合、必ず [smarthr/a11y-heading-in-sectioning-content](https://github.com/kufu/eslint-plugin-smarthr/tree/main/rules/a11y-heading-in-sectioning-content) を見直すこと
 */
const useSectionWrapper = (as) => (0, react_1.useMemo)(() => (isSectioningContent(as) ? SectioningContent_1.SectioningFragment : null), [as]);
exports.useSectionWrapper = useSectionWrapper;
//# sourceMappingURL=useSectioningWrapper.js.map