"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SideMenuGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Heading_1 = require("../Heading");
const SectioningContent_1 = require("../SectioningContent");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: ['smarthr-ui-SideMenu-group', '[&:not(:first-of-type)]:shr-mt-1'],
        list: 'shr-list-none',
        groupTitle: 'shr-px-1 shr-py-0.5 shr-text-sm',
    },
});
const SideMenuGroup = ({ title, titleElementAs, listElementAs, children, className, }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, list, groupTitle } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            list: list(),
            groupTitle: groupTitle(),
        };
    }, [className]);
    const ListComponent = listElementAs ?? 'ul';
    return ((0, jsx_runtime_1.jsx)("li", { className: classNames.wrapper, children: (0, jsx_runtime_1.jsxs)(SectioningContent_1.Section, { children: [(0, jsx_runtime_1.jsx)(GroupHeading, { titleElementAs: titleElementAs, className: classNames.groupTitle, children: title }), (0, jsx_runtime_1.jsx)(ListComponent, { className: classNames.list, children: children })] }) }));
};
exports.SideMenuGroup = SideMenuGroup;
const GroupHeading = (0, react_1.memo)(({ titleElementAs: Inner, children, className }) => ((0, jsx_runtime_1.jsx)(Heading_1.Heading, { type: "subBlockTitle", className: className, children: Inner ? (0, jsx_runtime_1.jsx)(Inner, { children: children }) : children })));
//# sourceMappingURL=SideMenuGroup.js.map