"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SideMenuItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Text_1 = require("../Text");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: [
            'smarthr-ui-SideMenu-item',
            '[&>a]:shr-block [&>a]:shr-no-underline',
            '[&>*:focus-visible]:shr-focus-indicator',
        ],
        content: [
            'shr-flex shr-items-baseline shr-gap-0.5 shr-p-0.75',
            'aria-current-page:shr-bg-grey-9 aria-current-page:shr-font-bold',
            'hover:shr-bg-head-darken',
        ],
        // 視覚調整のためのtranslate 参考: https://github.com/kufu/smarthr-ui/blob/01d127a4888f5698b2bf17be855ce1e985b575ea/packages/smarthr-ui/src/components/Icon/generateIcon.tsx#L73C81-L73C106
        iconWrapper: ['shr-translate-y-[0.125em] shr-text-grey'],
    },
    variants: {
        current: {
            true: {
                content: 'shr-border-0 shr-border-s-4 shr-border-solid shr-border-[theme(colors.main)] shr-bg-over-background shr-ps-1.25',
            },
            false: {
                content: 'shr-ps-1.5',
            },
        },
    },
});
const SideMenuItem = ({ elementAs, current, prefix, href, children, className, ...rest }) => {
    const Component = elementAs ?? 'a';
    const ariaCurrent = (0, react_1.useMemo)(() => {
        if (!current || !href) {
            return undefined;
        }
        return href[0] === '#' ? true : 'page';
    }, [current, href]);
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, content, iconWrapper } = classNameGenerator();
        return {
            wrapper: wrapper({ current, className }),
            content: content({ current }),
            iconWrapper: iconWrapper(),
        };
    }, [current, className]);
    return ((0, jsx_runtime_1.jsx)("li", { className: classNames.wrapper, children: (0, jsx_runtime_1.jsx)(Component, { ...rest, href: href, "aria-current": ariaCurrent, children: (0, jsx_runtime_1.jsxs)(Text_1.Text, { size: "M", leading: "TIGHT", className: classNames.content, children: [prefix && (0, jsx_runtime_1.jsx)("span", { className: classNames.iconWrapper, children: prefix }), (0, jsx_runtime_1.jsx)(Text_1.Text, { weight: current ? 'bold' : undefined, children: children })] }) }) }));
};
exports.SideMenuItem = SideMenuItem;
//# sourceMappingURL=SideMenuItem.js.map