"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SideNav = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_2 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const SideNavItemButton_1 = require("./SideNavItemButton");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: ['smarthr-ui-SideNav', 'shr-list-none shr-bg-column'],
});
const SideNav = ({ items, size = 'default', onClick, className, children, ...props }) => {
    const actualOnClick = (0, react_1.useMemo)(() => onClick
        ? (e) => onClick(e, e.currentTarget.value)
        : undefined, [onClick]);
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsx)("ul", { ...props, className: actualClassName, children: items
            ? items.map((item) => ((0, jsx_runtime_1.jsx)(SideNavItemButton_1.SideNavItemButton, { id: item.id, title: item.title, prefix: item.prefix, current: item.current, size: size, onClick: actualOnClick }, item.id)))
            : children &&
                react_2.Children.map(children, (child) => {
                    if (child &&
                        typeof child === 'object' &&
                        'type' in child &&
                        child.type === SideNavItemButton_1.SideNavItemButton) {
                        return (0, react_2.cloneElement)(child, {
                            // 子コンポーネントに対して親コンポーネントから onClick size を一括で適用
                            size,
                            onClick: actualOnClick,
                        });
                    }
                    return child;
                }) }));
};
exports.SideNav = SideNav;
//# sourceMappingURL=SideNav.js.map