"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SideNavItemButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Button_1 = require("../Button");
const Layout_1 = require("../Layout");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: [
            'smarthr-ui-SideNav-item',
            'data-[current=true]:shr-relative data-[current=true]:shr-bg-main data-[current=true]:shr-text-white',
            'data-[current=true]:after:shr-absolute data-[current=true]:after:-shr-right-0.25 data-[current=true]:after:shr-top-1/2 data-[current=true]:after:-shr-translate-y-1/2 data-[current=true]:after:shr-translate-x-0 data-[current=true]:after:shr-border-b-4 data-[current=true]:after:shr-border-l-4 data-[current=true]:after:shr-border-r-0 data-[current=true]:after:shr-border-t-4 data-[current=true]:after:shr-border-solid data-[current=true]:after:shr-border-b-transparent data-[current=true]:after:shr-border-l-main data-[current=true]:after:shr-border-r-transparent data-[current=true]:after:shr-border-t-transparent data-[current=true]:after:shr-content-[""]',
            'data-[current=false]:hover:shr-bg-column-darken',
        ],
        button: [
            'shr-w-full shr-leading-none [&]:shr-box-border',
            'focus-visible:shr-focus-indicator',
            'shr-inline-flex shr-items-center',
        ],
        buttonInner: 'smarthr-ui-SideNav-itemTitle',
    },
    variants: {
        size: {
            default: {
                button: 'shr-p-1 shr-text-base',
            },
            s: {
                button: 'shr-px-1 shr-py-0.5 shr-text-sm',
            },
        },
    },
});
const SideNavItemButton = ({ id, title, prefix, current, size, onClick, children, ...rest }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, button, buttonInner } = classNameGenerator();
        return {
            wrapper: wrapper(),
            button: button({ size: size ?? 'default' }),
            buttonInner: buttonInner(),
        };
    }, [size]);
    return ((0, jsx_runtime_1.jsx)("li", { ...rest, "data-current": !!current, className: classNames.wrapper, children: (0, jsx_runtime_1.jsx)(Button_1.UnstyledButton, { className: classNames.button, onClick: onClick, value: id, children: (0, jsx_runtime_1.jsx)(ButtonBodyCluster, { prefix: prefix, title: children ?? title, titleClassName: classNames.buttonInner }) }) }));
};
exports.SideNavItemButton = SideNavItemButton;
const ButtonBodyCluster = (0, react_1.memo)(({ prefix, title, titleClassName }) => ((0, jsx_runtime_1.jsxs)(Layout_1.Cluster, { inline: true, align: "center", as: "span", children: [prefix, (0, jsx_runtime_1.jsx)("span", { className: titleClassName, children: title })] })));
//# sourceMappingURL=SideNavItemButton.js.map