"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpreadsheetTable = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const SpreadsheetTableCorner_1 = require("./SpreadsheetTableCorner");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'smarthr-ui-SpreadsheetTable shr-border-shorthand shr-border-collapse shr-bg-head',
        // th
        '[&_th]:shr-p-0.25 [&_th]:shr-text-sm [&_th]:shr-font-normal [&_th]:shr-text-grey',
        // th + th
        '[&_th_+_th]:shr-border-l-shorthand [&_th_+_th]:shr-border-[theme(backgroundColor[head-darken])]',
        // 左上の角： tr:first-child th:first-child
        '[&_tr:first-child_th:first-child]:shr-w-[calc(1em_*_theme(lineHeight.normal))]',
        // tr + tr th
        '[&_tr_+_tr_th]:shr-border-t-shorthand [&_tr_+_tr_th]:shr-border-[theme(backgroundColor[head-darken])]',
        // td
        '[&_td]:shr-border-shorthand [&_td]:shr-bg-white [&_td]:shr-p-0.25 [&_td]:shr-text-sm',
    ],
});
const SpreadsheetTable = ({ data, className, children, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ className }), [className]);
    return ((0, jsx_runtime_1.jsxs)("table", { ...props, className: actualClassName, children: [data && ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(MemoizedThead, { cols: data[0].length }), (0, jsx_runtime_1.jsx)("tbody", { children: data.map((row, i) => ((0, jsx_runtime_1.jsxs)("tr", { children: [(0, jsx_runtime_1.jsx)("th", { children: i + 1 }), row.map((cell, j) => ((0, jsx_runtime_1.jsx)("td", { children: cell }, `${i}-${j}`)))] }, i))) })] })), children] }));
};
exports.SpreadsheetTable = SpreadsheetTable;
const MemoizedThead = (0, react_1.memo)(({ cols }) => {
    const columns = [];
    for (let i = 0; i < cols; i++) {
        columns.push((0, jsx_runtime_1.jsx)("th", { children: 
            // アルファベットを A から自動挿入
            String.fromCharCode(65 + i) }, i));
    }
    return ((0, jsx_runtime_1.jsx)("thead", { children: (0, jsx_runtime_1.jsxs)("tr", { children: [(0, jsx_runtime_1.jsx)(SpreadsheetTableCorner_1.SpreadsheetTableCorner, {}), columns] }) }));
});
//# sourceMappingURL=SpreadsheetTable.js.map