"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StepCounter = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const StepStatusIcon_1 = require("./StepStatusIcon");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        // StatusIcon の位置基準となる wrapper
        wrapper: 'shr-relative shr-inline-block',
        counter: 'shr-border-shorthand shr-inline-flex shr-h-[2em] shr-w-[2em] shr-items-center shr-justify-center shr-rounded-full shr-bg-white shr-tabular-nums',
        statusIcon: 'shr-absolute -shr-top-0.25 shr-left-1.5',
    },
    variants: {
        status: {
            completed: { counter: 'shr-border-main' },
            closed: { counter: 'shr-border-grey' },
        },
        current: {
            true: {
                counter: [
                    'shr-border-main shr-bg-main shr-font-bold shr-text-white',
                    'forced-colors:shr-border-[Mark] forced-colors:shr-bg-[Mark]',
                ],
            },
            false: {},
        },
    },
});
const StepCounter = ({ status, current, stepNumber }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, counter, statusIcon } = classNameGenerator({
            status: typeof status === 'object' ? status.type : status,
            current,
        });
        return {
            wrapper: wrapper(),
            counter: counter(),
            statusIcon: statusIcon(),
        };
    }, [status, current]);
    return ((0, jsx_runtime_1.jsxs)("span", { className: classNames.wrapper, children: [(0, jsx_runtime_1.jsx)("span", { className: classNames.counter, "aria-hidden": true, children: stepNumber }), (0, jsx_runtime_1.jsx)(StepStatusIcon_1.StepStatusIcon, { status: status, className: classNames.statusIcon })] }));
};
exports.StepCounter = StepCounter;
//# sourceMappingURL=StepCounter.js.map