"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stepper = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const HorizontalStepItem_1 = require("./HorizontalStepItem");
const VerticalStepItem_1 = require("./VerticalStepItem");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: ['smarthr-ui-Stepper', 'shr-my-0 shr-list-none shr-ps-0'],
    variants: {
        type: {
            // ステップ見出しの左右パディングをネガティブマージンで消し込んでいてる
            horizontal: '-shr-mx-0.75 shr-flex',
            vertical: '',
        },
    },
});
const Stepper = ({ type, steps, activeIndex, className, ...rest }) => {
    const isHorizontal = type === 'horizontal';
    const ItemComponent = isHorizontal ? HorizontalStepItem_1.HorizontalStepItem : VerticalStepItem_1.VerticalStepItem;
    const actualClassName = (0, react_1.useMemo)(() => classNameGenerator({ type, className }), [type, className]);
    return ((0, jsx_runtime_1.jsx)("ol", { ...rest, className: actualClassName, children: steps.map((step, index) => ((0, jsx_runtime_1.jsx)(StepItem, { Component: ItemComponent, activeIndex: activeIndex, index: index, step: step, 
            // 装飾上、horizontalの場合、前のステップが完了しているかどうかチェックする必要がある
            previousStepStatus: isHorizontal ? steps[index - 1]?.status : undefined }, index))) }));
};
exports.Stepper = Stepper;
const StepItem = ({ Component, step, previousStepStatus, index, activeIndex }) => {
    const isPrevStepCompleted = (0, react_1.useMemo)(() => {
        if (!previousStepStatus)
            return false;
        const statusType = typeof previousStepStatus === 'object' ? previousStepStatus.type : previousStepStatus;
        return statusType === 'completed';
    }, [previousStepStatus]);
    return ((0, jsx_runtime_1.jsx)(Component, { ...step, isPrevStepCompleted: isPrevStepCompleted, stepNumber: index + 1, current: index === activeIndex }));
};
//# sourceMappingURL=Stepper.js.map