"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TabBar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const Layout_1 = require("../Layout");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: 'smarthr-ui-TabBar',
        inner: 'shr-grow',
    },
    variants: {
        bordered: {
            true: {
                inner: [
                    'shr-relative',
                    'before:shr-border-b-shorthand before:shr-absolute before:shr-inset-x-0 before:shr-bottom-0 before:shr-z-1 before:shr-content-[""]',
                ],
            },
        },
    },
});
const TabBar = ({ className, bordered, children, ...props }) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, inner } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            inner: inner({ bordered: bordered ?? true }),
        };
    }, [bordered, className]);
    return ((0, jsx_runtime_1.jsx)(Layout_1.Reel, { ...props, role: "tablist", className: classNames.wrapper, children: (0, jsx_runtime_1.jsx)("div", { className: classNames.inner, children: children }) }));
};
exports.TabBar = TabBar;
//# sourceMappingURL=TabBar.js.map