import { type ComponentProps, type FC, type PropsWithChildren, type ReactNode } from 'react';
import { UnstyledButton } from '../Button';
type Props = PropsWithChildren<{
    /** タブの ID */
    id: string;
    /** ボタン内の末尾に表示する内容 */
    suffix?: ReactNode;
    /** `true` のとき、タブが選択状態のスタイルになる */
    selected?: boolean;
    /** `true` のとき、タブを無効状態にしてクリック不能にする */
    disabled?: boolean;
    /**
     * 無効な理由
     */
    disabledDetail?: {
        icon?: ReactNode;
        message: ReactNode;
    };
    /** タブをクリックした時に発火するコールバック関数 */
    onClick: (tabId: string) => void;
}>;
type ElementProps = Omit<ComponentProps<typeof UnstyledButton>, keyof Props | 'aria-selected' | 'type'>;
export declare const TabItem: FC<Props & ElementProps>;
export {};
