"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.BulkActionRow = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const useTableHeadCellCount_1 = require("./useTableHeadCellCount");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: 'smarthr-ui-BulkActionRow',
        cell: [
            'shr-bg-action-background shr-p-1 shr-text-base',
            'forced-colors:shr-border-t-shorthand',
        ],
    },
});
const BulkActionRow = ({ children, className, ...props }) => {
    const { countHeadCellRef, count } = (0, useTableHeadCellCount_1.useTableHeadCellCount)();
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, cell } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            cell: cell(),
        };
    }, [className]);
    return ((0, jsx_runtime_1.jsx)("tr", { ...props, ref: countHeadCellRef, className: classNames.wrapper, children: (0, jsx_runtime_1.jsx)("td", { colSpan: count, className: classNames.cell, children: children }) }));
};
exports.BulkActionRow = BulkActionRow;
//# sourceMappingURL=BulkActionRow.js.map