"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableReel = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const reelShadowStyle_1 = require("./reelShadowStyle");
const useReelCells_1 = require("./useReelCells");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        wrapper: ['smarthr-ui-TableReel', 'shr-relative'],
        inner: ['smarthr-ui-TableReel-inner', 'shr-relative shr-overflow-auto'],
    },
});
const TableReel = ({ className, children, ...props }) => {
    const { showShadow, tableWrapperRef } = (0, useReelCells_1.useReelCells)(children);
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, inner } = classNameGenerator();
        return {
            wrapper: (0, reelShadowStyle_1.reelShadowClassNameGenerator)({ showShadow, className: wrapper({ className }) }),
            inner: inner(),
        };
    }, [className, showShadow]);
    return ((0, jsx_runtime_1.jsx)("div", { className: classNames.wrapper, children: (0, jsx_runtime_1.jsx)("div", { ...props, ref: tableWrapperRef, className: classNames.inner, children: children }) }));
};
exports.TableReel = TableReel;
//# sourceMappingURL=TableReel.js.map