"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Td = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const reelShadowStyle_1 = require("./reelShadowStyle");
exports.Td = (0, react_1.memo)(({ align, vAlign, nullable, fixed, contentWidth, className, style, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => {
        const base = classNameGenerator({ align, vAlign, nullable, className });
        if (!fixed) {
            return base;
        }
        const shadow = (0, reelShadowStyle_1.reelShadowClassNameGenerator)({ direction: fixed });
        return `${base} ${shadow}`;
    }, [align, className, fixed, nullable, vAlign]);
    const actualStyle = (0, react_1.useMemo)(() => {
        if (typeof contentWidth === 'object') {
            return {
                ...style,
                width: convertContentWidth(contentWidth.base),
                minWidth: convertContentWidth(contentWidth.min),
                maxWidth: convertContentWidth(contentWidth.max),
            };
        }
        return {
            ...style,
            width: convertContentWidth(contentWidth),
        };
    }, [style, contentWidth]);
    return (0, jsx_runtime_1.jsx)("td", { ...props, "data-fixed": fixed, className: actualClassName, style: actualStyle });
});
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'smarthr-ui-Td',
        'shr-h-[calc(1em_*_theme(lineHeight.normal))] shr-border-0 shr-px-1 shr-py-0.5 shr-align-middle shr-text-base shr-leading-normal shr-text-black',
        '[&.fixed]:shr-bg-white',
    ],
    variants: {
        align: {
            left: '',
            right: 'shr-text-right',
        },
        vAlign: {
            middle: '',
            baseline: 'shr-align-baseline',
        },
        nullable: {
            true: "empty:after:shr-content-['-----']",
        },
    },
    defaultVariants: {
        align: 'left',
        vAlign: 'middle',
        nullable: false,
    },
});
const convertContentWidth = (contentWidth) => {
    if (typeof contentWidth === 'number') {
        return `${contentWidth}em`;
    }
    return contentWidth;
};
//# sourceMappingURL=Td.js.map