"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TdRadioButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const RadioButton_1 = require("../RadioButton");
const VisuallyHiddenText_1 = require("../VisuallyHiddenText");
const Td_1 = require("./Td");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    slots: {
        inner: [
            'shr-flex shr-justify-center shr-px-1 shr-py-0.75',
            '[&:not(:has([disabled]))]:shr-cursor-pointer',
        ],
        wrapper: 'shr-p-0',
        radio: ['shr-leading-[0]', '[&>span]:shr-translate-y-[unset]'],
    },
});
exports.TdRadioButton = (0, react_1.forwardRef)(({ vAlign, children, className, ...rest }, ref) => {
    const classNames = (0, react_1.useMemo)(() => {
        const { wrapper, inner, radio } = classNameGenerator();
        return {
            wrapper: wrapper({ className }),
            inner: inner(),
            radio: radio(),
        };
    }, [className]);
    return (
    // Td に必要な属性やイベントは不要
    // contentWidth={0} で td をテーブルの計算上最小幅にする
    (0, jsx_runtime_1.jsx)(Td_1.Td, { contentWidth: 0, vAlign: vAlign, className: classNames.wrapper, children: (0, jsx_runtime_1.jsxs)("label", { className: classNames.inner, children: [(0, jsx_runtime_1.jsx)(RadioButton_1.RadioButton, { ...rest, ref: ref, className: classNames.radio }), children && (0, jsx_runtime_1.jsx)(VisuallyHiddenText_1.VisuallyHiddenText, { children: children })] }) }));
});
//# sourceMappingURL=TdRadioButton.js.map