"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Th = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
const ThSortButton_1 = require("./ThSortButton");
const reelShadowStyle_1 = require("./reelShadowStyle");
const classNameGenerator = (0, tailwind_variants_1.tv)({
    base: [
        'smarthr-ui-Th',
        'shr-border-0 shr-px-1 shr-py-0.75 shr-text-left shr-align-middle shr-text-sm shr-font-bold shr-leading-tight shr-text-black',
        'aria-[sort]:shr-cursor-pointer',
        'hover:aria-[sort]:shr-bg-head-darken',
        '[&:has(:focus-visible)]:aria-[sort]:shr-focus-indicator',
        '[&[aria-sort=none]_.smarthr-ui-Icon]:forced-colors:shr-fill-[GrayText]',
        '[&[aria-sort=ascending]_.smarthr-ui-Icon:first-of-type]:forced-colors:shr-fill-[CanvasText] [&[aria-sort=ascending]_.smarthr-ui-Icon:last-of-type]:forced-colors:shr-fill-[GrayText]',
        '[&[aria-sort=descending]_.smarthr-ui-Icon:first-of-type]:forced-colors:shr-fill-[GrayText] [&[aria-sort=descending]_.smarthr-ui-Icon:last-of-type]:forced-colors:shr-fill-[CanvasText]',
    ],
    variants: {
        align: {
            left: '',
            right: 'shr-text-right',
        },
        vAlign: {
            middle: '',
            baseline: 'shr-align-baseline',
            bottom: 'shr-align-bottom',
        },
    },
    defaultVariants: {
        align: 'left',
        vAlign: 'middle',
    },
});
const convertContentWidth = (contentWidth) => {
    if (typeof contentWidth === 'number') {
        // Th は fontSize.S のため、rem で指定する
        return `${contentWidth}rem`;
    }
    return contentWidth;
};
exports.Th = (0, react_1.memo)(({ children, sort, onSort, decorators, align, vAlign, fixed, contentWidth, className, style, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => {
        const base = classNameGenerator({ className, align, vAlign });
        if (!fixed) {
            return base;
        }
        const shadow = (0, reelShadowStyle_1.reelShadowClassNameGenerator)({ showShadow: false, direction: fixed });
        return `${base} ${shadow}`;
    }, [align, className, fixed, vAlign]);
    const actualStyle = (0, react_1.useMemo)(() => ({
        ...style,
        width: convertContentWidth(contentWidth),
    }), [style, contentWidth]);
    const ariaSort = (0, react_1.useMemo)(() => (sort ? (sort === 'none' ? 'none' : `${sort}ending`) : undefined), [sort]);
    return ((0, jsx_runtime_1.jsx)("th", { ...props, "aria-sort": ariaSort, "data-fixed": fixed, className: actualClassName, style: actualStyle, children: sort ? ((0, jsx_runtime_1.jsx)(ThSortButton_1.ThSortButton, { align: align, onSort: onSort, sort: sort, decorators: decorators, children: children })) : (children) }));
});
//# sourceMappingURL=Th.js.map