import { type ComponentProps, type ElementType, type PropsWithChildren } from 'react';
import { type VariantProps } from 'tailwind-variants';
type StyleType = 'screenTitle' | 'sectionTitle' | 'blockTitle' | 'subBlockTitle' | 'subSubBlockTitle';
export declare const STYLE_TYPE_MAP: {
    [key in StyleType]: VariantProps<typeof classNameGenerator>;
};
declare const classNameGenerator: import("tailwind-variants").TVReturnType<{
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, undefined, undefined, import("tailwind-variants/dist/config").TVConfig<{
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, {
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}>, {
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, undefined, import("tailwind-variants").TVReturnType<{
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, undefined, undefined, import("tailwind-variants/dist/config").TVConfig<{
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}, {
    size: {
        XXS: string;
        XS: string;
        S: string;
        M: string;
        L: string;
        XL: string;
        XXL: string;
    };
    weight: {
        normal: string;
        bold: string;
    };
    italic: {
        true: string;
    };
    color: {
        TEXT_BLACK: string;
        TEXT_WHITE: string;
        TEXT_GREY: string;
        TEXT_DISABLED: string;
        TEXT_LINK: string;
        inherit: string;
    };
    leading: {
        NONE: string;
        TIGHT: string;
        NORMAL: string;
        LOOSE: string;
    };
    whiteSpace: {
        normal: string;
        nowrap: string;
        pre: string;
        'pre-line': string;
        'pre-wrap': string;
    };
}>, unknown, unknown, undefined>>;
export type TextProps<T extends ElementType = 'span'> = VariantProps<typeof classNameGenerator> & {
    /** テキストコンポーネントの HTML タグ名。初期値は span */
    as?: T;
    /** 強調するかどうかの真偽値。指定すると em 要素になる */
    emphasis?: boolean;
    /** 見た目の種類 */
    styleType?: StyleType;
};
declare const ActualText: <T extends ElementType = "span">({ emphasis, styleType, weight, as: Component, size, italic, color, leading, whiteSpace, className, ...props }: PropsWithChildren<TextProps<T> & ComponentProps<T>>) => import("react/jsx-runtime").JSX.Element;
export declare const Text: typeof ActualText;
export {};
