import { type ComponentProps, type PropsWithChildren, type ReactNode } from 'react';
import { Stack } from '../Layout';
type Props = PropsWithChildren<{
    datetime: Date | string;
    /** 日付の代わりに表示するテキスト */
    dateLabel?: string;
    /** 時刻のフォーマット */
    timeFormat?: 'HH:mm:ss' | 'HH:mm' | 'none';
    /** 日付のサフィックス領域 */
    dateSuffixArea?: ReactNode;
    /** サイドアクション領域 */
    sideActionArea?: ReactNode;
    /** 現在のアイテムかどうか */
    current?: boolean;
}>;
type ElementProps = Omit<ComponentProps<typeof Stack>, keyof Props | 'inline' | 'gap' | 'align' | 'as'>;
export declare const TimelineItem: React.FC<Props & ElementProps>;
export {};
