import { type ComponentProps, type FC, type PropsWithChildren, type ReactNode } from 'react';
type Props = PropsWithChildren<{
    /** ツールチップ内に表示するメッセージ */
    message: ReactNode;
    /** ツールチップを表示する対象のタイプ。アイコンの場合は `icon` を指定する */
    triggerType?: 'icon' | 'text';
    /** `true` のとき、ツールチップを表示する対象が省略されている場合のみツールチップ表示を有効にする */
    ellipsisOnly?: boolean;
    /** ツールチップを表示する対象の tabIndex 値 */
    tabIndex?: number;
    /** ツールチップを内包要素に紐付けるかどうか */
    ariaDescribedbyTarget?: 'wrapper' | 'inner';
}>;
type ElementProps = Omit<ComponentProps<'span'>, keyof Props | 'aria-describedby'>;
export declare const Tooltip: FC<Props & ElementProps>;
export {};
