"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VisuallyHiddenText = exports.visuallyHiddenTextClassNameGenerator = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const tailwind_variants_1 = require("tailwind-variants");
exports.visuallyHiddenTextClassNameGenerator = (0, tailwind_variants_1.tv)({
    base: 'shr-absolute shr-h-px shr-w-px shr-overflow-hidden shr-whitespace-nowrap shr-border-0 shr-p-0 [clip-path:inset(100%)] [clip:rect(0_0_0_0)]',
});
const ActualVisuallyHiddenText = ({ as: Component = 'span', className, ...props }) => {
    const actualClassName = (0, react_1.useMemo)(() => (0, exports.visuallyHiddenTextClassNameGenerator)({ className }), [className]);
    return (0, jsx_runtime_1.jsx)(Component, { ...props, className: actualClassName });
};
exports.VisuallyHiddenText = (0, react_1.memo)(ActualVisuallyHiddenText);
//# sourceMappingURL=VisuallyHiddenText.js.map