"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDecorators = void 0;
const react_1 = require("react");
const useDecorators = (defaultTexts, decorators) => (0, react_1.useMemo)(() => {
    if (!decorators) {
        return defaultTexts;
    }
    const decorated = {};
    for (const key in defaultTexts) {
        const value = defaultTexts[key];
        decorated[key] = decorators[key]?.(value) || value;
    }
    return decorated;
}, [decorators, defaultTexts]);
exports.useDecorators = useDecorators;
//# sourceMappingURL=useDecorators.js.map