"use strict";
'use client';
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const createBreakpoint_1 = require("../../themes/createBreakpoint");
const useDevice_1 = require("./useDevice");
const mediaQuery = {
    narrow: `(max-width: ${createBreakpoint_1.defaultBreakpoint.SP}px)`,
};
const subscribe = (onStoreChange) => {
    const matchQueryList = matchMedia(mediaQuery.narrow);
    matchQueryList.addEventListener('change', onStoreChange);
    return () => {
        matchQueryList.removeEventListener('change', onStoreChange);
    };
};
const getSnapshot = () => matchMedia(mediaQuery.narrow).matches;
const getServerSnapshot = () => null;
const DeviceProvider = ({ children }) => {
    const isNarrowView = (0, react_1.useSyncExternalStore)(subscribe, getSnapshot, getServerSnapshot);
    return (0, jsx_runtime_1.jsx)(useDevice_1.DeviceContext.Provider, { value: isNarrowView, children: children });
};
exports.DeviceProvider = DeviceProvider;
//# sourceMappingURL=DeviceProvider.js.map