"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useHandleEscape = void 0;
const react_1 = require("react");
// https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent/key
// Esc is a IE/Edge specific value
const ESCAPE_KEY_REGEX = /^Esc(ape)?$/;
const useHandleEscape = (cb) => {
    (0, react_1.useEffect)(() => {
        if (!cb) {
            return;
        }
        const handleKeyPress = (e) => {
            if (ESCAPE_KEY_REGEX.test(e.key)) {
                cb();
            }
        };
        document.addEventListener('keydown', handleKeyPress);
        return () => document.removeEventListener('keydown', handleKeyPress);
    }, [cb]);
};
exports.useHandleEscape = useHandleEscape;
//# sourceMappingURL=useHandleEscape.js.map