"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useResponseStatus = void 0;
const react_1 = require("react");
const useResponseStatus = (responseStatus) => {
    const calculated = (0, react_1.useMemo)(() => {
        if (!responseStatus) {
            return {
                isProcessing: false,
                status: undefined,
                message: '',
            };
        }
        if (responseStatus.status === 'processing') {
            return {
                isProcessing: true,
                status: undefined,
                message: '',
            };
        }
        return {
            isProcessing: false,
            // HINT: statusがprocessingではない === success or errorであることが確定する
            // success or error の場合、text属性も必ず存在する
            status: responseStatus.status,
            message: responseStatus.text,
        };
    }, [responseStatus]);
    return calculated;
};
exports.useResponseStatus = useResponseStatus;
//# sourceMappingURL=useResponseStatus.js.map