import { type FC, type PropsWithChildren } from 'react';
import * as locales from './locales';
declare const allLocaleKeys: Array<keyof typeof locales>;
type Props<AvailableLocales extends Array<keyof typeof locales> = typeof allLocaleKeys> = PropsWithChildren<{
    locale: AvailableLocales[number];
    availableLocales?: AvailableLocales;
}>;
export declare const useAvailableLocales: () => ("pt" | "ja" | "ja-easy" | "en-us" | "ko" | "vi" | "zh-cn" | "zh-tw" | "id-id")[];
export declare const IntlProvider: <AvailableLocales extends Array<keyof typeof locales> = typeof allLocaleKeys>({ availableLocales, locale, children, }: Props<AvailableLocales>) => ReturnType<FC>;
export {};
