"use strict";
'use client';
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntlProvider = exports.useAvailableLocales = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const react_intl_1 = require("react-intl");
const locales = __importStar(require("./locales"));
// Object.keys は常に string[] を返却するが、locales は実行時に変更されないため、as 型キャストを使用することは自明に安全なので使用している
const allLocaleKeys = Object.keys(locales);
const AvailableLocalesContext = (0, react_1.createContext)(allLocaleKeys);
const useAvailableLocales = () => (0, react_1.useContext)(AvailableLocalesContext);
exports.useAvailableLocales = useAvailableLocales;
const IntlProvider = ({ availableLocales, locale, children, }) => {
    // プロダクト側でIntlProviderを使っている場合、プロダクト側のmessagesとマージして提供するためにContextから取得している
    const intl = (0, react_1.useContext)(react_intl_1.IntlContext);
    const actualMessages = (0, react_1.useMemo)(() => ({ ...intl?.messages, ...locales[locale] }), [intl, locale]);
    return ((0, jsx_runtime_1.jsx)(AvailableLocalesContext.Provider, { value: availableLocales ?? allLocaleKeys, children: (0, jsx_runtime_1.jsx)(react_intl_1.IntlProvider, { locale: locale, messages: actualMessages, children: children }) }));
};
exports.IntlProvider = IntlProvider;
//# sourceMappingURL=IntlProvider.js.map