import { type PrimitiveType, type MessageDescriptor as ReactIntlMessageDescriptor } from 'react-intl';
import * as locales from './locales';
import type { FormatXMLElementFn, Options as IntlMessageFormatOptions } from 'intl-messageformat';
type Messages = Record<keyof typeof locales.ja, string>;
type MessageDescriptor<T extends keyof Messages> = Omit<ReactIntlMessageDescriptor, 'id'> & {
    id: T;
    defaultText: (typeof locales.ja)[T];
};
export declare const useIntl: () => {
    availableLocales: ("pt" | "ja" | "ja-easy" | "en-us" | "ko" | "vi" | "zh-cn" | "zh-tw" | "id-id")[];
    localize: <T extends keyof Messages>(descriptor: MessageDescriptor<T>, values?: Record<string, PrimitiveType | FormatXMLElementFn<string, string>>, opts?: IntlMessageFormatOptions) => string;
    formatDate: (date: Date, opts?: Intl.DateTimeFormatOptions & {
        jaFormat?: boolean;
    }) => string;
};
export {};
