"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createShadow = void 0;
const styled_components_1 = require("styled-components");
const lodash_1 = require("../../libs/lodash");
const createColor_1 = require("../createColor");
const defaultShadow_1 = require("./defaultShadow");
const createOutline = (color) => `0 0 0 2px white, 0 0 0 4px ${color}`;
const createFocusIndicatorStyles = (outline) => (0, styled_components_1.css) `
  outline: none;
  isolation: isolate;
  box-shadow: ${outline};
`;
const createShadow = (userShadow, userColor) => {
    const outline = createOutline(userColor?.OUTLINE || createColor_1.defaultColor.OUTLINE);
    const shadows = {
        ...defaultShadow_1.defaultShadow,
        OUTLINE: outline,
        focusIndicatorStyles: createFocusIndicatorStyles(outline),
    };
    if (!userShadow) {
        return shadows;
    }
    return (0, lodash_1.merge)(shadows, userShadow);
};
exports.createShadow = createShadow;
//# sourceMappingURL=createShadow.js.map