"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultSpacing = exports.createSpacingByChar = exports.createSpacing = exports.primitiveTokens = exports.defaultBaseSize = void 0;
const createFontSize_1 = require("./createFontSize");
exports.defaultBaseSize = createFontSize_1.defaultHtmlFontSize / 2;
exports.primitiveTokens = [
    0, 0.25, 0.5, 0.75, 1, 1.25, 1.5, 2, 2.5, 3, 3.5, 4, 8, -0.25, -0.5, -0.75, -1, -1.25, -1.5, -2,
    -2.5, -3, -3.5, -4, -8,
];
const getSpacing = (baseSize) => {
    const spacings = getSpacingByChar(baseSize);
    return {
        X3S: spacings[0.25],
        XXS: spacings[0.5],
        XS: spacings[1],
        S: spacings[1.5],
        M: spacings[2],
        L: spacings[2.5],
        XL: spacings[3],
        XXL: spacings[3.5],
        X3L: spacings[4],
        NONE: spacings[0],
    };
};
const getSpacingByChar = (baseSize) => {
    const charSize = baseSize * 2;
    return exports.primitiveTokens.reduce((prev, size) => {
        prev[size] = size ? `${charSize * size}px` : '0';
        return prev;
    }, {});
};
const createSpacing = (userBaseSize = exports.defaultBaseSize) => getSpacing(userBaseSize);
exports.createSpacing = createSpacing;
const createSpacingByChar = (userBaseSize = exports.defaultBaseSize) => {
    const spacings = getSpacingByChar(userBaseSize);
    return (size) => spacings[size];
};
exports.createSpacingByChar = createSpacingByChar;
exports.defaultSpacing = (0, exports.createSpacing)();
//# sourceMappingURL=createSpacing.js.map